#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 11
#define STATE_COUNT 2798
#define LARGE_STATE_COUNT 127
#define SYMBOL_COUNT 160
#define ALIAS_COUNT 1
#define TOKEN_COUNT 99
#define EXTERNAL_TOKEN_COUNT 15
#define FIELD_COUNT 17
#define MAX_ALIAS_SEQUENCE_LENGTH 10

enum {
  sym_word = 1,
  anon_sym_LF = 2,
  anon_sym_for = 3,
  anon_sym_in = 4,
  anon_sym_LPAREN_LPAREN = 5,
  anon_sym_RPAREN_RPAREN = 6,
  anon_sym_SEMI = 7,
  anon_sym_while = 8,
  anon_sym_do = 9,
  anon_sym_done = 10,
  anon_sym_if = 11,
  anon_sym_then = 12,
  anon_sym_fi = 13,
  anon_sym_elif = 14,
  anon_sym_else = 15,
  anon_sym_case = 16,
  anon_sym_esac = 17,
  anon_sym_PIPE = 18,
  anon_sym_RPAREN = 19,
  anon_sym_SEMI_SEMI = 20,
  anon_sym_function = 21,
  anon_sym_LPAREN = 22,
  anon_sym_LBRACE = 23,
  anon_sym_RBRACE = 24,
  anon_sym_PIPE_AMP = 25,
  anon_sym_AMP_AMP = 26,
  anon_sym_PIPE_PIPE = 27,
  anon_sym_BANG = 28,
  anon_sym_LBRACK = 29,
  anon_sym_RBRACK = 30,
  anon_sym_LBRACK_LBRACK = 31,
  anon_sym_RBRACK_RBRACK = 32,
  anon_sym_declare = 33,
  anon_sym_typeset = 34,
  anon_sym_export = 35,
  anon_sym_readonly = 36,
  anon_sym_local = 37,
  anon_sym_unset = 38,
  anon_sym_unsetenv = 39,
  anon_sym_EQ_TILDE = 40,
  anon_sym_EQ_EQ = 41,
  anon_sym_EQ = 42,
  anon_sym_PLUS_EQ = 43,
  anon_sym_LT = 44,
  anon_sym_GT = 45,
  anon_sym_GT_GT = 46,
  anon_sym_AMP_GT = 47,
  anon_sym_AMP_GT_GT = 48,
  anon_sym_LT_AMP = 49,
  anon_sym_GT_AMP = 50,
  anon_sym_GT_PIPE = 51,
  anon_sym_LT_LT = 52,
  anon_sym_LT_LT_DASH = 53,
  anon_sym_LT_LT_LT = 54,
  anon_sym_BANG_EQ = 55,
  anon_sym_PLUS = 56,
  anon_sym_DASH = 57,
  anon_sym_DASH_EQ = 58,
  anon_sym_LT_EQ = 59,
  anon_sym_GT_EQ = 60,
  anon_sym_QMARK = 61,
  anon_sym_COLON = 62,
  anon_sym_PLUS_PLUS = 63,
  anon_sym_DASH_DASH = 64,
  anon_sym_DOLLAR = 65,
  sym__special_character = 66,
  anon_sym_DQUOTE = 67,
  sym__string_content = 68,
  sym_raw_string = 69,
  sym_ansii_c_string = 70,
  anon_sym_POUND = 71,
  anon_sym_DOLLAR_LBRACE = 72,
  anon_sym_SLASH = 73,
  anon_sym_COLON_QMARK = 74,
  anon_sym_COLON_DASH = 75,
  anon_sym_PERCENT = 76,
  anon_sym_DOLLAR_LPAREN = 77,
  anon_sym_BQUOTE = 78,
  anon_sym_LT_LPAREN = 79,
  anon_sym_GT_LPAREN = 80,
  sym_comment = 81,
  aux_sym__simple_variable_name_token1 = 82,
  anon_sym_STAR = 83,
  anon_sym_AT = 84,
  anon_sym_0 = 85,
  anon_sym__ = 86,
  sym_test_operator = 87,
  anon_sym_AMP = 88,
  sym_heredoc_start = 89,
  sym__simple_heredoc_body = 90,
  sym__heredoc_body_beginning = 91,
  sym__heredoc_body_middle = 92,
  sym__heredoc_body_end = 93,
  sym_file_descriptor = 94,
  sym__empty_value = 95,
  sym__concat = 96,
  sym_variable_name = 97,
  sym_regex = 98,
  sym_program = 99,
  sym__statements = 100,
  aux_sym__statements2 = 101,
  sym__terminated_statement = 102,
  sym_redirected_statement = 103,
  sym_for_statement = 104,
  sym_c_style_for_statement = 105,
  sym_while_statement = 106,
  sym_do_group = 107,
  sym_if_statement = 108,
  sym_elif_clause = 109,
  sym_else_clause = 110,
  sym_case_statement = 111,
  sym_case_item = 112,
  sym_last_case_item = 113,
  sym_function_definition = 114,
  sym_compound_statement = 115,
  sym_subshell = 116,
  sym_pipeline = 117,
  sym_list = 118,
  sym_negated_command = 119,
  sym_test_command = 120,
  sym_declaration_command = 121,
  sym_unset_command = 122,
  sym_command = 123,
  sym_command_name = 124,
  sym_variable_assignment = 125,
  sym_subscript = 126,
  sym_file_redirect = 127,
  sym_heredoc_redirect = 128,
  sym_heredoc_body = 129,
  sym_herestring_redirect = 130,
  sym__expression = 131,
  sym_binary_expression = 132,
  sym_ternary_expression = 133,
  sym_unary_expression = 134,
  sym_postfix_expression = 135,
  sym_parenthesized_expression = 136,
  sym_concatenation = 137,
  sym_string = 138,
  sym_array = 139,
  sym_simple_expansion = 140,
  sym_string_expansion = 141,
  sym_expansion = 142,
  sym_command_substitution = 143,
  sym_process_substitution = 144,
  aux_sym__statements_repeat1 = 145,
  aux_sym_redirected_statement_repeat1 = 146,
  aux_sym_for_statement_repeat1 = 147,
  aux_sym_if_statement_repeat1 = 148,
  aux_sym_case_statement_repeat1 = 149,
  aux_sym_case_item_repeat1 = 150,
  aux_sym_declaration_command_repeat1 = 151,
  aux_sym_unset_command_repeat1 = 152,
  aux_sym_command_repeat1 = 153,
  aux_sym_command_repeat2 = 154,
  aux_sym_heredoc_body_repeat1 = 155,
  aux_sym__literal_repeat1 = 156,
  aux_sym_concatenation_repeat1 = 157,
  aux_sym_string_repeat1 = 158,
  aux_sym_expansion_repeat1 = 159,
  alias_sym_special_variable_name = 160,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_word] = "word",
  [anon_sym_LF] = "\n",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_LPAREN_LPAREN] = "((",
  [anon_sym_RPAREN_RPAREN] = "))",
  [anon_sym_SEMI] = ";",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_done] = "done",
  [anon_sym_if] = "if",
  [anon_sym_then] = "then",
  [anon_sym_fi] = "fi",
  [anon_sym_elif] = "elif",
  [anon_sym_else] = "else",
  [anon_sym_case] = "case",
  [anon_sym_esac] = "esac",
  [anon_sym_PIPE] = "|",
  [anon_sym_RPAREN] = ")",
  [anon_sym_SEMI_SEMI] = ";;",
  [anon_sym_function] = "function",
  [anon_sym_LPAREN] = "(",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_PIPE_AMP] = "|&",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_BANG] = "!",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym_declare] = "declare",
  [anon_sym_typeset] = "typeset",
  [anon_sym_export] = "export",
  [anon_sym_readonly] = "readonly",
  [anon_sym_local] = "local",
  [anon_sym_unset] = "unset",
  [anon_sym_unsetenv] = "unsetenv",
  [anon_sym_EQ_TILDE] = "=~",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ] = "=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_AMP_GT] = "&>",
  [anon_sym_AMP_GT_GT] = "&>>",
  [anon_sym_LT_AMP] = "<&",
  [anon_sym_GT_AMP] = ">&",
  [anon_sym_GT_PIPE] = ">|",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_LT_LT_DASH] = "<<-",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK] = "?",
  [anon_sym_COLON] = ":",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_DOLLAR] = "$",
  [sym__special_character] = "_special_character",
  [anon_sym_DQUOTE] = "\"",
  [sym__string_content] = "_string_content",
  [sym_raw_string] = "raw_string",
  [sym_ansii_c_string] = "ansii_c_string",
  [anon_sym_POUND] = "#",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH] = "/",
  [anon_sym_COLON_QMARK] = ":?",
  [anon_sym_COLON_DASH] = ":-",
  [anon_sym_PERCENT] = "%",
  [anon_sym_DOLLAR_LPAREN] = "$(",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_LT_LPAREN] = "<(",
  [anon_sym_GT_LPAREN] = ">(",
  [sym_comment] = "comment",
  [aux_sym__simple_variable_name_token1] = "variable_name",
  [anon_sym_STAR] = "special_variable_name",
  [anon_sym_AT] = "special_variable_name",
  [anon_sym_0] = "special_variable_name",
  [anon_sym__] = "special_variable_name",
  [sym_test_operator] = "test_operator",
  [anon_sym_AMP] = "&",
  [sym_heredoc_start] = "heredoc_start",
  [sym__simple_heredoc_body] = "_simple_heredoc_body",
  [sym__heredoc_body_beginning] = "_heredoc_body_beginning",
  [sym__heredoc_body_middle] = "_heredoc_body_middle",
  [sym__heredoc_body_end] = "_heredoc_body_end",
  [sym_file_descriptor] = "file_descriptor",
  [sym__empty_value] = "_empty_value",
  [sym__concat] = "_concat",
  [sym_variable_name] = "variable_name",
  [sym_regex] = "regex",
  [sym_program] = "program",
  [sym__statements] = "_statements",
  [aux_sym__statements2] = "_statements2",
  [sym__terminated_statement] = "_terminated_statement",
  [sym_redirected_statement] = "redirected_statement",
  [sym_for_statement] = "for_statement",
  [sym_c_style_for_statement] = "c_style_for_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_group] = "do_group",
  [sym_if_statement] = "if_statement",
  [sym_elif_clause] = "elif_clause",
  [sym_else_clause] = "else_clause",
  [sym_case_statement] = "case_statement",
  [sym_case_item] = "case_item",
  [sym_last_case_item] = "case_item",
  [sym_function_definition] = "function_definition",
  [sym_compound_statement] = "compound_statement",
  [sym_subshell] = "subshell",
  [sym_pipeline] = "pipeline",
  [sym_list] = "list",
  [sym_negated_command] = "negated_command",
  [sym_test_command] = "test_command",
  [sym_declaration_command] = "declaration_command",
  [sym_unset_command] = "unset_command",
  [sym_command] = "command",
  [sym_command_name] = "command_name",
  [sym_variable_assignment] = "variable_assignment",
  [sym_subscript] = "subscript",
  [sym_file_redirect] = "file_redirect",
  [sym_heredoc_redirect] = "heredoc_redirect",
  [sym_heredoc_body] = "heredoc_body",
  [sym_herestring_redirect] = "herestring_redirect",
  [sym__expression] = "_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_ternary_expression] = "ternary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_postfix_expression] = "postfix_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_concatenation] = "concatenation",
  [sym_string] = "string",
  [sym_array] = "array",
  [sym_simple_expansion] = "simple_expansion",
  [sym_string_expansion] = "string_expansion",
  [sym_expansion] = "expansion",
  [sym_command_substitution] = "command_substitution",
  [sym_process_substitution] = "process_substitution",
  [aux_sym__statements_repeat1] = "_statements_repeat1",
  [aux_sym_redirected_statement_repeat1] = "redirected_statement_repeat1",
  [aux_sym_for_statement_repeat1] = "for_statement_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_case_item_repeat1] = "case_item_repeat1",
  [aux_sym_declaration_command_repeat1] = "declaration_command_repeat1",
  [aux_sym_unset_command_repeat1] = "unset_command_repeat1",
  [aux_sym_command_repeat1] = "command_repeat1",
  [aux_sym_command_repeat2] = "command_repeat2",
  [aux_sym_heredoc_body_repeat1] = "heredoc_body_repeat1",
  [aux_sym__literal_repeat1] = "_literal_repeat1",
  [aux_sym_concatenation_repeat1] = "concatenation_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_expansion_repeat1] = "expansion_repeat1",
  [alias_sym_special_variable_name] = "special_variable_name",
};

static TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_word] = sym_word,
  [anon_sym_LF] = anon_sym_LF,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_LPAREN_LPAREN] = anon_sym_LPAREN_LPAREN,
  [anon_sym_RPAREN_RPAREN] = anon_sym_RPAREN_RPAREN,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_done] = anon_sym_done,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_then] = anon_sym_then,
  [anon_sym_fi] = anon_sym_fi,
  [anon_sym_elif] = anon_sym_elif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_esac] = anon_sym_esac,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_SEMI_SEMI] = anon_sym_SEMI_SEMI,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_PIPE_AMP] = anon_sym_PIPE_AMP,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym_declare] = anon_sym_declare,
  [anon_sym_typeset] = anon_sym_typeset,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_readonly] = anon_sym_readonly,
  [anon_sym_local] = anon_sym_local,
  [anon_sym_unset] = anon_sym_unset,
  [anon_sym_unsetenv] = anon_sym_unsetenv,
  [anon_sym_EQ_TILDE] = anon_sym_EQ_TILDE,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_AMP_GT] = anon_sym_AMP_GT,
  [anon_sym_AMP_GT_GT] = anon_sym_AMP_GT_GT,
  [anon_sym_LT_AMP] = anon_sym_LT_AMP,
  [anon_sym_GT_AMP] = anon_sym_GT_AMP,
  [anon_sym_GT_PIPE] = anon_sym_GT_PIPE,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_LT_LT_DASH] = anon_sym_LT_LT_DASH,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [sym__special_character] = sym__special_character,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [sym__string_content] = sym__string_content,
  [sym_raw_string] = sym_raw_string,
  [sym_ansii_c_string] = sym_ansii_c_string,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_COLON_QMARK] = anon_sym_COLON_QMARK,
  [anon_sym_COLON_DASH] = anon_sym_COLON_DASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_DOLLAR_LPAREN] = anon_sym_DOLLAR_LPAREN,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_LT_LPAREN] = anon_sym_LT_LPAREN,
  [anon_sym_GT_LPAREN] = anon_sym_GT_LPAREN,
  [sym_comment] = sym_comment,
  [aux_sym__simple_variable_name_token1] = sym_variable_name,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_AT] = anon_sym_STAR,
  [anon_sym_0] = anon_sym_STAR,
  [anon_sym__] = anon_sym_STAR,
  [sym_test_operator] = sym_test_operator,
  [anon_sym_AMP] = anon_sym_AMP,
  [sym_heredoc_start] = sym_heredoc_start,
  [sym__simple_heredoc_body] = sym__simple_heredoc_body,
  [sym__heredoc_body_beginning] = sym__heredoc_body_beginning,
  [sym__heredoc_body_middle] = sym__heredoc_body_middle,
  [sym__heredoc_body_end] = sym__heredoc_body_end,
  [sym_file_descriptor] = sym_file_descriptor,
  [sym__empty_value] = sym__empty_value,
  [sym__concat] = sym__concat,
  [sym_variable_name] = sym_variable_name,
  [sym_regex] = sym_regex,
  [sym_program] = sym_program,
  [sym__statements] = sym__statements,
  [aux_sym__statements2] = aux_sym__statements2,
  [sym__terminated_statement] = sym__terminated_statement,
  [sym_redirected_statement] = sym_redirected_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_c_style_for_statement] = sym_c_style_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_group] = sym_do_group,
  [sym_if_statement] = sym_if_statement,
  [sym_elif_clause] = sym_elif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_case_statement] = sym_case_statement,
  [sym_case_item] = sym_case_item,
  [sym_last_case_item] = sym_case_item,
  [sym_function_definition] = sym_function_definition,
  [sym_compound_statement] = sym_compound_statement,
  [sym_subshell] = sym_subshell,
  [sym_pipeline] = sym_pipeline,
  [sym_list] = sym_list,
  [sym_negated_command] = sym_negated_command,
  [sym_test_command] = sym_test_command,
  [sym_declaration_command] = sym_declaration_command,
  [sym_unset_command] = sym_unset_command,
  [sym_command] = sym_command,
  [sym_command_name] = sym_command_name,
  [sym_variable_assignment] = sym_variable_assignment,
  [sym_subscript] = sym_subscript,
  [sym_file_redirect] = sym_file_redirect,
  [sym_heredoc_redirect] = sym_heredoc_redirect,
  [sym_heredoc_body] = sym_heredoc_body,
  [sym_herestring_redirect] = sym_herestring_redirect,
  [sym__expression] = sym__expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_postfix_expression] = sym_postfix_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_concatenation] = sym_concatenation,
  [sym_string] = sym_string,
  [sym_array] = sym_array,
  [sym_simple_expansion] = sym_simple_expansion,
  [sym_string_expansion] = sym_string_expansion,
  [sym_expansion] = sym_expansion,
  [sym_command_substitution] = sym_command_substitution,
  [sym_process_substitution] = sym_process_substitution,
  [aux_sym__statements_repeat1] = aux_sym__statements_repeat1,
  [aux_sym_redirected_statement_repeat1] = aux_sym_redirected_statement_repeat1,
  [aux_sym_for_statement_repeat1] = aux_sym_for_statement_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_case_item_repeat1] = aux_sym_case_item_repeat1,
  [aux_sym_declaration_command_repeat1] = aux_sym_declaration_command_repeat1,
  [aux_sym_unset_command_repeat1] = aux_sym_unset_command_repeat1,
  [aux_sym_command_repeat1] = aux_sym_command_repeat1,
  [aux_sym_command_repeat2] = aux_sym_command_repeat2,
  [aux_sym_heredoc_body_repeat1] = aux_sym_heredoc_body_repeat1,
  [aux_sym__literal_repeat1] = aux_sym__literal_repeat1,
  [aux_sym_concatenation_repeat1] = aux_sym_concatenation_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_expansion_repeat1] = aux_sym_expansion_repeat1,
  [alias_sym_special_variable_name] = alias_sym_special_variable_name,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_word] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_done] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_then] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fi] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_esac] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_declare] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeset] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unset] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsetenv] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [sym__special_character] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym__string_content] = {
    .visible = false,
    .named = true,
  },
  [sym_raw_string] = {
    .visible = true,
    .named = true,
  },
  [sym_ansii_c_string] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__simple_variable_name_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_0] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__] = {
    .visible = true,
    .named = true,
  },
  [sym_test_operator] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [sym_heredoc_start] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_heredoc_body] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_body_beginning] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_body_middle] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_body_end] = {
    .visible = false,
    .named = true,
  },
  [sym_file_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_value] = {
    .visible = false,
    .named = true,
  },
  [sym__concat] = {
    .visible = false,
    .named = true,
  },
  [sym_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym__statements] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__statements2] = {
    .visible = false,
    .named = false,
  },
  [sym__terminated_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_redirected_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_c_style_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_group] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_item] = {
    .visible = true,
    .named = true,
  },
  [sym_last_case_item] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_subshell] = {
    .visible = true,
    .named = true,
  },
  [sym_pipeline] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym_negated_command] = {
    .visible = true,
    .named = true,
  },
  [sym_test_command] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_command] = {
    .visible = true,
    .named = true,
  },
  [sym_unset_command] = {
    .visible = true,
    .named = true,
  },
  [sym_command] = {
    .visible = true,
    .named = true,
  },
  [sym_command_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_file_redirect] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_redirect] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_herestring_redirect] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_postfix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenation] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_string_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_command_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_process_substitution] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_redirected_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_item_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unset_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_command_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expansion_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_special_variable_name] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_alternative = 1,
  field_argument = 2,
  field_body = 3,
  field_condition = 4,
  field_consequence = 5,
  field_descriptor = 6,
  field_destination = 7,
  field_index = 8,
  field_initializer = 9,
  field_left = 10,
  field_name = 11,
  field_operator = 12,
  field_redirect = 13,
  field_right = 14,
  field_update = 15,
  field_value = 16,
  field_variable = 17,
};

static const char *ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_descriptor] = "descriptor",
  [field_destination] = "destination",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_left] = "left",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_redirect] = "redirect",
  [field_right] = "right",
  [field_update] = "update",
  [field_value] = "value",
  [field_variable] = "variable",
};

static const TSFieldMapSlice ts_field_map_slices[57] = {
  [1] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 1, .length = 1},
  [6] = {.index = 2, .length = 2},
  [7] = {.index = 4, .length = 1},
  [8] = {.index = 5, .length = 2},
  [9] = {.index = 4, .length = 1},
  [10] = {.index = 7, .length = 1},
  [11] = {.index = 8, .length = 2},
  [12] = {.index = 8, .length = 2},
  [13] = {.index = 10, .length = 2},
  [14] = {.index = 10, .length = 2},
  [15] = {.index = 12, .length = 2},
  [16] = {.index = 14, .length = 2},
  [18] = {.index = 16, .length = 2},
  [19] = {.index = 16, .length = 2},
  [20] = {.index = 18, .length = 2},
  [21] = {.index = 20, .length = 2},
  [22] = {.index = 22, .length = 2},
  [23] = {.index = 22, .length = 2},
  [24] = {.index = 24, .length = 2},
  [25] = {.index = 26, .length = 3},
  [26] = {.index = 29, .length = 1},
  [28] = {.index = 30, .length = 2},
  [29] = {.index = 32, .length = 1},
  [30] = {.index = 32, .length = 1},
  [31] = {.index = 33, .length = 2},
  [33] = {.index = 35, .length = 1},
  [34] = {.index = 36, .length = 3},
  [35] = {.index = 39, .length = 3},
  [36] = {.index = 42, .length = 1},
  [37] = {.index = 42, .length = 1},
  [39] = {.index = 43, .length = 1},
  [40] = {.index = 44, .length = 2},
  [41] = {.index = 46, .length = 2},
  [42] = {.index = 48, .length = 2},
  [43] = {.index = 50, .length = 2},
  [44] = {.index = 52, .length = 2},
  [45] = {.index = 50, .length = 2},
  [46] = {.index = 54, .length = 2},
  [47] = {.index = 56, .length = 2},
  [48] = {.index = 58, .length = 3},
  [49] = {.index = 61, .length = 2},
  [50] = {.index = 63, .length = 3},
  [51] = {.index = 66, .length = 3},
  [52] = {.index = 69, .length = 3},
  [53] = {.index = 72, .length = 3},
  [54] = {.index = 75, .length = 3},
  [55] = {.index = 78, .length = 4},
  [56] = {.index = 82, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 0},
  [1] =
    {field_destination, 1},
  [2] =
    {field_body, 0},
    {field_redirect, 1},
  [4] =
    {field_argument, 0},
  [5] =
    {field_argument, 1, .inherited = true},
    {field_name, 0},
  [7] =
    {field_name, 1},
  [8] =
    {field_descriptor, 0},
    {field_destination, 2},
  [10] =
    {field_name, 0},
    {field_value, 2},
  [12] =
    {field_body, 2},
    {field_condition, 1},
  [14] =
    {field_body, 2},
    {field_name, 1},
  [16] =
    {field_argument, 0},
    {field_argument, 1},
  [18] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [20] =
    {field_argument, 2, .inherited = true},
    {field_name, 1},
  [22] =
    {field_index, 2},
    {field_name, 0},
  [24] =
    {field_body, 3},
    {field_variable, 1},
  [26] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [29] =
    {field_condition, 1},
  [30] =
    {field_body, 3},
    {field_name, 0},
  [32] =
    {field_value, 1},
  [33] =
    {field_body, 4},
    {field_name, 1},
  [35] =
    {field_body, 5},
  [36] =
    {field_body, 5},
    {field_value, 3},
    {field_variable, 1},
  [39] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [42] =
    {field_value, 0},
  [43] =
    {field_body, 6},
  [44] =
    {field_body, 6},
    {field_update, 4},
  [46] =
    {field_body, 6},
    {field_condition, 3},
  [48] =
    {field_body, 6},
    {field_initializer, 2},
  [50] =
    {field_value, 0},
    {field_value, 1, .inherited = true},
  [52] =
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [54] =
    {field_body, 7},
    {field_update, 4},
  [56] =
    {field_body, 7},
    {field_condition, 3},
  [58] =
    {field_body, 7},
    {field_condition, 3},
    {field_update, 5},
  [61] =
    {field_body, 7},
    {field_initializer, 2},
  [63] =
    {field_body, 7},
    {field_initializer, 2},
    {field_update, 5},
  [66] =
    {field_body, 7},
    {field_condition, 4},
    {field_initializer, 2},
  [69] =
    {field_body, 8},
    {field_condition, 3},
    {field_update, 5},
  [72] =
    {field_body, 8},
    {field_initializer, 2},
    {field_update, 5},
  [75] =
    {field_body, 8},
    {field_condition, 4},
    {field_initializer, 2},
  [78] =
    {field_body, 8},
    {field_condition, 4},
    {field_initializer, 2},
    {field_update, 6},
  [82] =
    {field_body, 9},
    {field_condition, 4},
    {field_initializer, 2},
    {field_update, 6},
};

static TSSymbol ts_alias_sequences[57][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [2] = {
    [0] = sym_word,
  },
  [4] = {
    [1] = sym_word,
  },
  [5] = {
    [1] = alias_sym_special_variable_name,
  },
  [9] = {
    [0] = sym_word,
  },
  [12] = {
    [2] = sym_word,
  },
  [14] = {
    [2] = sym_word,
  },
  [17] = {
    [1] = sym_word,
  },
  [19] = {
    [1] = sym_word,
  },
  [23] = {
    [2] = sym_word,
  },
  [27] = {
    [2] = alias_sym_special_variable_name,
  },
  [30] = {
    [1] = sym_word,
  },
  [32] = {
    [3] = sym_word,
  },
  [37] = {
    [0] = sym_word,
  },
  [38] = {
    [4] = sym_word,
  },
  [45] = {
    [0] = sym_word,
  },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(120);
      if (lookahead == '!') ADVANCE(160);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '%') ADVANCE(236);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(153);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(253);
      if (lookahead == '+') ADVANCE(199);
      if (lookahead == '-') ADVANCE(202);
      if (lookahead == '/') ADVANCE(233);
      if (lookahead == '0') ADVANCE(257);
      if (lookahead == ':') ADVANCE(212);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(181);
      if (lookahead == '=') ADVANCE(173);
      if (lookahead == '>') ADVANCE(184);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(255);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(63);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '_') ADVANCE(260);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == 'e') ADVANCE(266);
      if (lookahead == 'i') ADVANCE(265);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(121);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(67);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(1)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(268);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(217);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(182);
      if (lookahead == '>') ADVANCE(186);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '@') ADVANCE(254);
      if (lookahead == '\\') SKIP(78)
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == 'e') ADVANCE(250);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(2)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 3:
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(217);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '@') ADVANCE(254);
      if (lookahead == '\\') SKIP(99)
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == 'i') ADVANCE(249);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(3)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') SKIP(105)
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == 'e') ADVANCE(61);
      if (lookahead == 'i') ADVANCE(60);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(4)
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(123);
      if (lookahead == '!') ADVANCE(161);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(217);
      if (lookahead == '&') ADVANCE(271);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '+') ADVANCE(200);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '@') ADVANCE(254);
      if (lookahead == '\\') SKIP(80)
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(5)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 6:
      if (lookahead == '\n') ADVANCE(123);
      if (lookahead == '!') ADVANCE(54);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '&') ADVANCE(271);
      if (lookahead == '+') ADVANCE(200);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') SKIP(90)
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(6)
      END_STATE();
    case 7:
      if (lookahead == '\n') ADVANCE(124);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == '-') ADVANCE(267);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(81);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(7)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 8:
      if (lookahead == '\n') ADVANCE(125);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(68);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == 'e') ADVANCE(245);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(8)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(268);
      END_STATE();
    case 9:
      if (lookahead == '\n') ADVANCE(126);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(253);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(255);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(69);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(9)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(268);
      END_STATE();
    case 10:
      if (lookahead == '\n') ADVANCE(127);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '*') ADVANCE(253);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(255);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(70);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == 'e') ADVANCE(245);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(10)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(268);
      END_STATE();
    case 11:
      if (lookahead == '\n') ADVANCE(128);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(71);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(11)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 12:
      if (lookahead == '\n') ADVANCE(129);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '*') ADVANCE(253);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(255);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(72);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == 'e') ADVANCE(245);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(12)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(268);
      END_STATE();
    case 13:
      if (lookahead == '\n') ADVANCE(130);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(73);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == 'e') ADVANCE(266);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(13)
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(268);
      END_STATE();
    case 14:
      if (lookahead == '\n') ADVANCE(131);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(253);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(255);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(74);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(14)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(268);
      END_STATE();
    case 15:
      if (lookahead == '\n') ADVANCE(132);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(76);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == 'e') ADVANCE(266);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(15)
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(268);
      END_STATE();
    case 16:
      if (lookahead == '\n') ADVANCE(133);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(77);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(16)
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(268);
      END_STATE();
    case 17:
      if (lookahead == '\n') ADVANCE(134);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '*') ADVANCE(253);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(255);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(89);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(17)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 18:
      if (lookahead == '\n') ADVANCE(135);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(91);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(18)
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 19:
      if (lookahead == '!') ADVANCE(160);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '%') ADVANCE(236);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(153);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(253);
      if (lookahead == '+') ADVANCE(199);
      if (lookahead == '-') ADVANCE(202);
      if (lookahead == '/') ADVANCE(233);
      if (lookahead == '0') ADVANCE(257);
      if (lookahead == ':') ADVANCE(212);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(181);
      if (lookahead == '=') ADVANCE(173);
      if (lookahead == '>') ADVANCE(184);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(255);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(63);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '_') ADVANCE(260);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == 'e') ADVANCE(266);
      if (lookahead == 'i') ADVANCE(265);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(19)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 20:
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '%') ADVANCE(236);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '*') ADVANCE(253);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ':') ADVANCE(212);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '=') ADVANCE(175);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(255);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(88);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(20)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 21:
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(253);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == '<') ADVANCE(179);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(255);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(83);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(21)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 22:
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(153);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(53);
      if (lookahead == '<') ADVANCE(179);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(64);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '|') ADVANCE(147);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(22)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 23:
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(153);
      if (lookahead == ';') ADVANCE(53);
      if (lookahead == '<') ADVANCE(179);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(65);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == 'e') ADVANCE(266);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(23)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 24:
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(153);
      if (lookahead == '<') ADVANCE(179);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(66);
      if (lookahead == ']') ADVANCE(220);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(24)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 25:
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(52);
      if (lookahead == '-') ADVANCE(267);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(85);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(25)
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 26:
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(217);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '@') ADVANCE(254);
      if (lookahead == '\\') SKIP(100)
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '|') ADVANCE(147);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(26)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 27:
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(217);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '@') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(101);
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(224);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(227);
      END_STATE();
    case 28:
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(217);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '@') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(102);
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(225);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '`') ADVANCE(227);
      END_STATE();
    case 29:
      if (lookahead == '!') ADVANCE(161);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(217);
      if (lookahead == '&') ADVANCE(45);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '+') ADVANCE(200);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '@') ADVANCE(254);
      if (lookahead == '\\') SKIP(84)
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(29)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 30:
      if (lookahead == '!') ADVANCE(161);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(217);
      if (lookahead == '&') ADVANCE(45);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(52);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '+') ADVANCE(200);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == ':') ADVANCE(211);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '@') ADVANCE(254);
      if (lookahead == '\\') SKIP(82)
      if (lookahead == ']') ADVANCE(57);
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(30)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 31:
      if (lookahead == '!') ADVANCE(54);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(219);
      if (lookahead == '&') ADVANCE(45);
      if (lookahead == '(') ADVANCE(49);
      if (lookahead == ')') ADVANCE(52);
      if (lookahead == '+') ADVANCE(200);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == ':') ADVANCE(211);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') SKIP(93)
      if (lookahead == ']') ADVANCE(221);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(31)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 32:
      if (lookahead == '!') ADVANCE(54);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '&') ADVANCE(45);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '+') ADVANCE(200);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') SKIP(95)
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '|') ADVANCE(149);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(32)
      END_STATE();
    case 33:
      if (lookahead == '!') ADVANCE(54);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '&') ADVANCE(45);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '+') ADVANCE(200);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') SKIP(96)
      if (lookahead == '|') ADVANCE(149);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(33)
      END_STATE();
    case 34:
      if (lookahead == '!') ADVANCE(54);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '&') ADVANCE(45);
      if (lookahead == ')') ADVANCE(52);
      if (lookahead == '+') ADVANCE(200);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == ':') ADVANCE(211);
      if (lookahead == ';') ADVANCE(53);
      if (lookahead == '<') ADVANCE(183);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(187);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') SKIP(94)
      if (lookahead == 'e') ADVANCE(61);
      if (lookahead == 'i') ADVANCE(60);
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(34)
      END_STATE();
    case 35:
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '%') ADVANCE(236);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '/') ADVANCE(233);
      if (lookahead == ':') ADVANCE(212);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '=') ADVANCE(175);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(86);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(35)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 36:
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '%') ADVANCE(236);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == ':') ADVANCE(212);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '=') ADVANCE(175);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(87);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(36)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 37:
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(153);
      if (lookahead == '<') ADVANCE(179);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(75);
      if (lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(37)
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 38:
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '<') ADVANCE(179);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(79);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(147);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(38)
      if (lookahead != 0 &&
          lookahead != ';') ADVANCE(268);
      END_STATE();
    case 39:
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(97);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '}') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(39)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 40:
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(98);
      if (lookahead == ']') ADVANCE(165);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(40)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 41:
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(92);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == 'e') ADVANCE(266);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(41)
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 42:
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(223);
      if (lookahead == '$') ADVANCE(219);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(226);
      if (lookahead != 0) ADVANCE(227);
      END_STATE();
    case 43:
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(217);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '+') ADVANCE(55);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == '<') ADVANCE(178);
      if (lookahead == '=') ADVANCE(172);
      if (lookahead == '>') ADVANCE(186);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '@') ADVANCE(254);
      if (lookahead == '[') ADVANCE(163);
      if (lookahead == '\\') SKIP(104)
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(43)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 44:
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == ';') ADVANCE(141);
      if (lookahead == '\\') ADVANCE(106);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(44)
      if (lookahead != 0 &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(268);
      END_STATE();
    case 45:
      if (lookahead == '&') ADVANCE(157);
      END_STATE();
    case 46:
      if (lookahead == '\'') ADVANCE(228);
      if (lookahead != 0) ADVANCE(46);
      END_STATE();
    case 47:
      if (lookahead == '\'') ADVANCE(229);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead != 0) ADVANCE(47);
      END_STATE();
    case 48:
      if (lookahead == '\'') ADVANCE(230);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead != 0) ADVANCE(47);
      END_STATE();
    case 49:
      if (lookahead == '(') ADVANCE(139);
      END_STATE();
    case 50:
      if (lookahead == '(') ADVANCE(239);
      END_STATE();
    case 51:
      if (lookahead == '(') ADVANCE(240);
      END_STATE();
    case 52:
      if (lookahead == ')') ADVANCE(140);
      END_STATE();
    case 53:
      if (lookahead == ';') ADVANCE(151);
      END_STATE();
    case 54:
      if (lookahead == '=') ADVANCE(197);
      END_STATE();
    case 55:
      if (lookahead == '=') ADVANCE(176);
      END_STATE();
    case 56:
      if (lookahead == '>') ADVANCE(189);
      END_STATE();
    case 57:
      if (lookahead == ']') ADVANCE(167);
      END_STATE();
    case 58:
      if (lookahead == 'a') ADVANCE(59);
      END_STATE();
    case 59:
      if (lookahead == 'c') ADVANCE(143);
      END_STATE();
    case 60:
      if (lookahead == 'n') ADVANCE(136);
      END_STATE();
    case 61:
      if (lookahead == 's') ADVANCE(58);
      END_STATE();
    case 62:
      if (lookahead == '|') ADVANCE(158);
      END_STATE();
    case 63:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(19)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 64:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(22)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 65:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(23)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 66:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(24)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 67:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(1)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 68:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(8)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 69:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(9)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 70:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(10)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 71:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(11)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 72:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(12)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 73:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(13)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 74:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(14)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 75:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(37)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 76:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(15)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 77:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(16)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 78:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(2)
      END_STATE();
    case 79:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(38)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 80:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(5)
      END_STATE();
    case 81:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(7)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 82:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(30)
      END_STATE();
    case 83:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(21)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 84:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(29)
      END_STATE();
    case 85:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(25)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 86:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(35)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 87:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(36)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 88:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(20)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 89:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(17)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 90:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(6)
      END_STATE();
    case 91:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(18)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 92:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(41)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 93:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(31)
      END_STATE();
    case 94:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(34)
      END_STATE();
    case 95:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(32)
      END_STATE();
    case 96:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(33)
      END_STATE();
    case 97:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(39)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 98:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(40)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 99:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(3)
      END_STATE();
    case 100:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(26)
      END_STATE();
    case 101:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(224);
      if (lookahead != 0) ADVANCE(227);
      END_STATE();
    case 102:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(225);
      if (lookahead != 0) ADVANCE(227);
      END_STATE();
    case 103:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(226);
      if (lookahead != 0) ADVANCE(227);
      END_STATE();
    case 104:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(43)
      END_STATE();
    case 105:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(4)
      END_STATE();
    case 106:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(44)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 107:
      if (lookahead != 0) ADVANCE(227);
      END_STATE();
    case 108:
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ') ADVANCE(268);
      END_STATE();
    case 109:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(121);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(67);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(109)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(268);
      END_STATE();
    case 110:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(217);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(182);
      if (lookahead == '>') ADVANCE(186);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '@') ADVANCE(254);
      if (lookahead == '\\') SKIP(118)
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(110)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 111:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(122);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(182);
      if (lookahead == '>') ADVANCE(186);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') SKIP(119)
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == 'e') ADVANCE(61);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(111)
      END_STATE();
    case 112:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(126);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(253);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(255);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(69);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(112)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(268);
      END_STATE();
    case 113:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(128);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(71);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(113)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 114:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(131);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == '*') ADVANCE(253);
      if (lookahead == '-') ADVANCE(204);
      if (lookahead == '0') ADVANCE(256);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '?') ADVANCE(210);
      if (lookahead == '@') ADVANCE(255);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(74);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(114)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(268);
      END_STATE();
    case 115:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(133);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(272);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(77);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '|') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(115)
      if (lookahead != 0 &&
          lookahead != '(') ADVANCE(268);
      END_STATE();
    case 116:
      if (eof) ADVANCE(120);
      if (lookahead == '\n') ADVANCE(135);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(270);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(142);
      if (lookahead == '<') ADVANCE(50);
      if (lookahead == '>') ADVANCE(51);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '\\') ADVANCE(91);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(116)
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != '|') ADVANCE(268);
      END_STATE();
    case 117:
      if (eof) ADVANCE(120);
      if (lookahead == '!') ADVANCE(162);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(242);
      if (lookahead == '$') ADVANCE(218);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '\'') ADVANCE(46);
      if (lookahead == '(') ADVANCE(153);
      if (lookahead == ')') ADVANCE(150);
      if (lookahead == ';') ADVANCE(53);
      if (lookahead == '<') ADVANCE(179);
      if (lookahead == '>') ADVANCE(185);
      if (lookahead == '[') ADVANCE(164);
      if (lookahead == '\\') ADVANCE(64);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(220);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '{') ADVANCE(154);
      if (lookahead == '|') ADVANCE(147);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(117)
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 118:
      if (eof) ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(110)
      END_STATE();
    case 119:
      if (eof) ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(111)
      END_STATE();
    case 120:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(121);
      if (lookahead == '\\') ADVANCE(67);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(122);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(123);
      if (lookahead == '-') ADVANCE(203);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(124);
      if (lookahead == '-') ADVANCE(267);
      if (lookahead == '\\') ADVANCE(81);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(125);
      if (lookahead == '\\') ADVANCE(68);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(126);
      if (lookahead == '\\') ADVANCE(69);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(127);
      if (lookahead == '\\') ADVANCE(70);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(128);
      if (lookahead == '\\') ADVANCE(71);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(129);
      if (lookahead == '\\') ADVANCE(72);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(130);
      if (lookahead == '\\') ADVANCE(73);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(131);
      if (lookahead == '\\') ADVANCE(74);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(132);
      if (lookahead == '\\') ADVANCE(76);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(133);
      if (lookahead == '\\') ADVANCE(77);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(134);
      if (lookahead == '\\') ADVANCE(89);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(135);
      if (lookahead == '\\') ADVANCE(91);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_in);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_LPAREN_LPAREN);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_RPAREN_RPAREN);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_SEMI);
      if (lookahead == ';') ADVANCE(151);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_esac);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_esac);
      if (lookahead == '\\') ADVANCE(108);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_esac);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_esac);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '&') ADVANCE(156);
      if (lookahead == '|') ADVANCE(158);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(158);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_SEMI_SEMI);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      if (lookahead == '(') ADVANCE(139);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_PIPE_AMP);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(198);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(197);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(166);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_EQ_TILDE);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_EQ_TILDE);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(171);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == '~') ADVANCE(169);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(170);
      if (lookahead == '~') ADVANCE(168);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(191);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(191);
      if (lookahead == '(') ADVANCE(239);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(191);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == '<') ADVANCE(194);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(191);
      if (lookahead == '(') ADVANCE(239);
      if (lookahead == '<') ADVANCE(194);
      if (lookahead == '=') ADVANCE(207);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(191);
      if (lookahead == '<') ADVANCE(194);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(207);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '&') ADVANCE(192);
      if (lookahead == '(') ADVANCE(240);
      if (lookahead == '=') ADVANCE(208);
      if (lookahead == '>') ADVANCE(188);
      if (lookahead == '|') ADVANCE(193);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '&') ADVANCE(192);
      if (lookahead == '(') ADVANCE(240);
      if (lookahead == '>') ADVANCE(188);
      if (lookahead == '|') ADVANCE(193);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '&') ADVANCE(192);
      if (lookahead == '>') ADVANCE(188);
      if (lookahead == '|') ADVANCE(193);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(208);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_AMP_GT);
      if (lookahead == '>') ADVANCE(190);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_AMP_GT_GT);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_LT_AMP);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_GT_AMP);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_GT_PIPE);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '-') ADVANCE(195);
      if (lookahead == '<') ADVANCE(196);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_LT_LT_DASH);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(214);
      if (lookahead == '=') ADVANCE(177);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(213);
      if (lookahead == '=') ADVANCE(176);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(216);
      if (lookahead == '=') ADVANCE(206);
      if (lookahead == '\\') ADVANCE(108);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(269);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(215);
      if (lookahead == '=') ADVANCE(205);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(269);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '-') ADVANCE(235);
      if (lookahead == '?') ADVANCE(234);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '\'') ADVANCE(47);
      if (lookahead == '(') ADVANCE(237);
      if (lookahead == '{') ADVANCE(232);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '(') ADVANCE(237);
      if (lookahead == '{') ADVANCE(232);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(sym__special_character);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym__special_character);
      if (lookahead == ']') ADVANCE(167);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '\n') ADVANCE(227);
      if (lookahead == '\\') ADVANCE(241);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(223);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(217);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '@') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(101);
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(224);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(227);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '!') ADVANCE(159);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '$') ADVANCE(217);
      if (lookahead == '*') ADVANCE(252);
      if (lookahead == '-') ADVANCE(201);
      if (lookahead == '0') ADVANCE(258);
      if (lookahead == '?') ADVANCE(209);
      if (lookahead == '@') ADVANCE(254);
      if (lookahead == '\\') ADVANCE(102);
      if (lookahead == '_') ADVANCE(261);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(225);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '`') ADVANCE(227);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '"') ADVANCE(222);
      if (lookahead == '#') ADVANCE(223);
      if (lookahead == '$') ADVANCE(219);
      if (lookahead == '\\') ADVANCE(103);
      if (lookahead == '`') ADVANCE(238);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(226);
      if (lookahead != 0) ADVANCE(227);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym__string_content);
      if (lookahead == '\\') ADVANCE(107);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(227);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_raw_string);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_ansii_c_string);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_ansii_c_string);
      if (lookahead == '\'') ADVANCE(229);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead != 0) ADVANCE(47);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_COLON_QMARK);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_COLON_DASH);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LPAREN);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_LT_LPAREN);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_GT_LPAREN);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(227);
      if (lookahead != 0) ADVANCE(223);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(242);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 'a') ADVANCE(244);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 'c') ADVANCE(144);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 's') ADVANCE(243);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(108);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 'a') ADVANCE(248);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 'c') ADVANCE(146);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 'n') ADVANCE(138);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 's') ADVANCE(247);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_0);
      if (lookahead == '\\') ADVANCE(108);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_0);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_0);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '\\') ADVANCE(108);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(246);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym__);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(251);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '=') ADVANCE(171);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == '~') ADVANCE(169);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 'a') ADVANCE(264);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 'c') ADVANCE(145);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 'n') ADVANCE(137);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 's') ADVANCE(263);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(108);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(269);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '`' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '<' &&
          lookahead != '>' &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(268);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(sym_test_operator);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(269);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(157);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(157);
      if (lookahead == '>') ADVANCE(189);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == '\\') SKIP(1)
      if (lookahead == 'c') ADVANCE(2);
      if (lookahead == 'd') ADVANCE(3);
      if (lookahead == 'e') ADVANCE(4);
      if (lookahead == 'f') ADVANCE(5);
      if (lookahead == 'i') ADVANCE(6);
      if (lookahead == 'l') ADVANCE(7);
      if (lookahead == 'r') ADVANCE(8);
      if (lookahead == 't') ADVANCE(9);
      if (lookahead == 'u') ADVANCE(10);
      if (lookahead == 'w') ADVANCE(11);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 2:
      if (lookahead == 'a') ADVANCE(12);
      END_STATE();
    case 3:
      if (lookahead == 'e') ADVANCE(13);
      if (lookahead == 'o') ADVANCE(14);
      END_STATE();
    case 4:
      if (lookahead == 'l') ADVANCE(15);
      if (lookahead == 'x') ADVANCE(16);
      END_STATE();
    case 5:
      if (lookahead == 'i') ADVANCE(17);
      if (lookahead == 'o') ADVANCE(18);
      if (lookahead == 'u') ADVANCE(19);
      END_STATE();
    case 6:
      if (lookahead == 'f') ADVANCE(20);
      END_STATE();
    case 7:
      if (lookahead == 'o') ADVANCE(21);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(22);
      END_STATE();
    case 9:
      if (lookahead == 'h') ADVANCE(23);
      if (lookahead == 'y') ADVANCE(24);
      END_STATE();
    case 10:
      if (lookahead == 'n') ADVANCE(25);
      END_STATE();
    case 11:
      if (lookahead == 'h') ADVANCE(26);
      END_STATE();
    case 12:
      if (lookahead == 's') ADVANCE(27);
      END_STATE();
    case 13:
      if (lookahead == 'c') ADVANCE(28);
      END_STATE();
    case 14:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == 'n') ADVANCE(29);
      END_STATE();
    case 15:
      if (lookahead == 'i') ADVANCE(30);
      if (lookahead == 's') ADVANCE(31);
      END_STATE();
    case 16:
      if (lookahead == 'p') ADVANCE(32);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(anon_sym_fi);
      END_STATE();
    case 18:
      if (lookahead == 'r') ADVANCE(33);
      END_STATE();
    case 19:
      if (lookahead == 'n') ADVANCE(34);
      END_STATE();
    case 20:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 21:
      if (lookahead == 'c') ADVANCE(35);
      END_STATE();
    case 22:
      if (lookahead == 'a') ADVANCE(36);
      END_STATE();
    case 23:
      if (lookahead == 'e') ADVANCE(37);
      END_STATE();
    case 24:
      if (lookahead == 'p') ADVANCE(38);
      END_STATE();
    case 25:
      if (lookahead == 's') ADVANCE(39);
      END_STATE();
    case 26:
      if (lookahead == 'i') ADVANCE(40);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(41);
      END_STATE();
    case 28:
      if (lookahead == 'l') ADVANCE(42);
      END_STATE();
    case 29:
      if (lookahead == 'e') ADVANCE(43);
      END_STATE();
    case 30:
      if (lookahead == 'f') ADVANCE(44);
      END_STATE();
    case 31:
      if (lookahead == 'e') ADVANCE(45);
      END_STATE();
    case 32:
      if (lookahead == 'o') ADVANCE(46);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 34:
      if (lookahead == 'c') ADVANCE(47);
      END_STATE();
    case 35:
      if (lookahead == 'a') ADVANCE(48);
      END_STATE();
    case 36:
      if (lookahead == 'd') ADVANCE(49);
      END_STATE();
    case 37:
      if (lookahead == 'n') ADVANCE(50);
      END_STATE();
    case 38:
      if (lookahead == 'e') ADVANCE(51);
      END_STATE();
    case 39:
      if (lookahead == 'e') ADVANCE(52);
      END_STATE();
    case 40:
      if (lookahead == 'l') ADVANCE(53);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 42:
      if (lookahead == 'a') ADVANCE(54);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_done);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_elif);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 46:
      if (lookahead == 'r') ADVANCE(55);
      END_STATE();
    case 47:
      if (lookahead == 't') ADVANCE(56);
      END_STATE();
    case 48:
      if (lookahead == 'l') ADVANCE(57);
      END_STATE();
    case 49:
      if (lookahead == 'o') ADVANCE(58);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_then);
      END_STATE();
    case 51:
      if (lookahead == 's') ADVANCE(59);
      END_STATE();
    case 52:
      if (lookahead == 't') ADVANCE(60);
      END_STATE();
    case 53:
      if (lookahead == 'e') ADVANCE(61);
      END_STATE();
    case 54:
      if (lookahead == 'r') ADVANCE(62);
      END_STATE();
    case 55:
      if (lookahead == 't') ADVANCE(63);
      END_STATE();
    case 56:
      if (lookahead == 'i') ADVANCE(64);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_local);
      END_STATE();
    case 58:
      if (lookahead == 'n') ADVANCE(65);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(66);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_unset);
      if (lookahead == 'e') ADVANCE(67);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(68);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 64:
      if (lookahead == 'o') ADVANCE(69);
      END_STATE();
    case 65:
      if (lookahead == 'l') ADVANCE(70);
      END_STATE();
    case 66:
      if (lookahead == 't') ADVANCE(71);
      END_STATE();
    case 67:
      if (lookahead == 'n') ADVANCE(72);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_declare);
      END_STATE();
    case 69:
      if (lookahead == 'n') ADVANCE(73);
      END_STATE();
    case 70:
      if (lookahead == 'y') ADVANCE(74);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_typeset);
      END_STATE();
    case 72:
      if (lookahead == 'v') ADVANCE(75);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_readonly);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_unsetenv);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 117, .external_lex_state = 2},
  [2] = {.lex_state = 117, .external_lex_state = 2},
  [3] = {.lex_state = 117, .external_lex_state = 2},
  [4] = {.lex_state = 117, .external_lex_state = 2},
  [5] = {.lex_state = 117, .external_lex_state = 2},
  [6] = {.lex_state = 117, .external_lex_state = 2},
  [7] = {.lex_state = 23, .external_lex_state = 2},
  [8] = {.lex_state = 117, .external_lex_state = 2},
  [9] = {.lex_state = 23, .external_lex_state = 2},
  [10] = {.lex_state = 117, .external_lex_state = 2},
  [11] = {.lex_state = 23, .external_lex_state = 2},
  [12] = {.lex_state = 23, .external_lex_state = 2},
  [13] = {.lex_state = 117, .external_lex_state = 2},
  [14] = {.lex_state = 117, .external_lex_state = 2},
  [15] = {.lex_state = 117, .external_lex_state = 2},
  [16] = {.lex_state = 117, .external_lex_state = 2},
  [17] = {.lex_state = 117, .external_lex_state = 2},
  [18] = {.lex_state = 117, .external_lex_state = 2},
  [19] = {.lex_state = 117, .external_lex_state = 2},
  [20] = {.lex_state = 117, .external_lex_state = 2},
  [21] = {.lex_state = 117, .external_lex_state = 2},
  [22] = {.lex_state = 117, .external_lex_state = 2},
  [23] = {.lex_state = 117, .external_lex_state = 2},
  [24] = {.lex_state = 117, .external_lex_state = 2},
  [25] = {.lex_state = 117, .external_lex_state = 2},
  [26] = {.lex_state = 117, .external_lex_state = 2},
  [27] = {.lex_state = 117, .external_lex_state = 2},
  [28] = {.lex_state = 117, .external_lex_state = 2},
  [29] = {.lex_state = 117, .external_lex_state = 2},
  [30] = {.lex_state = 117, .external_lex_state = 2},
  [31] = {.lex_state = 117, .external_lex_state = 2},
  [32] = {.lex_state = 117, .external_lex_state = 2},
  [33] = {.lex_state = 117, .external_lex_state = 2},
  [34] = {.lex_state = 24, .external_lex_state = 3},
  [35] = {.lex_state = 117, .external_lex_state = 2},
  [36] = {.lex_state = 117, .external_lex_state = 2},
  [37] = {.lex_state = 117, .external_lex_state = 2},
  [38] = {.lex_state = 117, .external_lex_state = 2},
  [39] = {.lex_state = 117, .external_lex_state = 2},
  [40] = {.lex_state = 117, .external_lex_state = 2},
  [41] = {.lex_state = 117, .external_lex_state = 2},
  [42] = {.lex_state = 117, .external_lex_state = 2},
  [43] = {.lex_state = 117, .external_lex_state = 2},
  [44] = {.lex_state = 117, .external_lex_state = 2},
  [45] = {.lex_state = 117, .external_lex_state = 2},
  [46] = {.lex_state = 117, .external_lex_state = 2},
  [47] = {.lex_state = 117, .external_lex_state = 2},
  [48] = {.lex_state = 117, .external_lex_state = 2},
  [49] = {.lex_state = 117, .external_lex_state = 2},
  [50] = {.lex_state = 24, .external_lex_state = 3},
  [51] = {.lex_state = 117, .external_lex_state = 2},
  [52] = {.lex_state = 117, .external_lex_state = 2},
  [53] = {.lex_state = 117, .external_lex_state = 2},
  [54] = {.lex_state = 117, .external_lex_state = 2},
  [55] = {.lex_state = 117, .external_lex_state = 2},
  [56] = {.lex_state = 117, .external_lex_state = 2},
  [57] = {.lex_state = 117, .external_lex_state = 2},
  [58] = {.lex_state = 24, .external_lex_state = 3},
  [59] = {.lex_state = 117, .external_lex_state = 2},
  [60] = {.lex_state = 24, .external_lex_state = 3},
  [61] = {.lex_state = 117, .external_lex_state = 2},
  [62] = {.lex_state = 117, .external_lex_state = 2},
  [63] = {.lex_state = 117, .external_lex_state = 2},
  [64] = {.lex_state = 117, .external_lex_state = 2},
  [65] = {.lex_state = 117, .external_lex_state = 2},
  [66] = {.lex_state = 117, .external_lex_state = 2},
  [67] = {.lex_state = 24, .external_lex_state = 3},
  [68] = {.lex_state = 117, .external_lex_state = 2},
  [69] = {.lex_state = 117, .external_lex_state = 2},
  [70] = {.lex_state = 117, .external_lex_state = 2},
  [71] = {.lex_state = 117, .external_lex_state = 2},
  [72] = {.lex_state = 117, .external_lex_state = 2},
  [73] = {.lex_state = 117, .external_lex_state = 2},
  [74] = {.lex_state = 117, .external_lex_state = 2},
  [75] = {.lex_state = 117, .external_lex_state = 2},
  [76] = {.lex_state = 117, .external_lex_state = 2},
  [77] = {.lex_state = 117, .external_lex_state = 2},
  [78] = {.lex_state = 117, .external_lex_state = 2},
  [79] = {.lex_state = 117, .external_lex_state = 2},
  [80] = {.lex_state = 117, .external_lex_state = 2},
  [81] = {.lex_state = 117, .external_lex_state = 2},
  [82] = {.lex_state = 117, .external_lex_state = 2},
  [83] = {.lex_state = 117, .external_lex_state = 2},
  [84] = {.lex_state = 117, .external_lex_state = 2},
  [85] = {.lex_state = 117, .external_lex_state = 2},
  [86] = {.lex_state = 117, .external_lex_state = 2},
  [87] = {.lex_state = 117, .external_lex_state = 2},
  [88] = {.lex_state = 117, .external_lex_state = 2},
  [89] = {.lex_state = 117, .external_lex_state = 2},
  [90] = {.lex_state = 117, .external_lex_state = 2},
  [91] = {.lex_state = 117, .external_lex_state = 2},
  [92] = {.lex_state = 117, .external_lex_state = 2},
  [93] = {.lex_state = 117, .external_lex_state = 2},
  [94] = {.lex_state = 117, .external_lex_state = 2},
  [95] = {.lex_state = 117, .external_lex_state = 2},
  [96] = {.lex_state = 117, .external_lex_state = 2},
  [97] = {.lex_state = 117, .external_lex_state = 2},
  [98] = {.lex_state = 117, .external_lex_state = 2},
  [99] = {.lex_state = 117, .external_lex_state = 2},
  [100] = {.lex_state = 117, .external_lex_state = 2},
  [101] = {.lex_state = 117, .external_lex_state = 2},
  [102] = {.lex_state = 117, .external_lex_state = 2},
  [103] = {.lex_state = 117, .external_lex_state = 2},
  [104] = {.lex_state = 117, .external_lex_state = 2},
  [105] = {.lex_state = 117, .external_lex_state = 2},
  [106] = {.lex_state = 117, .external_lex_state = 2},
  [107] = {.lex_state = 117, .external_lex_state = 2},
  [108] = {.lex_state = 117, .external_lex_state = 2},
  [109] = {.lex_state = 117, .external_lex_state = 2},
  [110] = {.lex_state = 117, .external_lex_state = 2},
  [111] = {.lex_state = 117, .external_lex_state = 2},
  [112] = {.lex_state = 117, .external_lex_state = 2},
  [113] = {.lex_state = 117, .external_lex_state = 2},
  [114] = {.lex_state = 117, .external_lex_state = 2},
  [115] = {.lex_state = 117, .external_lex_state = 2},
  [116] = {.lex_state = 117, .external_lex_state = 2},
  [117] = {.lex_state = 117, .external_lex_state = 2},
  [118] = {.lex_state = 117, .external_lex_state = 2},
  [119] = {.lex_state = 117, .external_lex_state = 2},
  [120] = {.lex_state = 117, .external_lex_state = 2},
  [121] = {.lex_state = 117, .external_lex_state = 2},
  [122] = {.lex_state = 117, .external_lex_state = 2},
  [123] = {.lex_state = 117, .external_lex_state = 2},
  [124] = {.lex_state = 117, .external_lex_state = 2},
  [125] = {.lex_state = 117, .external_lex_state = 2},
  [126] = {.lex_state = 117, .external_lex_state = 2},
  [127] = {.lex_state = 117, .external_lex_state = 4},
  [128] = {.lex_state = 109, .external_lex_state = 5},
  [129] = {.lex_state = 8, .external_lex_state = 5},
  [130] = {.lex_state = 8, .external_lex_state = 5},
  [131] = {.lex_state = 8, .external_lex_state = 5},
  [132] = {.lex_state = 109, .external_lex_state = 5},
  [133] = {.lex_state = 109, .external_lex_state = 5},
  [134] = {.lex_state = 109, .external_lex_state = 5},
  [135] = {.lex_state = 109, .external_lex_state = 5},
  [136] = {.lex_state = 109, .external_lex_state = 5},
  [137] = {.lex_state = 112, .external_lex_state = 6},
  [138] = {.lex_state = 109, .external_lex_state = 5},
  [139] = {.lex_state = 23, .external_lex_state = 4},
  [140] = {.lex_state = 23, .external_lex_state = 4},
  [141] = {.lex_state = 109, .external_lex_state = 5},
  [142] = {.lex_state = 10, .external_lex_state = 6},
  [143] = {.lex_state = 112, .external_lex_state = 6},
  [144] = {.lex_state = 113, .external_lex_state = 6},
  [145] = {.lex_state = 12, .external_lex_state = 5},
  [146] = {.lex_state = 117, .external_lex_state = 4},
  [147] = {.lex_state = 13, .external_lex_state = 6},
  [148] = {.lex_state = 24, .external_lex_state = 7},
  [149] = {.lex_state = 113, .external_lex_state = 6},
  [150] = {.lex_state = 114, .external_lex_state = 5},
  [151] = {.lex_state = 113, .external_lex_state = 6},
  [152] = {.lex_state = 117, .external_lex_state = 4},
  [153] = {.lex_state = 113, .external_lex_state = 6},
  [154] = {.lex_state = 113, .external_lex_state = 6},
  [155] = {.lex_state = 117, .external_lex_state = 4},
  [156] = {.lex_state = 113, .external_lex_state = 6},
  [157] = {.lex_state = 13, .external_lex_state = 6},
  [158] = {.lex_state = 113, .external_lex_state = 6},
  [159] = {.lex_state = 114, .external_lex_state = 5},
  [160] = {.lex_state = 12, .external_lex_state = 5},
  [161] = {.lex_state = 117, .external_lex_state = 4},
  [162] = {.lex_state = 117, .external_lex_state = 2},
  [163] = {.lex_state = 114, .external_lex_state = 5},
  [164] = {.lex_state = 117, .external_lex_state = 4},
  [165] = {.lex_state = 117, .external_lex_state = 2},
  [166] = {.lex_state = 113, .external_lex_state = 6},
  [167] = {.lex_state = 113, .external_lex_state = 6},
  [168] = {.lex_state = 13, .external_lex_state = 6},
  [169] = {.lex_state = 13, .external_lex_state = 6},
  [170] = {.lex_state = 113, .external_lex_state = 6},
  [171] = {.lex_state = 117, .external_lex_state = 4},
  [172] = {.lex_state = 114, .external_lex_state = 5},
  [173] = {.lex_state = 13, .external_lex_state = 6},
  [174] = {.lex_state = 8, .external_lex_state = 6},
  [175] = {.lex_state = 117, .external_lex_state = 4},
  [176] = {.lex_state = 109, .external_lex_state = 6},
  [177] = {.lex_state = 12, .external_lex_state = 6},
  [178] = {.lex_state = 113, .external_lex_state = 6},
  [179] = {.lex_state = 113, .external_lex_state = 6},
  [180] = {.lex_state = 113, .external_lex_state = 6},
  [181] = {.lex_state = 109, .external_lex_state = 6},
  [182] = {.lex_state = 8, .external_lex_state = 6},
  [183] = {.lex_state = 109, .external_lex_state = 6},
  [184] = {.lex_state = 117, .external_lex_state = 4},
  [185] = {.lex_state = 113, .external_lex_state = 6},
  [186] = {.lex_state = 109, .external_lex_state = 6},
  [187] = {.lex_state = 8, .external_lex_state = 6},
  [188] = {.lex_state = 114, .external_lex_state = 6},
  [189] = {.lex_state = 117, .external_lex_state = 4},
  [190] = {.lex_state = 109, .external_lex_state = 6},
  [191] = {.lex_state = 109, .external_lex_state = 6},
  [192] = {.lex_state = 114, .external_lex_state = 6},
  [193] = {.lex_state = 109, .external_lex_state = 6},
  [194] = {.lex_state = 23, .external_lex_state = 2},
  [195] = {.lex_state = 37, .external_lex_state = 2},
  [196] = {.lex_state = 117, .external_lex_state = 2},
  [197] = {.lex_state = 23, .external_lex_state = 2},
  [198] = {.lex_state = 37, .external_lex_state = 2},
  [199] = {.lex_state = 117, .external_lex_state = 2},
  [200] = {.lex_state = 37, .external_lex_state = 2},
  [201] = {.lex_state = 117, .external_lex_state = 2},
  [202] = {.lex_state = 37, .external_lex_state = 2},
  [203] = {.lex_state = 109, .external_lex_state = 6},
  [204] = {.lex_state = 117, .external_lex_state = 2},
  [205] = {.lex_state = 23, .external_lex_state = 2},
  [206] = {.lex_state = 23, .external_lex_state = 2},
  [207] = {.lex_state = 117, .external_lex_state = 2},
  [208] = {.lex_state = 117, .external_lex_state = 2},
  [209] = {.lex_state = 117, .external_lex_state = 2},
  [210] = {.lex_state = 117, .external_lex_state = 2},
  [211] = {.lex_state = 24, .external_lex_state = 3},
  [212] = {.lex_state = 24, .external_lex_state = 3},
  [213] = {.lex_state = 117, .external_lex_state = 2},
  [214] = {.lex_state = 117, .external_lex_state = 2},
  [215] = {.lex_state = 117, .external_lex_state = 2},
  [216] = {.lex_state = 117, .external_lex_state = 2},
  [217] = {.lex_state = 117, .external_lex_state = 2},
  [218] = {.lex_state = 117, .external_lex_state = 2},
  [219] = {.lex_state = 15, .external_lex_state = 5},
  [220] = {.lex_state = 115, .external_lex_state = 5},
  [221] = {.lex_state = 113, .external_lex_state = 8},
  [222] = {.lex_state = 115, .external_lex_state = 5},
  [223] = {.lex_state = 13, .external_lex_state = 8},
  [224] = {.lex_state = 113, .external_lex_state = 8},
  [225] = {.lex_state = 115, .external_lex_state = 5},
  [226] = {.lex_state = 115, .external_lex_state = 5},
  [227] = {.lex_state = 115, .external_lex_state = 5},
  [228] = {.lex_state = 115, .external_lex_state = 5},
  [229] = {.lex_state = 15, .external_lex_state = 5},
  [230] = {.lex_state = 115, .external_lex_state = 5},
  [231] = {.lex_state = 15, .external_lex_state = 5},
  [232] = {.lex_state = 115, .external_lex_state = 5},
  [233] = {.lex_state = 15, .external_lex_state = 5},
  [234] = {.lex_state = 109, .external_lex_state = 9},
  [235] = {.lex_state = 8, .external_lex_state = 9},
  [236] = {.lex_state = 115, .external_lex_state = 5},
  [237] = {.lex_state = 115, .external_lex_state = 5},
  [238] = {.lex_state = 113, .external_lex_state = 8},
  [239] = {.lex_state = 13, .external_lex_state = 8},
  [240] = {.lex_state = 13, .external_lex_state = 8},
  [241] = {.lex_state = 113, .external_lex_state = 8},
  [242] = {.lex_state = 8, .external_lex_state = 9},
  [243] = {.lex_state = 113, .external_lex_state = 8},
  [244] = {.lex_state = 109, .external_lex_state = 9},
  [245] = {.lex_state = 8, .external_lex_state = 9},
  [246] = {.lex_state = 113, .external_lex_state = 8},
  [247] = {.lex_state = 109, .external_lex_state = 9},
  [248] = {.lex_state = 109, .external_lex_state = 9},
  [249] = {.lex_state = 113, .external_lex_state = 8},
  [250] = {.lex_state = 115, .external_lex_state = 5},
  [251] = {.lex_state = 109, .external_lex_state = 9},
  [252] = {.lex_state = 8, .external_lex_state = 9},
  [253] = {.lex_state = 109, .external_lex_state = 9},
  [254] = {.lex_state = 13, .external_lex_state = 8},
  [255] = {.lex_state = 115, .external_lex_state = 5},
  [256] = {.lex_state = 13, .external_lex_state = 8},
  [257] = {.lex_state = 113, .external_lex_state = 8},
  [258] = {.lex_state = 8, .external_lex_state = 9},
  [259] = {.lex_state = 115, .external_lex_state = 5},
  [260] = {.lex_state = 113, .external_lex_state = 8},
  [261] = {.lex_state = 113, .external_lex_state = 8},
  [262] = {.lex_state = 113, .external_lex_state = 8},
  [263] = {.lex_state = 13, .external_lex_state = 8},
  [264] = {.lex_state = 113, .external_lex_state = 8},
  [265] = {.lex_state = 115, .external_lex_state = 5},
  [266] = {.lex_state = 115, .external_lex_state = 5},
  [267] = {.lex_state = 115, .external_lex_state = 5},
  [268] = {.lex_state = 115, .external_lex_state = 5},
  [269] = {.lex_state = 13, .external_lex_state = 8},
  [270] = {.lex_state = 115, .external_lex_state = 5},
  [271] = {.lex_state = 113, .external_lex_state = 8},
  [272] = {.lex_state = 113, .external_lex_state = 8},
  [273] = {.lex_state = 109, .external_lex_state = 9},
  [274] = {.lex_state = 109, .external_lex_state = 9},
  [275] = {.lex_state = 109, .external_lex_state = 9},
  [276] = {.lex_state = 109, .external_lex_state = 9},
  [277] = {.lex_state = 110, .external_lex_state = 6},
  [278] = {.lex_state = 113, .external_lex_state = 6},
  [279] = {.lex_state = 115, .external_lex_state = 9},
  [280] = {.lex_state = 115, .external_lex_state = 9},
  [281] = {.lex_state = 115, .external_lex_state = 9},
  [282] = {.lex_state = 109, .external_lex_state = 9},
  [283] = {.lex_state = 109, .external_lex_state = 9},
  [284] = {.lex_state = 109, .external_lex_state = 9},
  [285] = {.lex_state = 109, .external_lex_state = 9},
  [286] = {.lex_state = 109, .external_lex_state = 9},
  [287] = {.lex_state = 109, .external_lex_state = 9},
  [288] = {.lex_state = 109, .external_lex_state = 9},
  [289] = {.lex_state = 109, .external_lex_state = 9},
  [290] = {.lex_state = 109, .external_lex_state = 8},
  [291] = {.lex_state = 109, .external_lex_state = 8},
  [292] = {.lex_state = 109, .external_lex_state = 9},
  [293] = {.lex_state = 109, .external_lex_state = 9},
  [294] = {.lex_state = 113, .external_lex_state = 8},
  [295] = {.lex_state = 113, .external_lex_state = 8},
  [296] = {.lex_state = 109, .external_lex_state = 8},
  [297] = {.lex_state = 109, .external_lex_state = 8},
  [298] = {.lex_state = 109, .external_lex_state = 9},
  [299] = {.lex_state = 8, .external_lex_state = 5},
  [300] = {.lex_state = 113, .external_lex_state = 8},
  [301] = {.lex_state = 113, .external_lex_state = 6},
  [302] = {.lex_state = 109, .external_lex_state = 5},
  [303] = {.lex_state = 109, .external_lex_state = 8},
  [304] = {.lex_state = 113, .external_lex_state = 8},
  [305] = {.lex_state = 109, .external_lex_state = 9},
  [306] = {.lex_state = 109, .external_lex_state = 9},
  [307] = {.lex_state = 109, .external_lex_state = 9},
  [308] = {.lex_state = 109, .external_lex_state = 9},
  [309] = {.lex_state = 109, .external_lex_state = 9},
  [310] = {.lex_state = 109, .external_lex_state = 9},
  [311] = {.lex_state = 109, .external_lex_state = 9},
  [312] = {.lex_state = 109, .external_lex_state = 9},
  [313] = {.lex_state = 109, .external_lex_state = 9},
  [314] = {.lex_state = 109, .external_lex_state = 9},
  [315] = {.lex_state = 109, .external_lex_state = 9},
  [316] = {.lex_state = 109, .external_lex_state = 9},
  [317] = {.lex_state = 109, .external_lex_state = 9},
  [318] = {.lex_state = 109, .external_lex_state = 9},
  [319] = {.lex_state = 109, .external_lex_state = 5},
  [320] = {.lex_state = 109, .external_lex_state = 9},
  [321] = {.lex_state = 109, .external_lex_state = 9},
  [322] = {.lex_state = 109, .external_lex_state = 9},
  [323] = {.lex_state = 109, .external_lex_state = 9},
  [324] = {.lex_state = 109, .external_lex_state = 9},
  [325] = {.lex_state = 109, .external_lex_state = 9},
  [326] = {.lex_state = 109, .external_lex_state = 8},
  [327] = {.lex_state = 109, .external_lex_state = 9},
  [328] = {.lex_state = 109, .external_lex_state = 9},
  [329] = {.lex_state = 15, .external_lex_state = 9},
  [330] = {.lex_state = 109, .external_lex_state = 9},
  [331] = {.lex_state = 109, .external_lex_state = 9},
  [332] = {.lex_state = 109, .external_lex_state = 9},
  [333] = {.lex_state = 113, .external_lex_state = 8},
  [334] = {.lex_state = 113, .external_lex_state = 8},
  [335] = {.lex_state = 113, .external_lex_state = 8},
  [336] = {.lex_state = 109, .external_lex_state = 9},
  [337] = {.lex_state = 109, .external_lex_state = 9},
  [338] = {.lex_state = 113, .external_lex_state = 8},
  [339] = {.lex_state = 109, .external_lex_state = 9},
  [340] = {.lex_state = 109, .external_lex_state = 9},
  [341] = {.lex_state = 109, .external_lex_state = 9},
  [342] = {.lex_state = 109, .external_lex_state = 9},
  [343] = {.lex_state = 109, .external_lex_state = 9},
  [344] = {.lex_state = 109, .external_lex_state = 9},
  [345] = {.lex_state = 109, .external_lex_state = 9},
  [346] = {.lex_state = 109, .external_lex_state = 9},
  [347] = {.lex_state = 109, .external_lex_state = 9},
  [348] = {.lex_state = 109, .external_lex_state = 9},
  [349] = {.lex_state = 109, .external_lex_state = 9},
  [350] = {.lex_state = 109, .external_lex_state = 9},
  [351] = {.lex_state = 113, .external_lex_state = 8},
  [352] = {.lex_state = 109, .external_lex_state = 5},
  [353] = {.lex_state = 113, .external_lex_state = 8},
  [354] = {.lex_state = 109, .external_lex_state = 5},
  [355] = {.lex_state = 113, .external_lex_state = 8},
  [356] = {.lex_state = 109, .external_lex_state = 8},
  [357] = {.lex_state = 115, .external_lex_state = 9},
  [358] = {.lex_state = 115, .external_lex_state = 9},
  [359] = {.lex_state = 113, .external_lex_state = 6},
  [360] = {.lex_state = 113, .external_lex_state = 6},
  [361] = {.lex_state = 115, .external_lex_state = 9},
  [362] = {.lex_state = 109, .external_lex_state = 5},
  [363] = {.lex_state = 113, .external_lex_state = 8},
  [364] = {.lex_state = 115, .external_lex_state = 9},
  [365] = {.lex_state = 113, .external_lex_state = 8},
  [366] = {.lex_state = 113, .external_lex_state = 8},
  [367] = {.lex_state = 113, .external_lex_state = 8},
  [368] = {.lex_state = 113, .external_lex_state = 8},
  [369] = {.lex_state = 13, .external_lex_state = 8},
  [370] = {.lex_state = 13, .external_lex_state = 8},
  [371] = {.lex_state = 13, .external_lex_state = 8},
  [372] = {.lex_state = 13, .external_lex_state = 8},
  [373] = {.lex_state = 13, .external_lex_state = 8},
  [374] = {.lex_state = 113, .external_lex_state = 8},
  [375] = {.lex_state = 113, .external_lex_state = 8},
  [376] = {.lex_state = 113, .external_lex_state = 8},
  [377] = {.lex_state = 113, .external_lex_state = 8},
  [378] = {.lex_state = 113, .external_lex_state = 8},
  [379] = {.lex_state = 113, .external_lex_state = 8},
  [380] = {.lex_state = 113, .external_lex_state = 8},
  [381] = {.lex_state = 13, .external_lex_state = 8},
  [382] = {.lex_state = 113, .external_lex_state = 8},
  [383] = {.lex_state = 113, .external_lex_state = 8},
  [384] = {.lex_state = 113, .external_lex_state = 8},
  [385] = {.lex_state = 113, .external_lex_state = 8},
  [386] = {.lex_state = 8, .external_lex_state = 9},
  [387] = {.lex_state = 8, .external_lex_state = 9},
  [388] = {.lex_state = 113, .external_lex_state = 8},
  [389] = {.lex_state = 113, .external_lex_state = 8},
  [390] = {.lex_state = 113, .external_lex_state = 8},
  [391] = {.lex_state = 113, .external_lex_state = 8},
  [392] = {.lex_state = 113, .external_lex_state = 8},
  [393] = {.lex_state = 8, .external_lex_state = 9},
  [394] = {.lex_state = 8, .external_lex_state = 9},
  [395] = {.lex_state = 8, .external_lex_state = 9},
  [396] = {.lex_state = 113, .external_lex_state = 8},
  [397] = {.lex_state = 113, .external_lex_state = 8},
  [398] = {.lex_state = 113, .external_lex_state = 8},
  [399] = {.lex_state = 13, .external_lex_state = 6},
  [400] = {.lex_state = 8, .external_lex_state = 9},
  [401] = {.lex_state = 113, .external_lex_state = 8},
  [402] = {.lex_state = 113, .external_lex_state = 8},
  [403] = {.lex_state = 113, .external_lex_state = 8},
  [404] = {.lex_state = 113, .external_lex_state = 8},
  [405] = {.lex_state = 113, .external_lex_state = 8},
  [406] = {.lex_state = 113, .external_lex_state = 8},
  [407] = {.lex_state = 13, .external_lex_state = 8},
  [408] = {.lex_state = 113, .external_lex_state = 8},
  [409] = {.lex_state = 13, .external_lex_state = 8},
  [410] = {.lex_state = 8, .external_lex_state = 8},
  [411] = {.lex_state = 13, .external_lex_state = 6},
  [412] = {.lex_state = 8, .external_lex_state = 8},
  [413] = {.lex_state = 113, .external_lex_state = 6},
  [414] = {.lex_state = 13, .external_lex_state = 8},
  [415] = {.lex_state = 13, .external_lex_state = 6},
  [416] = {.lex_state = 113, .external_lex_state = 6},
  [417] = {.lex_state = 113, .external_lex_state = 6},
  [418] = {.lex_state = 113, .external_lex_state = 8},
  [419] = {.lex_state = 113, .external_lex_state = 8},
  [420] = {.lex_state = 113, .external_lex_state = 8},
  [421] = {.lex_state = 113, .external_lex_state = 8},
  [422] = {.lex_state = 13, .external_lex_state = 8},
  [423] = {.lex_state = 13, .external_lex_state = 8},
  [424] = {.lex_state = 109, .external_lex_state = 5},
  [425] = {.lex_state = 109, .external_lex_state = 8},
  [426] = {.lex_state = 13, .external_lex_state = 8},
  [427] = {.lex_state = 8, .external_lex_state = 8},
  [428] = {.lex_state = 8, .external_lex_state = 5},
  [429] = {.lex_state = 13, .external_lex_state = 6},
  [430] = {.lex_state = 13, .external_lex_state = 8},
  [431] = {.lex_state = 13, .external_lex_state = 8},
  [432] = {.lex_state = 13, .external_lex_state = 8},
  [433] = {.lex_state = 13, .external_lex_state = 8},
  [434] = {.lex_state = 13, .external_lex_state = 8},
  [435] = {.lex_state = 13, .external_lex_state = 8},
  [436] = {.lex_state = 13, .external_lex_state = 8},
  [437] = {.lex_state = 13, .external_lex_state = 8},
  [438] = {.lex_state = 13, .external_lex_state = 8},
  [439] = {.lex_state = 13, .external_lex_state = 8},
  [440] = {.lex_state = 13, .external_lex_state = 8},
  [441] = {.lex_state = 113, .external_lex_state = 8},
  [442] = {.lex_state = 13, .external_lex_state = 8},
  [443] = {.lex_state = 13, .external_lex_state = 8},
  [444] = {.lex_state = 8, .external_lex_state = 9},
  [445] = {.lex_state = 113, .external_lex_state = 6},
  [446] = {.lex_state = 8, .external_lex_state = 9},
  [447] = {.lex_state = 15, .external_lex_state = 9},
  [448] = {.lex_state = 8, .external_lex_state = 5},
  [449] = {.lex_state = 15, .external_lex_state = 9},
  [450] = {.lex_state = 8, .external_lex_state = 9},
  [451] = {.lex_state = 8, .external_lex_state = 9},
  [452] = {.lex_state = 113, .external_lex_state = 8},
  [453] = {.lex_state = 8, .external_lex_state = 9},
  [454] = {.lex_state = 8, .external_lex_state = 9},
  [455] = {.lex_state = 115, .external_lex_state = 9},
  [456] = {.lex_state = 8, .external_lex_state = 9},
  [457] = {.lex_state = 8, .external_lex_state = 9},
  [458] = {.lex_state = 8, .external_lex_state = 9},
  [459] = {.lex_state = 8, .external_lex_state = 9},
  [460] = {.lex_state = 8, .external_lex_state = 9},
  [461] = {.lex_state = 8, .external_lex_state = 9},
  [462] = {.lex_state = 8, .external_lex_state = 9},
  [463] = {.lex_state = 8, .external_lex_state = 9},
  [464] = {.lex_state = 8, .external_lex_state = 9},
  [465] = {.lex_state = 8, .external_lex_state = 9},
  [466] = {.lex_state = 8, .external_lex_state = 9},
  [467] = {.lex_state = 113, .external_lex_state = 8},
  [468] = {.lex_state = 8, .external_lex_state = 9},
  [469] = {.lex_state = 113, .external_lex_state = 8},
  [470] = {.lex_state = 8, .external_lex_state = 9},
  [471] = {.lex_state = 8, .external_lex_state = 8},
  [472] = {.lex_state = 15, .external_lex_state = 9},
  [473] = {.lex_state = 109, .external_lex_state = 8},
  [474] = {.lex_state = 109, .external_lex_state = 8},
  [475] = {.lex_state = 15, .external_lex_state = 9},
  [476] = {.lex_state = 15, .external_lex_state = 9},
  [477] = {.lex_state = 15, .external_lex_state = 9},
  [478] = {.lex_state = 15, .external_lex_state = 9},
  [479] = {.lex_state = 15, .external_lex_state = 9},
  [480] = {.lex_state = 15, .external_lex_state = 9},
  [481] = {.lex_state = 115, .external_lex_state = 9},
  [482] = {.lex_state = 15, .external_lex_state = 9},
  [483] = {.lex_state = 15, .external_lex_state = 9},
  [484] = {.lex_state = 15, .external_lex_state = 9},
  [485] = {.lex_state = 115, .external_lex_state = 9},
  [486] = {.lex_state = 15, .external_lex_state = 9},
  [487] = {.lex_state = 15, .external_lex_state = 5},
  [488] = {.lex_state = 15, .external_lex_state = 9},
  [489] = {.lex_state = 15, .external_lex_state = 9},
  [490] = {.lex_state = 113, .external_lex_state = 6},
  [491] = {.lex_state = 115, .external_lex_state = 9},
  [492] = {.lex_state = 115, .external_lex_state = 9},
  [493] = {.lex_state = 115, .external_lex_state = 9},
  [494] = {.lex_state = 115, .external_lex_state = 9},
  [495] = {.lex_state = 115, .external_lex_state = 9},
  [496] = {.lex_state = 8, .external_lex_state = 8},
  [497] = {.lex_state = 8, .external_lex_state = 8},
  [498] = {.lex_state = 8, .external_lex_state = 8},
  [499] = {.lex_state = 8, .external_lex_state = 8},
  [500] = {.lex_state = 8, .external_lex_state = 8},
  [501] = {.lex_state = 8, .external_lex_state = 8},
  [502] = {.lex_state = 8, .external_lex_state = 8},
  [503] = {.lex_state = 8, .external_lex_state = 8},
  [504] = {.lex_state = 8, .external_lex_state = 8},
  [505] = {.lex_state = 8, .external_lex_state = 8},
  [506] = {.lex_state = 8, .external_lex_state = 8},
  [507] = {.lex_state = 115, .external_lex_state = 9},
  [508] = {.lex_state = 115, .external_lex_state = 9},
  [509] = {.lex_state = 115, .external_lex_state = 9},
  [510] = {.lex_state = 8, .external_lex_state = 8},
  [511] = {.lex_state = 8, .external_lex_state = 8},
  [512] = {.lex_state = 115, .external_lex_state = 9},
  [513] = {.lex_state = 8, .external_lex_state = 8},
  [514] = {.lex_state = 8, .external_lex_state = 8},
  [515] = {.lex_state = 115, .external_lex_state = 9},
  [516] = {.lex_state = 8, .external_lex_state = 8},
  [517] = {.lex_state = 8, .external_lex_state = 8},
  [518] = {.lex_state = 8, .external_lex_state = 6},
  [519] = {.lex_state = 115, .external_lex_state = 9},
  [520] = {.lex_state = 8, .external_lex_state = 8},
  [521] = {.lex_state = 115, .external_lex_state = 9},
  [522] = {.lex_state = 8, .external_lex_state = 8},
  [523] = {.lex_state = 115, .external_lex_state = 9},
  [524] = {.lex_state = 15, .external_lex_state = 9},
  [525] = {.lex_state = 115, .external_lex_state = 9},
  [526] = {.lex_state = 115, .external_lex_state = 9},
  [527] = {.lex_state = 115, .external_lex_state = 9},
  [528] = {.lex_state = 15, .external_lex_state = 9},
  [529] = {.lex_state = 115, .external_lex_state = 9},
  [530] = {.lex_state = 15, .external_lex_state = 9},
  [531] = {.lex_state = 15, .external_lex_state = 9},
  [532] = {.lex_state = 15, .external_lex_state = 9},
  [533] = {.lex_state = 15, .external_lex_state = 9},
  [534] = {.lex_state = 115, .external_lex_state = 9},
  [535] = {.lex_state = 115, .external_lex_state = 9},
  [536] = {.lex_state = 2, .external_lex_state = 6},
  [537] = {.lex_state = 115, .external_lex_state = 9},
  [538] = {.lex_state = 115, .external_lex_state = 9},
  [539] = {.lex_state = 15, .external_lex_state = 9},
  [540] = {.lex_state = 115, .external_lex_state = 9},
  [541] = {.lex_state = 15, .external_lex_state = 9},
  [542] = {.lex_state = 115, .external_lex_state = 5},
  [543] = {.lex_state = 115, .external_lex_state = 5},
  [544] = {.lex_state = 115, .external_lex_state = 9},
  [545] = {.lex_state = 115, .external_lex_state = 9},
  [546] = {.lex_state = 15, .external_lex_state = 9},
  [547] = {.lex_state = 115, .external_lex_state = 9},
  [548] = {.lex_state = 15, .external_lex_state = 9},
  [549] = {.lex_state = 115, .external_lex_state = 9},
  [550] = {.lex_state = 8, .external_lex_state = 5},
  [551] = {.lex_state = 15, .external_lex_state = 9},
  [552] = {.lex_state = 115, .external_lex_state = 9},
  [553] = {.lex_state = 115, .external_lex_state = 9},
  [554] = {.lex_state = 15, .external_lex_state = 9},
  [555] = {.lex_state = 115, .external_lex_state = 5},
  [556] = {.lex_state = 115, .external_lex_state = 9},
  [557] = {.lex_state = 115, .external_lex_state = 9},
  [558] = {.lex_state = 109, .external_lex_state = 5},
  [559] = {.lex_state = 113, .external_lex_state = 6},
  [560] = {.lex_state = 113, .external_lex_state = 6},
  [561] = {.lex_state = 113, .external_lex_state = 6},
  [562] = {.lex_state = 110, .external_lex_state = 6},
  [563] = {.lex_state = 109, .external_lex_state = 8},
  [564] = {.lex_state = 109, .external_lex_state = 8},
  [565] = {.lex_state = 109, .external_lex_state = 6},
  [566] = {.lex_state = 115, .external_lex_state = 9},
  [567] = {.lex_state = 109, .external_lex_state = 8},
  [568] = {.lex_state = 109, .external_lex_state = 8},
  [569] = {.lex_state = 109, .external_lex_state = 8},
  [570] = {.lex_state = 109, .external_lex_state = 8},
  [571] = {.lex_state = 109, .external_lex_state = 8},
  [572] = {.lex_state = 109, .external_lex_state = 8},
  [573] = {.lex_state = 115, .external_lex_state = 5},
  [574] = {.lex_state = 109, .external_lex_state = 8},
  [575] = {.lex_state = 109, .external_lex_state = 8},
  [576] = {.lex_state = 8, .external_lex_state = 8},
  [577] = {.lex_state = 109, .external_lex_state = 8},
  [578] = {.lex_state = 109, .external_lex_state = 8},
  [579] = {.lex_state = 13, .external_lex_state = 6},
  [580] = {.lex_state = 109, .external_lex_state = 8},
  [581] = {.lex_state = 38, .external_lex_state = 2},
  [582] = {.lex_state = 115, .external_lex_state = 9},
  [583] = {.lex_state = 115, .external_lex_state = 9},
  [584] = {.lex_state = 8, .external_lex_state = 8},
  [585] = {.lex_state = 8, .external_lex_state = 5},
  [586] = {.lex_state = 109, .external_lex_state = 8},
  [587] = {.lex_state = 109, .external_lex_state = 8},
  [588] = {.lex_state = 109, .external_lex_state = 8},
  [589] = {.lex_state = 109, .external_lex_state = 8},
  [590] = {.lex_state = 8, .external_lex_state = 6},
  [591] = {.lex_state = 109, .external_lex_state = 6},
  [592] = {.lex_state = 38, .external_lex_state = 2},
  [593] = {.lex_state = 8, .external_lex_state = 5},
  [594] = {.lex_state = 109, .external_lex_state = 8},
  [595] = {.lex_state = 109, .external_lex_state = 8},
  [596] = {.lex_state = 38, .external_lex_state = 2},
  [597] = {.lex_state = 109, .external_lex_state = 8},
  [598] = {.lex_state = 109, .external_lex_state = 8},
  [599] = {.lex_state = 109, .external_lex_state = 8},
  [600] = {.lex_state = 109, .external_lex_state = 8},
  [601] = {.lex_state = 115, .external_lex_state = 9},
  [602] = {.lex_state = 113, .external_lex_state = 6},
  [603] = {.lex_state = 109, .external_lex_state = 8},
  [604] = {.lex_state = 13, .external_lex_state = 6},
  [605] = {.lex_state = 8, .external_lex_state = 5},
  [606] = {.lex_state = 38, .external_lex_state = 2},
  [607] = {.lex_state = 109, .external_lex_state = 5},
  [608] = {.lex_state = 109, .external_lex_state = 8},
  [609] = {.lex_state = 109, .external_lex_state = 8},
  [610] = {.lex_state = 113, .external_lex_state = 6},
  [611] = {.lex_state = 113, .external_lex_state = 6},
  [612] = {.lex_state = 8, .external_lex_state = 8},
  [613] = {.lex_state = 109, .external_lex_state = 8},
  [614] = {.lex_state = 8, .external_lex_state = 8},
  [615] = {.lex_state = 109, .external_lex_state = 8},
  [616] = {.lex_state = 13, .external_lex_state = 6},
  [617] = {.lex_state = 8, .external_lex_state = 8},
  [618] = {.lex_state = 115, .external_lex_state = 9},
  [619] = {.lex_state = 115, .external_lex_state = 9},
  [620] = {.lex_state = 115, .external_lex_state = 9},
  [621] = {.lex_state = 8, .external_lex_state = 8},
  [622] = {.lex_state = 15, .external_lex_state = 5},
  [623] = {.lex_state = 115, .external_lex_state = 9},
  [624] = {.lex_state = 109, .external_lex_state = 8},
  [625] = {.lex_state = 109, .external_lex_state = 6},
  [626] = {.lex_state = 115, .external_lex_state = 9},
  [627] = {.lex_state = 109, .external_lex_state = 8},
  [628] = {.lex_state = 109, .external_lex_state = 5},
  [629] = {.lex_state = 115, .external_lex_state = 9},
  [630] = {.lex_state = 109, .external_lex_state = 5},
  [631] = {.lex_state = 109, .external_lex_state = 8},
  [632] = {.lex_state = 109, .external_lex_state = 8},
  [633] = {.lex_state = 109, .external_lex_state = 5},
  [634] = {.lex_state = 109, .external_lex_state = 8},
  [635] = {.lex_state = 109, .external_lex_state = 8},
  [636] = {.lex_state = 109, .external_lex_state = 8},
  [637] = {.lex_state = 13, .external_lex_state = 6},
  [638] = {.lex_state = 109, .external_lex_state = 8},
  [639] = {.lex_state = 109, .external_lex_state = 5},
  [640] = {.lex_state = 109, .external_lex_state = 8},
  [641] = {.lex_state = 109, .external_lex_state = 8},
  [642] = {.lex_state = 109, .external_lex_state = 8},
  [643] = {.lex_state = 109, .external_lex_state = 8},
  [644] = {.lex_state = 109, .external_lex_state = 8},
  [645] = {.lex_state = 109, .external_lex_state = 8},
  [646] = {.lex_state = 109, .external_lex_state = 8},
  [647] = {.lex_state = 109, .external_lex_state = 8},
  [648] = {.lex_state = 109, .external_lex_state = 8},
  [649] = {.lex_state = 109, .external_lex_state = 8},
  [650] = {.lex_state = 109, .external_lex_state = 8},
  [651] = {.lex_state = 109, .external_lex_state = 8},
  [652] = {.lex_state = 115, .external_lex_state = 9},
  [653] = {.lex_state = 109, .external_lex_state = 6},
  [654] = {.lex_state = 15, .external_lex_state = 9},
  [655] = {.lex_state = 115, .external_lex_state = 9},
  [656] = {.lex_state = 115, .external_lex_state = 9},
  [657] = {.lex_state = 109, .external_lex_state = 5},
  [658] = {.lex_state = 115, .external_lex_state = 9},
  [659] = {.lex_state = 109, .external_lex_state = 5},
  [660] = {.lex_state = 115, .external_lex_state = 9},
  [661] = {.lex_state = 113, .external_lex_state = 6},
  [662] = {.lex_state = 115, .external_lex_state = 9},
  [663] = {.lex_state = 115, .external_lex_state = 9},
  [664] = {.lex_state = 115, .external_lex_state = 9},
  [665] = {.lex_state = 115, .external_lex_state = 5},
  [666] = {.lex_state = 115, .external_lex_state = 5},
  [667] = {.lex_state = 115, .external_lex_state = 5},
  [668] = {.lex_state = 15, .external_lex_state = 5},
  [669] = {.lex_state = 15, .external_lex_state = 5},
  [670] = {.lex_state = 15, .external_lex_state = 5},
  [671] = {.lex_state = 15, .external_lex_state = 5},
  [672] = {.lex_state = 115, .external_lex_state = 5},
  [673] = {.lex_state = 115, .external_lex_state = 5},
  [674] = {.lex_state = 115, .external_lex_state = 5},
  [675] = {.lex_state = 8, .external_lex_state = 6},
  [676] = {.lex_state = 109, .external_lex_state = 6},
  [677] = {.lex_state = 115, .external_lex_state = 5},
  [678] = {.lex_state = 109, .external_lex_state = 6},
  [679] = {.lex_state = 115, .external_lex_state = 5},
  [680] = {.lex_state = 5, .external_lex_state = 10},
  [681] = {.lex_state = 7, .external_lex_state = 10},
  [682] = {.lex_state = 30},
  [683] = {.lex_state = 7, .external_lex_state = 10},
  [684] = {.lex_state = 7, .external_lex_state = 10},
  [685] = {.lex_state = 7, .external_lex_state = 10},
  [686] = {.lex_state = 7, .external_lex_state = 10},
  [687] = {.lex_state = 7, .external_lex_state = 10},
  [688] = {.lex_state = 21, .external_lex_state = 2},
  [689] = {.lex_state = 29},
  [690] = {.lex_state = 29, .external_lex_state = 11},
  [691] = {.lex_state = 25},
  [692] = {.lex_state = 35, .external_lex_state = 12},
  [693] = {.lex_state = 25},
  [694] = {.lex_state = 35, .external_lex_state = 12},
  [695] = {.lex_state = 35, .external_lex_state = 12},
  [696] = {.lex_state = 35, .external_lex_state = 12},
  [697] = {.lex_state = 35, .external_lex_state = 12},
  [698] = {.lex_state = 36, .external_lex_state = 13},
  [699] = {.lex_state = 36, .external_lex_state = 13},
  [700] = {.lex_state = 36, .external_lex_state = 13},
  [701] = {.lex_state = 36, .external_lex_state = 13},
  [702] = {.lex_state = 36, .external_lex_state = 13},
  [703] = {.lex_state = 35, .external_lex_state = 12},
  [704] = {.lex_state = 35, .external_lex_state = 12},
  [705] = {.lex_state = 35, .external_lex_state = 12},
  [706] = {.lex_state = 35, .external_lex_state = 12},
  [707] = {.lex_state = 35, .external_lex_state = 12},
  [708] = {.lex_state = 36, .external_lex_state = 13},
  [709] = {.lex_state = 36, .external_lex_state = 13},
  [710] = {.lex_state = 36, .external_lex_state = 13},
  [711] = {.lex_state = 35, .external_lex_state = 12},
  [712] = {.lex_state = 35, .external_lex_state = 12},
  [713] = {.lex_state = 35, .external_lex_state = 12},
  [714] = {.lex_state = 35, .external_lex_state = 12},
  [715] = {.lex_state = 36, .external_lex_state = 13},
  [716] = {.lex_state = 35, .external_lex_state = 12},
  [717] = {.lex_state = 36, .external_lex_state = 13},
  [718] = {.lex_state = 35, .external_lex_state = 12},
  [719] = {.lex_state = 36, .external_lex_state = 13},
  [720] = {.lex_state = 35, .external_lex_state = 12},
  [721] = {.lex_state = 36, .external_lex_state = 13},
  [722] = {.lex_state = 35, .external_lex_state = 12},
  [723] = {.lex_state = 36, .external_lex_state = 13},
  [724] = {.lex_state = 35, .external_lex_state = 12},
  [725] = {.lex_state = 25},
  [726] = {.lex_state = 25},
  [727] = {.lex_state = 36, .external_lex_state = 13},
  [728] = {.lex_state = 36, .external_lex_state = 13},
  [729] = {.lex_state = 36, .external_lex_state = 13},
  [730] = {.lex_state = 25, .external_lex_state = 14},
  [731] = {.lex_state = 25, .external_lex_state = 14},
  [732] = {.lex_state = 36, .external_lex_state = 13},
  [733] = {.lex_state = 35, .external_lex_state = 12},
  [734] = {.lex_state = 35, .external_lex_state = 12},
  [735] = {.lex_state = 35, .external_lex_state = 12},
  [736] = {.lex_state = 35, .external_lex_state = 12},
  [737] = {.lex_state = 36, .external_lex_state = 13},
  [738] = {.lex_state = 36, .external_lex_state = 13},
  [739] = {.lex_state = 36, .external_lex_state = 13},
  [740] = {.lex_state = 36, .external_lex_state = 13},
  [741] = {.lex_state = 36, .external_lex_state = 13},
  [742] = {.lex_state = 36, .external_lex_state = 13},
  [743] = {.lex_state = 35, .external_lex_state = 12},
  [744] = {.lex_state = 35, .external_lex_state = 12},
  [745] = {.lex_state = 35, .external_lex_state = 12},
  [746] = {.lex_state = 36, .external_lex_state = 13},
  [747] = {.lex_state = 36, .external_lex_state = 13},
  [748] = {.lex_state = 35, .external_lex_state = 12},
  [749] = {.lex_state = 36, .external_lex_state = 13},
  [750] = {.lex_state = 36, .external_lex_state = 13},
  [751] = {.lex_state = 35, .external_lex_state = 12},
  [752] = {.lex_state = 35, .external_lex_state = 12},
  [753] = {.lex_state = 35, .external_lex_state = 12},
  [754] = {.lex_state = 35, .external_lex_state = 12},
  [755] = {.lex_state = 36, .external_lex_state = 13},
  [756] = {.lex_state = 36, .external_lex_state = 13},
  [757] = {.lex_state = 36, .external_lex_state = 13},
  [758] = {.lex_state = 36, .external_lex_state = 13},
  [759] = {.lex_state = 36, .external_lex_state = 13},
  [760] = {.lex_state = 36, .external_lex_state = 13},
  [761] = {.lex_state = 35, .external_lex_state = 12},
  [762] = {.lex_state = 36, .external_lex_state = 13},
  [763] = {.lex_state = 35, .external_lex_state = 12},
  [764] = {.lex_state = 35, .external_lex_state = 12},
  [765] = {.lex_state = 35, .external_lex_state = 12},
  [766] = {.lex_state = 36, .external_lex_state = 13},
  [767] = {.lex_state = 35, .external_lex_state = 12},
  [768] = {.lex_state = 35, .external_lex_state = 12},
  [769] = {.lex_state = 35, .external_lex_state = 12},
  [770] = {.lex_state = 35, .external_lex_state = 12},
  [771] = {.lex_state = 35, .external_lex_state = 12},
  [772] = {.lex_state = 35, .external_lex_state = 12},
  [773] = {.lex_state = 35, .external_lex_state = 12},
  [774] = {.lex_state = 36, .external_lex_state = 13},
  [775] = {.lex_state = 36, .external_lex_state = 13},
  [776] = {.lex_state = 36, .external_lex_state = 13},
  [777] = {.lex_state = 35, .external_lex_state = 12},
  [778] = {.lex_state = 35, .external_lex_state = 12},
  [779] = {.lex_state = 35, .external_lex_state = 12},
  [780] = {.lex_state = 35, .external_lex_state = 12},
  [781] = {.lex_state = 36, .external_lex_state = 13},
  [782] = {.lex_state = 36, .external_lex_state = 13},
  [783] = {.lex_state = 36, .external_lex_state = 13},
  [784] = {.lex_state = 36, .external_lex_state = 13},
  [785] = {.lex_state = 36, .external_lex_state = 13},
  [786] = {.lex_state = 35, .external_lex_state = 12},
  [787] = {.lex_state = 35, .external_lex_state = 12},
  [788] = {.lex_state = 35, .external_lex_state = 12},
  [789] = {.lex_state = 35, .external_lex_state = 12},
  [790] = {.lex_state = 35, .external_lex_state = 12},
  [791] = {.lex_state = 35, .external_lex_state = 12},
  [792] = {.lex_state = 36, .external_lex_state = 13},
  [793] = {.lex_state = 35, .external_lex_state = 12},
  [794] = {.lex_state = 36, .external_lex_state = 13},
  [795] = {.lex_state = 36, .external_lex_state = 13},
  [796] = {.lex_state = 36, .external_lex_state = 13},
  [797] = {.lex_state = 36, .external_lex_state = 13},
  [798] = {.lex_state = 36, .external_lex_state = 13},
  [799] = {.lex_state = 35, .external_lex_state = 12},
  [800] = {.lex_state = 35, .external_lex_state = 12},
  [801] = {.lex_state = 35, .external_lex_state = 12},
  [802] = {.lex_state = 36, .external_lex_state = 13},
  [803] = {.lex_state = 36, .external_lex_state = 13},
  [804] = {.lex_state = 36, .external_lex_state = 13},
  [805] = {.lex_state = 36, .external_lex_state = 13},
  [806] = {.lex_state = 36, .external_lex_state = 13},
  [807] = {.lex_state = 25},
  [808] = {.lex_state = 36, .external_lex_state = 13},
  [809] = {.lex_state = 35, .external_lex_state = 12},
  [810] = {.lex_state = 25, .external_lex_state = 14},
  [811] = {.lex_state = 35, .external_lex_state = 12},
  [812] = {.lex_state = 35, .external_lex_state = 12},
  [813] = {.lex_state = 35, .external_lex_state = 12},
  [814] = {.lex_state = 36, .external_lex_state = 13},
  [815] = {.lex_state = 36, .external_lex_state = 13},
  [816] = {.lex_state = 36, .external_lex_state = 13},
  [817] = {.lex_state = 36, .external_lex_state = 13},
  [818] = {.lex_state = 35, .external_lex_state = 12},
  [819] = {.lex_state = 35, .external_lex_state = 12},
  [820] = {.lex_state = 35, .external_lex_state = 12},
  [821] = {.lex_state = 25},
  [822] = {.lex_state = 25},
  [823] = {.lex_state = 35, .external_lex_state = 12},
  [824] = {.lex_state = 35, .external_lex_state = 12},
  [825] = {.lex_state = 35, .external_lex_state = 12},
  [826] = {.lex_state = 35, .external_lex_state = 12},
  [827] = {.lex_state = 36, .external_lex_state = 13},
  [828] = {.lex_state = 36, .external_lex_state = 13},
  [829] = {.lex_state = 35, .external_lex_state = 12},
  [830] = {.lex_state = 36, .external_lex_state = 13},
  [831] = {.lex_state = 36, .external_lex_state = 13},
  [832] = {.lex_state = 35, .external_lex_state = 12},
  [833] = {.lex_state = 36, .external_lex_state = 13},
  [834] = {.lex_state = 35, .external_lex_state = 12},
  [835] = {.lex_state = 35, .external_lex_state = 12},
  [836] = {.lex_state = 35, .external_lex_state = 12},
  [837] = {.lex_state = 35, .external_lex_state = 12},
  [838] = {.lex_state = 35, .external_lex_state = 12},
  [839] = {.lex_state = 36, .external_lex_state = 13},
  [840] = {.lex_state = 36, .external_lex_state = 13},
  [841] = {.lex_state = 36, .external_lex_state = 13},
  [842] = {.lex_state = 36, .external_lex_state = 13},
  [843] = {.lex_state = 36, .external_lex_state = 13},
  [844] = {.lex_state = 36, .external_lex_state = 13},
  [845] = {.lex_state = 36, .external_lex_state = 13},
  [846] = {.lex_state = 36, .external_lex_state = 13},
  [847] = {.lex_state = 36, .external_lex_state = 13},
  [848] = {.lex_state = 36, .external_lex_state = 13},
  [849] = {.lex_state = 35, .external_lex_state = 12},
  [850] = {.lex_state = 35, .external_lex_state = 12},
  [851] = {.lex_state = 35, .external_lex_state = 12},
  [852] = {.lex_state = 35, .external_lex_state = 12},
  [853] = {.lex_state = 25},
  [854] = {.lex_state = 35, .external_lex_state = 12},
  [855] = {.lex_state = 36, .external_lex_state = 13},
  [856] = {.lex_state = 36, .external_lex_state = 13},
  [857] = {.lex_state = 35, .external_lex_state = 12},
  [858] = {.lex_state = 35, .external_lex_state = 12},
  [859] = {.lex_state = 35, .external_lex_state = 12},
  [860] = {.lex_state = 35, .external_lex_state = 12},
  [861] = {.lex_state = 36, .external_lex_state = 13},
  [862] = {.lex_state = 36, .external_lex_state = 13},
  [863] = {.lex_state = 36, .external_lex_state = 13},
  [864] = {.lex_state = 35, .external_lex_state = 12},
  [865] = {.lex_state = 35, .external_lex_state = 12},
  [866] = {.lex_state = 35, .external_lex_state = 12},
  [867] = {.lex_state = 36, .external_lex_state = 13},
  [868] = {.lex_state = 36, .external_lex_state = 13},
  [869] = {.lex_state = 35, .external_lex_state = 12},
  [870] = {.lex_state = 36, .external_lex_state = 13},
  [871] = {.lex_state = 35, .external_lex_state = 12},
  [872] = {.lex_state = 36, .external_lex_state = 13},
  [873] = {.lex_state = 35, .external_lex_state = 12},
  [874] = {.lex_state = 35, .external_lex_state = 12},
  [875] = {.lex_state = 36, .external_lex_state = 13},
  [876] = {.lex_state = 36, .external_lex_state = 13},
  [877] = {.lex_state = 35, .external_lex_state = 12},
  [878] = {.lex_state = 36, .external_lex_state = 13},
  [879] = {.lex_state = 36, .external_lex_state = 13},
  [880] = {.lex_state = 36, .external_lex_state = 13},
  [881] = {.lex_state = 35, .external_lex_state = 12},
  [882] = {.lex_state = 36, .external_lex_state = 13},
  [883] = {.lex_state = 36, .external_lex_state = 13},
  [884] = {.lex_state = 36, .external_lex_state = 13},
  [885] = {.lex_state = 35, .external_lex_state = 12},
  [886] = {.lex_state = 36, .external_lex_state = 13},
  [887] = {.lex_state = 25, .external_lex_state = 14},
  [888] = {.lex_state = 35, .external_lex_state = 12},
  [889] = {.lex_state = 35, .external_lex_state = 12},
  [890] = {.lex_state = 35, .external_lex_state = 12},
  [891] = {.lex_state = 36, .external_lex_state = 13},
  [892] = {.lex_state = 35, .external_lex_state = 12},
  [893] = {.lex_state = 36, .external_lex_state = 13},
  [894] = {.lex_state = 36, .external_lex_state = 13},
  [895] = {.lex_state = 35, .external_lex_state = 12},
  [896] = {.lex_state = 25, .external_lex_state = 14},
  [897] = {.lex_state = 36, .external_lex_state = 13},
  [898] = {.lex_state = 36, .external_lex_state = 13},
  [899] = {.lex_state = 35, .external_lex_state = 12},
  [900] = {.lex_state = 36, .external_lex_state = 13},
  [901] = {.lex_state = 36, .external_lex_state = 13},
  [902] = {.lex_state = 36, .external_lex_state = 13},
  [903] = {.lex_state = 35, .external_lex_state = 12},
  [904] = {.lex_state = 35, .external_lex_state = 12},
  [905] = {.lex_state = 36, .external_lex_state = 13},
  [906] = {.lex_state = 36, .external_lex_state = 13},
  [907] = {.lex_state = 36, .external_lex_state = 13},
  [908] = {.lex_state = 36, .external_lex_state = 13},
  [909] = {.lex_state = 35, .external_lex_state = 12},
  [910] = {.lex_state = 35, .external_lex_state = 12},
  [911] = {.lex_state = 35, .external_lex_state = 12},
  [912] = {.lex_state = 25},
  [913] = {.lex_state = 36, .external_lex_state = 12},
  [914] = {.lex_state = 36, .external_lex_state = 12},
  [915] = {.lex_state = 36, .external_lex_state = 12},
  [916] = {.lex_state = 25},
  [917] = {.lex_state = 36, .external_lex_state = 12},
  [918] = {.lex_state = 36, .external_lex_state = 12},
  [919] = {.lex_state = 36, .external_lex_state = 12},
  [920] = {.lex_state = 25},
  [921] = {.lex_state = 25},
  [922] = {.lex_state = 36, .external_lex_state = 12},
  [923] = {.lex_state = 25},
  [924] = {.lex_state = 36, .external_lex_state = 12},
  [925] = {.lex_state = 25},
  [926] = {.lex_state = 36, .external_lex_state = 12},
  [927] = {.lex_state = 36, .external_lex_state = 12},
  [928] = {.lex_state = 25},
  [929] = {.lex_state = 25},
  [930] = {.lex_state = 36, .external_lex_state = 12},
  [931] = {.lex_state = 36, .external_lex_state = 12},
  [932] = {.lex_state = 36, .external_lex_state = 12},
  [933] = {.lex_state = 36, .external_lex_state = 12},
  [934] = {.lex_state = 36, .external_lex_state = 12},
  [935] = {.lex_state = 25},
  [936] = {.lex_state = 25},
  [937] = {.lex_state = 36, .external_lex_state = 12},
  [938] = {.lex_state = 36, .external_lex_state = 12},
  [939] = {.lex_state = 36, .external_lex_state = 12},
  [940] = {.lex_state = 36, .external_lex_state = 12},
  [941] = {.lex_state = 36, .external_lex_state = 12},
  [942] = {.lex_state = 36, .external_lex_state = 12},
  [943] = {.lex_state = 36, .external_lex_state = 12},
  [944] = {.lex_state = 36, .external_lex_state = 12},
  [945] = {.lex_state = 36, .external_lex_state = 12},
  [946] = {.lex_state = 36, .external_lex_state = 12},
  [947] = {.lex_state = 36, .external_lex_state = 12},
  [948] = {.lex_state = 36, .external_lex_state = 12},
  [949] = {.lex_state = 36, .external_lex_state = 12},
  [950] = {.lex_state = 36, .external_lex_state = 12},
  [951] = {.lex_state = 36, .external_lex_state = 12},
  [952] = {.lex_state = 36, .external_lex_state = 12},
  [953] = {.lex_state = 36, .external_lex_state = 12},
  [954] = {.lex_state = 36, .external_lex_state = 12},
  [955] = {.lex_state = 36, .external_lex_state = 12},
  [956] = {.lex_state = 36, .external_lex_state = 12},
  [957] = {.lex_state = 36, .external_lex_state = 12},
  [958] = {.lex_state = 36, .external_lex_state = 12},
  [959] = {.lex_state = 36, .external_lex_state = 12},
  [960] = {.lex_state = 36, .external_lex_state = 12},
  [961] = {.lex_state = 36, .external_lex_state = 12},
  [962] = {.lex_state = 36, .external_lex_state = 12},
  [963] = {.lex_state = 36, .external_lex_state = 12},
  [964] = {.lex_state = 36, .external_lex_state = 12},
  [965] = {.lex_state = 36, .external_lex_state = 12},
  [966] = {.lex_state = 36, .external_lex_state = 12},
  [967] = {.lex_state = 36, .external_lex_state = 12},
  [968] = {.lex_state = 36, .external_lex_state = 12},
  [969] = {.lex_state = 36, .external_lex_state = 12},
  [970] = {.lex_state = 36, .external_lex_state = 12},
  [971] = {.lex_state = 25},
  [972] = {.lex_state = 25},
  [973] = {.lex_state = 36, .external_lex_state = 12},
  [974] = {.lex_state = 36, .external_lex_state = 12},
  [975] = {.lex_state = 36, .external_lex_state = 12},
  [976] = {.lex_state = 36, .external_lex_state = 12},
  [977] = {.lex_state = 36, .external_lex_state = 12},
  [978] = {.lex_state = 36, .external_lex_state = 12},
  [979] = {.lex_state = 36, .external_lex_state = 12},
  [980] = {.lex_state = 36, .external_lex_state = 12},
  [981] = {.lex_state = 36, .external_lex_state = 12},
  [982] = {.lex_state = 36, .external_lex_state = 12},
  [983] = {.lex_state = 36, .external_lex_state = 12},
  [984] = {.lex_state = 36, .external_lex_state = 12},
  [985] = {.lex_state = 36, .external_lex_state = 12},
  [986] = {.lex_state = 36, .external_lex_state = 12},
  [987] = {.lex_state = 25},
  [988] = {.lex_state = 36, .external_lex_state = 12},
  [989] = {.lex_state = 25},
  [990] = {.lex_state = 36, .external_lex_state = 12},
  [991] = {.lex_state = 36, .external_lex_state = 12},
  [992] = {.lex_state = 36, .external_lex_state = 12},
  [993] = {.lex_state = 36, .external_lex_state = 12},
  [994] = {.lex_state = 36, .external_lex_state = 12},
  [995] = {.lex_state = 25},
  [996] = {.lex_state = 36, .external_lex_state = 12},
  [997] = {.lex_state = 36, .external_lex_state = 12},
  [998] = {.lex_state = 25},
  [999] = {.lex_state = 25},
  [1000] = {.lex_state = 36, .external_lex_state = 12},
  [1001] = {.lex_state = 36, .external_lex_state = 12},
  [1002] = {.lex_state = 36, .external_lex_state = 12},
  [1003] = {.lex_state = 36, .external_lex_state = 12},
  [1004] = {.lex_state = 36, .external_lex_state = 12},
  [1005] = {.lex_state = 36, .external_lex_state = 12},
  [1006] = {.lex_state = 36, .external_lex_state = 12},
  [1007] = {.lex_state = 36, .external_lex_state = 12},
  [1008] = {.lex_state = 36, .external_lex_state = 12},
  [1009] = {.lex_state = 36, .external_lex_state = 12},
  [1010] = {.lex_state = 36, .external_lex_state = 12},
  [1011] = {.lex_state = 25},
  [1012] = {.lex_state = 25},
  [1013] = {.lex_state = 25},
  [1014] = {.lex_state = 25},
  [1015] = {.lex_state = 25},
  [1016] = {.lex_state = 36, .external_lex_state = 12},
  [1017] = {.lex_state = 36, .external_lex_state = 12},
  [1018] = {.lex_state = 36, .external_lex_state = 12},
  [1019] = {.lex_state = 36, .external_lex_state = 12},
  [1020] = {.lex_state = 36, .external_lex_state = 12},
  [1021] = {.lex_state = 36, .external_lex_state = 12},
  [1022] = {.lex_state = 36, .external_lex_state = 12},
  [1023] = {.lex_state = 36, .external_lex_state = 12},
  [1024] = {.lex_state = 36, .external_lex_state = 12},
  [1025] = {.lex_state = 36, .external_lex_state = 12},
  [1026] = {.lex_state = 36, .external_lex_state = 12},
  [1027] = {.lex_state = 36, .external_lex_state = 12},
  [1028] = {.lex_state = 36, .external_lex_state = 12},
  [1029] = {.lex_state = 36, .external_lex_state = 12},
  [1030] = {.lex_state = 36, .external_lex_state = 12},
  [1031] = {.lex_state = 36, .external_lex_state = 12},
  [1032] = {.lex_state = 25},
  [1033] = {.lex_state = 36, .external_lex_state = 12},
  [1034] = {.lex_state = 36, .external_lex_state = 12},
  [1035] = {.lex_state = 36, .external_lex_state = 12},
  [1036] = {.lex_state = 36, .external_lex_state = 12},
  [1037] = {.lex_state = 36, .external_lex_state = 12},
  [1038] = {.lex_state = 36, .external_lex_state = 12},
  [1039] = {.lex_state = 36, .external_lex_state = 12},
  [1040] = {.lex_state = 36, .external_lex_state = 12},
  [1041] = {.lex_state = 36, .external_lex_state = 12},
  [1042] = {.lex_state = 36, .external_lex_state = 12},
  [1043] = {.lex_state = 36, .external_lex_state = 12},
  [1044] = {.lex_state = 36, .external_lex_state = 12},
  [1045] = {.lex_state = 36, .external_lex_state = 12},
  [1046] = {.lex_state = 36, .external_lex_state = 12},
  [1047] = {.lex_state = 36, .external_lex_state = 12},
  [1048] = {.lex_state = 36, .external_lex_state = 12},
  [1049] = {.lex_state = 36, .external_lex_state = 12},
  [1050] = {.lex_state = 36, .external_lex_state = 12},
  [1051] = {.lex_state = 36, .external_lex_state = 12},
  [1052] = {.lex_state = 36, .external_lex_state = 12},
  [1053] = {.lex_state = 36, .external_lex_state = 12},
  [1054] = {.lex_state = 36, .external_lex_state = 12},
  [1055] = {.lex_state = 36, .external_lex_state = 12},
  [1056] = {.lex_state = 36, .external_lex_state = 12},
  [1057] = {.lex_state = 36, .external_lex_state = 12},
  [1058] = {.lex_state = 36, .external_lex_state = 12},
  [1059] = {.lex_state = 36, .external_lex_state = 12},
  [1060] = {.lex_state = 36, .external_lex_state = 12},
  [1061] = {.lex_state = 36, .external_lex_state = 12},
  [1062] = {.lex_state = 36, .external_lex_state = 12},
  [1063] = {.lex_state = 36, .external_lex_state = 12},
  [1064] = {.lex_state = 36, .external_lex_state = 12},
  [1065] = {.lex_state = 36, .external_lex_state = 12},
  [1066] = {.lex_state = 36, .external_lex_state = 12},
  [1067] = {.lex_state = 36, .external_lex_state = 12},
  [1068] = {.lex_state = 36, .external_lex_state = 12},
  [1069] = {.lex_state = 36, .external_lex_state = 12},
  [1070] = {.lex_state = 36, .external_lex_state = 12},
  [1071] = {.lex_state = 36, .external_lex_state = 12},
  [1072] = {.lex_state = 36, .external_lex_state = 12},
  [1073] = {.lex_state = 36, .external_lex_state = 12},
  [1074] = {.lex_state = 36, .external_lex_state = 12},
  [1075] = {.lex_state = 36, .external_lex_state = 12},
  [1076] = {.lex_state = 36, .external_lex_state = 12},
  [1077] = {.lex_state = 36, .external_lex_state = 12},
  [1078] = {.lex_state = 36, .external_lex_state = 12},
  [1079] = {.lex_state = 36, .external_lex_state = 12},
  [1080] = {.lex_state = 36, .external_lex_state = 12},
  [1081] = {.lex_state = 36, .external_lex_state = 12},
  [1082] = {.lex_state = 36, .external_lex_state = 12},
  [1083] = {.lex_state = 36, .external_lex_state = 12},
  [1084] = {.lex_state = 36, .external_lex_state = 12},
  [1085] = {.lex_state = 36, .external_lex_state = 12},
  [1086] = {.lex_state = 36, .external_lex_state = 12},
  [1087] = {.lex_state = 36, .external_lex_state = 12},
  [1088] = {.lex_state = 36, .external_lex_state = 12},
  [1089] = {.lex_state = 36, .external_lex_state = 12},
  [1090] = {.lex_state = 36, .external_lex_state = 12},
  [1091] = {.lex_state = 36, .external_lex_state = 12},
  [1092] = {.lex_state = 36, .external_lex_state = 12},
  [1093] = {.lex_state = 36, .external_lex_state = 12},
  [1094] = {.lex_state = 36, .external_lex_state = 12},
  [1095] = {.lex_state = 36, .external_lex_state = 12},
  [1096] = {.lex_state = 36, .external_lex_state = 12},
  [1097] = {.lex_state = 36, .external_lex_state = 12},
  [1098] = {.lex_state = 36, .external_lex_state = 12},
  [1099] = {.lex_state = 36, .external_lex_state = 12},
  [1100] = {.lex_state = 36, .external_lex_state = 12},
  [1101] = {.lex_state = 36, .external_lex_state = 12},
  [1102] = {.lex_state = 36, .external_lex_state = 12},
  [1103] = {.lex_state = 36, .external_lex_state = 12},
  [1104] = {.lex_state = 36, .external_lex_state = 12},
  [1105] = {.lex_state = 36, .external_lex_state = 12},
  [1106] = {.lex_state = 36, .external_lex_state = 12},
  [1107] = {.lex_state = 36, .external_lex_state = 12},
  [1108] = {.lex_state = 36, .external_lex_state = 12},
  [1109] = {.lex_state = 36, .external_lex_state = 12},
  [1110] = {.lex_state = 36, .external_lex_state = 12},
  [1111] = {.lex_state = 36, .external_lex_state = 12},
  [1112] = {.lex_state = 36, .external_lex_state = 12},
  [1113] = {.lex_state = 36, .external_lex_state = 12},
  [1114] = {.lex_state = 36, .external_lex_state = 12},
  [1115] = {.lex_state = 36, .external_lex_state = 12},
  [1116] = {.lex_state = 36, .external_lex_state = 12},
  [1117] = {.lex_state = 36, .external_lex_state = 12},
  [1118] = {.lex_state = 36, .external_lex_state = 12},
  [1119] = {.lex_state = 36, .external_lex_state = 12},
  [1120] = {.lex_state = 36, .external_lex_state = 12},
  [1121] = {.lex_state = 36, .external_lex_state = 12},
  [1122] = {.lex_state = 36, .external_lex_state = 12},
  [1123] = {.lex_state = 36, .external_lex_state = 12},
  [1124] = {.lex_state = 36, .external_lex_state = 12},
  [1125] = {.lex_state = 36, .external_lex_state = 12},
  [1126] = {.lex_state = 36, .external_lex_state = 12},
  [1127] = {.lex_state = 36, .external_lex_state = 12},
  [1128] = {.lex_state = 36, .external_lex_state = 12},
  [1129] = {.lex_state = 36, .external_lex_state = 12},
  [1130] = {.lex_state = 36, .external_lex_state = 12},
  [1131] = {.lex_state = 36, .external_lex_state = 12},
  [1132] = {.lex_state = 36, .external_lex_state = 12},
  [1133] = {.lex_state = 36, .external_lex_state = 12},
  [1134] = {.lex_state = 36, .external_lex_state = 12},
  [1135] = {.lex_state = 36, .external_lex_state = 12},
  [1136] = {.lex_state = 36, .external_lex_state = 12},
  [1137] = {.lex_state = 25},
  [1138] = {.lex_state = 36, .external_lex_state = 12},
  [1139] = {.lex_state = 36, .external_lex_state = 12},
  [1140] = {.lex_state = 36, .external_lex_state = 12},
  [1141] = {.lex_state = 36, .external_lex_state = 12},
  [1142] = {.lex_state = 36, .external_lex_state = 12},
  [1143] = {.lex_state = 36, .external_lex_state = 12},
  [1144] = {.lex_state = 36, .external_lex_state = 12},
  [1145] = {.lex_state = 36, .external_lex_state = 12},
  [1146] = {.lex_state = 36, .external_lex_state = 12},
  [1147] = {.lex_state = 36, .external_lex_state = 12},
  [1148] = {.lex_state = 36, .external_lex_state = 12},
  [1149] = {.lex_state = 36, .external_lex_state = 12},
  [1150] = {.lex_state = 36, .external_lex_state = 12},
  [1151] = {.lex_state = 36, .external_lex_state = 12},
  [1152] = {.lex_state = 36, .external_lex_state = 12},
  [1153] = {.lex_state = 36, .external_lex_state = 12},
  [1154] = {.lex_state = 36, .external_lex_state = 12},
  [1155] = {.lex_state = 36, .external_lex_state = 12},
  [1156] = {.lex_state = 36, .external_lex_state = 12},
  [1157] = {.lex_state = 36, .external_lex_state = 12},
  [1158] = {.lex_state = 36, .external_lex_state = 12},
  [1159] = {.lex_state = 36, .external_lex_state = 12},
  [1160] = {.lex_state = 36, .external_lex_state = 12},
  [1161] = {.lex_state = 36, .external_lex_state = 12},
  [1162] = {.lex_state = 36, .external_lex_state = 12},
  [1163] = {.lex_state = 36, .external_lex_state = 12},
  [1164] = {.lex_state = 36, .external_lex_state = 12},
  [1165] = {.lex_state = 36, .external_lex_state = 12},
  [1166] = {.lex_state = 36, .external_lex_state = 12},
  [1167] = {.lex_state = 36, .external_lex_state = 12},
  [1168] = {.lex_state = 36, .external_lex_state = 12},
  [1169] = {.lex_state = 36, .external_lex_state = 12},
  [1170] = {.lex_state = 36, .external_lex_state = 12},
  [1171] = {.lex_state = 36, .external_lex_state = 12},
  [1172] = {.lex_state = 36, .external_lex_state = 12},
  [1173] = {.lex_state = 36, .external_lex_state = 12},
  [1174] = {.lex_state = 36, .external_lex_state = 12},
  [1175] = {.lex_state = 36, .external_lex_state = 12},
  [1176] = {.lex_state = 36, .external_lex_state = 12},
  [1177] = {.lex_state = 36, .external_lex_state = 12},
  [1178] = {.lex_state = 36, .external_lex_state = 12},
  [1179] = {.lex_state = 36, .external_lex_state = 12},
  [1180] = {.lex_state = 36, .external_lex_state = 12},
  [1181] = {.lex_state = 36, .external_lex_state = 12},
  [1182] = {.lex_state = 36, .external_lex_state = 12},
  [1183] = {.lex_state = 36, .external_lex_state = 12},
  [1184] = {.lex_state = 36, .external_lex_state = 12},
  [1185] = {.lex_state = 36, .external_lex_state = 12},
  [1186] = {.lex_state = 36, .external_lex_state = 12},
  [1187] = {.lex_state = 36, .external_lex_state = 12},
  [1188] = {.lex_state = 36, .external_lex_state = 12},
  [1189] = {.lex_state = 25},
  [1190] = {.lex_state = 36, .external_lex_state = 12},
  [1191] = {.lex_state = 36, .external_lex_state = 12},
  [1192] = {.lex_state = 36, .external_lex_state = 12},
  [1193] = {.lex_state = 36, .external_lex_state = 12},
  [1194] = {.lex_state = 36, .external_lex_state = 12},
  [1195] = {.lex_state = 36, .external_lex_state = 12},
  [1196] = {.lex_state = 36, .external_lex_state = 12},
  [1197] = {.lex_state = 36, .external_lex_state = 12},
  [1198] = {.lex_state = 36, .external_lex_state = 12},
  [1199] = {.lex_state = 36, .external_lex_state = 12},
  [1200] = {.lex_state = 36, .external_lex_state = 12},
  [1201] = {.lex_state = 36, .external_lex_state = 12},
  [1202] = {.lex_state = 36, .external_lex_state = 12},
  [1203] = {.lex_state = 36, .external_lex_state = 12},
  [1204] = {.lex_state = 36, .external_lex_state = 12},
  [1205] = {.lex_state = 36, .external_lex_state = 12},
  [1206] = {.lex_state = 36, .external_lex_state = 12},
  [1207] = {.lex_state = 36, .external_lex_state = 12},
  [1208] = {.lex_state = 36, .external_lex_state = 12},
  [1209] = {.lex_state = 36, .external_lex_state = 12},
  [1210] = {.lex_state = 36, .external_lex_state = 12},
  [1211] = {.lex_state = 36, .external_lex_state = 12},
  [1212] = {.lex_state = 36, .external_lex_state = 12},
  [1213] = {.lex_state = 36, .external_lex_state = 12},
  [1214] = {.lex_state = 36, .external_lex_state = 12},
  [1215] = {.lex_state = 25},
  [1216] = {.lex_state = 36, .external_lex_state = 12},
  [1217] = {.lex_state = 36, .external_lex_state = 12},
  [1218] = {.lex_state = 36, .external_lex_state = 12},
  [1219] = {.lex_state = 36, .external_lex_state = 12},
  [1220] = {.lex_state = 36, .external_lex_state = 12},
  [1221] = {.lex_state = 36, .external_lex_state = 12},
  [1222] = {.lex_state = 36, .external_lex_state = 12},
  [1223] = {.lex_state = 36, .external_lex_state = 12},
  [1224] = {.lex_state = 36, .external_lex_state = 12},
  [1225] = {.lex_state = 36, .external_lex_state = 12},
  [1226] = {.lex_state = 25},
  [1227] = {.lex_state = 36, .external_lex_state = 12},
  [1228] = {.lex_state = 36, .external_lex_state = 12},
  [1229] = {.lex_state = 36, .external_lex_state = 12},
  [1230] = {.lex_state = 36, .external_lex_state = 12},
  [1231] = {.lex_state = 36, .external_lex_state = 12},
  [1232] = {.lex_state = 36, .external_lex_state = 12},
  [1233] = {.lex_state = 36, .external_lex_state = 12},
  [1234] = {.lex_state = 36, .external_lex_state = 12},
  [1235] = {.lex_state = 36, .external_lex_state = 12},
  [1236] = {.lex_state = 36, .external_lex_state = 12},
  [1237] = {.lex_state = 36, .external_lex_state = 12},
  [1238] = {.lex_state = 36, .external_lex_state = 12},
  [1239] = {.lex_state = 25},
  [1240] = {.lex_state = 36, .external_lex_state = 12},
  [1241] = {.lex_state = 36, .external_lex_state = 12},
  [1242] = {.lex_state = 36, .external_lex_state = 12},
  [1243] = {.lex_state = 36, .external_lex_state = 12},
  [1244] = {.lex_state = 36, .external_lex_state = 12},
  [1245] = {.lex_state = 36, .external_lex_state = 12},
  [1246] = {.lex_state = 36, .external_lex_state = 12},
  [1247] = {.lex_state = 36, .external_lex_state = 12},
  [1248] = {.lex_state = 36, .external_lex_state = 12},
  [1249] = {.lex_state = 36, .external_lex_state = 12},
  [1250] = {.lex_state = 36, .external_lex_state = 12},
  [1251] = {.lex_state = 36, .external_lex_state = 12},
  [1252] = {.lex_state = 36, .external_lex_state = 12},
  [1253] = {.lex_state = 36, .external_lex_state = 12},
  [1254] = {.lex_state = 36, .external_lex_state = 12},
  [1255] = {.lex_state = 36, .external_lex_state = 12},
  [1256] = {.lex_state = 36, .external_lex_state = 12},
  [1257] = {.lex_state = 36, .external_lex_state = 12},
  [1258] = {.lex_state = 36, .external_lex_state = 12},
  [1259] = {.lex_state = 36, .external_lex_state = 12},
  [1260] = {.lex_state = 36, .external_lex_state = 12},
  [1261] = {.lex_state = 36, .external_lex_state = 12},
  [1262] = {.lex_state = 36, .external_lex_state = 12},
  [1263] = {.lex_state = 36, .external_lex_state = 12},
  [1264] = {.lex_state = 36, .external_lex_state = 12},
  [1265] = {.lex_state = 36, .external_lex_state = 12},
  [1266] = {.lex_state = 36, .external_lex_state = 12},
  [1267] = {.lex_state = 36, .external_lex_state = 12},
  [1268] = {.lex_state = 36, .external_lex_state = 12},
  [1269] = {.lex_state = 36, .external_lex_state = 12},
  [1270] = {.lex_state = 36, .external_lex_state = 12},
  [1271] = {.lex_state = 36, .external_lex_state = 12},
  [1272] = {.lex_state = 36, .external_lex_state = 12},
  [1273] = {.lex_state = 36, .external_lex_state = 12},
  [1274] = {.lex_state = 36, .external_lex_state = 12},
  [1275] = {.lex_state = 25},
  [1276] = {.lex_state = 36, .external_lex_state = 12},
  [1277] = {.lex_state = 36, .external_lex_state = 12},
  [1278] = {.lex_state = 36, .external_lex_state = 12},
  [1279] = {.lex_state = 36, .external_lex_state = 12},
  [1280] = {.lex_state = 36, .external_lex_state = 12},
  [1281] = {.lex_state = 36, .external_lex_state = 12},
  [1282] = {.lex_state = 36, .external_lex_state = 12},
  [1283] = {.lex_state = 36, .external_lex_state = 12},
  [1284] = {.lex_state = 36, .external_lex_state = 12},
  [1285] = {.lex_state = 36, .external_lex_state = 12},
  [1286] = {.lex_state = 36, .external_lex_state = 12},
  [1287] = {.lex_state = 36, .external_lex_state = 12},
  [1288] = {.lex_state = 36, .external_lex_state = 12},
  [1289] = {.lex_state = 36, .external_lex_state = 12},
  [1290] = {.lex_state = 25},
  [1291] = {.lex_state = 36, .external_lex_state = 12},
  [1292] = {.lex_state = 36, .external_lex_state = 12},
  [1293] = {.lex_state = 36, .external_lex_state = 12},
  [1294] = {.lex_state = 36, .external_lex_state = 12},
  [1295] = {.lex_state = 36, .external_lex_state = 12},
  [1296] = {.lex_state = 36, .external_lex_state = 12},
  [1297] = {.lex_state = 36, .external_lex_state = 12},
  [1298] = {.lex_state = 36, .external_lex_state = 12},
  [1299] = {.lex_state = 36, .external_lex_state = 12},
  [1300] = {.lex_state = 36, .external_lex_state = 12},
  [1301] = {.lex_state = 36, .external_lex_state = 12},
  [1302] = {.lex_state = 36, .external_lex_state = 12},
  [1303] = {.lex_state = 36, .external_lex_state = 12},
  [1304] = {.lex_state = 36, .external_lex_state = 12},
  [1305] = {.lex_state = 36, .external_lex_state = 12},
  [1306] = {.lex_state = 36, .external_lex_state = 12},
  [1307] = {.lex_state = 20, .external_lex_state = 12},
  [1308] = {.lex_state = 111, .external_lex_state = 6},
  [1309] = {.lex_state = 111, .external_lex_state = 6},
  [1310] = {.lex_state = 111, .external_lex_state = 6},
  [1311] = {.lex_state = 111, .external_lex_state = 6},
  [1312] = {.lex_state = 111, .external_lex_state = 6},
  [1313] = {.lex_state = 111, .external_lex_state = 6},
  [1314] = {.lex_state = 111, .external_lex_state = 6},
  [1315] = {.lex_state = 111, .external_lex_state = 6},
  [1316] = {.lex_state = 111, .external_lex_state = 8},
  [1317] = {.lex_state = 17, .external_lex_state = 10},
  [1318] = {.lex_state = 111, .external_lex_state = 6},
  [1319] = {.lex_state = 111, .external_lex_state = 6},
  [1320] = {.lex_state = 111, .external_lex_state = 6},
  [1321] = {.lex_state = 111, .external_lex_state = 8},
  [1322] = {.lex_state = 111, .external_lex_state = 6},
  [1323] = {.lex_state = 111, .external_lex_state = 6},
  [1324] = {.lex_state = 111, .external_lex_state = 6},
  [1325] = {.lex_state = 6, .external_lex_state = 15},
  [1326] = {.lex_state = 111, .external_lex_state = 6},
  [1327] = {.lex_state = 111, .external_lex_state = 6},
  [1328] = {.lex_state = 38, .external_lex_state = 2},
  [1329] = {.lex_state = 111, .external_lex_state = 6},
  [1330] = {.lex_state = 111, .external_lex_state = 6},
  [1331] = {.lex_state = 111, .external_lex_state = 6},
  [1332] = {.lex_state = 111, .external_lex_state = 6},
  [1333] = {.lex_state = 111, .external_lex_state = 6},
  [1334] = {.lex_state = 111, .external_lex_state = 6},
  [1335] = {.lex_state = 111, .external_lex_state = 6},
  [1336] = {.lex_state = 111, .external_lex_state = 6},
  [1337] = {.lex_state = 111, .external_lex_state = 6},
  [1338] = {.lex_state = 111, .external_lex_state = 8},
  [1339] = {.lex_state = 111, .external_lex_state = 8},
  [1340] = {.lex_state = 6, .external_lex_state = 15},
  [1341] = {.lex_state = 6, .external_lex_state = 15},
  [1342] = {.lex_state = 111, .external_lex_state = 6},
  [1343] = {.lex_state = 111, .external_lex_state = 6},
  [1344] = {.lex_state = 38, .external_lex_state = 16},
  [1345] = {.lex_state = 38, .external_lex_state = 16},
  [1346] = {.lex_state = 38, .external_lex_state = 16},
  [1347] = {.lex_state = 6, .external_lex_state = 10},
  [1348] = {.lex_state = 111, .external_lex_state = 8},
  [1349] = {.lex_state = 116, .external_lex_state = 10},
  [1350] = {.lex_state = 111, .external_lex_state = 8},
  [1351] = {.lex_state = 38, .external_lex_state = 16},
  [1352] = {.lex_state = 38, .external_lex_state = 16},
  [1353] = {.lex_state = 111, .external_lex_state = 6},
  [1354] = {.lex_state = 111, .external_lex_state = 8},
  [1355] = {.lex_state = 111, .external_lex_state = 6},
  [1356] = {.lex_state = 6, .external_lex_state = 15},
  [1357] = {.lex_state = 111, .external_lex_state = 6},
  [1358] = {.lex_state = 116, .external_lex_state = 10},
  [1359] = {.lex_state = 111, .external_lex_state = 8},
  [1360] = {.lex_state = 111, .external_lex_state = 8},
  [1361] = {.lex_state = 111, .external_lex_state = 8},
  [1362] = {.lex_state = 111, .external_lex_state = 8},
  [1363] = {.lex_state = 111, .external_lex_state = 6},
  [1364] = {.lex_state = 111, .external_lex_state = 8},
  [1365] = {.lex_state = 111, .external_lex_state = 8},
  [1366] = {.lex_state = 111, .external_lex_state = 8},
  [1367] = {.lex_state = 111, .external_lex_state = 8},
  [1368] = {.lex_state = 111, .external_lex_state = 8},
  [1369] = {.lex_state = 111, .external_lex_state = 8},
  [1370] = {.lex_state = 111, .external_lex_state = 8},
  [1371] = {.lex_state = 111, .external_lex_state = 8},
  [1372] = {.lex_state = 111, .external_lex_state = 8},
  [1373] = {.lex_state = 111, .external_lex_state = 8},
  [1374] = {.lex_state = 116, .external_lex_state = 10},
  [1375] = {.lex_state = 111, .external_lex_state = 8},
  [1376] = {.lex_state = 111, .external_lex_state = 8},
  [1377] = {.lex_state = 111, .external_lex_state = 8},
  [1378] = {.lex_state = 111, .external_lex_state = 8},
  [1379] = {.lex_state = 111, .external_lex_state = 8},
  [1380] = {.lex_state = 111, .external_lex_state = 8},
  [1381] = {.lex_state = 111, .external_lex_state = 8},
  [1382] = {.lex_state = 111, .external_lex_state = 8},
  [1383] = {.lex_state = 111, .external_lex_state = 8},
  [1384] = {.lex_state = 111, .external_lex_state = 8},
  [1385] = {.lex_state = 111, .external_lex_state = 8},
  [1386] = {.lex_state = 111, .external_lex_state = 8},
  [1387] = {.lex_state = 111, .external_lex_state = 6},
  [1388] = {.lex_state = 6, .external_lex_state = 10},
  [1389] = {.lex_state = 6, .external_lex_state = 10},
  [1390] = {.lex_state = 111, .external_lex_state = 6},
  [1391] = {.lex_state = 111, .external_lex_state = 6},
  [1392] = {.lex_state = 111, .external_lex_state = 6},
  [1393] = {.lex_state = 111, .external_lex_state = 6},
  [1394] = {.lex_state = 111, .external_lex_state = 6},
  [1395] = {.lex_state = 111, .external_lex_state = 6},
  [1396] = {.lex_state = 111, .external_lex_state = 6},
  [1397] = {.lex_state = 111, .external_lex_state = 6},
  [1398] = {.lex_state = 111, .external_lex_state = 6},
  [1399] = {.lex_state = 111, .external_lex_state = 6},
  [1400] = {.lex_state = 111, .external_lex_state = 6},
  [1401] = {.lex_state = 111, .external_lex_state = 8},
  [1402] = {.lex_state = 111, .external_lex_state = 8},
  [1403] = {.lex_state = 111, .external_lex_state = 6},
  [1404] = {.lex_state = 111, .external_lex_state = 6},
  [1405] = {.lex_state = 111, .external_lex_state = 6},
  [1406] = {.lex_state = 111, .external_lex_state = 6},
  [1407] = {.lex_state = 111, .external_lex_state = 6},
  [1408] = {.lex_state = 111, .external_lex_state = 6},
  [1409] = {.lex_state = 111, .external_lex_state = 8},
  [1410] = {.lex_state = 111, .external_lex_state = 6},
  [1411] = {.lex_state = 6, .external_lex_state = 15},
  [1412] = {.lex_state = 6, .external_lex_state = 15},
  [1413] = {.lex_state = 6, .external_lex_state = 15},
  [1414] = {.lex_state = 6, .external_lex_state = 15},
  [1415] = {.lex_state = 111, .external_lex_state = 6},
  [1416] = {.lex_state = 111, .external_lex_state = 6},
  [1417] = {.lex_state = 111, .external_lex_state = 6},
  [1418] = {.lex_state = 111, .external_lex_state = 6},
  [1419] = {.lex_state = 111, .external_lex_state = 6},
  [1420] = {.lex_state = 41},
  [1421] = {.lex_state = 31, .external_lex_state = 17},
  [1422] = {.lex_state = 6, .external_lex_state = 15},
  [1423] = {.lex_state = 6, .external_lex_state = 15},
  [1424] = {.lex_state = 38, .external_lex_state = 16},
  [1425] = {.lex_state = 38, .external_lex_state = 16},
  [1426] = {.lex_state = 111, .external_lex_state = 6},
  [1427] = {.lex_state = 111, .external_lex_state = 6},
  [1428] = {.lex_state = 111, .external_lex_state = 6},
  [1429] = {.lex_state = 111, .external_lex_state = 6},
  [1430] = {.lex_state = 111, .external_lex_state = 6},
  [1431] = {.lex_state = 38, .external_lex_state = 2},
  [1432] = {.lex_state = 41},
  [1433] = {.lex_state = 38, .external_lex_state = 2},
  [1434] = {.lex_state = 38, .external_lex_state = 16},
  [1435] = {.lex_state = 38, .external_lex_state = 16},
  [1436] = {.lex_state = 38, .external_lex_state = 16},
  [1437] = {.lex_state = 111, .external_lex_state = 6},
  [1438] = {.lex_state = 111, .external_lex_state = 6},
  [1439] = {.lex_state = 38, .external_lex_state = 16},
  [1440] = {.lex_state = 111, .external_lex_state = 6},
  [1441] = {.lex_state = 38, .external_lex_state = 16},
  [1442] = {.lex_state = 111, .external_lex_state = 6},
  [1443] = {.lex_state = 111, .external_lex_state = 6},
  [1444] = {.lex_state = 6, .external_lex_state = 15},
  [1445] = {.lex_state = 6, .external_lex_state = 15},
  [1446] = {.lex_state = 38, .external_lex_state = 16},
  [1447] = {.lex_state = 38, .external_lex_state = 16},
  [1448] = {.lex_state = 38, .external_lex_state = 2},
  [1449] = {.lex_state = 111, .external_lex_state = 6},
  [1450] = {.lex_state = 31, .external_lex_state = 17},
  [1451] = {.lex_state = 6, .external_lex_state = 15},
  [1452] = {.lex_state = 111, .external_lex_state = 8},
  [1453] = {.lex_state = 111, .external_lex_state = 6},
  [1454] = {.lex_state = 111, .external_lex_state = 6},
  [1455] = {.lex_state = 111, .external_lex_state = 6},
  [1456] = {.lex_state = 6, .external_lex_state = 15},
  [1457] = {.lex_state = 111, .external_lex_state = 6},
  [1458] = {.lex_state = 34, .external_lex_state = 17},
  [1459] = {.lex_state = 6, .external_lex_state = 15},
  [1460] = {.lex_state = 6, .external_lex_state = 15},
  [1461] = {.lex_state = 38, .external_lex_state = 16},
  [1462] = {.lex_state = 6, .external_lex_state = 15},
  [1463] = {.lex_state = 111, .external_lex_state = 6},
  [1464] = {.lex_state = 6, .external_lex_state = 15},
  [1465] = {.lex_state = 6, .external_lex_state = 15},
  [1466] = {.lex_state = 6, .external_lex_state = 15},
  [1467] = {.lex_state = 6, .external_lex_state = 15},
  [1468] = {.lex_state = 41},
  [1469] = {.lex_state = 41},
  [1470] = {.lex_state = 111, .external_lex_state = 8},
  [1471] = {.lex_state = 111, .external_lex_state = 6},
  [1472] = {.lex_state = 6, .external_lex_state = 15},
  [1473] = {.lex_state = 6, .external_lex_state = 15},
  [1474] = {.lex_state = 111, .external_lex_state = 6},
  [1475] = {.lex_state = 6, .external_lex_state = 15},
  [1476] = {.lex_state = 6, .external_lex_state = 15},
  [1477] = {.lex_state = 6, .external_lex_state = 15},
  [1478] = {.lex_state = 6, .external_lex_state = 15},
  [1479] = {.lex_state = 111, .external_lex_state = 6},
  [1480] = {.lex_state = 111, .external_lex_state = 6},
  [1481] = {.lex_state = 111, .external_lex_state = 8},
  [1482] = {.lex_state = 6, .external_lex_state = 15},
  [1483] = {.lex_state = 6, .external_lex_state = 15},
  [1484] = {.lex_state = 38, .external_lex_state = 16},
  [1485] = {.lex_state = 38, .external_lex_state = 16},
  [1486] = {.lex_state = 38, .external_lex_state = 16},
  [1487] = {.lex_state = 38, .external_lex_state = 16},
  [1488] = {.lex_state = 38, .external_lex_state = 16},
  [1489] = {.lex_state = 38, .external_lex_state = 16},
  [1490] = {.lex_state = 111, .external_lex_state = 6},
  [1491] = {.lex_state = 38, .external_lex_state = 16},
  [1492] = {.lex_state = 31, .external_lex_state = 17},
  [1493] = {.lex_state = 38, .external_lex_state = 16},
  [1494] = {.lex_state = 38, .external_lex_state = 16},
  [1495] = {.lex_state = 111, .external_lex_state = 8},
  [1496] = {.lex_state = 38, .external_lex_state = 16},
  [1497] = {.lex_state = 38, .external_lex_state = 16},
  [1498] = {.lex_state = 111, .external_lex_state = 6},
  [1499] = {.lex_state = 38, .external_lex_state = 16},
  [1500] = {.lex_state = 38, .external_lex_state = 16},
  [1501] = {.lex_state = 111, .external_lex_state = 6},
  [1502] = {.lex_state = 41},
  [1503] = {.lex_state = 38, .external_lex_state = 16},
  [1504] = {.lex_state = 41},
  [1505] = {.lex_state = 38, .external_lex_state = 16},
  [1506] = {.lex_state = 38, .external_lex_state = 16},
  [1507] = {.lex_state = 41},
  [1508] = {.lex_state = 41},
  [1509] = {.lex_state = 111, .external_lex_state = 8},
  [1510] = {.lex_state = 111, .external_lex_state = 6},
  [1511] = {.lex_state = 111, .external_lex_state = 8},
  [1512] = {.lex_state = 111, .external_lex_state = 6},
  [1513] = {.lex_state = 111, .external_lex_state = 6},
  [1514] = {.lex_state = 31, .external_lex_state = 17},
  [1515] = {.lex_state = 31, .external_lex_state = 17},
  [1516] = {.lex_state = 111, .external_lex_state = 8},
  [1517] = {.lex_state = 38, .external_lex_state = 2},
  [1518] = {.lex_state = 111, .external_lex_state = 8},
  [1519] = {.lex_state = 32, .external_lex_state = 18},
  [1520] = {.lex_state = 111, .external_lex_state = 8},
  [1521] = {.lex_state = 38, .external_lex_state = 2},
  [1522] = {.lex_state = 38, .external_lex_state = 2},
  [1523] = {.lex_state = 38, .external_lex_state = 2},
  [1524] = {.lex_state = 6, .external_lex_state = 10},
  [1525] = {.lex_state = 31, .external_lex_state = 17},
  [1526] = {.lex_state = 111, .external_lex_state = 8},
  [1527] = {.lex_state = 111, .external_lex_state = 8},
  [1528] = {.lex_state = 111, .external_lex_state = 8},
  [1529] = {.lex_state = 31, .external_lex_state = 17},
  [1530] = {.lex_state = 31, .external_lex_state = 17},
  [1531] = {.lex_state = 38, .external_lex_state = 2},
  [1532] = {.lex_state = 6, .external_lex_state = 10},
  [1533] = {.lex_state = 111, .external_lex_state = 8},
  [1534] = {.lex_state = 38, .external_lex_state = 2},
  [1535] = {.lex_state = 33},
  [1536] = {.lex_state = 6, .external_lex_state = 10},
  [1537] = {.lex_state = 111, .external_lex_state = 8},
  [1538] = {.lex_state = 38, .external_lex_state = 2},
  [1539] = {.lex_state = 33, .external_lex_state = 17},
  [1540] = {.lex_state = 6, .external_lex_state = 10},
  [1541] = {.lex_state = 38},
  [1542] = {.lex_state = 38},
  [1543] = {.lex_state = 38},
  [1544] = {.lex_state = 38},
  [1545] = {.lex_state = 111, .external_lex_state = 8},
  [1546] = {.lex_state = 111, .external_lex_state = 8},
  [1547] = {.lex_state = 31, .external_lex_state = 17},
  [1548] = {.lex_state = 111, .external_lex_state = 8},
  [1549] = {.lex_state = 31, .external_lex_state = 17},
  [1550] = {.lex_state = 38, .external_lex_state = 2},
  [1551] = {.lex_state = 111, .external_lex_state = 8},
  [1552] = {.lex_state = 111, .external_lex_state = 8},
  [1553] = {.lex_state = 111, .external_lex_state = 8},
  [1554] = {.lex_state = 38},
  [1555] = {.lex_state = 6, .external_lex_state = 10},
  [1556] = {.lex_state = 38, .external_lex_state = 2},
  [1557] = {.lex_state = 38, .external_lex_state = 19},
  [1558] = {.lex_state = 111, .external_lex_state = 8},
  [1559] = {.lex_state = 111, .external_lex_state = 8},
  [1560] = {.lex_state = 111, .external_lex_state = 8},
  [1561] = {.lex_state = 34},
  [1562] = {.lex_state = 111, .external_lex_state = 8},
  [1563] = {.lex_state = 38, .external_lex_state = 2},
  [1564] = {.lex_state = 111, .external_lex_state = 8},
  [1565] = {.lex_state = 111, .external_lex_state = 8},
  [1566] = {.lex_state = 111, .external_lex_state = 8},
  [1567] = {.lex_state = 111, .external_lex_state = 8},
  [1568] = {.lex_state = 111, .external_lex_state = 8},
  [1569] = {.lex_state = 111, .external_lex_state = 8},
  [1570] = {.lex_state = 111, .external_lex_state = 8},
  [1571] = {.lex_state = 111, .external_lex_state = 6},
  [1572] = {.lex_state = 38, .external_lex_state = 2},
  [1573] = {.lex_state = 38, .external_lex_state = 2},
  [1574] = {.lex_state = 21},
  [1575] = {.lex_state = 38, .external_lex_state = 2},
  [1576] = {.lex_state = 38, .external_lex_state = 2},
  [1577] = {.lex_state = 38, .external_lex_state = 19},
  [1578] = {.lex_state = 38, .external_lex_state = 19},
  [1579] = {.lex_state = 38, .external_lex_state = 2},
  [1580] = {.lex_state = 38, .external_lex_state = 2},
  [1581] = {.lex_state = 6, .external_lex_state = 10},
  [1582] = {.lex_state = 38},
  [1583] = {.lex_state = 38, .external_lex_state = 19},
  [1584] = {.lex_state = 38, .external_lex_state = 2},
  [1585] = {.lex_state = 6, .external_lex_state = 10},
  [1586] = {.lex_state = 38, .external_lex_state = 2},
  [1587] = {.lex_state = 38, .external_lex_state = 2},
  [1588] = {.lex_state = 31, .external_lex_state = 17},
  [1589] = {.lex_state = 32, .external_lex_state = 17},
  [1590] = {.lex_state = 38, .external_lex_state = 2},
  [1591] = {.lex_state = 38, .external_lex_state = 2},
  [1592] = {.lex_state = 31, .external_lex_state = 17},
  [1593] = {.lex_state = 31, .external_lex_state = 17},
  [1594] = {.lex_state = 31, .external_lex_state = 17},
  [1595] = {.lex_state = 31, .external_lex_state = 17},
  [1596] = {.lex_state = 31, .external_lex_state = 17},
  [1597] = {.lex_state = 38},
  [1598] = {.lex_state = 38, .external_lex_state = 2},
  [1599] = {.lex_state = 31, .external_lex_state = 17},
  [1600] = {.lex_state = 31, .external_lex_state = 17},
  [1601] = {.lex_state = 38, .external_lex_state = 2},
  [1602] = {.lex_state = 6, .external_lex_state = 10},
  [1603] = {.lex_state = 31, .external_lex_state = 17},
  [1604] = {.lex_state = 38, .external_lex_state = 2},
  [1605] = {.lex_state = 38, .external_lex_state = 2},
  [1606] = {.lex_state = 31, .external_lex_state = 17},
  [1607] = {.lex_state = 38},
  [1608] = {.lex_state = 31, .external_lex_state = 17},
  [1609] = {.lex_state = 38, .external_lex_state = 2},
  [1610] = {.lex_state = 6, .external_lex_state = 10},
  [1611] = {.lex_state = 31, .external_lex_state = 17},
  [1612] = {.lex_state = 34},
  [1613] = {.lex_state = 31, .external_lex_state = 17},
  [1614] = {.lex_state = 31, .external_lex_state = 17},
  [1615] = {.lex_state = 38, .external_lex_state = 19},
  [1616] = {.lex_state = 38, .external_lex_state = 2},
  [1617] = {.lex_state = 38, .external_lex_state = 2},
  [1618] = {.lex_state = 31, .external_lex_state = 17},
  [1619] = {.lex_state = 31, .external_lex_state = 17},
  [1620] = {.lex_state = 6, .external_lex_state = 10},
  [1621] = {.lex_state = 31, .external_lex_state = 17},
  [1622] = {.lex_state = 6, .external_lex_state = 10},
  [1623] = {.lex_state = 6, .external_lex_state = 10},
  [1624] = {.lex_state = 38, .external_lex_state = 2},
  [1625] = {.lex_state = 38, .external_lex_state = 19},
  [1626] = {.lex_state = 31, .external_lex_state = 17},
  [1627] = {.lex_state = 38, .external_lex_state = 2},
  [1628] = {.lex_state = 38, .external_lex_state = 19},
  [1629] = {.lex_state = 31, .external_lex_state = 17},
  [1630] = {.lex_state = 111, .external_lex_state = 6},
  [1631] = {.lex_state = 32, .external_lex_state = 11},
  [1632] = {.lex_state = 32, .external_lex_state = 18},
  [1633] = {.lex_state = 36, .external_lex_state = 20},
  [1634] = {.lex_state = 32, .external_lex_state = 11},
  [1635] = {.lex_state = 32, .external_lex_state = 18},
  [1636] = {.lex_state = 111, .external_lex_state = 6},
  [1637] = {.lex_state = 38, .external_lex_state = 2},
  [1638] = {.lex_state = 111, .external_lex_state = 6},
  [1639] = {.lex_state = 38, .external_lex_state = 2},
  [1640] = {.lex_state = 36, .external_lex_state = 20},
  [1641] = {.lex_state = 111, .external_lex_state = 6},
  [1642] = {.lex_state = 111, .external_lex_state = 6},
  [1643] = {.lex_state = 31},
  [1644] = {.lex_state = 33},
  [1645] = {.lex_state = 111, .external_lex_state = 6},
  [1646] = {.lex_state = 35, .external_lex_state = 20},
  [1647] = {.lex_state = 35, .external_lex_state = 20},
  [1648] = {.lex_state = 111, .external_lex_state = 6},
  [1649] = {.lex_state = 111, .external_lex_state = 6},
  [1650] = {.lex_state = 31},
  [1651] = {.lex_state = 36, .external_lex_state = 20},
  [1652] = {.lex_state = 111, .external_lex_state = 6},
  [1653] = {.lex_state = 38},
  [1654] = {.lex_state = 111, .external_lex_state = 6},
  [1655] = {.lex_state = 111, .external_lex_state = 6},
  [1656] = {.lex_state = 35, .external_lex_state = 20},
  [1657] = {.lex_state = 35, .external_lex_state = 20},
  [1658] = {.lex_state = 38},
  [1659] = {.lex_state = 31},
  [1660] = {.lex_state = 111, .external_lex_state = 6},
  [1661] = {.lex_state = 38},
  [1662] = {.lex_state = 33},
  [1663] = {.lex_state = 32, .external_lex_state = 17},
  [1664] = {.lex_state = 111, .external_lex_state = 6},
  [1665] = {.lex_state = 32, .external_lex_state = 17},
  [1666] = {.lex_state = 32, .external_lex_state = 17},
  [1667] = {.lex_state = 111, .external_lex_state = 6},
  [1668] = {.lex_state = 32, .external_lex_state = 17},
  [1669] = {.lex_state = 111, .external_lex_state = 6},
  [1670] = {.lex_state = 111, .external_lex_state = 6},
  [1671] = {.lex_state = 32, .external_lex_state = 17},
  [1672] = {.lex_state = 32, .external_lex_state = 17},
  [1673] = {.lex_state = 111, .external_lex_state = 6},
  [1674] = {.lex_state = 111, .external_lex_state = 6},
  [1675] = {.lex_state = 111, .external_lex_state = 6},
  [1676] = {.lex_state = 38},
  [1677] = {.lex_state = 111, .external_lex_state = 6},
  [1678] = {.lex_state = 111, .external_lex_state = 6},
  [1679] = {.lex_state = 32, .external_lex_state = 17},
  [1680] = {.lex_state = 32, .external_lex_state = 17},
  [1681] = {.lex_state = 111, .external_lex_state = 6},
  [1682] = {.lex_state = 38},
  [1683] = {.lex_state = 32, .external_lex_state = 17},
  [1684] = {.lex_state = 111, .external_lex_state = 6},
  [1685] = {.lex_state = 111, .external_lex_state = 6},
  [1686] = {.lex_state = 111, .external_lex_state = 6},
  [1687] = {.lex_state = 32, .external_lex_state = 17},
  [1688] = {.lex_state = 34},
  [1689] = {.lex_state = 32, .external_lex_state = 17},
  [1690] = {.lex_state = 111, .external_lex_state = 6},
  [1691] = {.lex_state = 38},
  [1692] = {.lex_state = 32, .external_lex_state = 17},
  [1693] = {.lex_state = 32, .external_lex_state = 17},
  [1694] = {.lex_state = 32, .external_lex_state = 17},
  [1695] = {.lex_state = 38},
  [1696] = {.lex_state = 32, .external_lex_state = 17},
  [1697] = {.lex_state = 111, .external_lex_state = 6},
  [1698] = {.lex_state = 111, .external_lex_state = 6},
  [1699] = {.lex_state = 32, .external_lex_state = 17},
  [1700] = {.lex_state = 38, .external_lex_state = 2},
  [1701] = {.lex_state = 111, .external_lex_state = 6},
  [1702] = {.lex_state = 31},
  [1703] = {.lex_state = 32, .external_lex_state = 17},
  [1704] = {.lex_state = 32, .external_lex_state = 17},
  [1705] = {.lex_state = 32, .external_lex_state = 17},
  [1706] = {.lex_state = 111, .external_lex_state = 6},
  [1707] = {.lex_state = 38},
  [1708] = {.lex_state = 111, .external_lex_state = 6},
  [1709] = {.lex_state = 32, .external_lex_state = 17},
  [1710] = {.lex_state = 36, .external_lex_state = 20},
  [1711] = {.lex_state = 32, .external_lex_state = 17},
  [1712] = {.lex_state = 32, .external_lex_state = 17},
  [1713] = {.lex_state = 38},
  [1714] = {.lex_state = 111, .external_lex_state = 6},
  [1715] = {.lex_state = 32, .external_lex_state = 17},
  [1716] = {.lex_state = 32, .external_lex_state = 17},
  [1717] = {.lex_state = 32, .external_lex_state = 17},
  [1718] = {.lex_state = 111, .external_lex_state = 6},
  [1719] = {.lex_state = 111, .external_lex_state = 6},
  [1720] = {.lex_state = 32, .external_lex_state = 17},
  [1721] = {.lex_state = 32, .external_lex_state = 17},
  [1722] = {.lex_state = 31},
  [1723] = {.lex_state = 31},
  [1724] = {.lex_state = 31},
  [1725] = {.lex_state = 38},
  [1726] = {.lex_state = 38},
  [1727] = {.lex_state = 111, .external_lex_state = 6},
  [1728] = {.lex_state = 111, .external_lex_state = 6},
  [1729] = {.lex_state = 111, .external_lex_state = 6},
  [1730] = {.lex_state = 111, .external_lex_state = 6},
  [1731] = {.lex_state = 38},
  [1732] = {.lex_state = 38},
  [1733] = {.lex_state = 38},
  [1734] = {.lex_state = 38},
  [1735] = {.lex_state = 111, .external_lex_state = 6},
  [1736] = {.lex_state = 38},
  [1737] = {.lex_state = 111, .external_lex_state = 6},
  [1738] = {.lex_state = 111, .external_lex_state = 6},
  [1739] = {.lex_state = 111, .external_lex_state = 6},
  [1740] = {.lex_state = 111, .external_lex_state = 6},
  [1741] = {.lex_state = 111, .external_lex_state = 6},
  [1742] = {.lex_state = 32, .external_lex_state = 18},
  [1743] = {.lex_state = 111, .external_lex_state = 6},
  [1744] = {.lex_state = 39, .external_lex_state = 12},
  [1745] = {.lex_state = 36, .external_lex_state = 20},
  [1746] = {.lex_state = 39, .external_lex_state = 12},
  [1747] = {.lex_state = 36, .external_lex_state = 20},
  [1748] = {.lex_state = 36, .external_lex_state = 20},
  [1749] = {.lex_state = 39, .external_lex_state = 12},
  [1750] = {.lex_state = 32, .external_lex_state = 18},
  [1751] = {.lex_state = 32, .external_lex_state = 18},
  [1752] = {.lex_state = 32, .external_lex_state = 18},
  [1753] = {.lex_state = 38, .external_lex_state = 14},
  [1754] = {.lex_state = 32, .external_lex_state = 18},
  [1755] = {.lex_state = 36, .external_lex_state = 20},
  [1756] = {.lex_state = 32, .external_lex_state = 11},
  [1757] = {.lex_state = 32, .external_lex_state = 18},
  [1758] = {.lex_state = 39, .external_lex_state = 12},
  [1759] = {.lex_state = 39, .external_lex_state = 12},
  [1760] = {.lex_state = 39, .external_lex_state = 12},
  [1761] = {.lex_state = 32, .external_lex_state = 18},
  [1762] = {.lex_state = 32, .external_lex_state = 18},
  [1763] = {.lex_state = 39, .external_lex_state = 12},
  [1764] = {.lex_state = 39, .external_lex_state = 12},
  [1765] = {.lex_state = 39, .external_lex_state = 12},
  [1766] = {.lex_state = 32, .external_lex_state = 18},
  [1767] = {.lex_state = 36, .external_lex_state = 20},
  [1768] = {.lex_state = 39, .external_lex_state = 12},
  [1769] = {.lex_state = 32, .external_lex_state = 18},
  [1770] = {.lex_state = 39, .external_lex_state = 12},
  [1771] = {.lex_state = 39, .external_lex_state = 12},
  [1772] = {.lex_state = 32, .external_lex_state = 18},
  [1773] = {.lex_state = 36, .external_lex_state = 20},
  [1774] = {.lex_state = 32, .external_lex_state = 18},
  [1775] = {.lex_state = 39, .external_lex_state = 12},
  [1776] = {.lex_state = 39, .external_lex_state = 12},
  [1777] = {.lex_state = 36, .external_lex_state = 20},
  [1778] = {.lex_state = 39, .external_lex_state = 12},
  [1779] = {.lex_state = 32, .external_lex_state = 18},
  [1780] = {.lex_state = 32, .external_lex_state = 18},
  [1781] = {.lex_state = 39, .external_lex_state = 12},
  [1782] = {.lex_state = 32, .external_lex_state = 18},
  [1783] = {.lex_state = 39, .external_lex_state = 12},
  [1784] = {.lex_state = 39, .external_lex_state = 12},
  [1785] = {.lex_state = 39, .external_lex_state = 12},
  [1786] = {.lex_state = 35, .external_lex_state = 12},
  [1787] = {.lex_state = 35, .external_lex_state = 12},
  [1788] = {.lex_state = 36, .external_lex_state = 20},
  [1789] = {.lex_state = 35, .external_lex_state = 12},
  [1790] = {.lex_state = 35, .external_lex_state = 12},
  [1791] = {.lex_state = 32, .external_lex_state = 18},
  [1792] = {.lex_state = 32, .external_lex_state = 18},
  [1793] = {.lex_state = 32, .external_lex_state = 18},
  [1794] = {.lex_state = 32, .external_lex_state = 18},
  [1795] = {.lex_state = 36, .external_lex_state = 20},
  [1796] = {.lex_state = 39, .external_lex_state = 12},
  [1797] = {.lex_state = 39, .external_lex_state = 12},
  [1798] = {.lex_state = 39, .external_lex_state = 12},
  [1799] = {.lex_state = 36, .external_lex_state = 12},
  [1800] = {.lex_state = 38},
  [1801] = {.lex_state = 32, .external_lex_state = 18},
  [1802] = {.lex_state = 39, .external_lex_state = 12},
  [1803] = {.lex_state = 39, .external_lex_state = 12},
  [1804] = {.lex_state = 39, .external_lex_state = 12},
  [1805] = {.lex_state = 39, .external_lex_state = 12},
  [1806] = {.lex_state = 38, .external_lex_state = 14},
  [1807] = {.lex_state = 36, .external_lex_state = 20},
  [1808] = {.lex_state = 39, .external_lex_state = 12},
  [1809] = {.lex_state = 36, .external_lex_state = 20},
  [1810] = {.lex_state = 36, .external_lex_state = 20},
  [1811] = {.lex_state = 39, .external_lex_state = 12},
  [1812] = {.lex_state = 39, .external_lex_state = 12},
  [1813] = {.lex_state = 32, .external_lex_state = 18},
  [1814] = {.lex_state = 36, .external_lex_state = 20},
  [1815] = {.lex_state = 36, .external_lex_state = 12},
  [1816] = {.lex_state = 39, .external_lex_state = 12},
  [1817] = {.lex_state = 36, .external_lex_state = 20},
  [1818] = {.lex_state = 32, .external_lex_state = 18},
  [1819] = {.lex_state = 36, .external_lex_state = 20},
  [1820] = {.lex_state = 39, .external_lex_state = 12},
  [1821] = {.lex_state = 39, .external_lex_state = 12},
  [1822] = {.lex_state = 32, .external_lex_state = 18},
  [1823] = {.lex_state = 32, .external_lex_state = 18},
  [1824] = {.lex_state = 31},
  [1825] = {.lex_state = 39, .external_lex_state = 12},
  [1826] = {.lex_state = 38},
  [1827] = {.lex_state = 39, .external_lex_state = 12},
  [1828] = {.lex_state = 36, .external_lex_state = 20},
  [1829] = {.lex_state = 36, .external_lex_state = 20},
  [1830] = {.lex_state = 36, .external_lex_state = 20},
  [1831] = {.lex_state = 39, .external_lex_state = 12},
  [1832] = {.lex_state = 32, .external_lex_state = 18},
  [1833] = {.lex_state = 31},
  [1834] = {.lex_state = 36, .external_lex_state = 20},
  [1835] = {.lex_state = 39, .external_lex_state = 12},
  [1836] = {.lex_state = 39, .external_lex_state = 12},
  [1837] = {.lex_state = 39, .external_lex_state = 12},
  [1838] = {.lex_state = 39, .external_lex_state = 12},
  [1839] = {.lex_state = 36, .external_lex_state = 20},
  [1840] = {.lex_state = 39, .external_lex_state = 12},
  [1841] = {.lex_state = 32, .external_lex_state = 18},
  [1842] = {.lex_state = 36, .external_lex_state = 20},
  [1843] = {.lex_state = 36, .external_lex_state = 20},
  [1844] = {.lex_state = 36, .external_lex_state = 20},
  [1845] = {.lex_state = 36, .external_lex_state = 20},
  [1846] = {.lex_state = 39, .external_lex_state = 12},
  [1847] = {.lex_state = 39, .external_lex_state = 12},
  [1848] = {.lex_state = 39, .external_lex_state = 12},
  [1849] = {.lex_state = 39, .external_lex_state = 12},
  [1850] = {.lex_state = 38, .external_lex_state = 14},
  [1851] = {.lex_state = 39, .external_lex_state = 12},
  [1852] = {.lex_state = 39, .external_lex_state = 12},
  [1853] = {.lex_state = 39, .external_lex_state = 12},
  [1854] = {.lex_state = 39, .external_lex_state = 12},
  [1855] = {.lex_state = 39, .external_lex_state = 12},
  [1856] = {.lex_state = 36, .external_lex_state = 20},
  [1857] = {.lex_state = 39, .external_lex_state = 12},
  [1858] = {.lex_state = 39, .external_lex_state = 12},
  [1859] = {.lex_state = 39, .external_lex_state = 12},
  [1860] = {.lex_state = 38},
  [1861] = {.lex_state = 32},
  [1862] = {.lex_state = 38},
  [1863] = {.lex_state = 38},
  [1864] = {.lex_state = 38},
  [1865] = {.lex_state = 38},
  [1866] = {.lex_state = 38},
  [1867] = {.lex_state = 31},
  [1868] = {.lex_state = 38},
  [1869] = {.lex_state = 31},
  [1870] = {.lex_state = 32, .external_lex_state = 11},
  [1871] = {.lex_state = 31},
  [1872] = {.lex_state = 31},
  [1873] = {.lex_state = 32, .external_lex_state = 11},
  [1874] = {.lex_state = 31},
  [1875] = {.lex_state = 31},
  [1876] = {.lex_state = 31},
  [1877] = {.lex_state = 32},
  [1878] = {.lex_state = 38},
  [1879] = {.lex_state = 32},
  [1880] = {.lex_state = 31},
  [1881] = {.lex_state = 32, .external_lex_state = 11},
  [1882] = {.lex_state = 32},
  [1883] = {.lex_state = 32},
  [1884] = {.lex_state = 31},
  [1885] = {.lex_state = 31},
  [1886] = {.lex_state = 31},
  [1887] = {.lex_state = 38},
  [1888] = {.lex_state = 31},
  [1889] = {.lex_state = 31},
  [1890] = {.lex_state = 38},
  [1891] = {.lex_state = 32, .external_lex_state = 11},
  [1892] = {.lex_state = 31},
  [1893] = {.lex_state = 38},
  [1894] = {.lex_state = 32, .external_lex_state = 11},
  [1895] = {.lex_state = 32},
  [1896] = {.lex_state = 32},
  [1897] = {.lex_state = 32, .external_lex_state = 11},
  [1898] = {.lex_state = 31},
  [1899] = {.lex_state = 32},
  [1900] = {.lex_state = 32},
  [1901] = {.lex_state = 38},
  [1902] = {.lex_state = 38},
  [1903] = {.lex_state = 31},
  [1904] = {.lex_state = 32, .external_lex_state = 11},
  [1905] = {.lex_state = 32},
  [1906] = {.lex_state = 32, .external_lex_state = 11},
  [1907] = {.lex_state = 31},
  [1908] = {.lex_state = 38},
  [1909] = {.lex_state = 31},
  [1910] = {.lex_state = 38},
  [1911] = {.lex_state = 38},
  [1912] = {.lex_state = 36, .external_lex_state = 12},
  [1913] = {.lex_state = 40, .external_lex_state = 11},
  [1914] = {.lex_state = 3, .external_lex_state = 10},
  [1915] = {.lex_state = 40, .external_lex_state = 11},
  [1916] = {.lex_state = 38},
  [1917] = {.lex_state = 38},
  [1918] = {.lex_state = 38},
  [1919] = {.lex_state = 38},
  [1920] = {.lex_state = 38},
  [1921] = {.lex_state = 38},
  [1922] = {.lex_state = 38},
  [1923] = {.lex_state = 116, .external_lex_state = 15},
  [1924] = {.lex_state = 38},
  [1925] = {.lex_state = 38},
  [1926] = {.lex_state = 38},
  [1927] = {.lex_state = 38},
  [1928] = {.lex_state = 38},
  [1929] = {.lex_state = 38},
  [1930] = {.lex_state = 38},
  [1931] = {.lex_state = 38},
  [1932] = {.lex_state = 38},
  [1933] = {.lex_state = 38},
  [1934] = {.lex_state = 38},
  [1935] = {.lex_state = 38},
  [1936] = {.lex_state = 38},
  [1937] = {.lex_state = 38},
  [1938] = {.lex_state = 38},
  [1939] = {.lex_state = 38},
  [1940] = {.lex_state = 38},
  [1941] = {.lex_state = 38},
  [1942] = {.lex_state = 38},
  [1943] = {.lex_state = 38},
  [1944] = {.lex_state = 38},
  [1945] = {.lex_state = 38},
  [1946] = {.lex_state = 38},
  [1947] = {.lex_state = 38},
  [1948] = {.lex_state = 38},
  [1949] = {.lex_state = 38},
  [1950] = {.lex_state = 38},
  [1951] = {.lex_state = 38},
  [1952] = {.lex_state = 38},
  [1953] = {.lex_state = 38},
  [1954] = {.lex_state = 38},
  [1955] = {.lex_state = 38},
  [1956] = {.lex_state = 116, .external_lex_state = 15},
  [1957] = {.lex_state = 38},
  [1958] = {.lex_state = 38},
  [1959] = {.lex_state = 38},
  [1960] = {.lex_state = 38},
  [1961] = {.lex_state = 38},
  [1962] = {.lex_state = 38},
  [1963] = {.lex_state = 116, .external_lex_state = 15},
  [1964] = {.lex_state = 38},
  [1965] = {.lex_state = 116, .external_lex_state = 15},
  [1966] = {.lex_state = 38},
  [1967] = {.lex_state = 38},
  [1968] = {.lex_state = 38},
  [1969] = {.lex_state = 38},
  [1970] = {.lex_state = 38},
  [1971] = {.lex_state = 116, .external_lex_state = 15},
  [1972] = {.lex_state = 116, .external_lex_state = 15},
  [1973] = {.lex_state = 116, .external_lex_state = 15},
  [1974] = {.lex_state = 116, .external_lex_state = 15},
  [1975] = {.lex_state = 116, .external_lex_state = 15},
  [1976] = {.lex_state = 116, .external_lex_state = 10},
  [1977] = {.lex_state = 116, .external_lex_state = 15},
  [1978] = {.lex_state = 116, .external_lex_state = 15},
  [1979] = {.lex_state = 116, .external_lex_state = 15},
  [1980] = {.lex_state = 116, .external_lex_state = 15},
  [1981] = {.lex_state = 116, .external_lex_state = 15},
  [1982] = {.lex_state = 116, .external_lex_state = 15},
  [1983] = {.lex_state = 116, .external_lex_state = 15},
  [1984] = {.lex_state = 116, .external_lex_state = 15},
  [1985] = {.lex_state = 116, .external_lex_state = 15},
  [1986] = {.lex_state = 116, .external_lex_state = 10},
  [1987] = {.lex_state = 116, .external_lex_state = 15},
  [1988] = {.lex_state = 116, .external_lex_state = 15},
  [1989] = {.lex_state = 116, .external_lex_state = 15},
  [1990] = {.lex_state = 116, .external_lex_state = 15},
  [1991] = {.lex_state = 116, .external_lex_state = 15},
  [1992] = {.lex_state = 116, .external_lex_state = 15},
  [1993] = {.lex_state = 116, .external_lex_state = 15},
  [1994] = {.lex_state = 116, .external_lex_state = 15},
  [1995] = {.lex_state = 116, .external_lex_state = 15},
  [1996] = {.lex_state = 116, .external_lex_state = 15},
  [1997] = {.lex_state = 116, .external_lex_state = 15},
  [1998] = {.lex_state = 26, .external_lex_state = 18},
  [1999] = {.lex_state = 26},
  [2000] = {.lex_state = 116, .external_lex_state = 10},
  [2001] = {.lex_state = 38, .external_lex_state = 17},
  [2002] = {.lex_state = 38, .external_lex_state = 17},
  [2003] = {.lex_state = 38, .external_lex_state = 17},
  [2004] = {.lex_state = 26, .external_lex_state = 12},
  [2005] = {.lex_state = 38, .external_lex_state = 17},
  [2006] = {.lex_state = 38, .external_lex_state = 17},
  [2007] = {.lex_state = 26},
  [2008] = {.lex_state = 38, .external_lex_state = 17},
  [2009] = {.lex_state = 26},
  [2010] = {.lex_state = 38},
  [2011] = {.lex_state = 26},
  [2012] = {.lex_state = 38, .external_lex_state = 17},
  [2013] = {.lex_state = 26},
  [2014] = {.lex_state = 38, .external_lex_state = 17},
  [2015] = {.lex_state = 38, .external_lex_state = 17},
  [2016] = {.lex_state = 26},
  [2017] = {.lex_state = 26},
  [2018] = {.lex_state = 38, .external_lex_state = 17},
  [2019] = {.lex_state = 26},
  [2020] = {.lex_state = 26},
  [2021] = {.lex_state = 38, .external_lex_state = 17},
  [2022] = {.lex_state = 26},
  [2023] = {.lex_state = 26},
  [2024] = {.lex_state = 38, .external_lex_state = 17},
  [2025] = {.lex_state = 38, .external_lex_state = 17},
  [2026] = {.lex_state = 26},
  [2027] = {.lex_state = 38, .external_lex_state = 17},
  [2028] = {.lex_state = 38, .external_lex_state = 17},
  [2029] = {.lex_state = 38, .external_lex_state = 17},
  [2030] = {.lex_state = 26},
  [2031] = {.lex_state = 38, .external_lex_state = 17},
  [2032] = {.lex_state = 26},
  [2033] = {.lex_state = 38, .external_lex_state = 17},
  [2034] = {.lex_state = 38, .external_lex_state = 17},
  [2035] = {.lex_state = 38, .external_lex_state = 17},
  [2036] = {.lex_state = 38, .external_lex_state = 17},
  [2037] = {.lex_state = 38, .external_lex_state = 17},
  [2038] = {.lex_state = 26},
  [2039] = {.lex_state = 26},
  [2040] = {.lex_state = 38, .external_lex_state = 17},
  [2041] = {.lex_state = 38},
  [2042] = {.lex_state = 38, .external_lex_state = 17},
  [2043] = {.lex_state = 26},
  [2044] = {.lex_state = 26},
  [2045] = {.lex_state = 26},
  [2046] = {.lex_state = 26},
  [2047] = {.lex_state = 26},
  [2048] = {.lex_state = 26},
  [2049] = {.lex_state = 38, .external_lex_state = 17},
  [2050] = {.lex_state = 38, .external_lex_state = 17},
  [2051] = {.lex_state = 38, .external_lex_state = 17},
  [2052] = {.lex_state = 38, .external_lex_state = 17},
  [2053] = {.lex_state = 38, .external_lex_state = 17},
  [2054] = {.lex_state = 26},
  [2055] = {.lex_state = 26},
  [2056] = {.lex_state = 26},
  [2057] = {.lex_state = 41},
  [2058] = {.lex_state = 26, .external_lex_state = 21},
  [2059] = {.lex_state = 27},
  [2060] = {.lex_state = 27},
  [2061] = {.lex_state = 27},
  [2062] = {.lex_state = 41},
  [2063] = {.lex_state = 27},
  [2064] = {.lex_state = 27},
  [2065] = {.lex_state = 41},
  [2066] = {.lex_state = 27},
  [2067] = {.lex_state = 26, .external_lex_state = 21},
  [2068] = {.lex_state = 26, .external_lex_state = 21},
  [2069] = {.lex_state = 27},
  [2070] = {.lex_state = 27},
  [2071] = {.lex_state = 26, .external_lex_state = 21},
  [2072] = {.lex_state = 27},
  [2073] = {.lex_state = 27},
  [2074] = {.lex_state = 38},
  [2075] = {.lex_state = 26, .external_lex_state = 21},
  [2076] = {.lex_state = 41},
  [2077] = {.lex_state = 26, .external_lex_state = 21},
  [2078] = {.lex_state = 26, .external_lex_state = 21},
  [2079] = {.lex_state = 27},
  [2080] = {.lex_state = 26, .external_lex_state = 21},
  [2081] = {.lex_state = 26, .external_lex_state = 21},
  [2082] = {.lex_state = 27},
  [2083] = {.lex_state = 26, .external_lex_state = 21},
  [2084] = {.lex_state = 41},
  [2085] = {.lex_state = 26, .external_lex_state = 21},
  [2086] = {.lex_state = 27},
  [2087] = {.lex_state = 27},
  [2088] = {.lex_state = 26, .external_lex_state = 21},
  [2089] = {.lex_state = 26, .external_lex_state = 21},
  [2090] = {.lex_state = 27},
  [2091] = {.lex_state = 27},
  [2092] = {.lex_state = 27},
  [2093] = {.lex_state = 27},
  [2094] = {.lex_state = 27},
  [2095] = {.lex_state = 27},
  [2096] = {.lex_state = 27},
  [2097] = {.lex_state = 41},
  [2098] = {.lex_state = 27},
  [2099] = {.lex_state = 27},
  [2100] = {.lex_state = 27},
  [2101] = {.lex_state = 27},
  [2102] = {.lex_state = 27},
  [2103] = {.lex_state = 27},
  [2104] = {.lex_state = 26, .external_lex_state = 21},
  [2105] = {.lex_state = 26, .external_lex_state = 21},
  [2106] = {.lex_state = 26, .external_lex_state = 21},
  [2107] = {.lex_state = 27},
  [2108] = {.lex_state = 27},
  [2109] = {.lex_state = 27},
  [2110] = {.lex_state = 26, .external_lex_state = 21},
  [2111] = {.lex_state = 27},
  [2112] = {.lex_state = 26, .external_lex_state = 21},
  [2113] = {.lex_state = 27},
  [2114] = {.lex_state = 27},
  [2115] = {.lex_state = 26, .external_lex_state = 21},
  [2116] = {.lex_state = 27},
  [2117] = {.lex_state = 27},
  [2118] = {.lex_state = 27},
  [2119] = {.lex_state = 27},
  [2120] = {.lex_state = 26, .external_lex_state = 21},
  [2121] = {.lex_state = 27},
  [2122] = {.lex_state = 27},
  [2123] = {.lex_state = 26, .external_lex_state = 21},
  [2124] = {.lex_state = 27},
  [2125] = {.lex_state = 26, .external_lex_state = 21},
  [2126] = {.lex_state = 26, .external_lex_state = 21},
  [2127] = {.lex_state = 27},
  [2128] = {.lex_state = 26, .external_lex_state = 21},
  [2129] = {.lex_state = 27},
  [2130] = {.lex_state = 27},
  [2131] = {.lex_state = 27},
  [2132] = {.lex_state = 27},
  [2133] = {.lex_state = 26, .external_lex_state = 21},
  [2134] = {.lex_state = 27},
  [2135] = {.lex_state = 26, .external_lex_state = 21},
  [2136] = {.lex_state = 27},
  [2137] = {.lex_state = 27},
  [2138] = {.lex_state = 38},
  [2139] = {.lex_state = 38},
  [2140] = {.lex_state = 38},
  [2141] = {.lex_state = 28},
  [2142] = {.lex_state = 38},
  [2143] = {.lex_state = 38},
  [2144] = {.lex_state = 38},
  [2145] = {.lex_state = 26},
  [2146] = {.lex_state = 42},
  [2147] = {.lex_state = 42},
  [2148] = {.lex_state = 42},
  [2149] = {.lex_state = 43, .external_lex_state = 21},
  [2150] = {.lex_state = 42},
  [2151] = {.lex_state = 43, .external_lex_state = 21},
  [2152] = {.lex_state = 42},
  [2153] = {.lex_state = 42},
  [2154] = {.lex_state = 42},
  [2155] = {.lex_state = 43, .external_lex_state = 21},
  [2156] = {.lex_state = 31, .external_lex_state = 22},
  [2157] = {.lex_state = 42},
  [2158] = {.lex_state = 42},
  [2159] = {.lex_state = 42},
  [2160] = {.lex_state = 43, .external_lex_state = 21},
  [2161] = {.lex_state = 42},
  [2162] = {.lex_state = 42},
  [2163] = {.lex_state = 42},
  [2164] = {.lex_state = 43, .external_lex_state = 21},
  [2165] = {.lex_state = 42},
  [2166] = {.lex_state = 42},
  [2167] = {.lex_state = 42},
  [2168] = {.lex_state = 42},
  [2169] = {.lex_state = 31, .external_lex_state = 22},
  [2170] = {.lex_state = 43, .external_lex_state = 21},
  [2171] = {.lex_state = 43, .external_lex_state = 21},
  [2172] = {.lex_state = 42},
  [2173] = {.lex_state = 42},
  [2174] = {.lex_state = 43, .external_lex_state = 21},
  [2175] = {.lex_state = 42},
  [2176] = {.lex_state = 43, .external_lex_state = 21},
  [2177] = {.lex_state = 43, .external_lex_state = 21},
  [2178] = {.lex_state = 43, .external_lex_state = 21},
  [2179] = {.lex_state = 42},
  [2180] = {.lex_state = 43, .external_lex_state = 21},
  [2181] = {.lex_state = 42},
  [2182] = {.lex_state = 42},
  [2183] = {.lex_state = 43, .external_lex_state = 21},
  [2184] = {.lex_state = 43, .external_lex_state = 21},
  [2185] = {.lex_state = 43, .external_lex_state = 21},
  [2186] = {.lex_state = 42},
  [2187] = {.lex_state = 42},
  [2188] = {.lex_state = 42},
  [2189] = {.lex_state = 42},
  [2190] = {.lex_state = 43, .external_lex_state = 21},
  [2191] = {.lex_state = 42},
  [2192] = {.lex_state = 42},
  [2193] = {.lex_state = 31, .external_lex_state = 22},
  [2194] = {.lex_state = 42},
  [2195] = {.lex_state = 43, .external_lex_state = 21},
  [2196] = {.lex_state = 43, .external_lex_state = 21},
  [2197] = {.lex_state = 43, .external_lex_state = 21},
  [2198] = {.lex_state = 42},
  [2199] = {.lex_state = 42},
  [2200] = {.lex_state = 42},
  [2201] = {.lex_state = 43, .external_lex_state = 21},
  [2202] = {.lex_state = 42},
  [2203] = {.lex_state = 42},
  [2204] = {.lex_state = 42},
  [2205] = {.lex_state = 43, .external_lex_state = 21},
  [2206] = {.lex_state = 42},
  [2207] = {.lex_state = 43, .external_lex_state = 21},
  [2208] = {.lex_state = 42},
  [2209] = {.lex_state = 43, .external_lex_state = 21},
  [2210] = {.lex_state = 42},
  [2211] = {.lex_state = 42},
  [2212] = {.lex_state = 43, .external_lex_state = 21},
  [2213] = {.lex_state = 42},
  [2214] = {.lex_state = 42},
  [2215] = {.lex_state = 42},
  [2216] = {.lex_state = 43, .external_lex_state = 21},
  [2217] = {.lex_state = 42},
  [2218] = {.lex_state = 42},
  [2219] = {.lex_state = 31, .external_lex_state = 22},
  [2220] = {.lex_state = 43, .external_lex_state = 21},
  [2221] = {.lex_state = 42},
  [2222] = {.lex_state = 42},
  [2223] = {.lex_state = 42},
  [2224] = {.lex_state = 42},
  [2225] = {.lex_state = 31, .external_lex_state = 22},
  [2226] = {.lex_state = 4, .external_lex_state = 15},
  [2227] = {.lex_state = 117},
  [2228] = {.lex_state = 117},
  [2229] = {.lex_state = 43},
  [2230] = {.lex_state = 117},
  [2231] = {.lex_state = 43},
  [2232] = {.lex_state = 117},
  [2233] = {.lex_state = 43},
  [2234] = {.lex_state = 117},
  [2235] = {.lex_state = 117},
  [2236] = {.lex_state = 43},
  [2237] = {.lex_state = 4, .external_lex_state = 10},
  [2238] = {.lex_state = 42, .external_lex_state = 17},
  [2239] = {.lex_state = 4, .external_lex_state = 15},
  [2240] = {.lex_state = 42, .external_lex_state = 17},
  [2241] = {.lex_state = 42, .external_lex_state = 17},
  [2242] = {.lex_state = 42, .external_lex_state = 17},
  [2243] = {.lex_state = 4, .external_lex_state = 10},
  [2244] = {.lex_state = 42, .external_lex_state = 17},
  [2245] = {.lex_state = 42, .external_lex_state = 17},
  [2246] = {.lex_state = 42, .external_lex_state = 17},
  [2247] = {.lex_state = 42, .external_lex_state = 17},
  [2248] = {.lex_state = 42, .external_lex_state = 17},
  [2249] = {.lex_state = 42, .external_lex_state = 17},
  [2250] = {.lex_state = 42, .external_lex_state = 17},
  [2251] = {.lex_state = 42, .external_lex_state = 17},
  [2252] = {.lex_state = 42, .external_lex_state = 17},
  [2253] = {.lex_state = 4, .external_lex_state = 10},
  [2254] = {.lex_state = 4, .external_lex_state = 10},
  [2255] = {.lex_state = 42, .external_lex_state = 17},
  [2256] = {.lex_state = 42, .external_lex_state = 17},
  [2257] = {.lex_state = 42, .external_lex_state = 17},
  [2258] = {.lex_state = 42, .external_lex_state = 17},
  [2259] = {.lex_state = 42, .external_lex_state = 17},
  [2260] = {.lex_state = 42, .external_lex_state = 17},
  [2261] = {.lex_state = 4, .external_lex_state = 10},
  [2262] = {.lex_state = 4, .external_lex_state = 15},
  [2263] = {.lex_state = 4, .external_lex_state = 15},
  [2264] = {.lex_state = 4, .external_lex_state = 10},
  [2265] = {.lex_state = 4, .external_lex_state = 15},
  [2266] = {.lex_state = 42, .external_lex_state = 17},
  [2267] = {.lex_state = 42, .external_lex_state = 17},
  [2268] = {.lex_state = 4, .external_lex_state = 15},
  [2269] = {.lex_state = 37},
  [2270] = {.lex_state = 31, .external_lex_state = 22},
  [2271] = {.lex_state = 4, .external_lex_state = 15},
  [2272] = {.lex_state = 4, .external_lex_state = 15},
  [2273] = {.lex_state = 4, .external_lex_state = 15},
  [2274] = {.lex_state = 4, .external_lex_state = 15},
  [2275] = {.lex_state = 4, .external_lex_state = 15},
  [2276] = {.lex_state = 31, .external_lex_state = 22},
  [2277] = {.lex_state = 31, .external_lex_state = 22},
  [2278] = {.lex_state = 4, .external_lex_state = 15},
  [2279] = {.lex_state = 4, .external_lex_state = 15},
  [2280] = {.lex_state = 4, .external_lex_state = 15},
  [2281] = {.lex_state = 31, .external_lex_state = 22},
  [2282] = {.lex_state = 31, .external_lex_state = 22},
  [2283] = {.lex_state = 4, .external_lex_state = 15},
  [2284] = {.lex_state = 4, .external_lex_state = 15},
  [2285] = {.lex_state = 31, .external_lex_state = 22},
  [2286] = {.lex_state = 4, .external_lex_state = 15},
  [2287] = {.lex_state = 31, .external_lex_state = 22},
  [2288] = {.lex_state = 31, .external_lex_state = 22},
  [2289] = {.lex_state = 31, .external_lex_state = 22},
  [2290] = {.lex_state = 37},
  [2291] = {.lex_state = 31, .external_lex_state = 22},
  [2292] = {.lex_state = 37},
  [2293] = {.lex_state = 4, .external_lex_state = 15},
  [2294] = {.lex_state = 4, .external_lex_state = 15},
  [2295] = {.lex_state = 4, .external_lex_state = 10},
  [2296] = {.lex_state = 31, .external_lex_state = 22},
  [2297] = {.lex_state = 4, .external_lex_state = 15},
  [2298] = {.lex_state = 31, .external_lex_state = 22},
  [2299] = {.lex_state = 31, .external_lex_state = 22},
  [2300] = {.lex_state = 4, .external_lex_state = 15},
  [2301] = {.lex_state = 4, .external_lex_state = 15},
  [2302] = {.lex_state = 42},
  [2303] = {.lex_state = 31, .external_lex_state = 22},
  [2304] = {.lex_state = 4, .external_lex_state = 15},
  [2305] = {.lex_state = 31, .external_lex_state = 22},
  [2306] = {.lex_state = 31, .external_lex_state = 22},
  [2307] = {.lex_state = 4, .external_lex_state = 15},
  [2308] = {.lex_state = 37},
  [2309] = {.lex_state = 4, .external_lex_state = 15},
  [2310] = {.lex_state = 31, .external_lex_state = 22},
  [2311] = {.lex_state = 4, .external_lex_state = 15},
  [2312] = {.lex_state = 42},
  [2313] = {.lex_state = 4, .external_lex_state = 15},
  [2314] = {.lex_state = 31, .external_lex_state = 22},
  [2315] = {.lex_state = 31, .external_lex_state = 22},
  [2316] = {.lex_state = 4, .external_lex_state = 15},
  [2317] = {.lex_state = 4, .external_lex_state = 15},
  [2318] = {.lex_state = 4, .external_lex_state = 15},
  [2319] = {.lex_state = 44},
  [2320] = {.lex_state = 117, .external_lex_state = 17},
  [2321] = {.lex_state = 116, .external_lex_state = 10},
  [2322] = {.lex_state = 44},
  [2323] = {.lex_state = 44},
  [2324] = {.lex_state = 44},
  [2325] = {.lex_state = 38},
  [2326] = {.lex_state = 44},
  [2327] = {.lex_state = 44},
  [2328] = {.lex_state = 44},
  [2329] = {.lex_state = 116, .external_lex_state = 10},
  [2330] = {.lex_state = 4, .external_lex_state = 10},
  [2331] = {.lex_state = 116, .external_lex_state = 10},
  [2332] = {.lex_state = 4, .external_lex_state = 10},
  [2333] = {.lex_state = 116, .external_lex_state = 10},
  [2334] = {.lex_state = 44},
  [2335] = {.lex_state = 4, .external_lex_state = 10},
  [2336] = {.lex_state = 116, .external_lex_state = 10},
  [2337] = {.lex_state = 37},
  [2338] = {.lex_state = 116, .external_lex_state = 10},
  [2339] = {.lex_state = 44},
  [2340] = {.lex_state = 44},
  [2341] = {.lex_state = 4, .external_lex_state = 10},
  [2342] = {.lex_state = 44},
  [2343] = {.lex_state = 38},
  [2344] = {.lex_state = 117, .external_lex_state = 17},
  [2345] = {.lex_state = 44},
  [2346] = {.lex_state = 4, .external_lex_state = 10},
  [2347] = {.lex_state = 116, .external_lex_state = 10},
  [2348] = {.lex_state = 44},
  [2349] = {.lex_state = 4, .external_lex_state = 10},
  [2350] = {.lex_state = 44},
  [2351] = {.lex_state = 44},
  [2352] = {.lex_state = 116, .external_lex_state = 10},
  [2353] = {.lex_state = 44},
  [2354] = {.lex_state = 38, .external_lex_state = 17},
  [2355] = {.lex_state = 116, .external_lex_state = 10},
  [2356] = {.lex_state = 117, .external_lex_state = 17},
  [2357] = {.lex_state = 39, .external_lex_state = 20},
  [2358] = {.lex_state = 44},
  [2359] = {.lex_state = 116, .external_lex_state = 10},
  [2360] = {.lex_state = 116, .external_lex_state = 10},
  [2361] = {.lex_state = 117, .external_lex_state = 17},
  [2362] = {.lex_state = 116, .external_lex_state = 10},
  [2363] = {.lex_state = 38},
  [2364] = {.lex_state = 116, .external_lex_state = 10},
  [2365] = {.lex_state = 32, .external_lex_state = 18},
  [2366] = {.lex_state = 116, .external_lex_state = 10},
  [2367] = {.lex_state = 44},
  [2368] = {.lex_state = 44},
  [2369] = {.lex_state = 32, .external_lex_state = 18},
  [2370] = {.lex_state = 44},
  [2371] = {.lex_state = 44},
  [2372] = {.lex_state = 116, .external_lex_state = 10},
  [2373] = {.lex_state = 116, .external_lex_state = 10},
  [2374] = {.lex_state = 116, .external_lex_state = 10},
  [2375] = {.lex_state = 44},
  [2376] = {.lex_state = 116, .external_lex_state = 10},
  [2377] = {.lex_state = 44},
  [2378] = {.lex_state = 44},
  [2379] = {.lex_state = 116, .external_lex_state = 10},
  [2380] = {.lex_state = 116, .external_lex_state = 10},
  [2381] = {.lex_state = 32, .external_lex_state = 18},
  [2382] = {.lex_state = 116, .external_lex_state = 10},
  [2383] = {.lex_state = 44},
  [2384] = {.lex_state = 44},
  [2385] = {.lex_state = 44},
  [2386] = {.lex_state = 44},
  [2387] = {.lex_state = 44},
  [2388] = {.lex_state = 32, .external_lex_state = 18},
  [2389] = {.lex_state = 44},
  [2390] = {.lex_state = 44},
  [2391] = {.lex_state = 116, .external_lex_state = 10},
  [2392] = {.lex_state = 44},
  [2393] = {.lex_state = 117},
  [2394] = {.lex_state = 24, .external_lex_state = 20},
  [2395] = {.lex_state = 39, .external_lex_state = 12},
  [2396] = {.lex_state = 39, .external_lex_state = 12},
  [2397] = {.lex_state = 24, .external_lex_state = 20},
  [2398] = {.lex_state = 24, .external_lex_state = 20},
  [2399] = {.lex_state = 39, .external_lex_state = 12},
  [2400] = {.lex_state = 39, .external_lex_state = 12},
  [2401] = {.lex_state = 24, .external_lex_state = 20},
  [2402] = {.lex_state = 24, .external_lex_state = 20},
  [2403] = {.lex_state = 24, .external_lex_state = 20},
  [2404] = {.lex_state = 39, .external_lex_state = 12},
  [2405] = {.lex_state = 24, .external_lex_state = 20},
  [2406] = {.lex_state = 24, .external_lex_state = 20},
  [2407] = {.lex_state = 39, .external_lex_state = 12},
  [2408] = {.lex_state = 39, .external_lex_state = 12},
  [2409] = {.lex_state = 24, .external_lex_state = 20},
  [2410] = {.lex_state = 24, .external_lex_state = 20},
  [2411] = {.lex_state = 39, .external_lex_state = 12},
  [2412] = {.lex_state = 39, .external_lex_state = 12},
  [2413] = {.lex_state = 24, .external_lex_state = 20},
  [2414] = {.lex_state = 117},
  [2415] = {.lex_state = 24, .external_lex_state = 20},
  [2416] = {.lex_state = 43, .external_lex_state = 17},
  [2417] = {.lex_state = 24, .external_lex_state = 20},
  [2418] = {.lex_state = 24, .external_lex_state = 20},
  [2419] = {.lex_state = 39, .external_lex_state = 12},
  [2420] = {.lex_state = 39, .external_lex_state = 12},
  [2421] = {.lex_state = 39, .external_lex_state = 12},
  [2422] = {.lex_state = 24, .external_lex_state = 20},
  [2423] = {.lex_state = 117},
  [2424] = {.lex_state = 39, .external_lex_state = 12},
  [2425] = {.lex_state = 24, .external_lex_state = 20},
  [2426] = {.lex_state = 32, .external_lex_state = 18},
  [2427] = {.lex_state = 43},
  [2428] = {.lex_state = 39, .external_lex_state = 12},
  [2429] = {.lex_state = 24, .external_lex_state = 20},
  [2430] = {.lex_state = 43, .external_lex_state = 17},
  [2431] = {.lex_state = 39, .external_lex_state = 12},
  [2432] = {.lex_state = 39, .external_lex_state = 12},
  [2433] = {.lex_state = 24, .external_lex_state = 20},
  [2434] = {.lex_state = 24, .external_lex_state = 20},
  [2435] = {.lex_state = 24, .external_lex_state = 20},
  [2436] = {.lex_state = 43},
  [2437] = {.lex_state = 24, .external_lex_state = 20},
  [2438] = {.lex_state = 43},
  [2439] = {.lex_state = 24, .external_lex_state = 20},
  [2440] = {.lex_state = 39, .external_lex_state = 12},
  [2441] = {.lex_state = 39, .external_lex_state = 12},
  [2442] = {.lex_state = 39, .external_lex_state = 12},
  [2443] = {.lex_state = 24, .external_lex_state = 20},
  [2444] = {.lex_state = 43, .external_lex_state = 17},
  [2445] = {.lex_state = 39, .external_lex_state = 12},
  [2446] = {.lex_state = 39, .external_lex_state = 12},
  [2447] = {.lex_state = 43},
  [2448] = {.lex_state = 24, .external_lex_state = 20},
  [2449] = {.lex_state = 24, .external_lex_state = 20},
  [2450] = {.lex_state = 24, .external_lex_state = 20},
  [2451] = {.lex_state = 24, .external_lex_state = 20},
  [2452] = {.lex_state = 43},
  [2453] = {.lex_state = 39, .external_lex_state = 12},
  [2454] = {.lex_state = 43, .external_lex_state = 17},
  [2455] = {.lex_state = 24, .external_lex_state = 20},
  [2456] = {.lex_state = 24, .external_lex_state = 20},
  [2457] = {.lex_state = 39, .external_lex_state = 12},
  [2458] = {.lex_state = 24, .external_lex_state = 20},
  [2459] = {.lex_state = 117},
  [2460] = {.lex_state = 39, .external_lex_state = 12},
  [2461] = {.lex_state = 39, .external_lex_state = 12},
  [2462] = {.lex_state = 32, .external_lex_state = 18},
  [2463] = {.lex_state = 39, .external_lex_state = 12},
  [2464] = {.lex_state = 117},
  [2465] = {.lex_state = 39, .external_lex_state = 12},
  [2466] = {.lex_state = 39, .external_lex_state = 12},
  [2467] = {.lex_state = 24, .external_lex_state = 20},
  [2468] = {.lex_state = 24, .external_lex_state = 20},
  [2469] = {.lex_state = 24, .external_lex_state = 20},
  [2470] = {.lex_state = 39, .external_lex_state = 12},
  [2471] = {.lex_state = 39, .external_lex_state = 12},
  [2472] = {.lex_state = 39, .external_lex_state = 12},
  [2473] = {.lex_state = 39, .external_lex_state = 12},
  [2474] = {.lex_state = 39, .external_lex_state = 12},
  [2475] = {.lex_state = 24, .external_lex_state = 20},
  [2476] = {.lex_state = 24, .external_lex_state = 20},
  [2477] = {.lex_state = 24, .external_lex_state = 20},
  [2478] = {.lex_state = 24, .external_lex_state = 20},
  [2479] = {.lex_state = 39, .external_lex_state = 12},
  [2480] = {.lex_state = 24, .external_lex_state = 20},
  [2481] = {.lex_state = 39, .external_lex_state = 12},
  [2482] = {.lex_state = 39, .external_lex_state = 12},
  [2483] = {.lex_state = 24, .external_lex_state = 20},
  [2484] = {.lex_state = 24, .external_lex_state = 20},
  [2485] = {.lex_state = 39, .external_lex_state = 12},
  [2486] = {.lex_state = 39, .external_lex_state = 12},
  [2487] = {.lex_state = 24, .external_lex_state = 20},
  [2488] = {.lex_state = 39, .external_lex_state = 12},
  [2489] = {.lex_state = 24, .external_lex_state = 20},
  [2490] = {.lex_state = 24, .external_lex_state = 20},
  [2491] = {.lex_state = 24, .external_lex_state = 20},
  [2492] = {.lex_state = 32, .external_lex_state = 18},
  [2493] = {.lex_state = 39, .external_lex_state = 12},
  [2494] = {.lex_state = 39, .external_lex_state = 12},
  [2495] = {.lex_state = 24, .external_lex_state = 20},
  [2496] = {.lex_state = 39, .external_lex_state = 12},
  [2497] = {.lex_state = 39, .external_lex_state = 12},
  [2498] = {.lex_state = 24, .external_lex_state = 20},
  [2499] = {.lex_state = 32, .external_lex_state = 18},
  [2500] = {.lex_state = 39, .external_lex_state = 12},
  [2501] = {.lex_state = 39, .external_lex_state = 12},
  [2502] = {.lex_state = 24, .external_lex_state = 20},
  [2503] = {.lex_state = 24, .external_lex_state = 20},
  [2504] = {.lex_state = 39, .external_lex_state = 12},
  [2505] = {.lex_state = 39, .external_lex_state = 12},
  [2506] = {.lex_state = 43},
  [2507] = {.lex_state = 39, .external_lex_state = 12},
  [2508] = {.lex_state = 39, .external_lex_state = 12},
  [2509] = {.lex_state = 39, .external_lex_state = 12},
  [2510] = {.lex_state = 24, .external_lex_state = 20},
  [2511] = {.lex_state = 24, .external_lex_state = 20},
  [2512] = {.lex_state = 43},
  [2513] = {.lex_state = 39, .external_lex_state = 12},
  [2514] = {.lex_state = 24, .external_lex_state = 20},
  [2515] = {.lex_state = 39, .external_lex_state = 12},
  [2516] = {.lex_state = 39, .external_lex_state = 12},
  [2517] = {.lex_state = 24, .external_lex_state = 20},
  [2518] = {.lex_state = 24, .external_lex_state = 20},
  [2519] = {.lex_state = 24, .external_lex_state = 20},
  [2520] = {.lex_state = 117},
  [2521] = {.lex_state = 117},
  [2522] = {.lex_state = 24, .external_lex_state = 20},
  [2523] = {.lex_state = 24, .external_lex_state = 20},
  [2524] = {.lex_state = 31},
  [2525] = {.lex_state = 24, .external_lex_state = 20},
  [2526] = {.lex_state = 31},
  [2527] = {.lex_state = 43},
  [2528] = {.lex_state = 43},
  [2529] = {.lex_state = 43},
  [2530] = {.lex_state = 43},
  [2531] = {.lex_state = 43},
  [2532] = {.lex_state = 43},
  [2533] = {.lex_state = 43},
  [2534] = {.lex_state = 34},
  [2535] = {.lex_state = 43},
  [2536] = {.lex_state = 37},
  [2537] = {.lex_state = 43},
  [2538] = {.lex_state = 43},
  [2539] = {.lex_state = 43},
  [2540] = {.lex_state = 43},
  [2541] = {.lex_state = 43},
  [2542] = {.lex_state = 43},
  [2543] = {.lex_state = 43},
  [2544] = {.lex_state = 34},
  [2545] = {.lex_state = 43},
  [2546] = {.lex_state = 24, .external_lex_state = 20},
  [2547] = {.lex_state = 43},
  [2548] = {.lex_state = 43},
  [2549] = {.lex_state = 43},
  [2550] = {.lex_state = 43},
  [2551] = {.lex_state = 37},
  [2552] = {.lex_state = 43},
  [2553] = {.lex_state = 43},
  [2554] = {.lex_state = 32, .external_lex_state = 18},
  [2555] = {.lex_state = 43},
  [2556] = {.lex_state = 37},
  [2557] = {.lex_state = 43},
  [2558] = {.lex_state = 43},
  [2559] = {.lex_state = 43},
  [2560] = {.lex_state = 43},
  [2561] = {.lex_state = 43},
  [2562] = {.lex_state = 43},
  [2563] = {.lex_state = 43},
  [2564] = {.lex_state = 24, .external_lex_state = 20},
  [2565] = {.lex_state = 43},
  [2566] = {.lex_state = 24, .external_lex_state = 20},
  [2567] = {.lex_state = 43},
  [2568] = {.lex_state = 24, .external_lex_state = 20},
  [2569] = {.lex_state = 43},
  [2570] = {.lex_state = 24, .external_lex_state = 20},
  [2571] = {.lex_state = 37},
  [2572] = {.lex_state = 43},
  [2573] = {.lex_state = 43},
  [2574] = {.lex_state = 24, .external_lex_state = 20},
  [2575] = {.lex_state = 34},
  [2576] = {.lex_state = 43},
  [2577] = {.lex_state = 24, .external_lex_state = 20},
  [2578] = {.lex_state = 43},
  [2579] = {.lex_state = 24, .external_lex_state = 20},
  [2580] = {.lex_state = 24, .external_lex_state = 20},
  [2581] = {.lex_state = 43},
  [2582] = {.lex_state = 37},
  [2583] = {.lex_state = 43},
  [2584] = {.lex_state = 39, .external_lex_state = 12},
  [2585] = {.lex_state = 43},
  [2586] = {.lex_state = 24, .external_lex_state = 20},
  [2587] = {.lex_state = 24, .external_lex_state = 20},
  [2588] = {.lex_state = 24, .external_lex_state = 20},
  [2589] = {.lex_state = 43},
  [2590] = {.lex_state = 43},
  [2591] = {.lex_state = 43},
  [2592] = {.lex_state = 43},
  [2593] = {.lex_state = 24, .external_lex_state = 20},
  [2594] = {.lex_state = 43},
  [2595] = {.lex_state = 43},
  [2596] = {.lex_state = 34},
  [2597] = {.lex_state = 24, .external_lex_state = 20},
  [2598] = {.lex_state = 24, .external_lex_state = 20},
  [2599] = {.lex_state = 24, .external_lex_state = 20},
  [2600] = {.lex_state = 43},
  [2601] = {.lex_state = 43},
  [2602] = {.lex_state = 43},
  [2603] = {.lex_state = 43},
  [2604] = {.lex_state = 43},
  [2605] = {.lex_state = 43},
  [2606] = {.lex_state = 43},
  [2607] = {.lex_state = 24, .external_lex_state = 20},
  [2608] = {.lex_state = 24, .external_lex_state = 20},
  [2609] = {.lex_state = 117},
  [2610] = {.lex_state = 24, .external_lex_state = 20},
  [2611] = {.lex_state = 32, .external_lex_state = 18},
  [2612] = {.lex_state = 43},
  [2613] = {.lex_state = 24, .external_lex_state = 20},
  [2614] = {.lex_state = 43},
  [2615] = {.lex_state = 37},
  [2616] = {.lex_state = 24, .external_lex_state = 20},
  [2617] = {.lex_state = 43},
  [2618] = {.lex_state = 24, .external_lex_state = 20},
  [2619] = {.lex_state = 43},
  [2620] = {.lex_state = 43},
  [2621] = {.lex_state = 43},
  [2622] = {.lex_state = 37},
  [2623] = {.lex_state = 43},
  [2624] = {.lex_state = 43},
  [2625] = {.lex_state = 43},
  [2626] = {.lex_state = 43},
  [2627] = {.lex_state = 37},
  [2628] = {.lex_state = 37},
  [2629] = {.lex_state = 24, .external_lex_state = 12},
  [2630] = {.lex_state = 117},
  [2631] = {.lex_state = 34},
  [2632] = {.lex_state = 117},
  [2633] = {.lex_state = 117},
  [2634] = {.lex_state = 117},
  [2635] = {.lex_state = 117},
  [2636] = {.lex_state = 117},
  [2637] = {.lex_state = 24, .external_lex_state = 12},
  [2638] = {.lex_state = 117},
  [2639] = {.lex_state = 24, .external_lex_state = 12},
  [2640] = {.lex_state = 34},
  [2641] = {.lex_state = 24, .external_lex_state = 12},
  [2642] = {.lex_state = 24, .external_lex_state = 12},
  [2643] = {.lex_state = 37},
  [2644] = {.lex_state = 34},
  [2645] = {.lex_state = 34},
  [2646] = {.lex_state = 24, .external_lex_state = 12},
  [2647] = {.lex_state = 24, .external_lex_state = 12},
  [2648] = {.lex_state = 24, .external_lex_state = 12},
  [2649] = {.lex_state = 24, .external_lex_state = 12},
  [2650] = {.lex_state = 32, .external_lex_state = 11},
  [2651] = {.lex_state = 32, .external_lex_state = 11},
  [2652] = {.lex_state = 117},
  [2653] = {.lex_state = 117},
  [2654] = {.lex_state = 24, .external_lex_state = 12},
  [2655] = {.lex_state = 117},
  [2656] = {.lex_state = 117},
  [2657] = {.lex_state = 117},
  [2658] = {.lex_state = 117},
  [2659] = {.lex_state = 117},
  [2660] = {.lex_state = 34},
  [2661] = {.lex_state = 117, .external_lex_state = 23},
  [2662] = {.lex_state = 117},
  [2663] = {.lex_state = 24, .external_lex_state = 12},
  [2664] = {.lex_state = 117},
  [2665] = {.lex_state = 117},
  [2666] = {.lex_state = 37},
  [2667] = {.lex_state = 117},
  [2668] = {.lex_state = 117},
  [2669] = {.lex_state = 34},
  [2670] = {.lex_state = 117},
  [2671] = {.lex_state = 117},
  [2672] = {.lex_state = 32, .external_lex_state = 11},
  [2673] = {.lex_state = 24, .external_lex_state = 12},
  [2674] = {.lex_state = 117},
  [2675] = {.lex_state = 24, .external_lex_state = 12},
  [2676] = {.lex_state = 24, .external_lex_state = 12},
  [2677] = {.lex_state = 24, .external_lex_state = 12},
  [2678] = {.lex_state = 24, .external_lex_state = 12},
  [2679] = {.lex_state = 32, .external_lex_state = 11},
  [2680] = {.lex_state = 117},
  [2681] = {.lex_state = 24, .external_lex_state = 12},
  [2682] = {.lex_state = 117},
  [2683] = {.lex_state = 117},
  [2684] = {.lex_state = 117},
  [2685] = {.lex_state = 34},
  [2686] = {.lex_state = 34},
  [2687] = {.lex_state = 24, .external_lex_state = 12},
  [2688] = {.lex_state = 24, .external_lex_state = 12},
  [2689] = {.lex_state = 24, .external_lex_state = 12},
  [2690] = {.lex_state = 24, .external_lex_state = 12},
  [2691] = {.lex_state = 117},
  [2692] = {.lex_state = 34},
  [2693] = {.lex_state = 117},
  [2694] = {.lex_state = 34},
  [2695] = {.lex_state = 117},
  [2696] = {.lex_state = 34},
  [2697] = {.lex_state = 117},
  [2698] = {.lex_state = 117},
  [2699] = {.lex_state = 117},
  [2700] = {.lex_state = 117},
  [2701] = {.lex_state = 117},
  [2702] = {.lex_state = 24, .external_lex_state = 12},
  [2703] = {.lex_state = 24, .external_lex_state = 12},
  [2704] = {.lex_state = 117},
  [2705] = {.lex_state = 117},
  [2706] = {.lex_state = 117},
  [2707] = {.lex_state = 24, .external_lex_state = 12},
  [2708] = {.lex_state = 37},
  [2709] = {.lex_state = 117},
  [2710] = {.lex_state = 37},
  [2711] = {.lex_state = 24, .external_lex_state = 12},
  [2712] = {.lex_state = 24, .external_lex_state = 12},
  [2713] = {.lex_state = 24, .external_lex_state = 12},
  [2714] = {.lex_state = 24, .external_lex_state = 12},
  [2715] = {.lex_state = 24, .external_lex_state = 12},
  [2716] = {.lex_state = 24, .external_lex_state = 12},
  [2717] = {.lex_state = 24, .external_lex_state = 12},
  [2718] = {.lex_state = 37},
  [2719] = {.lex_state = 117},
  [2720] = {.lex_state = 117},
  [2721] = {.lex_state = 24, .external_lex_state = 12},
  [2722] = {.lex_state = 117},
  [2723] = {.lex_state = 117},
  [2724] = {.lex_state = 117},
  [2725] = {.lex_state = 24, .external_lex_state = 12},
  [2726] = {.lex_state = 24, .external_lex_state = 12},
  [2727] = {.lex_state = 117},
  [2728] = {.lex_state = 37},
  [2729] = {.lex_state = 117},
  [2730] = {.lex_state = 117},
  [2731] = {.lex_state = 117},
  [2732] = {.lex_state = 117},
  [2733] = {.lex_state = 117, .external_lex_state = 23},
  [2734] = {.lex_state = 117},
  [2735] = {.lex_state = 117},
  [2736] = {.lex_state = 117},
  [2737] = {.lex_state = 117},
  [2738] = {.lex_state = 117},
  [2739] = {.lex_state = 117},
  [2740] = {.lex_state = 117},
  [2741] = {.lex_state = 117},
  [2742] = {.lex_state = 117},
  [2743] = {.lex_state = 37},
  [2744] = {.lex_state = 24, .external_lex_state = 12},
  [2745] = {.lex_state = 24, .external_lex_state = 12},
  [2746] = {.lex_state = 117},
  [2747] = {.lex_state = 117},
  [2748] = {.lex_state = 34},
  [2749] = {.lex_state = 117},
  [2750] = {.lex_state = 117},
  [2751] = {.lex_state = 24, .external_lex_state = 12},
  [2752] = {.lex_state = 117},
  [2753] = {.lex_state = 117},
  [2754] = {.lex_state = 24, .external_lex_state = 12},
  [2755] = {.lex_state = 117},
  [2756] = {.lex_state = 24, .external_lex_state = 12},
  [2757] = {.lex_state = 24, .external_lex_state = 12},
  [2758] = {.lex_state = 117},
  [2759] = {.lex_state = 34},
  [2760] = {.lex_state = 24, .external_lex_state = 12},
  [2761] = {.lex_state = 24, .external_lex_state = 12},
  [2762] = {.lex_state = 117},
  [2763] = {.lex_state = 117},
  [2764] = {.lex_state = 117},
  [2765] = {.lex_state = 117},
  [2766] = {.lex_state = 117},
  [2767] = {.lex_state = 117},
  [2768] = {.lex_state = 24, .external_lex_state = 12},
  [2769] = {.lex_state = 117},
  [2770] = {.lex_state = 24, .external_lex_state = 12},
  [2771] = {.lex_state = 24, .external_lex_state = 12},
  [2772] = {.lex_state = 37},
  [2773] = {.lex_state = 34},
  [2774] = {.lex_state = 24, .external_lex_state = 12},
  [2775] = {.lex_state = 37},
  [2776] = {.lex_state = 117},
  [2777] = {.lex_state = 24, .external_lex_state = 12},
  [2778] = {.lex_state = 24, .external_lex_state = 12},
  [2779] = {.lex_state = 24, .external_lex_state = 12},
  [2780] = {.lex_state = 117},
  [2781] = {.lex_state = 24, .external_lex_state = 12},
  [2782] = {.lex_state = 117},
  [2783] = {.lex_state = 117},
  [2784] = {.lex_state = 34},
  [2785] = {.lex_state = 34},
  [2786] = {.lex_state = 117},
  [2787] = {.lex_state = 117},
  [2788] = {.lex_state = 117},
  [2789] = {.lex_state = 117},
  [2790] = {.lex_state = 117},
  [2791] = {.lex_state = 117},
  [2792] = {.lex_state = 24, .external_lex_state = 12},
  [2793] = {.lex_state = 117},
  [2794] = {.lex_state = 117},
  [2795] = {.lex_state = 117},
  [2796] = {.lex_state = 117},
  [2797] = {.lex_state = 24, .external_lex_state = 12},
};

enum {
  ts_external_token_heredoc_start = 0,
  ts_external_token__simple_heredoc_body = 1,
  ts_external_token__heredoc_body_beginning = 2,
  ts_external_token__heredoc_body_middle = 3,
  ts_external_token__heredoc_body_end = 4,
  ts_external_token_file_descriptor = 5,
  ts_external_token__empty_value = 6,
  ts_external_token__concat = 7,
  ts_external_token_variable_name = 8,
  ts_external_token_regex = 9,
  ts_external_token_RBRACE = 10,
  ts_external_token_RBRACK = 11,
  ts_external_token_LT_LT = 12,
  ts_external_token_LT_LT_DASH = 13,
  ts_external_token_LF = 14,
};

static TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_heredoc_start] = sym_heredoc_start,
  [ts_external_token__simple_heredoc_body] = sym__simple_heredoc_body,
  [ts_external_token__heredoc_body_beginning] = sym__heredoc_body_beginning,
  [ts_external_token__heredoc_body_middle] = sym__heredoc_body_middle,
  [ts_external_token__heredoc_body_end] = sym__heredoc_body_end,
  [ts_external_token_file_descriptor] = sym_file_descriptor,
  [ts_external_token__empty_value] = sym__empty_value,
  [ts_external_token__concat] = sym__concat,
  [ts_external_token_variable_name] = sym_variable_name,
  [ts_external_token_regex] = sym_regex,
  [ts_external_token_RBRACE] = anon_sym_RBRACE,
  [ts_external_token_RBRACK] = anon_sym_RBRACK,
  [ts_external_token_LT_LT] = anon_sym_LT_LT,
  [ts_external_token_LT_LT_DASH] = anon_sym_LT_LT_DASH,
  [ts_external_token_LF] = anon_sym_LF,
};

static bool ts_external_scanner_states[24][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_heredoc_start] = true,
    [ts_external_token__simple_heredoc_body] = true,
    [ts_external_token__heredoc_body_beginning] = true,
    [ts_external_token__heredoc_body_middle] = true,
    [ts_external_token__heredoc_body_end] = true,
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__empty_value] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_regex] = true,
    [ts_external_token_RBRACE] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [2] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
  },
  [3] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_RBRACE] = true,
  },
  [4] = {
    [ts_external_token__simple_heredoc_body] = true,
    [ts_external_token__heredoc_body_beginning] = true,
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
  },
  [5] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [6] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [7] = {
    [ts_external_token__simple_heredoc_body] = true,
    [ts_external_token__heredoc_body_beginning] = true,
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_RBRACE] = true,
  },
  [8] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [9] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_LF] = true,
  },
  [10] = {
    [ts_external_token_LF] = true,
  },
  [11] = {
    [ts_external_token_RBRACK] = true,
  },
  [12] = {
    [ts_external_token_RBRACE] = true,
  },
  [13] = {
    [ts_external_token_regex] = true,
    [ts_external_token_RBRACE] = true,
  },
  [14] = {
    [ts_external_token_regex] = true,
  },
  [15] = {
    [ts_external_token__concat] = true,
    [ts_external_token_LF] = true,
  },
  [16] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
  },
  [17] = {
    [ts_external_token__concat] = true,
  },
  [18] = {
    [ts_external_token__concat] = true,
    [ts_external_token_RBRACK] = true,
  },
  [19] = {
    [ts_external_token__empty_value] = true,
  },
  [20] = {
    [ts_external_token__concat] = true,
    [ts_external_token_RBRACE] = true,
  },
  [21] = {
    [ts_external_token_variable_name] = true,
  },
  [22] = {
    [ts_external_token__heredoc_body_middle] = true,
    [ts_external_token__heredoc_body_end] = true,
  },
  [23] = {
    [ts_external_token_heredoc_start] = true,
  },
};

static uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_word] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_done] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_then] = ACTIONS(1),
    [anon_sym_fi] = ACTIONS(1),
    [anon_sym_elif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_esac] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_SEMI_SEMI] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_PIPE_AMP] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym_declare] = ACTIONS(1),
    [anon_sym_typeset] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_readonly] = ACTIONS(1),
    [anon_sym_local] = ACTIONS(1),
    [anon_sym_unset] = ACTIONS(1),
    [anon_sym_unsetenv] = ACTIONS(1),
    [anon_sym_EQ_TILDE] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_AMP_GT] = ACTIONS(1),
    [anon_sym_AMP_GT_GT] = ACTIONS(1),
    [anon_sym_LT_AMP] = ACTIONS(1),
    [anon_sym_GT_AMP] = ACTIONS(1),
    [anon_sym_GT_PIPE] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_LT_LT_DASH] = ACTIONS(1),
    [anon_sym_LT_LT_LT] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [sym__special_character] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_raw_string] = ACTIONS(1),
    [sym_ansii_c_string] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_COLON_QMARK] = ACTIONS(1),
    [anon_sym_COLON_DASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_LT_LPAREN] = ACTIONS(1),
    [anon_sym_GT_LPAREN] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_0] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [sym_test_operator] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [sym_heredoc_start] = ACTIONS(1),
    [sym__simple_heredoc_body] = ACTIONS(1),
    [sym__heredoc_body_beginning] = ACTIONS(1),
    [sym__heredoc_body_middle] = ACTIONS(1),
    [sym__heredoc_body_end] = ACTIONS(1),
    [sym_file_descriptor] = ACTIONS(1),
    [sym__empty_value] = ACTIONS(1),
    [sym__concat] = ACTIONS(1),
    [sym_variable_name] = ACTIONS(1),
    [sym_regex] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(2753),
    [sym__statements] = STATE(2752),
    [sym_redirected_statement] = STATE(1332),
    [sym_for_statement] = STATE(1332),
    [sym_c_style_for_statement] = STATE(1332),
    [sym_while_statement] = STATE(1332),
    [sym_if_statement] = STATE(1332),
    [sym_case_statement] = STATE(1332),
    [sym_function_definition] = STATE(1332),
    [sym_compound_statement] = STATE(1332),
    [sym_subshell] = STATE(1332),
    [sym_pipeline] = STATE(1332),
    [sym_list] = STATE(1332),
    [sym_negated_command] = STATE(1332),
    [sym_test_command] = STATE(1332),
    [sym_declaration_command] = STATE(1332),
    [sym_unset_command] = STATE(1332),
    [sym_command] = STATE(1332),
    [sym_command_name] = STATE(151),
    [sym_variable_assignment] = STATE(222),
    [sym_subscript] = STATE(2541),
    [sym_file_redirect] = STATE(592),
    [sym_concatenation] = STATE(560),
    [sym_string] = STATE(241),
    [sym_simple_expansion] = STATE(241),
    [sym_string_expansion] = STATE(241),
    [sym_expansion] = STATE(241),
    [sym_command_substitution] = STATE(241),
    [sym_process_substitution] = STATE(241),
    [aux_sym__statements_repeat1] = STATE(113),
    [aux_sym_command_repeat1] = STATE(592),
    [aux_sym__literal_repeat1] = STATE(301),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(11),
    [anon_sym_while] = ACTIONS(13),
    [anon_sym_if] = ACTIONS(15),
    [anon_sym_case] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(27),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(29),
    [anon_sym_declare] = ACTIONS(31),
    [anon_sym_typeset] = ACTIONS(31),
    [anon_sym_export] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_local] = ACTIONS(31),
    [anon_sym_unset] = ACTIONS(33),
    [anon_sym_unsetenv] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(39),
    [sym__special_character] = ACTIONS(41),
    [anon_sym_DQUOTE] = ACTIONS(43),
    [sym_raw_string] = ACTIONS(45),
    [sym_ansii_c_string] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(47),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [anon_sym_LT_LPAREN] = ACTIONS(53),
    [anon_sym_GT_LPAREN] = ACTIONS(53),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(59),
  },
  [2] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1387),
    [sym_for_statement] = STATE(1387),
    [sym_c_style_for_statement] = STATE(1387),
    [sym_while_statement] = STATE(1387),
    [sym_if_statement] = STATE(1387),
    [sym_elif_clause] = STATE(2292),
    [sym_else_clause] = STATE(2643),
    [sym_case_statement] = STATE(1387),
    [sym_function_definition] = STATE(1387),
    [sym_compound_statement] = STATE(1387),
    [sym_subshell] = STATE(1387),
    [sym_pipeline] = STATE(1387),
    [sym_list] = STATE(1387),
    [sym_negated_command] = STATE(1387),
    [sym_test_command] = STATE(1387),
    [sym_declaration_command] = STATE(1387),
    [sym_unset_command] = STATE(1387),
    [sym_command] = STATE(1387),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(236),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym_if_statement_repeat1] = STATE(2292),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(71),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [3] = {
    [aux_sym__statements2] = STATE(2),
    [sym_redirected_statement] = STATE(1387),
    [sym_for_statement] = STATE(1387),
    [sym_c_style_for_statement] = STATE(1387),
    [sym_while_statement] = STATE(1387),
    [sym_if_statement] = STATE(1387),
    [sym_elif_clause] = STATE(2308),
    [sym_else_clause] = STATE(2627),
    [sym_case_statement] = STATE(1387),
    [sym_function_definition] = STATE(1387),
    [sym_compound_statement] = STATE(1387),
    [sym_subshell] = STATE(1387),
    [sym_pipeline] = STATE(1387),
    [sym_list] = STATE(1387),
    [sym_negated_command] = STATE(1387),
    [sym_test_command] = STATE(1387),
    [sym_declaration_command] = STATE(1387),
    [sym_unset_command] = STATE(1387),
    [sym_command] = STATE(1387),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(236),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym_if_statement_repeat1] = STATE(2308),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(113),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [4] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1387),
    [sym_for_statement] = STATE(1387),
    [sym_c_style_for_statement] = STATE(1387),
    [sym_while_statement] = STATE(1387),
    [sym_if_statement] = STATE(1387),
    [sym_elif_clause] = STATE(2290),
    [sym_else_clause] = STATE(2708),
    [sym_case_statement] = STATE(1387),
    [sym_function_definition] = STATE(1387),
    [sym_compound_statement] = STATE(1387),
    [sym_subshell] = STATE(1387),
    [sym_pipeline] = STATE(1387),
    [sym_list] = STATE(1387),
    [sym_negated_command] = STATE(1387),
    [sym_test_command] = STATE(1387),
    [sym_declaration_command] = STATE(1387),
    [sym_unset_command] = STATE(1387),
    [sym_command] = STATE(1387),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(236),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym_if_statement_repeat1] = STATE(2290),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(115),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [5] = {
    [aux_sym__statements2] = STATE(4),
    [sym_redirected_statement] = STATE(1387),
    [sym_for_statement] = STATE(1387),
    [sym_c_style_for_statement] = STATE(1387),
    [sym_while_statement] = STATE(1387),
    [sym_if_statement] = STATE(1387),
    [sym_elif_clause] = STATE(2269),
    [sym_else_clause] = STATE(2743),
    [sym_case_statement] = STATE(1387),
    [sym_function_definition] = STATE(1387),
    [sym_compound_statement] = STATE(1387),
    [sym_subshell] = STATE(1387),
    [sym_pipeline] = STATE(1387),
    [sym_list] = STATE(1387),
    [sym_negated_command] = STATE(1387),
    [sym_test_command] = STATE(1387),
    [sym_declaration_command] = STATE(1387),
    [sym_unset_command] = STATE(1387),
    [sym_command] = STATE(1387),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(236),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym_if_statement_repeat1] = STATE(2269),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(117),
    [anon_sym_elif] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [6] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1387),
    [sym_for_statement] = STATE(1387),
    [sym_c_style_for_statement] = STATE(1387),
    [sym_while_statement] = STATE(1387),
    [sym_if_statement] = STATE(1387),
    [sym_case_statement] = STATE(1387),
    [sym_function_definition] = STATE(1387),
    [sym_compound_statement] = STATE(1387),
    [sym_subshell] = STATE(1387),
    [sym_pipeline] = STATE(1387),
    [sym_list] = STATE(1387),
    [sym_negated_command] = STATE(1387),
    [sym_test_command] = STATE(1387),
    [sym_declaration_command] = STATE(1387),
    [sym_unset_command] = STATE(1387),
    [sym_command] = STATE(1387),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(236),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(122),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(128),
    [anon_sym_done] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_fi] = ACTIONS(131),
    [anon_sym_elif] = ACTIONS(131),
    [anon_sym_else] = ACTIONS(131),
    [anon_sym_case] = ACTIONS(136),
    [anon_sym_function] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(142),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(148),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(154),
    [anon_sym_declare] = ACTIONS(157),
    [anon_sym_typeset] = ACTIONS(157),
    [anon_sym_export] = ACTIONS(157),
    [anon_sym_readonly] = ACTIONS(157),
    [anon_sym_local] = ACTIONS(157),
    [anon_sym_unset] = ACTIONS(160),
    [anon_sym_unsetenv] = ACTIONS(160),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_GT_GT] = ACTIONS(166),
    [anon_sym_AMP_GT] = ACTIONS(163),
    [anon_sym_AMP_GT_GT] = ACTIONS(166),
    [anon_sym_LT_AMP] = ACTIONS(166),
    [anon_sym_GT_AMP] = ACTIONS(166),
    [anon_sym_GT_PIPE] = ACTIONS(166),
    [anon_sym_DOLLAR] = ACTIONS(169),
    [sym__special_character] = ACTIONS(172),
    [anon_sym_DQUOTE] = ACTIONS(175),
    [sym_raw_string] = ACTIONS(178),
    [sym_ansii_c_string] = ACTIONS(178),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(181),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(184),
    [anon_sym_BQUOTE] = ACTIONS(187),
    [anon_sym_LT_LPAREN] = ACTIONS(190),
    [anon_sym_GT_LPAREN] = ACTIONS(190),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(193),
    [sym_variable_name] = ACTIONS(196),
  },
  [7] = {
    [sym__statements] = STATE(2544),
    [sym_redirected_statement] = STATE(1314),
    [sym_for_statement] = STATE(1314),
    [sym_c_style_for_statement] = STATE(1314),
    [sym_while_statement] = STATE(1314),
    [sym_if_statement] = STATE(1314),
    [sym_case_statement] = STATE(1314),
    [sym_function_definition] = STATE(1314),
    [sym_compound_statement] = STATE(1314),
    [sym_subshell] = STATE(1314),
    [sym_pipeline] = STATE(1314),
    [sym_list] = STATE(1314),
    [sym_negated_command] = STATE(1314),
    [sym_test_command] = STATE(1314),
    [sym_declaration_command] = STATE(1314),
    [sym_unset_command] = STATE(1314),
    [sym_command] = STATE(1314),
    [sym_command_name] = STATE(157),
    [sym_variable_assignment] = STATE(233),
    [sym_subscript] = STATE(2601),
    [sym_file_redirect] = STATE(581),
    [sym_concatenation] = STATE(579),
    [sym_string] = STATE(263),
    [sym_simple_expansion] = STATE(263),
    [sym_string_expansion] = STATE(263),
    [sym_expansion] = STATE(263),
    [sym_command_substitution] = STATE(263),
    [sym_process_substitution] = STATE(263),
    [aux_sym__statements_repeat1] = STATE(116),
    [aux_sym_command_repeat1] = STATE(581),
    [aux_sym__literal_repeat1] = STATE(429),
    [sym_word] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_esac] = ACTIONS(201),
    [anon_sym_SEMI_SEMI] = ACTIONS(203),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(207),
    [anon_sym_typeset] = ACTIONS(207),
    [anon_sym_export] = ACTIONS(207),
    [anon_sym_readonly] = ACTIONS(207),
    [anon_sym_local] = ACTIONS(207),
    [anon_sym_unset] = ACTIONS(209),
    [anon_sym_unsetenv] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(211),
    [sym__special_character] = ACTIONS(213),
    [anon_sym_DQUOTE] = ACTIONS(215),
    [sym_raw_string] = ACTIONS(217),
    [sym_ansii_c_string] = ACTIONS(217),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(219),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(221),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [anon_sym_LT_LPAREN] = ACTIONS(225),
    [anon_sym_GT_LPAREN] = ACTIONS(225),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(227),
  },
  [8] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1387),
    [sym_for_statement] = STATE(1387),
    [sym_c_style_for_statement] = STATE(1387),
    [sym_while_statement] = STATE(1387),
    [sym_if_statement] = STATE(1387),
    [sym_case_statement] = STATE(1387),
    [sym_function_definition] = STATE(1387),
    [sym_compound_statement] = STATE(1387),
    [sym_subshell] = STATE(1387),
    [sym_pipeline] = STATE(1387),
    [sym_list] = STATE(1387),
    [sym_negated_command] = STATE(1387),
    [sym_test_command] = STATE(1387),
    [sym_declaration_command] = STATE(1387),
    [sym_unset_command] = STATE(1387),
    [sym_command] = STATE(1387),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(236),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(229),
    [anon_sym_elif] = ACTIONS(229),
    [anon_sym_else] = ACTIONS(229),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [9] = {
    [sym__statements] = STATE(2575),
    [sym_redirected_statement] = STATE(1314),
    [sym_for_statement] = STATE(1314),
    [sym_c_style_for_statement] = STATE(1314),
    [sym_while_statement] = STATE(1314),
    [sym_if_statement] = STATE(1314),
    [sym_case_statement] = STATE(1314),
    [sym_function_definition] = STATE(1314),
    [sym_compound_statement] = STATE(1314),
    [sym_subshell] = STATE(1314),
    [sym_pipeline] = STATE(1314),
    [sym_list] = STATE(1314),
    [sym_negated_command] = STATE(1314),
    [sym_test_command] = STATE(1314),
    [sym_declaration_command] = STATE(1314),
    [sym_unset_command] = STATE(1314),
    [sym_command] = STATE(1314),
    [sym_command_name] = STATE(157),
    [sym_variable_assignment] = STATE(233),
    [sym_subscript] = STATE(2601),
    [sym_file_redirect] = STATE(581),
    [sym_concatenation] = STATE(579),
    [sym_string] = STATE(263),
    [sym_simple_expansion] = STATE(263),
    [sym_string_expansion] = STATE(263),
    [sym_expansion] = STATE(263),
    [sym_command_substitution] = STATE(263),
    [sym_process_substitution] = STATE(263),
    [aux_sym__statements_repeat1] = STATE(116),
    [aux_sym_command_repeat1] = STATE(581),
    [aux_sym__literal_repeat1] = STATE(429),
    [sym_word] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_esac] = ACTIONS(231),
    [anon_sym_SEMI_SEMI] = ACTIONS(233),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(207),
    [anon_sym_typeset] = ACTIONS(207),
    [anon_sym_export] = ACTIONS(207),
    [anon_sym_readonly] = ACTIONS(207),
    [anon_sym_local] = ACTIONS(207),
    [anon_sym_unset] = ACTIONS(209),
    [anon_sym_unsetenv] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(211),
    [sym__special_character] = ACTIONS(213),
    [anon_sym_DQUOTE] = ACTIONS(215),
    [sym_raw_string] = ACTIONS(217),
    [sym_ansii_c_string] = ACTIONS(217),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(219),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(221),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [anon_sym_LT_LPAREN] = ACTIONS(225),
    [anon_sym_GT_LPAREN] = ACTIONS(225),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(227),
  },
  [10] = {
    [aux_sym__statements2] = STATE(8),
    [sym_redirected_statement] = STATE(1387),
    [sym_for_statement] = STATE(1387),
    [sym_c_style_for_statement] = STATE(1387),
    [sym_while_statement] = STATE(1387),
    [sym_if_statement] = STATE(1387),
    [sym_case_statement] = STATE(1387),
    [sym_function_definition] = STATE(1387),
    [sym_compound_statement] = STATE(1387),
    [sym_subshell] = STATE(1387),
    [sym_pipeline] = STATE(1387),
    [sym_list] = STATE(1387),
    [sym_negated_command] = STATE(1387),
    [sym_test_command] = STATE(1387),
    [sym_declaration_command] = STATE(1387),
    [sym_unset_command] = STATE(1387),
    [sym_command] = STATE(1387),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(236),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(235),
    [anon_sym_elif] = ACTIONS(235),
    [anon_sym_else] = ACTIONS(235),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [11] = {
    [sym__statements] = STATE(2596),
    [sym_redirected_statement] = STATE(1314),
    [sym_for_statement] = STATE(1314),
    [sym_c_style_for_statement] = STATE(1314),
    [sym_while_statement] = STATE(1314),
    [sym_if_statement] = STATE(1314),
    [sym_case_statement] = STATE(1314),
    [sym_function_definition] = STATE(1314),
    [sym_compound_statement] = STATE(1314),
    [sym_subshell] = STATE(1314),
    [sym_pipeline] = STATE(1314),
    [sym_list] = STATE(1314),
    [sym_negated_command] = STATE(1314),
    [sym_test_command] = STATE(1314),
    [sym_declaration_command] = STATE(1314),
    [sym_unset_command] = STATE(1314),
    [sym_command] = STATE(1314),
    [sym_command_name] = STATE(157),
    [sym_variable_assignment] = STATE(233),
    [sym_subscript] = STATE(2601),
    [sym_file_redirect] = STATE(581),
    [sym_concatenation] = STATE(579),
    [sym_string] = STATE(263),
    [sym_simple_expansion] = STATE(263),
    [sym_string_expansion] = STATE(263),
    [sym_expansion] = STATE(263),
    [sym_command_substitution] = STATE(263),
    [sym_process_substitution] = STATE(263),
    [aux_sym__statements_repeat1] = STATE(116),
    [aux_sym_command_repeat1] = STATE(581),
    [aux_sym__literal_repeat1] = STATE(429),
    [sym_word] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_esac] = ACTIONS(237),
    [anon_sym_SEMI_SEMI] = ACTIONS(239),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(207),
    [anon_sym_typeset] = ACTIONS(207),
    [anon_sym_export] = ACTIONS(207),
    [anon_sym_readonly] = ACTIONS(207),
    [anon_sym_local] = ACTIONS(207),
    [anon_sym_unset] = ACTIONS(209),
    [anon_sym_unsetenv] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(211),
    [sym__special_character] = ACTIONS(213),
    [anon_sym_DQUOTE] = ACTIONS(215),
    [sym_raw_string] = ACTIONS(217),
    [sym_ansii_c_string] = ACTIONS(217),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(219),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(221),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [anon_sym_LT_LPAREN] = ACTIONS(225),
    [anon_sym_GT_LPAREN] = ACTIONS(225),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(227),
  },
  [12] = {
    [sym__statements] = STATE(2534),
    [sym_redirected_statement] = STATE(1314),
    [sym_for_statement] = STATE(1314),
    [sym_c_style_for_statement] = STATE(1314),
    [sym_while_statement] = STATE(1314),
    [sym_if_statement] = STATE(1314),
    [sym_case_statement] = STATE(1314),
    [sym_function_definition] = STATE(1314),
    [sym_compound_statement] = STATE(1314),
    [sym_subshell] = STATE(1314),
    [sym_pipeline] = STATE(1314),
    [sym_list] = STATE(1314),
    [sym_negated_command] = STATE(1314),
    [sym_test_command] = STATE(1314),
    [sym_declaration_command] = STATE(1314),
    [sym_unset_command] = STATE(1314),
    [sym_command] = STATE(1314),
    [sym_command_name] = STATE(157),
    [sym_variable_assignment] = STATE(233),
    [sym_subscript] = STATE(2601),
    [sym_file_redirect] = STATE(581),
    [sym_concatenation] = STATE(579),
    [sym_string] = STATE(263),
    [sym_simple_expansion] = STATE(263),
    [sym_string_expansion] = STATE(263),
    [sym_expansion] = STATE(263),
    [sym_command_substitution] = STATE(263),
    [sym_process_substitution] = STATE(263),
    [aux_sym__statements_repeat1] = STATE(116),
    [aux_sym_command_repeat1] = STATE(581),
    [aux_sym__literal_repeat1] = STATE(429),
    [sym_word] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_esac] = ACTIONS(241),
    [anon_sym_SEMI_SEMI] = ACTIONS(243),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(207),
    [anon_sym_typeset] = ACTIONS(207),
    [anon_sym_export] = ACTIONS(207),
    [anon_sym_readonly] = ACTIONS(207),
    [anon_sym_local] = ACTIONS(207),
    [anon_sym_unset] = ACTIONS(209),
    [anon_sym_unsetenv] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(211),
    [sym__special_character] = ACTIONS(213),
    [anon_sym_DQUOTE] = ACTIONS(215),
    [sym_raw_string] = ACTIONS(217),
    [sym_ansii_c_string] = ACTIONS(217),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(219),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(221),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [anon_sym_LT_LPAREN] = ACTIONS(225),
    [anon_sym_GT_LPAREN] = ACTIONS(225),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(227),
  },
  [13] = {
    [sym__statements] = STATE(2782),
    [sym_redirected_statement] = STATE(1357),
    [sym_for_statement] = STATE(1357),
    [sym_c_style_for_statement] = STATE(1357),
    [sym_while_statement] = STATE(1357),
    [sym_if_statement] = STATE(1357),
    [sym_case_statement] = STATE(1357),
    [sym_function_definition] = STATE(1357),
    [sym_compound_statement] = STATE(1357),
    [sym_subshell] = STATE(1357),
    [sym_pipeline] = STATE(1357),
    [sym_list] = STATE(1357),
    [sym_negated_command] = STATE(1357),
    [sym_test_command] = STATE(1357),
    [sym_declaration_command] = STATE(1357),
    [sym_unset_command] = STATE(1357),
    [sym_command] = STATE(1357),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(266),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(117),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_SEMI_SEMI] = ACTIONS(245),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [14] = {
    [sym__statements] = STATE(2790),
    [sym_redirected_statement] = STATE(1357),
    [sym_for_statement] = STATE(1357),
    [sym_c_style_for_statement] = STATE(1357),
    [sym_while_statement] = STATE(1357),
    [sym_if_statement] = STATE(1357),
    [sym_case_statement] = STATE(1357),
    [sym_function_definition] = STATE(1357),
    [sym_compound_statement] = STATE(1357),
    [sym_subshell] = STATE(1357),
    [sym_pipeline] = STATE(1357),
    [sym_list] = STATE(1357),
    [sym_negated_command] = STATE(1357),
    [sym_test_command] = STATE(1357),
    [sym_declaration_command] = STATE(1357),
    [sym_unset_command] = STATE(1357),
    [sym_command] = STATE(1357),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(266),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(117),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_SEMI_SEMI] = ACTIONS(247),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [15] = {
    [sym__statements] = STATE(2794),
    [sym_redirected_statement] = STATE(1357),
    [sym_for_statement] = STATE(1357),
    [sym_c_style_for_statement] = STATE(1357),
    [sym_while_statement] = STATE(1357),
    [sym_if_statement] = STATE(1357),
    [sym_case_statement] = STATE(1357),
    [sym_function_definition] = STATE(1357),
    [sym_compound_statement] = STATE(1357),
    [sym_subshell] = STATE(1357),
    [sym_pipeline] = STATE(1357),
    [sym_list] = STATE(1357),
    [sym_negated_command] = STATE(1357),
    [sym_test_command] = STATE(1357),
    [sym_declaration_command] = STATE(1357),
    [sym_unset_command] = STATE(1357),
    [sym_command] = STATE(1357),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(266),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(117),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_SEMI_SEMI] = ACTIONS(249),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [16] = {
    [sym__statements] = STATE(2750),
    [sym_redirected_statement] = STATE(1357),
    [sym_for_statement] = STATE(1357),
    [sym_c_style_for_statement] = STATE(1357),
    [sym_while_statement] = STATE(1357),
    [sym_if_statement] = STATE(1357),
    [sym_case_statement] = STATE(1357),
    [sym_function_definition] = STATE(1357),
    [sym_compound_statement] = STATE(1357),
    [sym_subshell] = STATE(1357),
    [sym_pipeline] = STATE(1357),
    [sym_list] = STATE(1357),
    [sym_negated_command] = STATE(1357),
    [sym_test_command] = STATE(1357),
    [sym_declaration_command] = STATE(1357),
    [sym_unset_command] = STATE(1357),
    [sym_command] = STATE(1357),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(266),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(117),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_SEMI_SEMI] = ACTIONS(251),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [17] = {
    [sym__statements] = STATE(2749),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(253),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [18] = {
    [sym__statements] = STATE(2709),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_RPAREN] = ACTIONS(255),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [19] = {
    [sym__statements] = STATE(2736),
    [sym_redirected_statement] = STATE(1326),
    [sym_for_statement] = STATE(1326),
    [sym_c_style_for_statement] = STATE(1326),
    [sym_while_statement] = STATE(1326),
    [sym_if_statement] = STATE(1326),
    [sym_case_statement] = STATE(1326),
    [sym_function_definition] = STATE(1326),
    [sym_compound_statement] = STATE(1326),
    [sym_subshell] = STATE(1326),
    [sym_pipeline] = STATE(1326),
    [sym_list] = STATE(1326),
    [sym_negated_command] = STATE(1326),
    [sym_test_command] = STATE(1326),
    [sym_declaration_command] = STATE(1326),
    [sym_unset_command] = STATE(1326),
    [sym_command] = STATE(1326),
    [sym_command_name] = STATE(185),
    [sym_variable_assignment] = STATE(265),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(596),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(115),
    [aux_sym_command_repeat1] = STATE(596),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [20] = {
    [aux_sym__statements2] = STATE(65),
    [sym_redirected_statement] = STATE(1387),
    [sym_for_statement] = STATE(1387),
    [sym_c_style_for_statement] = STATE(1387),
    [sym_while_statement] = STATE(1387),
    [sym_if_statement] = STATE(1387),
    [sym_case_statement] = STATE(1387),
    [sym_function_definition] = STATE(1387),
    [sym_compound_statement] = STATE(1387),
    [sym_subshell] = STATE(1387),
    [sym_pipeline] = STATE(1387),
    [sym_list] = STATE(1387),
    [sym_negated_command] = STATE(1387),
    [sym_test_command] = STATE(1387),
    [sym_declaration_command] = STATE(1387),
    [sym_unset_command] = STATE(1387),
    [sym_command] = STATE(1387),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(236),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(263),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [21] = {
    [sym__statements] = STATE(2638),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(1517),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [22] = {
    [sym__statements] = STATE(2776),
    [sym_redirected_statement] = STATE(1326),
    [sym_for_statement] = STATE(1326),
    [sym_c_style_for_statement] = STATE(1326),
    [sym_while_statement] = STATE(1326),
    [sym_if_statement] = STATE(1326),
    [sym_case_statement] = STATE(1326),
    [sym_function_definition] = STATE(1326),
    [sym_compound_statement] = STATE(1326),
    [sym_subshell] = STATE(1326),
    [sym_pipeline] = STATE(1326),
    [sym_list] = STATE(1326),
    [sym_negated_command] = STATE(1326),
    [sym_test_command] = STATE(1326),
    [sym_declaration_command] = STATE(1326),
    [sym_unset_command] = STATE(1326),
    [sym_command] = STATE(1326),
    [sym_command_name] = STATE(185),
    [sym_variable_assignment] = STATE(265),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(596),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(115),
    [aux_sym_command_repeat1] = STATE(596),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [23] = {
    [sym__statements] = STATE(2664),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [24] = {
    [sym__statements] = STATE(2674),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(1550),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [25] = {
    [sym__statements] = STATE(2668),
    [sym_redirected_statement] = STATE(1326),
    [sym_for_statement] = STATE(1326),
    [sym_c_style_for_statement] = STATE(1326),
    [sym_while_statement] = STATE(1326),
    [sym_if_statement] = STATE(1326),
    [sym_case_statement] = STATE(1326),
    [sym_function_definition] = STATE(1326),
    [sym_compound_statement] = STATE(1326),
    [sym_subshell] = STATE(1326),
    [sym_pipeline] = STATE(1326),
    [sym_list] = STATE(1326),
    [sym_negated_command] = STATE(1326),
    [sym_test_command] = STATE(1326),
    [sym_declaration_command] = STATE(1326),
    [sym_unset_command] = STATE(1326),
    [sym_command] = STATE(1326),
    [sym_command_name] = STATE(185),
    [sym_variable_assignment] = STATE(265),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(596),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(115),
    [aux_sym_command_repeat1] = STATE(596),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [26] = {
    [sym__statements] = STATE(2667),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [27] = {
    [sym__statements] = STATE(2787),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(1531),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [28] = {
    [sym__statements] = STATE(2630),
    [sym_redirected_statement] = STATE(1326),
    [sym_for_statement] = STATE(1326),
    [sym_c_style_for_statement] = STATE(1326),
    [sym_while_statement] = STATE(1326),
    [sym_if_statement] = STATE(1326),
    [sym_case_statement] = STATE(1326),
    [sym_function_definition] = STATE(1326),
    [sym_compound_statement] = STATE(1326),
    [sym_subshell] = STATE(1326),
    [sym_pipeline] = STATE(1326),
    [sym_list] = STATE(1326),
    [sym_negated_command] = STATE(1326),
    [sym_test_command] = STATE(1326),
    [sym_declaration_command] = STATE(1326),
    [sym_unset_command] = STATE(1326),
    [sym_command] = STATE(1326),
    [sym_command_name] = STATE(185),
    [sym_variable_assignment] = STATE(265),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(596),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(115),
    [aux_sym_command_repeat1] = STATE(596),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [29] = {
    [sym__statements] = STATE(2680),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(1575),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [30] = {
    [sym__statements] = STATE(2729),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [31] = {
    [sym__statements] = STATE(2709),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [32] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1387),
    [sym_for_statement] = STATE(1387),
    [sym_c_style_for_statement] = STATE(1387),
    [sym_while_statement] = STATE(1387),
    [sym_if_statement] = STATE(1387),
    [sym_case_statement] = STATE(1387),
    [sym_function_definition] = STATE(1387),
    [sym_compound_statement] = STATE(1387),
    [sym_subshell] = STATE(1387),
    [sym_pipeline] = STATE(1387),
    [sym_list] = STATE(1387),
    [sym_negated_command] = STATE(1387),
    [sym_test_command] = STATE(1387),
    [sym_declaration_command] = STATE(1387),
    [sym_unset_command] = STATE(1387),
    [sym_command] = STATE(1387),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(236),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(265),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [33] = {
    [sym__statements] = STATE(2730),
    [sym_redirected_statement] = STATE(1326),
    [sym_for_statement] = STATE(1326),
    [sym_c_style_for_statement] = STATE(1326),
    [sym_while_statement] = STATE(1326),
    [sym_if_statement] = STATE(1326),
    [sym_case_statement] = STATE(1326),
    [sym_function_definition] = STATE(1326),
    [sym_compound_statement] = STATE(1326),
    [sym_subshell] = STATE(1326),
    [sym_pipeline] = STATE(1326),
    [sym_list] = STATE(1326),
    [sym_negated_command] = STATE(1326),
    [sym_test_command] = STATE(1326),
    [sym_declaration_command] = STATE(1326),
    [sym_unset_command] = STATE(1326),
    [sym_command] = STATE(1326),
    [sym_command_name] = STATE(185),
    [sym_variable_assignment] = STATE(265),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(596),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(115),
    [aux_sym_command_repeat1] = STATE(596),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [34] = {
    [aux_sym__statements2] = STATE(58),
    [sym_redirected_statement] = STATE(1343),
    [sym_for_statement] = STATE(1343),
    [sym_c_style_for_statement] = STATE(1343),
    [sym_while_statement] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_case_statement] = STATE(1343),
    [sym_function_definition] = STATE(1343),
    [sym_compound_statement] = STATE(1343),
    [sym_subshell] = STATE(1343),
    [sym_pipeline] = STATE(1343),
    [sym_list] = STATE(1343),
    [sym_negated_command] = STATE(1343),
    [sym_test_command] = STATE(1343),
    [sym_declaration_command] = STATE(1343),
    [sym_unset_command] = STATE(1343),
    [sym_command] = STATE(1343),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(255),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(267),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [35] = {
    [sym__statements] = STATE(2700),
    [sym_redirected_statement] = STATE(1326),
    [sym_for_statement] = STATE(1326),
    [sym_c_style_for_statement] = STATE(1326),
    [sym_while_statement] = STATE(1326),
    [sym_if_statement] = STATE(1326),
    [sym_case_statement] = STATE(1326),
    [sym_function_definition] = STATE(1326),
    [sym_compound_statement] = STATE(1326),
    [sym_subshell] = STATE(1326),
    [sym_pipeline] = STATE(1326),
    [sym_list] = STATE(1326),
    [sym_negated_command] = STATE(1326),
    [sym_test_command] = STATE(1326),
    [sym_declaration_command] = STATE(1326),
    [sym_unset_command] = STATE(1326),
    [sym_command] = STATE(1326),
    [sym_command_name] = STATE(185),
    [sym_variable_assignment] = STATE(265),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(596),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(115),
    [aux_sym_command_repeat1] = STATE(596),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [36] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1387),
    [sym_for_statement] = STATE(1387),
    [sym_c_style_for_statement] = STATE(1387),
    [sym_while_statement] = STATE(1387),
    [sym_if_statement] = STATE(1387),
    [sym_case_statement] = STATE(1387),
    [sym_function_definition] = STATE(1387),
    [sym_compound_statement] = STATE(1387),
    [sym_subshell] = STATE(1387),
    [sym_pipeline] = STATE(1387),
    [sym_list] = STATE(1387),
    [sym_negated_command] = STATE(1387),
    [sym_test_command] = STATE(1387),
    [sym_declaration_command] = STATE(1387),
    [sym_unset_command] = STATE(1387),
    [sym_command] = STATE(1387),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(236),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(269),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [37] = {
    [sym__statements] = STATE(2698),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(1523),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [38] = {
    [sym__statements] = STATE(2738),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(1538),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [39] = {
    [sym__statements] = STATE(2791),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [40] = {
    [sym__statements] = STATE(2793),
    [sym_redirected_statement] = STATE(1326),
    [sym_for_statement] = STATE(1326),
    [sym_c_style_for_statement] = STATE(1326),
    [sym_while_statement] = STATE(1326),
    [sym_if_statement] = STATE(1326),
    [sym_case_statement] = STATE(1326),
    [sym_function_definition] = STATE(1326),
    [sym_compound_statement] = STATE(1326),
    [sym_subshell] = STATE(1326),
    [sym_pipeline] = STATE(1326),
    [sym_list] = STATE(1326),
    [sym_negated_command] = STATE(1326),
    [sym_test_command] = STATE(1326),
    [sym_declaration_command] = STATE(1326),
    [sym_unset_command] = STATE(1326),
    [sym_command] = STATE(1326),
    [sym_command_name] = STATE(185),
    [sym_variable_assignment] = STATE(265),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(596),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(115),
    [aux_sym_command_repeat1] = STATE(596),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [41] = {
    [aux_sym__statements2] = STATE(36),
    [sym_redirected_statement] = STATE(1387),
    [sym_for_statement] = STATE(1387),
    [sym_c_style_for_statement] = STATE(1387),
    [sym_while_statement] = STATE(1387),
    [sym_if_statement] = STATE(1387),
    [sym_case_statement] = STATE(1387),
    [sym_function_definition] = STATE(1387),
    [sym_compound_statement] = STATE(1387),
    [sym_subshell] = STATE(1387),
    [sym_pipeline] = STATE(1387),
    [sym_list] = STATE(1387),
    [sym_negated_command] = STATE(1387),
    [sym_test_command] = STATE(1387),
    [sym_declaration_command] = STATE(1387),
    [sym_unset_command] = STATE(1387),
    [sym_command] = STATE(1387),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(236),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(271),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [42] = {
    [sym__statements] = STATE(2796),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(1573),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [43] = {
    [sym__statements] = STATE(2780),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [44] = {
    [sym__statements] = STATE(2788),
    [sym_redirected_statement] = STATE(1326),
    [sym_for_statement] = STATE(1326),
    [sym_c_style_for_statement] = STATE(1326),
    [sym_while_statement] = STATE(1326),
    [sym_if_statement] = STATE(1326),
    [sym_case_statement] = STATE(1326),
    [sym_function_definition] = STATE(1326),
    [sym_compound_statement] = STATE(1326),
    [sym_subshell] = STATE(1326),
    [sym_pipeline] = STATE(1326),
    [sym_list] = STATE(1326),
    [sym_negated_command] = STATE(1326),
    [sym_test_command] = STATE(1326),
    [sym_declaration_command] = STATE(1326),
    [sym_unset_command] = STATE(1326),
    [sym_command] = STATE(1326),
    [sym_command_name] = STATE(185),
    [sym_variable_assignment] = STATE(265),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(596),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(115),
    [aux_sym_command_repeat1] = STATE(596),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [45] = {
    [sym__statements] = STATE(2795),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(1627),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [46] = {
    [sym__statements] = STATE(2766),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [47] = {
    [sym__statements] = STATE(2758),
    [sym_redirected_statement] = STATE(1326),
    [sym_for_statement] = STATE(1326),
    [sym_c_style_for_statement] = STATE(1326),
    [sym_while_statement] = STATE(1326),
    [sym_if_statement] = STATE(1326),
    [sym_case_statement] = STATE(1326),
    [sym_function_definition] = STATE(1326),
    [sym_compound_statement] = STATE(1326),
    [sym_subshell] = STATE(1326),
    [sym_pipeline] = STATE(1326),
    [sym_list] = STATE(1326),
    [sym_negated_command] = STATE(1326),
    [sym_test_command] = STATE(1326),
    [sym_declaration_command] = STATE(1326),
    [sym_unset_command] = STATE(1326),
    [sym_command] = STATE(1326),
    [sym_command_name] = STATE(185),
    [sym_variable_assignment] = STATE(265),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(596),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(115),
    [aux_sym_command_repeat1] = STATE(596),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [48] = {
    [sym__statements] = STATE(2755),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(1579),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [49] = {
    [sym__statements] = STATE(2723),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [50] = {
    [aux_sym__statements2] = STATE(67),
    [sym_redirected_statement] = STATE(1343),
    [sym_for_statement] = STATE(1343),
    [sym_c_style_for_statement] = STATE(1343),
    [sym_while_statement] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_case_statement] = STATE(1343),
    [sym_function_definition] = STATE(1343),
    [sym_compound_statement] = STATE(1343),
    [sym_subshell] = STATE(1343),
    [sym_pipeline] = STATE(1343),
    [sym_list] = STATE(1343),
    [sym_negated_command] = STATE(1343),
    [sym_test_command] = STATE(1343),
    [sym_declaration_command] = STATE(1343),
    [sym_unset_command] = STATE(1343),
    [sym_command] = STATE(1343),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(255),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [51] = {
    [sym__statements] = STATE(2722),
    [sym_redirected_statement] = STATE(1326),
    [sym_for_statement] = STATE(1326),
    [sym_c_style_for_statement] = STATE(1326),
    [sym_while_statement] = STATE(1326),
    [sym_if_statement] = STATE(1326),
    [sym_case_statement] = STATE(1326),
    [sym_function_definition] = STATE(1326),
    [sym_compound_statement] = STATE(1326),
    [sym_subshell] = STATE(1326),
    [sym_pipeline] = STATE(1326),
    [sym_list] = STATE(1326),
    [sym_negated_command] = STATE(1326),
    [sym_test_command] = STATE(1326),
    [sym_declaration_command] = STATE(1326),
    [sym_unset_command] = STATE(1326),
    [sym_command] = STATE(1326),
    [sym_command_name] = STATE(185),
    [sym_variable_assignment] = STATE(265),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(596),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(115),
    [aux_sym_command_repeat1] = STATE(596),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [52] = {
    [sym__statements] = STATE(2720),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(1584),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [53] = {
    [sym__statements] = STATE(2706),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [54] = {
    [sym__statements] = STATE(2704),
    [sym_redirected_statement] = STATE(1326),
    [sym_for_statement] = STATE(1326),
    [sym_c_style_for_statement] = STATE(1326),
    [sym_while_statement] = STATE(1326),
    [sym_if_statement] = STATE(1326),
    [sym_case_statement] = STATE(1326),
    [sym_function_definition] = STATE(1326),
    [sym_compound_statement] = STATE(1326),
    [sym_subshell] = STATE(1326),
    [sym_pipeline] = STATE(1326),
    [sym_list] = STATE(1326),
    [sym_negated_command] = STATE(1326),
    [sym_test_command] = STATE(1326),
    [sym_declaration_command] = STATE(1326),
    [sym_unset_command] = STATE(1326),
    [sym_command] = STATE(1326),
    [sym_command_name] = STATE(185),
    [sym_variable_assignment] = STATE(265),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(596),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(115),
    [aux_sym_command_repeat1] = STATE(596),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [55] = {
    [sym__statements] = STATE(2697),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(1587),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [56] = {
    [sym__statements] = STATE(2682),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [57] = {
    [sym__statements] = STATE(2659),
    [sym_redirected_statement] = STATE(1326),
    [sym_for_statement] = STATE(1326),
    [sym_c_style_for_statement] = STATE(1326),
    [sym_while_statement] = STATE(1326),
    [sym_if_statement] = STATE(1326),
    [sym_case_statement] = STATE(1326),
    [sym_function_definition] = STATE(1326),
    [sym_compound_statement] = STATE(1326),
    [sym_subshell] = STATE(1326),
    [sym_pipeline] = STATE(1326),
    [sym_list] = STATE(1326),
    [sym_negated_command] = STATE(1326),
    [sym_test_command] = STATE(1326),
    [sym_declaration_command] = STATE(1326),
    [sym_unset_command] = STATE(1326),
    [sym_command] = STATE(1326),
    [sym_command_name] = STATE(185),
    [sym_variable_assignment] = STATE(265),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(596),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(115),
    [aux_sym_command_repeat1] = STATE(596),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [58] = {
    [aux_sym__statements2] = STATE(67),
    [sym_redirected_statement] = STATE(1343),
    [sym_for_statement] = STATE(1343),
    [sym_c_style_for_statement] = STATE(1343),
    [sym_while_statement] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_case_statement] = STATE(1343),
    [sym_function_definition] = STATE(1343),
    [sym_compound_statement] = STATE(1343),
    [sym_subshell] = STATE(1343),
    [sym_pipeline] = STATE(1343),
    [sym_list] = STATE(1343),
    [sym_negated_command] = STATE(1343),
    [sym_test_command] = STATE(1343),
    [sym_declaration_command] = STATE(1343),
    [sym_unset_command] = STATE(1343),
    [sym_command] = STATE(1343),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(255),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(275),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [59] = {
    [sym__statements] = STATE(2657),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(1616),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [60] = {
    [aux_sym__statements2] = STATE(50),
    [sym_redirected_statement] = STATE(1343),
    [sym_for_statement] = STATE(1343),
    [sym_c_style_for_statement] = STATE(1343),
    [sym_while_statement] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_case_statement] = STATE(1343),
    [sym_function_definition] = STATE(1343),
    [sym_compound_statement] = STATE(1343),
    [sym_subshell] = STATE(1343),
    [sym_pipeline] = STATE(1343),
    [sym_list] = STATE(1343),
    [sym_negated_command] = STATE(1343),
    [sym_test_command] = STATE(1343),
    [sym_declaration_command] = STATE(1343),
    [sym_unset_command] = STATE(1343),
    [sym_command] = STATE(1343),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(255),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [61] = {
    [sym__statements] = STATE(2658),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [62] = {
    [sym__statements] = STATE(2656),
    [sym_redirected_statement] = STATE(1326),
    [sym_for_statement] = STATE(1326),
    [sym_c_style_for_statement] = STATE(1326),
    [sym_while_statement] = STATE(1326),
    [sym_if_statement] = STATE(1326),
    [sym_case_statement] = STATE(1326),
    [sym_function_definition] = STATE(1326),
    [sym_compound_statement] = STATE(1326),
    [sym_subshell] = STATE(1326),
    [sym_pipeline] = STATE(1326),
    [sym_list] = STATE(1326),
    [sym_negated_command] = STATE(1326),
    [sym_test_command] = STATE(1326),
    [sym_declaration_command] = STATE(1326),
    [sym_unset_command] = STATE(1326),
    [sym_command] = STATE(1326),
    [sym_command_name] = STATE(185),
    [sym_variable_assignment] = STATE(265),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(596),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(115),
    [aux_sym_command_repeat1] = STATE(596),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [63] = {
    [sym__statements] = STATE(2665),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(1617),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [64] = {
    [aux_sym__statements2] = STATE(32),
    [sym_redirected_statement] = STATE(1387),
    [sym_for_statement] = STATE(1387),
    [sym_c_style_for_statement] = STATE(1387),
    [sym_while_statement] = STATE(1387),
    [sym_if_statement] = STATE(1387),
    [sym_case_statement] = STATE(1387),
    [sym_function_definition] = STATE(1387),
    [sym_compound_statement] = STATE(1387),
    [sym_subshell] = STATE(1387),
    [sym_pipeline] = STATE(1387),
    [sym_list] = STATE(1387),
    [sym_negated_command] = STATE(1387),
    [sym_test_command] = STATE(1387),
    [sym_declaration_command] = STATE(1387),
    [sym_unset_command] = STATE(1387),
    [sym_command] = STATE(1387),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(236),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_fi] = ACTIONS(279),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [65] = {
    [aux_sym__statements2] = STATE(6),
    [sym_redirected_statement] = STATE(1387),
    [sym_for_statement] = STATE(1387),
    [sym_c_style_for_statement] = STATE(1387),
    [sym_while_statement] = STATE(1387),
    [sym_if_statement] = STATE(1387),
    [sym_case_statement] = STATE(1387),
    [sym_function_definition] = STATE(1387),
    [sym_compound_statement] = STATE(1387),
    [sym_subshell] = STATE(1387),
    [sym_pipeline] = STATE(1387),
    [sym_list] = STATE(1387),
    [sym_negated_command] = STATE(1387),
    [sym_test_command] = STATE(1387),
    [sym_declaration_command] = STATE(1387),
    [sym_unset_command] = STATE(1387),
    [sym_command] = STATE(1387),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(236),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_done] = ACTIONS(281),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [66] = {
    [sym__statements] = STATE(2789),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(1601),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [67] = {
    [aux_sym__statements2] = STATE(67),
    [sym_redirected_statement] = STATE(1343),
    [sym_for_statement] = STATE(1343),
    [sym_c_style_for_statement] = STATE(1343),
    [sym_while_statement] = STATE(1343),
    [sym_if_statement] = STATE(1343),
    [sym_case_statement] = STATE(1343),
    [sym_function_definition] = STATE(1343),
    [sym_compound_statement] = STATE(1343),
    [sym_subshell] = STATE(1343),
    [sym_pipeline] = STATE(1343),
    [sym_list] = STATE(1343),
    [sym_negated_command] = STATE(1343),
    [sym_test_command] = STATE(1343),
    [sym_declaration_command] = STATE(1343),
    [sym_unset_command] = STATE(1343),
    [sym_command] = STATE(1343),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(255),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(119),
    [anon_sym_for] = ACTIONS(122),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(125),
    [anon_sym_while] = ACTIONS(128),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(136),
    [anon_sym_function] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(142),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_RBRACE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(148),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(154),
    [anon_sym_declare] = ACTIONS(157),
    [anon_sym_typeset] = ACTIONS(157),
    [anon_sym_export] = ACTIONS(157),
    [anon_sym_readonly] = ACTIONS(157),
    [anon_sym_local] = ACTIONS(157),
    [anon_sym_unset] = ACTIONS(160),
    [anon_sym_unsetenv] = ACTIONS(160),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_GT_GT] = ACTIONS(166),
    [anon_sym_AMP_GT] = ACTIONS(163),
    [anon_sym_AMP_GT_GT] = ACTIONS(166),
    [anon_sym_LT_AMP] = ACTIONS(166),
    [anon_sym_GT_AMP] = ACTIONS(166),
    [anon_sym_GT_PIPE] = ACTIONS(166),
    [anon_sym_DOLLAR] = ACTIONS(169),
    [sym__special_character] = ACTIONS(172),
    [anon_sym_DQUOTE] = ACTIONS(175),
    [sym_raw_string] = ACTIONS(178),
    [sym_ansii_c_string] = ACTIONS(178),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(181),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(184),
    [anon_sym_BQUOTE] = ACTIONS(187),
    [anon_sym_LT_LPAREN] = ACTIONS(190),
    [anon_sym_GT_LPAREN] = ACTIONS(190),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(193),
    [sym_variable_name] = ACTIONS(196),
  },
  [68] = {
    [sym__statements] = STATE(2655),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(1534),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [69] = {
    [sym__statements] = STATE(2699),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [70] = {
    [sym__statements] = STATE(2691),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [71] = {
    [sym__statements] = STATE(2693),
    [sym_redirected_statement] = STATE(1326),
    [sym_for_statement] = STATE(1326),
    [sym_c_style_for_statement] = STATE(1326),
    [sym_while_statement] = STATE(1326),
    [sym_if_statement] = STATE(1326),
    [sym_case_statement] = STATE(1326),
    [sym_function_definition] = STATE(1326),
    [sym_compound_statement] = STATE(1326),
    [sym_subshell] = STATE(1326),
    [sym_pipeline] = STATE(1326),
    [sym_list] = STATE(1326),
    [sym_negated_command] = STATE(1326),
    [sym_test_command] = STATE(1326),
    [sym_declaration_command] = STATE(1326),
    [sym_unset_command] = STATE(1326),
    [sym_command] = STATE(1326),
    [sym_command_name] = STATE(185),
    [sym_variable_assignment] = STATE(265),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(596),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(115),
    [aux_sym_command_repeat1] = STATE(596),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [72] = {
    [sym__statements] = STATE(2695),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(1591),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [73] = {
    [sym__statements] = STATE(2701),
    [sym_redirected_statement] = STATE(1326),
    [sym_for_statement] = STATE(1326),
    [sym_c_style_for_statement] = STATE(1326),
    [sym_while_statement] = STATE(1326),
    [sym_if_statement] = STATE(1326),
    [sym_case_statement] = STATE(1326),
    [sym_function_definition] = STATE(1326),
    [sym_compound_statement] = STATE(1326),
    [sym_subshell] = STATE(1326),
    [sym_pipeline] = STATE(1326),
    [sym_list] = STATE(1326),
    [sym_negated_command] = STATE(1326),
    [sym_test_command] = STATE(1326),
    [sym_declaration_command] = STATE(1326),
    [sym_unset_command] = STATE(1326),
    [sym_command] = STATE(1326),
    [sym_command_name] = STATE(185),
    [sym_variable_assignment] = STATE(265),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(596),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(115),
    [aux_sym_command_repeat1] = STATE(596),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [74] = {
    [sym__statements] = STATE(2671),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(1556),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [75] = {
    [sym__statements] = STATE(2731),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [76] = {
    [sym__statements] = STATE(2724),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [77] = {
    [sym__statements] = STATE(2732),
    [sym_redirected_statement] = STATE(1326),
    [sym_for_statement] = STATE(1326),
    [sym_c_style_for_statement] = STATE(1326),
    [sym_while_statement] = STATE(1326),
    [sym_if_statement] = STATE(1326),
    [sym_case_statement] = STATE(1326),
    [sym_function_definition] = STATE(1326),
    [sym_compound_statement] = STATE(1326),
    [sym_subshell] = STATE(1326),
    [sym_pipeline] = STATE(1326),
    [sym_list] = STATE(1326),
    [sym_negated_command] = STATE(1326),
    [sym_test_command] = STATE(1326),
    [sym_declaration_command] = STATE(1326),
    [sym_unset_command] = STATE(1326),
    [sym_command] = STATE(1326),
    [sym_command_name] = STATE(185),
    [sym_variable_assignment] = STATE(265),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(596),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(115),
    [aux_sym_command_repeat1] = STATE(596),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [78] = {
    [sym__statements] = STATE(2727),
    [sym_redirected_statement] = STATE(1326),
    [sym_for_statement] = STATE(1326),
    [sym_c_style_for_statement] = STATE(1326),
    [sym_while_statement] = STATE(1326),
    [sym_if_statement] = STATE(1326),
    [sym_case_statement] = STATE(1326),
    [sym_function_definition] = STATE(1326),
    [sym_compound_statement] = STATE(1326),
    [sym_subshell] = STATE(1326),
    [sym_pipeline] = STATE(1326),
    [sym_list] = STATE(1326),
    [sym_negated_command] = STATE(1326),
    [sym_test_command] = STATE(1326),
    [sym_declaration_command] = STATE(1326),
    [sym_unset_command] = STATE(1326),
    [sym_command] = STATE(1326),
    [sym_command_name] = STATE(185),
    [sym_variable_assignment] = STATE(265),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(596),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(115),
    [aux_sym_command_repeat1] = STATE(596),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [79] = {
    [sym__statements] = STATE(2636),
    [sym_redirected_statement] = STATE(1326),
    [sym_for_statement] = STATE(1326),
    [sym_c_style_for_statement] = STATE(1326),
    [sym_while_statement] = STATE(1326),
    [sym_if_statement] = STATE(1326),
    [sym_case_statement] = STATE(1326),
    [sym_function_definition] = STATE(1326),
    [sym_compound_statement] = STATE(1326),
    [sym_subshell] = STATE(1326),
    [sym_pipeline] = STATE(1326),
    [sym_list] = STATE(1326),
    [sym_negated_command] = STATE(1326),
    [sym_test_command] = STATE(1326),
    [sym_declaration_command] = STATE(1326),
    [sym_unset_command] = STATE(1326),
    [sym_command] = STATE(1326),
    [sym_command_name] = STATE(185),
    [sym_variable_assignment] = STATE(265),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(596),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(115),
    [aux_sym_command_repeat1] = STATE(596),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [80] = {
    [sym__statements] = STATE(2670),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(1522),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [81] = {
    [sym__statements] = STATE(2769),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [82] = {
    [sym__statements] = STATE(2767),
    [sym_redirected_statement] = STATE(1326),
    [sym_for_statement] = STATE(1326),
    [sym_c_style_for_statement] = STATE(1326),
    [sym_while_statement] = STATE(1326),
    [sym_if_statement] = STATE(1326),
    [sym_case_statement] = STATE(1326),
    [sym_function_definition] = STATE(1326),
    [sym_compound_statement] = STATE(1326),
    [sym_subshell] = STATE(1326),
    [sym_pipeline] = STATE(1326),
    [sym_list] = STATE(1326),
    [sym_negated_command] = STATE(1326),
    [sym_test_command] = STATE(1326),
    [sym_declaration_command] = STATE(1326),
    [sym_unset_command] = STATE(1326),
    [sym_command] = STATE(1326),
    [sym_command_name] = STATE(185),
    [sym_variable_assignment] = STATE(265),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(596),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(115),
    [aux_sym_command_repeat1] = STATE(596),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [83] = {
    [sym__statements] = STATE(2763),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(1598),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [84] = {
    [sym__statements] = STATE(2734),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(1576),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [85] = {
    [sym__statements] = STATE(2634),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [86] = {
    [sym__statements] = STATE(2747),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [87] = {
    [sym__statements] = STATE(2719),
    [sym_redirected_statement] = STATE(1326),
    [sym_for_statement] = STATE(1326),
    [sym_c_style_for_statement] = STATE(1326),
    [sym_while_statement] = STATE(1326),
    [sym_if_statement] = STATE(1326),
    [sym_case_statement] = STATE(1326),
    [sym_function_definition] = STATE(1326),
    [sym_compound_statement] = STATE(1326),
    [sym_subshell] = STATE(1326),
    [sym_pipeline] = STATE(1326),
    [sym_list] = STATE(1326),
    [sym_negated_command] = STATE(1326),
    [sym_test_command] = STATE(1326),
    [sym_declaration_command] = STATE(1326),
    [sym_unset_command] = STATE(1326),
    [sym_command] = STATE(1326),
    [sym_command_name] = STATE(185),
    [sym_variable_assignment] = STATE(265),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(596),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(115),
    [aux_sym_command_repeat1] = STATE(596),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [88] = {
    [sym__statements] = STATE(2742),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(1580),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [89] = {
    [sym__statements] = STATE(2746),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [90] = {
    [sym__statements] = STATE(2684),
    [sym_redirected_statement] = STATE(1326),
    [sym_for_statement] = STATE(1326),
    [sym_c_style_for_statement] = STATE(1326),
    [sym_while_statement] = STATE(1326),
    [sym_if_statement] = STATE(1326),
    [sym_case_statement] = STATE(1326),
    [sym_function_definition] = STATE(1326),
    [sym_compound_statement] = STATE(1326),
    [sym_subshell] = STATE(1326),
    [sym_pipeline] = STATE(1326),
    [sym_list] = STATE(1326),
    [sym_negated_command] = STATE(1326),
    [sym_test_command] = STATE(1326),
    [sym_declaration_command] = STATE(1326),
    [sym_unset_command] = STATE(1326),
    [sym_command] = STATE(1326),
    [sym_command_name] = STATE(185),
    [sym_variable_assignment] = STATE(265),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(596),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(115),
    [aux_sym_command_repeat1] = STATE(596),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [91] = {
    [sym__statements] = STATE(2740),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(1572),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [92] = {
    [sym__statements] = STATE(2762),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [93] = {
    [sym__statements] = STATE(2764),
    [sym_redirected_statement] = STATE(1326),
    [sym_for_statement] = STATE(1326),
    [sym_c_style_for_statement] = STATE(1326),
    [sym_while_statement] = STATE(1326),
    [sym_if_statement] = STATE(1326),
    [sym_case_statement] = STATE(1326),
    [sym_function_definition] = STATE(1326),
    [sym_compound_statement] = STATE(1326),
    [sym_subshell] = STATE(1326),
    [sym_pipeline] = STATE(1326),
    [sym_list] = STATE(1326),
    [sym_negated_command] = STATE(1326),
    [sym_test_command] = STATE(1326),
    [sym_declaration_command] = STATE(1326),
    [sym_unset_command] = STATE(1326),
    [sym_command] = STATE(1326),
    [sym_command_name] = STATE(185),
    [sym_variable_assignment] = STATE(265),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(596),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(115),
    [aux_sym_command_repeat1] = STATE(596),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [94] = {
    [sym__statements] = STATE(2765),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(1624),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [95] = {
    [sym__statements] = STATE(2683),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(1563),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [96] = {
    [sym__statements] = STATE(2632),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [97] = {
    [sym__statements] = STATE(2633),
    [sym_redirected_statement] = STATE(1326),
    [sym_for_statement] = STATE(1326),
    [sym_c_style_for_statement] = STATE(1326),
    [sym_while_statement] = STATE(1326),
    [sym_if_statement] = STATE(1326),
    [sym_case_statement] = STATE(1326),
    [sym_function_definition] = STATE(1326),
    [sym_compound_statement] = STATE(1326),
    [sym_subshell] = STATE(1326),
    [sym_pipeline] = STATE(1326),
    [sym_list] = STATE(1326),
    [sym_negated_command] = STATE(1326),
    [sym_test_command] = STATE(1326),
    [sym_declaration_command] = STATE(1326),
    [sym_unset_command] = STATE(1326),
    [sym_command] = STATE(1326),
    [sym_command_name] = STATE(185),
    [sym_variable_assignment] = STATE(265),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(596),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(115),
    [aux_sym_command_repeat1] = STATE(596),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [98] = {
    [sym__statements] = STATE(2635),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(1521),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [99] = {
    [sym__statements] = STATE(2783),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [100] = {
    [sym__statements] = STATE(2786),
    [sym_redirected_statement] = STATE(1326),
    [sym_for_statement] = STATE(1326),
    [sym_c_style_for_statement] = STATE(1326),
    [sym_while_statement] = STATE(1326),
    [sym_if_statement] = STATE(1326),
    [sym_case_statement] = STATE(1326),
    [sym_function_definition] = STATE(1326),
    [sym_compound_statement] = STATE(1326),
    [sym_subshell] = STATE(1326),
    [sym_pipeline] = STATE(1326),
    [sym_list] = STATE(1326),
    [sym_negated_command] = STATE(1326),
    [sym_test_command] = STATE(1326),
    [sym_declaration_command] = STATE(1326),
    [sym_unset_command] = STATE(1326),
    [sym_command] = STATE(1326),
    [sym_command_name] = STATE(185),
    [sym_variable_assignment] = STATE(265),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(596),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(115),
    [aux_sym_command_repeat1] = STATE(596),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [101] = {
    [sym__statements] = STATE(2749),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [102] = {
    [sym__statements] = STATE(2741),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [103] = {
    [sym__statements] = STATE(2652),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [104] = {
    [sym__statements] = STATE(2735),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [105] = {
    [sym__statements] = STATE(2739),
    [sym_redirected_statement] = STATE(1326),
    [sym_for_statement] = STATE(1326),
    [sym_c_style_for_statement] = STATE(1326),
    [sym_while_statement] = STATE(1326),
    [sym_if_statement] = STATE(1326),
    [sym_case_statement] = STATE(1326),
    [sym_function_definition] = STATE(1326),
    [sym_compound_statement] = STATE(1326),
    [sym_subshell] = STATE(1326),
    [sym_pipeline] = STATE(1326),
    [sym_list] = STATE(1326),
    [sym_negated_command] = STATE(1326),
    [sym_test_command] = STATE(1326),
    [sym_declaration_command] = STATE(1326),
    [sym_unset_command] = STATE(1326),
    [sym_command] = STATE(1326),
    [sym_command_name] = STATE(185),
    [sym_variable_assignment] = STATE(265),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(596),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(115),
    [aux_sym_command_repeat1] = STATE(596),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [106] = {
    [sym__statements] = STATE(2737),
    [sym_redirected_statement] = STATE(1327),
    [sym_for_statement] = STATE(1327),
    [sym_c_style_for_statement] = STATE(1327),
    [sym_while_statement] = STATE(1327),
    [sym_if_statement] = STATE(1327),
    [sym_case_statement] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_compound_statement] = STATE(1327),
    [sym_subshell] = STATE(1327),
    [sym_pipeline] = STATE(1327),
    [sym_list] = STATE(1327),
    [sym_negated_command] = STATE(1327),
    [sym_test_command] = STATE(1327),
    [sym_declaration_command] = STATE(1327),
    [sym_unset_command] = STATE(1327),
    [sym_command] = STATE(1327),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(227),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(1586),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(109),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [107] = {
    [sym__statements] = STATE(2653),
    [sym_redirected_statement] = STATE(1326),
    [sym_for_statement] = STATE(1326),
    [sym_c_style_for_statement] = STATE(1326),
    [sym_while_statement] = STATE(1326),
    [sym_if_statement] = STATE(1326),
    [sym_case_statement] = STATE(1326),
    [sym_function_definition] = STATE(1326),
    [sym_compound_statement] = STATE(1326),
    [sym_subshell] = STATE(1326),
    [sym_pipeline] = STATE(1326),
    [sym_list] = STATE(1326),
    [sym_negated_command] = STATE(1326),
    [sym_test_command] = STATE(1326),
    [sym_declaration_command] = STATE(1326),
    [sym_unset_command] = STATE(1326),
    [sym_command] = STATE(1326),
    [sym_command_name] = STATE(185),
    [sym_variable_assignment] = STATE(265),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(596),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(115),
    [aux_sym_command_repeat1] = STATE(596),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [108] = {
    [sym__terminated_statement] = STATE(2710),
    [sym_redirected_statement] = STATE(1342),
    [sym_for_statement] = STATE(1342),
    [sym_c_style_for_statement] = STATE(1342),
    [sym_while_statement] = STATE(1342),
    [sym_if_statement] = STATE(1342),
    [sym_case_statement] = STATE(1342),
    [sym_function_definition] = STATE(1342),
    [sym_compound_statement] = STATE(1342),
    [sym_subshell] = STATE(1342),
    [sym_pipeline] = STATE(1342),
    [sym_list] = STATE(1342),
    [sym_negated_command] = STATE(1342),
    [sym_test_command] = STATE(1342),
    [sym_declaration_command] = STATE(1342),
    [sym_unset_command] = STATE(1342),
    [sym_command] = STATE(1342),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(237),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [109] = {
    [sym_redirected_statement] = STATE(1318),
    [sym_for_statement] = STATE(1318),
    [sym_c_style_for_statement] = STATE(1318),
    [sym_while_statement] = STATE(1318),
    [sym_if_statement] = STATE(1318),
    [sym_case_statement] = STATE(1318),
    [sym_function_definition] = STATE(1318),
    [sym_compound_statement] = STATE(1318),
    [sym_subshell] = STATE(1318),
    [sym_pipeline] = STATE(1318),
    [sym_list] = STATE(1318),
    [sym_negated_command] = STATE(1318),
    [sym_test_command] = STATE(1318),
    [sym_declaration_command] = STATE(1318),
    [sym_unset_command] = STATE(1318),
    [sym_command] = STATE(1318),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(220),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [110] = {
    [sym__terminated_statement] = STATE(2536),
    [sym_redirected_statement] = STATE(1342),
    [sym_for_statement] = STATE(1342),
    [sym_c_style_for_statement] = STATE(1342),
    [sym_while_statement] = STATE(1342),
    [sym_if_statement] = STATE(1342),
    [sym_case_statement] = STATE(1342),
    [sym_function_definition] = STATE(1342),
    [sym_compound_statement] = STATE(1342),
    [sym_subshell] = STATE(1342),
    [sym_pipeline] = STATE(1342),
    [sym_list] = STATE(1342),
    [sym_negated_command] = STATE(1342),
    [sym_test_command] = STATE(1342),
    [sym_declaration_command] = STATE(1342),
    [sym_unset_command] = STATE(1342),
    [sym_command] = STATE(1342),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(237),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [111] = {
    [sym__terminated_statement] = STATE(2628),
    [sym_redirected_statement] = STATE(1342),
    [sym_for_statement] = STATE(1342),
    [sym_c_style_for_statement] = STATE(1342),
    [sym_while_statement] = STATE(1342),
    [sym_if_statement] = STATE(1342),
    [sym_case_statement] = STATE(1342),
    [sym_function_definition] = STATE(1342),
    [sym_compound_statement] = STATE(1342),
    [sym_subshell] = STATE(1342),
    [sym_pipeline] = STATE(1342),
    [sym_list] = STATE(1342),
    [sym_negated_command] = STATE(1342),
    [sym_test_command] = STATE(1342),
    [sym_declaration_command] = STATE(1342),
    [sym_unset_command] = STATE(1342),
    [sym_command] = STATE(1342),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(237),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [112] = {
    [sym__terminated_statement] = STATE(2551),
    [sym_redirected_statement] = STATE(1342),
    [sym_for_statement] = STATE(1342),
    [sym_c_style_for_statement] = STATE(1342),
    [sym_while_statement] = STATE(1342),
    [sym_if_statement] = STATE(1342),
    [sym_case_statement] = STATE(1342),
    [sym_function_definition] = STATE(1342),
    [sym_compound_statement] = STATE(1342),
    [sym_subshell] = STATE(1342),
    [sym_pipeline] = STATE(1342),
    [sym_list] = STATE(1342),
    [sym_negated_command] = STATE(1342),
    [sym_test_command] = STATE(1342),
    [sym_declaration_command] = STATE(1342),
    [sym_unset_command] = STATE(1342),
    [sym_command] = STATE(1342),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(237),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [113] = {
    [sym_redirected_statement] = STATE(1329),
    [sym_for_statement] = STATE(1329),
    [sym_c_style_for_statement] = STATE(1329),
    [sym_while_statement] = STATE(1329),
    [sym_if_statement] = STATE(1329),
    [sym_case_statement] = STATE(1329),
    [sym_function_definition] = STATE(1329),
    [sym_compound_statement] = STATE(1329),
    [sym_subshell] = STATE(1329),
    [sym_pipeline] = STATE(1329),
    [sym_list] = STATE(1329),
    [sym_negated_command] = STATE(1329),
    [sym_test_command] = STATE(1329),
    [sym_declaration_command] = STATE(1329),
    [sym_unset_command] = STATE(1329),
    [sym_command] = STATE(1329),
    [sym_command_name] = STATE(151),
    [sym_variable_assignment] = STATE(228),
    [sym_subscript] = STATE(2541),
    [sym_file_redirect] = STATE(592),
    [sym_concatenation] = STATE(560),
    [sym_string] = STATE(241),
    [sym_simple_expansion] = STATE(241),
    [sym_string_expansion] = STATE(241),
    [sym_expansion] = STATE(241),
    [sym_command_substitution] = STATE(241),
    [sym_process_substitution] = STATE(241),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(592),
    [aux_sym__literal_repeat1] = STATE(301),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(11),
    [anon_sym_while] = ACTIONS(13),
    [anon_sym_if] = ACTIONS(15),
    [anon_sym_case] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(27),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(29),
    [anon_sym_declare] = ACTIONS(31),
    [anon_sym_typeset] = ACTIONS(31),
    [anon_sym_export] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_local] = ACTIONS(31),
    [anon_sym_unset] = ACTIONS(33),
    [anon_sym_unsetenv] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(39),
    [sym__special_character] = ACTIONS(41),
    [anon_sym_DQUOTE] = ACTIONS(43),
    [sym_raw_string] = ACTIONS(45),
    [sym_ansii_c_string] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(47),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [anon_sym_LT_LPAREN] = ACTIONS(53),
    [anon_sym_GT_LPAREN] = ACTIONS(53),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(59),
  },
  [114] = {
    [sym__terminated_statement] = STATE(2718),
    [sym_redirected_statement] = STATE(1342),
    [sym_for_statement] = STATE(1342),
    [sym_c_style_for_statement] = STATE(1342),
    [sym_while_statement] = STATE(1342),
    [sym_if_statement] = STATE(1342),
    [sym_case_statement] = STATE(1342),
    [sym_function_definition] = STATE(1342),
    [sym_compound_statement] = STATE(1342),
    [sym_subshell] = STATE(1342),
    [sym_pipeline] = STATE(1342),
    [sym_list] = STATE(1342),
    [sym_negated_command] = STATE(1342),
    [sym_test_command] = STATE(1342),
    [sym_declaration_command] = STATE(1342),
    [sym_unset_command] = STATE(1342),
    [sym_command] = STATE(1342),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(237),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [115] = {
    [sym_redirected_statement] = STATE(1337),
    [sym_for_statement] = STATE(1337),
    [sym_c_style_for_statement] = STATE(1337),
    [sym_while_statement] = STATE(1337),
    [sym_if_statement] = STATE(1337),
    [sym_case_statement] = STATE(1337),
    [sym_function_definition] = STATE(1337),
    [sym_compound_statement] = STATE(1337),
    [sym_subshell] = STATE(1337),
    [sym_pipeline] = STATE(1337),
    [sym_list] = STATE(1337),
    [sym_negated_command] = STATE(1337),
    [sym_test_command] = STATE(1337),
    [sym_declaration_command] = STATE(1337),
    [sym_unset_command] = STATE(1337),
    [sym_command] = STATE(1337),
    [sym_command_name] = STATE(185),
    [sym_variable_assignment] = STATE(250),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(596),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(596),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [116] = {
    [sym_redirected_statement] = STATE(1311),
    [sym_for_statement] = STATE(1311),
    [sym_c_style_for_statement] = STATE(1311),
    [sym_while_statement] = STATE(1311),
    [sym_if_statement] = STATE(1311),
    [sym_case_statement] = STATE(1311),
    [sym_function_definition] = STATE(1311),
    [sym_compound_statement] = STATE(1311),
    [sym_subshell] = STATE(1311),
    [sym_pipeline] = STATE(1311),
    [sym_list] = STATE(1311),
    [sym_negated_command] = STATE(1311),
    [sym_test_command] = STATE(1311),
    [sym_declaration_command] = STATE(1311),
    [sym_unset_command] = STATE(1311),
    [sym_command] = STATE(1311),
    [sym_command_name] = STATE(157),
    [sym_variable_assignment] = STATE(231),
    [sym_subscript] = STATE(2601),
    [sym_file_redirect] = STATE(581),
    [sym_concatenation] = STATE(579),
    [sym_string] = STATE(263),
    [sym_simple_expansion] = STATE(263),
    [sym_string_expansion] = STATE(263),
    [sym_expansion] = STATE(263),
    [sym_command_substitution] = STATE(263),
    [sym_process_substitution] = STATE(263),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(581),
    [aux_sym__literal_repeat1] = STATE(429),
    [sym_word] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(207),
    [anon_sym_typeset] = ACTIONS(207),
    [anon_sym_export] = ACTIONS(207),
    [anon_sym_readonly] = ACTIONS(207),
    [anon_sym_local] = ACTIONS(207),
    [anon_sym_unset] = ACTIONS(209),
    [anon_sym_unsetenv] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(211),
    [sym__special_character] = ACTIONS(213),
    [anon_sym_DQUOTE] = ACTIONS(215),
    [sym_raw_string] = ACTIONS(217),
    [sym_ansii_c_string] = ACTIONS(217),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(219),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(221),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [anon_sym_LT_LPAREN] = ACTIONS(225),
    [anon_sym_GT_LPAREN] = ACTIONS(225),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(227),
  },
  [117] = {
    [sym_redirected_statement] = STATE(1353),
    [sym_for_statement] = STATE(1353),
    [sym_c_style_for_statement] = STATE(1353),
    [sym_while_statement] = STATE(1353),
    [sym_if_statement] = STATE(1353),
    [sym_case_statement] = STATE(1353),
    [sym_function_definition] = STATE(1353),
    [sym_compound_statement] = STATE(1353),
    [sym_subshell] = STATE(1353),
    [sym_pipeline] = STATE(1353),
    [sym_list] = STATE(1353),
    [sym_negated_command] = STATE(1353),
    [sym_test_command] = STATE(1353),
    [sym_declaration_command] = STATE(1353),
    [sym_unset_command] = STATE(1353),
    [sym_command] = STATE(1353),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(268),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [118] = {
    [sym_redirected_statement] = STATE(1355),
    [sym_for_statement] = STATE(1355),
    [sym_c_style_for_statement] = STATE(1355),
    [sym_while_statement] = STATE(1355),
    [sym_if_statement] = STATE(1355),
    [sym_case_statement] = STATE(1355),
    [sym_function_definition] = STATE(1355),
    [sym_compound_statement] = STATE(1355),
    [sym_subshell] = STATE(1355),
    [sym_pipeline] = STATE(1355),
    [sym_list] = STATE(1355),
    [sym_negated_command] = STATE(1355),
    [sym_test_command] = STATE(1355),
    [sym_declaration_command] = STATE(1355),
    [sym_unset_command] = STATE(1355),
    [sym_command] = STATE(1355),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(270),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym__statements_repeat1] = STATE(118),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(285),
    [anon_sym_for] = ACTIONS(288),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(291),
    [anon_sym_while] = ACTIONS(294),
    [anon_sym_if] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(300),
    [anon_sym_function] = ACTIONS(303),
    [anon_sym_LPAREN] = ACTIONS(306),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_BANG] = ACTIONS(312),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(318),
    [anon_sym_declare] = ACTIONS(321),
    [anon_sym_typeset] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(321),
    [anon_sym_readonly] = ACTIONS(321),
    [anon_sym_local] = ACTIONS(321),
    [anon_sym_unset] = ACTIONS(324),
    [anon_sym_unsetenv] = ACTIONS(324),
    [anon_sym_LT] = ACTIONS(327),
    [anon_sym_GT] = ACTIONS(327),
    [anon_sym_GT_GT] = ACTIONS(330),
    [anon_sym_AMP_GT] = ACTIONS(327),
    [anon_sym_AMP_GT_GT] = ACTIONS(330),
    [anon_sym_LT_AMP] = ACTIONS(330),
    [anon_sym_GT_AMP] = ACTIONS(330),
    [anon_sym_GT_PIPE] = ACTIONS(330),
    [anon_sym_DOLLAR] = ACTIONS(333),
    [sym__special_character] = ACTIONS(336),
    [anon_sym_DQUOTE] = ACTIONS(339),
    [sym_raw_string] = ACTIONS(342),
    [sym_ansii_c_string] = ACTIONS(342),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(345),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(348),
    [anon_sym_BQUOTE] = ACTIONS(351),
    [anon_sym_LT_LPAREN] = ACTIONS(354),
    [anon_sym_GT_LPAREN] = ACTIONS(354),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(357),
    [sym_variable_name] = ACTIONS(360),
  },
  [119] = {
    [sym_redirected_statement] = STATE(1334),
    [sym_for_statement] = STATE(1334),
    [sym_c_style_for_statement] = STATE(1334),
    [sym_while_statement] = STATE(1334),
    [sym_if_statement] = STATE(1334),
    [sym_case_statement] = STATE(1334),
    [sym_function_definition] = STATE(1334),
    [sym_compound_statement] = STATE(1334),
    [sym_subshell] = STATE(1334),
    [sym_pipeline] = STATE(1334),
    [sym_list] = STATE(1334),
    [sym_negated_command] = STATE(1334),
    [sym_test_command] = STATE(1334),
    [sym_declaration_command] = STATE(1334),
    [sym_unset_command] = STATE(1334),
    [sym_command] = STATE(1334),
    [sym_command_name] = STATE(157),
    [sym_variable_assignment] = STATE(229),
    [sym_subscript] = STATE(2601),
    [sym_file_redirect] = STATE(581),
    [sym_concatenation] = STATE(579),
    [sym_string] = STATE(263),
    [sym_simple_expansion] = STATE(263),
    [sym_string_expansion] = STATE(263),
    [sym_expansion] = STATE(263),
    [sym_command_substitution] = STATE(263),
    [sym_process_substitution] = STATE(263),
    [aux_sym_command_repeat1] = STATE(581),
    [aux_sym__literal_repeat1] = STATE(429),
    [sym_word] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(207),
    [anon_sym_typeset] = ACTIONS(207),
    [anon_sym_export] = ACTIONS(207),
    [anon_sym_readonly] = ACTIONS(207),
    [anon_sym_local] = ACTIONS(207),
    [anon_sym_unset] = ACTIONS(209),
    [anon_sym_unsetenv] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(211),
    [sym__special_character] = ACTIONS(213),
    [anon_sym_DQUOTE] = ACTIONS(215),
    [sym_raw_string] = ACTIONS(217),
    [sym_ansii_c_string] = ACTIONS(217),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(219),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(221),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [anon_sym_LT_LPAREN] = ACTIONS(225),
    [anon_sym_GT_LPAREN] = ACTIONS(225),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(227),
  },
  [120] = {
    [sym_redirected_statement] = STATE(1308),
    [sym_for_statement] = STATE(1308),
    [sym_c_style_for_statement] = STATE(1308),
    [sym_while_statement] = STATE(1308),
    [sym_if_statement] = STATE(1308),
    [sym_case_statement] = STATE(1308),
    [sym_function_definition] = STATE(1308),
    [sym_compound_statement] = STATE(1308),
    [sym_subshell] = STATE(1308),
    [sym_pipeline] = STATE(1308),
    [sym_list] = STATE(1308),
    [sym_negated_command] = STATE(1308),
    [sym_test_command] = STATE(1308),
    [sym_declaration_command] = STATE(1308),
    [sym_unset_command] = STATE(1308),
    [sym_command] = STATE(1308),
    [sym_command_name] = STATE(185),
    [sym_variable_assignment] = STATE(267),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(596),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym_command_repeat1] = STATE(596),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [121] = {
    [sym_redirected_statement] = STATE(1330),
    [sym_for_statement] = STATE(1330),
    [sym_c_style_for_statement] = STATE(1330),
    [sym_while_statement] = STATE(1330),
    [sym_if_statement] = STATE(1330),
    [sym_case_statement] = STATE(1330),
    [sym_function_definition] = STATE(1330),
    [sym_compound_statement] = STATE(1330),
    [sym_subshell] = STATE(1330),
    [sym_pipeline] = STATE(1330),
    [sym_list] = STATE(1330),
    [sym_negated_command] = STATE(1330),
    [sym_test_command] = STATE(1330),
    [sym_declaration_command] = STATE(1330),
    [sym_unset_command] = STATE(1330),
    [sym_command] = STATE(1330),
    [sym_command_name] = STATE(185),
    [sym_variable_assignment] = STATE(259),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(596),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym_command_repeat1] = STATE(596),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(259),
    [anon_sym_typeset] = ACTIONS(259),
    [anon_sym_export] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(259),
    [anon_sym_local] = ACTIONS(259),
    [anon_sym_unset] = ACTIONS(261),
    [anon_sym_unsetenv] = ACTIONS(261),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [122] = {
    [sym_redirected_statement] = STATE(1312),
    [sym_for_statement] = STATE(1312),
    [sym_c_style_for_statement] = STATE(1312),
    [sym_while_statement] = STATE(1312),
    [sym_if_statement] = STATE(1312),
    [sym_case_statement] = STATE(1312),
    [sym_function_definition] = STATE(1312),
    [sym_compound_statement] = STATE(1312),
    [sym_subshell] = STATE(1312),
    [sym_pipeline] = STATE(1312),
    [sym_list] = STATE(1312),
    [sym_negated_command] = STATE(1312),
    [sym_test_command] = STATE(1312),
    [sym_declaration_command] = STATE(1312),
    [sym_unset_command] = STATE(1312),
    [sym_command] = STATE(1312),
    [sym_command_name] = STATE(151),
    [sym_variable_assignment] = STATE(230),
    [sym_subscript] = STATE(2541),
    [sym_file_redirect] = STATE(592),
    [sym_concatenation] = STATE(560),
    [sym_string] = STATE(241),
    [sym_simple_expansion] = STATE(241),
    [sym_string_expansion] = STATE(241),
    [sym_expansion] = STATE(241),
    [sym_command_substitution] = STATE(241),
    [sym_process_substitution] = STATE(241),
    [aux_sym_command_repeat1] = STATE(592),
    [aux_sym__literal_repeat1] = STATE(301),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(11),
    [anon_sym_while] = ACTIONS(13),
    [anon_sym_if] = ACTIONS(15),
    [anon_sym_case] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(27),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(29),
    [anon_sym_declare] = ACTIONS(31),
    [anon_sym_typeset] = ACTIONS(31),
    [anon_sym_export] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_local] = ACTIONS(31),
    [anon_sym_unset] = ACTIONS(33),
    [anon_sym_unsetenv] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(39),
    [sym__special_character] = ACTIONS(41),
    [anon_sym_DQUOTE] = ACTIONS(43),
    [sym_raw_string] = ACTIONS(45),
    [sym_ansii_c_string] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(47),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [anon_sym_LT_LPAREN] = ACTIONS(53),
    [anon_sym_GT_LPAREN] = ACTIONS(53),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(59),
  },
  [123] = {
    [sym_redirected_statement] = STATE(1323),
    [sym_for_statement] = STATE(1323),
    [sym_c_style_for_statement] = STATE(1323),
    [sym_while_statement] = STATE(1323),
    [sym_if_statement] = STATE(1323),
    [sym_case_statement] = STATE(1323),
    [sym_function_definition] = STATE(1323),
    [sym_compound_statement] = STATE(1323),
    [sym_subshell] = STATE(1323),
    [sym_pipeline] = STATE(1323),
    [sym_list] = STATE(1323),
    [sym_negated_command] = STATE(1323),
    [sym_test_command] = STATE(1323),
    [sym_declaration_command] = STATE(1323),
    [sym_unset_command] = STATE(1323),
    [sym_command] = STATE(1323),
    [sym_command_name] = STATE(151),
    [sym_variable_assignment] = STATE(232),
    [sym_subscript] = STATE(2541),
    [sym_file_redirect] = STATE(592),
    [sym_concatenation] = STATE(560),
    [sym_string] = STATE(241),
    [sym_simple_expansion] = STATE(241),
    [sym_string_expansion] = STATE(241),
    [sym_expansion] = STATE(241),
    [sym_command_substitution] = STATE(241),
    [sym_process_substitution] = STATE(241),
    [aux_sym_command_repeat1] = STATE(592),
    [aux_sym__literal_repeat1] = STATE(301),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(11),
    [anon_sym_while] = ACTIONS(13),
    [anon_sym_if] = ACTIONS(15),
    [anon_sym_case] = ACTIONS(17),
    [anon_sym_function] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_LBRACE] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_LBRACK] = ACTIONS(27),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(29),
    [anon_sym_declare] = ACTIONS(31),
    [anon_sym_typeset] = ACTIONS(31),
    [anon_sym_export] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_local] = ACTIONS(31),
    [anon_sym_unset] = ACTIONS(33),
    [anon_sym_unsetenv] = ACTIONS(33),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(39),
    [sym__special_character] = ACTIONS(41),
    [anon_sym_DQUOTE] = ACTIONS(43),
    [sym_raw_string] = ACTIONS(45),
    [sym_ansii_c_string] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(47),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(51),
    [anon_sym_LT_LPAREN] = ACTIONS(53),
    [anon_sym_GT_LPAREN] = ACTIONS(53),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(59),
  },
  [124] = {
    [sym_redirected_statement] = STATE(1308),
    [sym_for_statement] = STATE(1308),
    [sym_c_style_for_statement] = STATE(1308),
    [sym_while_statement] = STATE(1308),
    [sym_if_statement] = STATE(1308),
    [sym_case_statement] = STATE(1308),
    [sym_function_definition] = STATE(1308),
    [sym_compound_statement] = STATE(1308),
    [sym_subshell] = STATE(1308),
    [sym_pipeline] = STATE(1308),
    [sym_list] = STATE(1308),
    [sym_negated_command] = STATE(1308),
    [sym_test_command] = STATE(1308),
    [sym_declaration_command] = STATE(1308),
    [sym_unset_command] = STATE(1308),
    [sym_command] = STATE(1308),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(226),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
  [125] = {
    [sym_redirected_statement] = STATE(1315),
    [sym_for_statement] = STATE(1315),
    [sym_c_style_for_statement] = STATE(1315),
    [sym_while_statement] = STATE(1315),
    [sym_if_statement] = STATE(1315),
    [sym_case_statement] = STATE(1315),
    [sym_function_definition] = STATE(1315),
    [sym_compound_statement] = STATE(1315),
    [sym_subshell] = STATE(1315),
    [sym_pipeline] = STATE(1315),
    [sym_list] = STATE(1315),
    [sym_negated_command] = STATE(1315),
    [sym_test_command] = STATE(1315),
    [sym_declaration_command] = STATE(1315),
    [sym_unset_command] = STATE(1315),
    [sym_command] = STATE(1315),
    [sym_command_name] = STATE(157),
    [sym_variable_assignment] = STATE(219),
    [sym_subscript] = STATE(2601),
    [sym_file_redirect] = STATE(581),
    [sym_concatenation] = STATE(579),
    [sym_string] = STATE(263),
    [sym_simple_expansion] = STATE(263),
    [sym_string_expansion] = STATE(263),
    [sym_expansion] = STATE(263),
    [sym_command_substitution] = STATE(263),
    [sym_process_substitution] = STATE(263),
    [aux_sym_command_repeat1] = STATE(581),
    [aux_sym__literal_repeat1] = STATE(429),
    [sym_word] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(207),
    [anon_sym_typeset] = ACTIONS(207),
    [anon_sym_export] = ACTIONS(207),
    [anon_sym_readonly] = ACTIONS(207),
    [anon_sym_local] = ACTIONS(207),
    [anon_sym_unset] = ACTIONS(209),
    [anon_sym_unsetenv] = ACTIONS(209),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(211),
    [sym__special_character] = ACTIONS(213),
    [anon_sym_DQUOTE] = ACTIONS(215),
    [sym_raw_string] = ACTIONS(217),
    [sym_ansii_c_string] = ACTIONS(217),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(219),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(221),
    [anon_sym_BQUOTE] = ACTIONS(223),
    [anon_sym_LT_LPAREN] = ACTIONS(225),
    [anon_sym_GT_LPAREN] = ACTIONS(225),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(227),
  },
  [126] = {
    [sym_redirected_statement] = STATE(1313),
    [sym_for_statement] = STATE(1313),
    [sym_c_style_for_statement] = STATE(1313),
    [sym_while_statement] = STATE(1313),
    [sym_if_statement] = STATE(1313),
    [sym_case_statement] = STATE(1313),
    [sym_function_definition] = STATE(1313),
    [sym_compound_statement] = STATE(1313),
    [sym_subshell] = STATE(1313),
    [sym_pipeline] = STATE(1313),
    [sym_list] = STATE(1313),
    [sym_negated_command] = STATE(1313),
    [sym_test_command] = STATE(1313),
    [sym_declaration_command] = STATE(1313),
    [sym_unset_command] = STATE(1313),
    [sym_command] = STATE(1313),
    [sym_command_name] = STATE(158),
    [sym_variable_assignment] = STATE(225),
    [sym_subscript] = STATE(2557),
    [sym_file_redirect] = STATE(606),
    [sym_concatenation] = STATE(611),
    [sym_string] = STATE(260),
    [sym_simple_expansion] = STATE(260),
    [sym_string_expansion] = STATE(260),
    [sym_expansion] = STATE(260),
    [sym_command_substitution] = STATE(260),
    [sym_process_substitution] = STATE(260),
    [aux_sym_command_repeat1] = STATE(606),
    [aux_sym__literal_repeat1] = STATE(417),
    [sym_word] = ACTIONS(61),
    [anon_sym_for] = ACTIONS(63),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_function] = ACTIONS(79),
    [anon_sym_LPAREN] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(83),
    [anon_sym_BANG] = ACTIONS(85),
    [anon_sym_LBRACK] = ACTIONS(87),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(89),
    [anon_sym_declare] = ACTIONS(91),
    [anon_sym_typeset] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_readonly] = ACTIONS(91),
    [anon_sym_local] = ACTIONS(91),
    [anon_sym_unset] = ACTIONS(93),
    [anon_sym_unsetenv] = ACTIONS(93),
    [anon_sym_LT] = ACTIONS(35),
    [anon_sym_GT] = ACTIONS(35),
    [anon_sym_GT_GT] = ACTIONS(37),
    [anon_sym_AMP_GT] = ACTIONS(35),
    [anon_sym_AMP_GT_GT] = ACTIONS(37),
    [anon_sym_LT_AMP] = ACTIONS(37),
    [anon_sym_GT_AMP] = ACTIONS(37),
    [anon_sym_GT_PIPE] = ACTIONS(37),
    [anon_sym_DOLLAR] = ACTIONS(95),
    [sym__special_character] = ACTIONS(97),
    [anon_sym_DQUOTE] = ACTIONS(99),
    [sym_raw_string] = ACTIONS(101),
    [sym_ansii_c_string] = ACTIONS(101),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(103),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(105),
    [anon_sym_BQUOTE] = ACTIONS(107),
    [anon_sym_LT_LPAREN] = ACTIONS(109),
    [anon_sym_GT_LPAREN] = ACTIONS(109),
    [sym_comment] = ACTIONS(55),
    [sym_file_descriptor] = ACTIONS(57),
    [sym_variable_name] = ACTIONS(111),
  },
};

static uint16_t ts_small_parse_table[] = {
  [0] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(363), 1,
      sym__simple_heredoc_body,
    ACTIONS(365), 1,
      sym__heredoc_body_beginning,
    STATE(2360), 1,
      sym_heredoc_body,
    ACTIONS(283), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(131), 25,
      anon_sym_for,
      anon_sym_while,
      anon_sym_done,
      anon_sym_if,
      anon_sym_fi,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [60] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_DOLLAR,
    ACTIONS(375), 1,
      sym__special_character,
    ACTIONS(377), 1,
      anon_sym_DQUOTE,
    ACTIONS(379), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(381), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(383), 1,
      anon_sym_BQUOTE,
    ACTIONS(387), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(389), 1,
      sym_variable_name,
    STATE(424), 1,
      aux_sym__literal_repeat1,
    STATE(2623), 1,
      sym_subscript,
    ACTIONS(369), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(385), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(367), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(132), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(251), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(371), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [141] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(393), 1,
      anon_sym_DOLLAR,
    ACTIONS(395), 1,
      sym__special_character,
    ACTIONS(397), 1,
      anon_sym_DQUOTE,
    ACTIONS(399), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(401), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(403), 1,
      anon_sym_BQUOTE,
    ACTIONS(407), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(409), 1,
      sym_variable_name,
    STATE(428), 1,
      aux_sym__literal_repeat1,
    STATE(2619), 1,
      sym_subscript,
    ACTIONS(369), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(405), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(391), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(131), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(242), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(371), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [222] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(418), 1,
      anon_sym_DOLLAR,
    ACTIONS(421), 1,
      sym__special_character,
    ACTIONS(424), 1,
      anon_sym_DQUOTE,
    ACTIONS(427), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(430), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(433), 1,
      anon_sym_BQUOTE,
    ACTIONS(439), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(442), 1,
      sym_variable_name,
    STATE(428), 1,
      aux_sym__literal_repeat1,
    STATE(2619), 1,
      sym_subscript,
    ACTIONS(414), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(436), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(411), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(130), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(242), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(416), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [303] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(393), 1,
      anon_sym_DOLLAR,
    ACTIONS(395), 1,
      sym__special_character,
    ACTIONS(397), 1,
      anon_sym_DQUOTE,
    ACTIONS(399), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(401), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(403), 1,
      anon_sym_BQUOTE,
    ACTIONS(409), 1,
      sym_variable_name,
    ACTIONS(449), 1,
      aux_sym__simple_variable_name_token1,
    STATE(428), 1,
      aux_sym__literal_repeat1,
    STATE(2619), 1,
      sym_subscript,
    ACTIONS(405), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(445), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(391), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(130), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(242), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(447), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [384] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_DOLLAR,
    ACTIONS(375), 1,
      sym__special_character,
    ACTIONS(377), 1,
      anon_sym_DQUOTE,
    ACTIONS(379), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(381), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(383), 1,
      anon_sym_BQUOTE,
    ACTIONS(389), 1,
      sym_variable_name,
    ACTIONS(451), 1,
      aux_sym__simple_variable_name_token1,
    STATE(424), 1,
      aux_sym__literal_repeat1,
    STATE(2623), 1,
      sym_subscript,
    ACTIONS(385), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(445), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(367), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(135), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(251), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(447), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [465] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(455), 1,
      anon_sym_DOLLAR,
    ACTIONS(457), 1,
      sym__special_character,
    ACTIONS(459), 1,
      anon_sym_DQUOTE,
    ACTIONS(461), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(463), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(465), 1,
      anon_sym_BQUOTE,
    ACTIONS(469), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(471), 1,
      sym_variable_name,
    STATE(319), 1,
      aux_sym__literal_repeat1,
    STATE(2612), 1,
      sym_subscript,
    ACTIONS(467), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(369), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(453), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(136), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(248), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(371), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [546] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(476), 1,
      anon_sym_DOLLAR,
    ACTIONS(479), 1,
      sym__special_character,
    ACTIONS(482), 1,
      anon_sym_DQUOTE,
    ACTIONS(485), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(488), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(491), 1,
      anon_sym_BQUOTE,
    ACTIONS(497), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(500), 1,
      sym_variable_name,
    STATE(319), 1,
      aux_sym__literal_repeat1,
    STATE(2612), 1,
      sym_subscript,
    ACTIONS(494), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(414), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(473), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(134), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(248), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(416), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [627] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(506), 1,
      anon_sym_DOLLAR,
    ACTIONS(509), 1,
      sym__special_character,
    ACTIONS(512), 1,
      anon_sym_DQUOTE,
    ACTIONS(515), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(518), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(521), 1,
      anon_sym_BQUOTE,
    ACTIONS(527), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(530), 1,
      sym_variable_name,
    STATE(424), 1,
      aux_sym__literal_repeat1,
    STATE(2623), 1,
      sym_subscript,
    ACTIONS(414), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(524), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(503), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(135), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(251), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(416), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [708] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(455), 1,
      anon_sym_DOLLAR,
    ACTIONS(457), 1,
      sym__special_character,
    ACTIONS(459), 1,
      anon_sym_DQUOTE,
    ACTIONS(461), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(463), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(465), 1,
      anon_sym_BQUOTE,
    ACTIONS(471), 1,
      sym_variable_name,
    ACTIONS(533), 1,
      aux_sym__simple_variable_name_token1,
    STATE(319), 1,
      aux_sym__literal_repeat1,
    STATE(2612), 1,
      sym_subscript,
    ACTIONS(467), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(445), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(453), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(134), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(248), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(447), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [789] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 1,
      anon_sym_DQUOTE,
    ACTIONS(543), 1,
      sym_raw_string,
    STATE(420), 1,
      sym_string,
    ACTIONS(537), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(539), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(545), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [851] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_DOLLAR,
    ACTIONS(375), 1,
      sym__special_character,
    ACTIONS(377), 1,
      anon_sym_DQUOTE,
    ACTIONS(379), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(381), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(389), 1,
      sym_variable_name,
    ACTIONS(451), 1,
      aux_sym__simple_variable_name_token1,
    STATE(424), 1,
      aux_sym__literal_repeat1,
    STATE(2623), 1,
      sym_subscript,
    ACTIONS(385), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(445), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(367), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(135), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(251), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(447), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [929] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(363), 1,
      sym__simple_heredoc_body,
    ACTIONS(365), 1,
      sym__heredoc_body_beginning,
    ACTIONS(551), 1,
      anon_sym_esac,
    ACTIONS(553), 1,
      anon_sym_SEMI_SEMI,
    STATE(2349), 1,
      sym_heredoc_body,
    ACTIONS(549), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [991] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(363), 1,
      sym__simple_heredoc_body,
    ACTIONS(365), 1,
      sym__heredoc_body_beginning,
    ACTIONS(555), 1,
      anon_sym_esac,
    ACTIONS(557), 1,
      anon_sym_SEMI_SEMI,
    STATE(2330), 1,
      sym_heredoc_body,
    ACTIONS(549), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [1053] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_DOLLAR,
    ACTIONS(375), 1,
      sym__special_character,
    ACTIONS(377), 1,
      anon_sym_DQUOTE,
    ACTIONS(379), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(381), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(389), 1,
      sym_variable_name,
    ACTIONS(559), 1,
      aux_sym__simple_variable_name_token1,
    STATE(424), 1,
      aux_sym__literal_repeat1,
    STATE(2623), 1,
      sym_subscript,
    ACTIONS(369), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(385), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(367), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(138), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(251), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(371), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [1131] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(563), 1,
      anon_sym_DQUOTE,
    ACTIONS(565), 1,
      sym_raw_string,
    STATE(369), 1,
      sym_string,
    ACTIONS(537), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(561), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(567), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [1193] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(571), 1,
      anon_sym_DQUOTE,
    ACTIONS(573), 1,
      sym_raw_string,
    STATE(351), 1,
      sym_string,
    ACTIONS(537), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(569), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(575), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [1255] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(571), 1,
      anon_sym_DQUOTE,
    ACTIONS(585), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(587), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(589), 1,
      anon_sym_BQUOTE,
    STATE(149), 1,
      aux_sym_command_repeat2,
    STATE(359), 1,
      aux_sym__literal_repeat1,
    STATE(661), 1,
      sym_concatenation,
    ACTIONS(583), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(591), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(577), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(579), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(261), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(581), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1332] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 1,
      anon_sym_DQUOTE,
    ACTIONS(597), 1,
      sym_raw_string,
    STATE(554), 1,
      sym_string,
    ACTIONS(537), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(593), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(599), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 27,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [1393] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(363), 1,
      sym__simple_heredoc_body,
    ACTIONS(365), 1,
      sym__heredoc_body_beginning,
    ACTIONS(557), 1,
      anon_sym_RPAREN,
    STATE(2331), 1,
      sym_heredoc_body,
    ACTIONS(549), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [1452] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_DOLLAR,
    ACTIONS(213), 1,
      sym__special_character,
    ACTIONS(563), 1,
      anon_sym_DQUOTE,
    ACTIONS(609), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(611), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(613), 1,
      anon_sym_BQUOTE,
    STATE(168), 1,
      aux_sym_command_repeat2,
    STATE(415), 1,
      aux_sym__literal_repeat1,
    STATE(604), 1,
      sym_concatenation,
    ACTIONS(603), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(607), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(615), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(601), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(254), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(605), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1529] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(363), 1,
      sym__simple_heredoc_body,
    ACTIONS(365), 1,
      sym__heredoc_body_beginning,
    STATE(2391), 1,
      sym_heredoc_body,
    ACTIONS(283), 19,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(131), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [1586] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(571), 1,
      anon_sym_DQUOTE,
    ACTIONS(585), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(587), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(589), 1,
      anon_sym_BQUOTE,
    STATE(153), 1,
      aux_sym_command_repeat2,
    STATE(359), 1,
      aux_sym__literal_repeat1,
    STATE(661), 1,
      sym_concatenation,
    ACTIONS(583), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(591), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(579), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(617), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(261), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(619), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1663] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(459), 1,
      anon_sym_DQUOTE,
    ACTIONS(623), 1,
      sym_raw_string,
    STATE(332), 1,
      sym_string,
    ACTIONS(537), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(621), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(625), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 26,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [1724] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(571), 1,
      anon_sym_DQUOTE,
    ACTIONS(585), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(587), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(589), 1,
      anon_sym_BQUOTE,
    STATE(166), 1,
      aux_sym_command_repeat2,
    STATE(359), 1,
      aux_sym__literal_repeat1,
    STATE(661), 1,
      sym_concatenation,
    ACTIONS(583), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(591), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(579), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(627), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(261), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(629), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1801] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(553), 1,
      ts_builtin_sym_end,
    ACTIONS(631), 1,
      sym__simple_heredoc_body,
    ACTIONS(633), 1,
      sym__heredoc_body_beginning,
    STATE(2355), 1,
      sym_heredoc_body,
    ACTIONS(549), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [1860] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(648), 1,
      sym__special_character,
    ACTIONS(651), 1,
      anon_sym_DQUOTE,
    ACTIONS(654), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(657), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(660), 1,
      anon_sym_BQUOTE,
    STATE(153), 1,
      aux_sym_command_repeat2,
    STATE(359), 1,
      aux_sym__literal_repeat1,
    STATE(661), 1,
      sym_concatenation,
    ACTIONS(642), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(663), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(635), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(637), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(261), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(640), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [1937] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(541), 1,
      anon_sym_DQUOTE,
    ACTIONS(670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(674), 1,
      anon_sym_BQUOTE,
    STATE(170), 1,
      aux_sym_command_repeat2,
    STATE(445), 1,
      aux_sym__literal_repeat1,
    STATE(559), 1,
      sym_concatenation,
    ACTIONS(603), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(668), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(666), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(238), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(605), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2014] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(557), 1,
      ts_builtin_sym_end,
    ACTIONS(631), 1,
      sym__simple_heredoc_body,
    ACTIONS(633), 1,
      sym__heredoc_body_beginning,
    STATE(2336), 1,
      sym_heredoc_body,
    ACTIONS(549), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [2073] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(541), 1,
      anon_sym_DQUOTE,
    ACTIONS(670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(674), 1,
      anon_sym_BQUOTE,
    STATE(167), 1,
      aux_sym_command_repeat2,
    STATE(445), 1,
      aux_sym__literal_repeat1,
    STATE(559), 1,
      sym_concatenation,
    ACTIONS(577), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(668), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(666), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(238), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(581), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2150] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_DOLLAR,
    ACTIONS(213), 1,
      sym__special_character,
    ACTIONS(563), 1,
      anon_sym_DQUOTE,
    ACTIONS(609), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(611), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(613), 1,
      anon_sym_BQUOTE,
    STATE(147), 1,
      aux_sym_command_repeat2,
    STATE(415), 1,
      aux_sym__literal_repeat1,
    STATE(604), 1,
      sym_concatenation,
    ACTIONS(607), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(615), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(627), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(601), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(254), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(629), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2227] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(541), 1,
      anon_sym_DQUOTE,
    ACTIONS(670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(674), 1,
      anon_sym_BQUOTE,
    STATE(154), 1,
      aux_sym_command_repeat2,
    STATE(445), 1,
      aux_sym__literal_repeat1,
    STATE(559), 1,
      sym_concatenation,
    ACTIONS(627), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(668), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(666), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(238), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(629), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2304] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(680), 1,
      anon_sym_DQUOTE,
    ACTIONS(682), 1,
      sym_raw_string,
    STATE(655), 1,
      sym_string,
    ACTIONS(537), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(678), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(684), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 27,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [2365] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 1,
      anon_sym_DQUOTE,
    ACTIONS(688), 1,
      sym_raw_string,
    STATE(386), 1,
      sym_string,
    ACTIONS(537), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(686), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(690), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 27,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [2426] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(363), 1,
      sym__simple_heredoc_body,
    ACTIONS(365), 1,
      sym__heredoc_body_beginning,
    ACTIONS(557), 1,
      anon_sym_SEMI_SEMI,
    STATE(2374), 1,
      sym_heredoc_body,
    ACTIONS(549), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [2485] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(283), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(131), 25,
      anon_sym_for,
      anon_sym_while,
      anon_sym_done,
      anon_sym_if,
      anon_sym_fi,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [2536] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(377), 1,
      anon_sym_DQUOTE,
    ACTIONS(694), 1,
      sym_raw_string,
    STATE(282), 1,
      sym_string,
    ACTIONS(537), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(692), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(696), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 27,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [2597] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(363), 1,
      sym__simple_heredoc_body,
    ACTIONS(365), 1,
      sym__heredoc_body_beginning,
    ACTIONS(553), 1,
      anon_sym_SEMI_SEMI,
    STATE(2366), 1,
      sym_heredoc_body,
    ACTIONS(549), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [2656] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(700), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(698), 25,
      anon_sym_for,
      anon_sym_while,
      anon_sym_done,
      anon_sym_if,
      anon_sym_fi,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [2707] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(571), 1,
      anon_sym_DQUOTE,
    ACTIONS(585), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(587), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(589), 1,
      anon_sym_BQUOTE,
    STATE(153), 1,
      aux_sym_command_repeat2,
    STATE(359), 1,
      aux_sym__literal_repeat1,
    STATE(661), 1,
      sym_concatenation,
    ACTIONS(583), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(591), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(579), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(603), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(261), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(605), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2784] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(541), 1,
      anon_sym_DQUOTE,
    ACTIONS(670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(672), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(674), 1,
      anon_sym_BQUOTE,
    STATE(170), 1,
      aux_sym_command_repeat2,
    STATE(445), 1,
      aux_sym__literal_repeat1,
    STATE(559), 1,
      sym_concatenation,
    ACTIONS(617), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(668), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(666), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(238), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(619), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2861] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(708), 1,
      anon_sym_DOLLAR,
    ACTIONS(711), 1,
      sym__special_character,
    ACTIONS(714), 1,
      anon_sym_DQUOTE,
    ACTIONS(717), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(720), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(723), 1,
      anon_sym_BQUOTE,
    STATE(168), 1,
      aux_sym_command_repeat2,
    STATE(415), 1,
      aux_sym__literal_repeat1,
    STATE(604), 1,
      sym_concatenation,
    ACTIONS(635), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(705), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(726), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(702), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(254), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(640), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [2938] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_DOLLAR,
    ACTIONS(213), 1,
      sym__special_character,
    ACTIONS(563), 1,
      anon_sym_DQUOTE,
    ACTIONS(609), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(611), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(613), 1,
      anon_sym_BQUOTE,
    STATE(173), 1,
      aux_sym_command_repeat2,
    STATE(415), 1,
      aux_sym__literal_repeat1,
    STATE(604), 1,
      sym_concatenation,
    ACTIONS(577), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(607), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(615), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(601), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(254), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(581), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3015] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 1,
      anon_sym_DOLLAR,
    ACTIONS(738), 1,
      sym__special_character,
    ACTIONS(741), 1,
      anon_sym_DQUOTE,
    ACTIONS(744), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(747), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(750), 1,
      anon_sym_BQUOTE,
    STATE(170), 1,
      aux_sym_command_repeat2,
    STATE(445), 1,
      aux_sym__literal_repeat1,
    STATE(559), 1,
      sym_concatenation,
    ACTIONS(635), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(732), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(753), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(729), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(238), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(640), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3092] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(363), 1,
      sym__simple_heredoc_body,
    ACTIONS(365), 1,
      sym__heredoc_body_beginning,
    ACTIONS(553), 1,
      anon_sym_RPAREN,
    STATE(2321), 1,
      sym_heredoc_body,
    ACTIONS(549), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [3151] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(758), 1,
      anon_sym_DQUOTE,
    ACTIONS(760), 1,
      sym_raw_string,
    STATE(537), 1,
      sym_string,
    ACTIONS(537), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(756), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(762), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 26,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [3212] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_DOLLAR,
    ACTIONS(213), 1,
      sym__special_character,
    ACTIONS(563), 1,
      anon_sym_DQUOTE,
    ACTIONS(609), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(611), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(613), 1,
      anon_sym_BQUOTE,
    STATE(168), 1,
      aux_sym_command_repeat2,
    STATE(415), 1,
      aux_sym__literal_repeat1,
    STATE(604), 1,
      sym_concatenation,
    ACTIONS(607), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(615), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(617), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(601), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(254), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(619), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3289] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(771), 1,
      anon_sym_DOLLAR,
    ACTIONS(774), 1,
      sym__special_character,
    ACTIONS(777), 1,
      anon_sym_DQUOTE,
    ACTIONS(780), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(783), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(786), 1,
      anon_sym_BQUOTE,
    ACTIONS(792), 1,
      aux_sym__simple_variable_name_token1,
    STATE(590), 1,
      aux_sym__literal_repeat1,
    ACTIONS(767), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(789), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(174), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(764), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(427), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(769), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3363] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(363), 1,
      sym__simple_heredoc_body,
    ACTIONS(365), 1,
      sym__heredoc_body_beginning,
    ACTIONS(553), 1,
      anon_sym_BQUOTE,
    STATE(2338), 1,
      sym_heredoc_body,
    ACTIONS(549), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [3421] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(798), 1,
      anon_sym_DOLLAR,
    ACTIONS(801), 1,
      sym__special_character,
    ACTIONS(804), 1,
      anon_sym_DQUOTE,
    ACTIONS(807), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(810), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(813), 1,
      anon_sym_BQUOTE,
    ACTIONS(819), 1,
      aux_sym__simple_variable_name_token1,
    STATE(591), 1,
      aux_sym__literal_repeat1,
    ACTIONS(767), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(816), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(176), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(795), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(425), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(769), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3495] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(824), 1,
      anon_sym_DQUOTE,
    ACTIONS(826), 1,
      sym_raw_string,
    STATE(621), 1,
      sym_string,
    ACTIONS(537), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(822), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(828), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 27,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [3555] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(541), 1,
      anon_sym_DQUOTE,
    ACTIONS(670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(672), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(179), 1,
      aux_sym_command_repeat2,
    STATE(445), 1,
      aux_sym__literal_repeat1,
    STATE(559), 1,
      sym_concatenation,
    ACTIONS(577), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(668), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(666), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(238), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(581), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [3629] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(541), 1,
      anon_sym_DQUOTE,
    ACTIONS(670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(672), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(170), 1,
      aux_sym_command_repeat2,
    STATE(445), 1,
      aux_sym__literal_repeat1,
    STATE(559), 1,
      sym_concatenation,
    ACTIONS(617), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(668), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(666), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(238), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(619), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [3703] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(541), 1,
      anon_sym_DQUOTE,
    ACTIONS(670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(672), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(170), 1,
      aux_sym_command_repeat2,
    STATE(445), 1,
      aux_sym__literal_repeat1,
    STATE(559), 1,
      sym_concatenation,
    ACTIONS(603), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(668), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(666), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(238), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(605), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [3777] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_DOLLAR,
    ACTIONS(838), 1,
      sym__special_character,
    ACTIONS(840), 1,
      anon_sym_DQUOTE,
    ACTIONS(842), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(844), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(846), 1,
      anon_sym_BQUOTE,
    ACTIONS(850), 1,
      aux_sym__simple_variable_name_token1,
    STATE(625), 1,
      aux_sym__literal_repeat1,
    ACTIONS(848), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(190), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(830), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(832), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(326), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(834), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3851] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(824), 1,
      anon_sym_DQUOTE,
    ACTIONS(854), 1,
      anon_sym_DOLLAR,
    ACTIONS(856), 1,
      sym__special_character,
    ACTIONS(858), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(860), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(862), 1,
      anon_sym_BQUOTE,
    ACTIONS(866), 1,
      aux_sym__simple_variable_name_token1,
    STATE(590), 1,
      aux_sym__literal_repeat1,
    ACTIONS(830), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(864), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(187), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(852), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(427), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(834), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3925] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(870), 1,
      anon_sym_DOLLAR,
    ACTIONS(872), 1,
      sym__special_character,
    ACTIONS(874), 1,
      anon_sym_DQUOTE,
    ACTIONS(876), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(878), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(880), 1,
      anon_sym_BQUOTE,
    ACTIONS(884), 1,
      aux_sym__simple_variable_name_token1,
    STATE(591), 1,
      aux_sym__literal_repeat1,
    ACTIONS(830), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(882), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(186), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(868), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(425), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(834), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [3999] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(363), 1,
      sym__simple_heredoc_body,
    ACTIONS(365), 1,
      sym__heredoc_body_beginning,
    STATE(2379), 1,
      sym_heredoc_body,
    ACTIONS(549), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4055] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(541), 1,
      anon_sym_DQUOTE,
    ACTIONS(670), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(672), 1,
      anon_sym_DOLLAR_LPAREN,
    STATE(180), 1,
      aux_sym_command_repeat2,
    STATE(445), 1,
      aux_sym__literal_repeat1,
    STATE(559), 1,
      sym_concatenation,
    ACTIONS(627), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(668), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(676), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(666), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(238), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(629), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [4129] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(870), 1,
      anon_sym_DOLLAR,
    ACTIONS(872), 1,
      sym__special_character,
    ACTIONS(874), 1,
      anon_sym_DQUOTE,
    ACTIONS(876), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(878), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(880), 1,
      anon_sym_BQUOTE,
    ACTIONS(890), 1,
      aux_sym__simple_variable_name_token1,
    STATE(591), 1,
      aux_sym__literal_repeat1,
    ACTIONS(882), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(886), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(176), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(868), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(425), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(888), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4203] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(824), 1,
      anon_sym_DQUOTE,
    ACTIONS(854), 1,
      anon_sym_DOLLAR,
    ACTIONS(856), 1,
      sym__special_character,
    ACTIONS(858), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(860), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(862), 1,
      anon_sym_BQUOTE,
    ACTIONS(892), 1,
      aux_sym__simple_variable_name_token1,
    STATE(590), 1,
      aux_sym__literal_repeat1,
    ACTIONS(864), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(886), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(174), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(852), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(427), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(888), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4277] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(840), 1,
      anon_sym_DQUOTE,
    ACTIONS(896), 1,
      sym_raw_string,
    STATE(613), 1,
      sym_string,
    ACTIONS(537), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(894), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(898), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 26,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [4337] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(363), 1,
      sym__simple_heredoc_body,
    ACTIONS(365), 1,
      sym__heredoc_body_beginning,
    ACTIONS(557), 1,
      anon_sym_BQUOTE,
    STATE(2329), 1,
      sym_heredoc_body,
    ACTIONS(549), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4395] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_DOLLAR,
    ACTIONS(838), 1,
      sym__special_character,
    ACTIONS(840), 1,
      anon_sym_DQUOTE,
    ACTIONS(842), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(844), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(846), 1,
      anon_sym_BQUOTE,
    ACTIONS(900), 1,
      aux_sym__simple_variable_name_token1,
    STATE(625), 1,
      aux_sym__literal_repeat1,
    ACTIONS(848), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(191), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(832), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(886), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(326), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(888), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4469] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(905), 1,
      anon_sym_DOLLAR,
    ACTIONS(908), 1,
      sym__special_character,
    ACTIONS(911), 1,
      anon_sym_DQUOTE,
    ACTIONS(914), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(917), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(920), 1,
      anon_sym_BQUOTE,
    ACTIONS(926), 1,
      aux_sym__simple_variable_name_token1,
    STATE(625), 1,
      aux_sym__literal_repeat1,
    ACTIONS(923), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(191), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(767), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(902), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(326), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(769), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [4543] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_DQUOTE,
    ACTIONS(931), 1,
      sym_raw_string,
    STATE(563), 1,
      sym_string,
    ACTIONS(537), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(929), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(933), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 27,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [4603] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(870), 1,
      anon_sym_DOLLAR,
    ACTIONS(872), 1,
      sym__special_character,
    ACTIONS(874), 1,
      anon_sym_DQUOTE,
    ACTIONS(876), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(878), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(890), 1,
      aux_sym__simple_variable_name_token1,
    STATE(591), 1,
      aux_sym__literal_repeat1,
    ACTIONS(882), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(886), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(176), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(868), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(425), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(888), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [4674] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(551), 1,
      anon_sym_esac,
    ACTIONS(553), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(549), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4727] = 24,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(65), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(81), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(89), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(935), 1,
      sym_variable_name,
    STATE(158), 1,
      sym_command_name,
    STATE(417), 1,
      aux_sym__literal_repeat1,
    STATE(611), 1,
      sym_concatenation,
    STATE(2600), 1,
      sym_subscript,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(101), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(606), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1480), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(260), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [4818] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(553), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
    ACTIONS(549), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4869] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(941), 1,
      anon_sym_esac,
    ACTIONS(943), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(939), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(937), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [4922] = 24,
    ACTIONS(11), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(21), 1,
      anon_sym_LPAREN,
    ACTIONS(27), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(41), 1,
      sym__special_character,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(935), 1,
      sym_variable_name,
    STATE(151), 1,
      sym_command_name,
    STATE(301), 1,
      aux_sym__literal_repeat1,
    STATE(560), 1,
      sym_concatenation,
    STATE(2600), 1,
      sym_subscript,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(45), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(592), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1738), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(241), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [5013] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(557), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
    ACTIONS(549), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5064] = 24,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(65), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(81), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(89), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(211), 1,
      anon_sym_DOLLAR,
    ACTIONS(213), 1,
      sym__special_character,
    ACTIONS(215), 1,
      anon_sym_DQUOTE,
    ACTIONS(219), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(221), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(223), 1,
      anon_sym_BQUOTE,
    ACTIONS(935), 1,
      sym_variable_name,
    STATE(157), 1,
      sym_command_name,
    STATE(429), 1,
      aux_sym__literal_repeat1,
    STATE(579), 1,
      sym_concatenation,
    STATE(2600), 1,
      sym_subscript,
    ACTIONS(225), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(217), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(581), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1480), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(263), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [5155] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(945), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
    ACTIONS(939), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(937), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5206] = 24,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(65), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(81), 1,
      anon_sym_LPAREN,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(89), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(97), 1,
      sym__special_character,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(935), 1,
      sym_variable_name,
    STATE(185), 1,
      sym_command_name,
    STATE(417), 1,
      aux_sym__literal_repeat1,
    STATE(611), 1,
      sym_concatenation,
    STATE(2600), 1,
      sym_subscript,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(101), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(596), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    STATE(1480), 3,
      sym_subshell,
      sym_test_command,
      sym_command,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(260), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [5297] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(870), 1,
      anon_sym_DOLLAR,
    ACTIONS(872), 1,
      sym__special_character,
    ACTIONS(874), 1,
      anon_sym_DQUOTE,
    ACTIONS(876), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(878), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(947), 1,
      aux_sym__simple_variable_name_token1,
    STATE(591), 1,
      aux_sym__literal_repeat1,
    ACTIONS(830), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(882), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(193), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(868), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(425), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(834), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [5368] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(943), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
    ACTIONS(939), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(937), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5419] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(949), 1,
      anon_sym_esac,
    ACTIONS(939), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(937), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5472] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(555), 1,
      anon_sym_esac,
    ACTIONS(557), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(549), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5525] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(557), 1,
      ts_builtin_sym_end,
    ACTIONS(549), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5575] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(945), 1,
      ts_builtin_sym_end,
    ACTIONS(939), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(937), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5625] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(943), 1,
      ts_builtin_sym_end,
    ACTIONS(939), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(937), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5675] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(553), 1,
      ts_builtin_sym_end,
    ACTIONS(549), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5725] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(283), 19,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(131), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5773] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(700), 19,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(698), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5821] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(557), 1,
      anon_sym_BQUOTE,
    ACTIONS(549), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5870] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(549), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5917] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(553), 1,
      anon_sym_BQUOTE,
    ACTIONS(549), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(547), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [5966] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(943), 1,
      anon_sym_BQUOTE,
    ACTIONS(939), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(937), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [6015] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(939), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(937), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [6062] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_BQUOTE,
    ACTIONS(939), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(937), 21,
      anon_sym_for,
      anon_sym_while,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
      sym__special_character,
      sym_word,
  [6111] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(953), 1,
      anon_sym_LF,
    ACTIONS(957), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(959), 2,
      sym_file_descriptor,
      sym_variable_name,
    STATE(1333), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(955), 9,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(951), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6164] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(555), 1,
      anon_sym_RPAREN,
    ACTIONS(961), 1,
      anon_sym_LF,
    ACTIONS(971), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(959), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(965), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(967), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(969), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(963), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1309), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6225] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(977), 1,
      anon_sym_LPAREN,
    ACTIONS(979), 1,
      sym__concat,
    STATE(271), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(973), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(975), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [6276] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(981), 1,
      ts_builtin_sym_end,
    ACTIONS(983), 1,
      anon_sym_LF,
    ACTIONS(993), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(959), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(987), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(989), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(991), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(985), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1331), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6337] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(995), 1,
      anon_sym_LPAREN,
    ACTIONS(997), 1,
      sym__concat,
    STATE(240), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(973), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(975), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [6388] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(995), 1,
      anon_sym_LPAREN,
    ACTIONS(999), 1,
      sym__concat,
    STATE(272), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(973), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(975), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [6439] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(953), 1,
      anon_sym_LF,
    ACTIONS(959), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(965), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1309), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(955), 9,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(951), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6492] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(959), 1,
      sym_variable_name,
    ACTIONS(1001), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1309), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(1003), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [6543] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1005), 1,
      anon_sym_LF,
    ACTIONS(1009), 1,
      anon_sym_RPAREN,
    ACTIONS(959), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(965), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(967), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(969), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1007), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1309), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6604] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(557), 1,
      ts_builtin_sym_end,
    ACTIONS(993), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1011), 1,
      anon_sym_LF,
    ACTIONS(959), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(987), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(989), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(991), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1013), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1331), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6665] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(959), 1,
      sym_variable_name,
    ACTIONS(1001), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1333), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(1003), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [6716] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(959), 1,
      sym_variable_name,
    ACTIONS(1001), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1331), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 11,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(1003), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [6767] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 1,
      anon_sym_LF,
    ACTIONS(1021), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(555), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(957), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(959), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(969), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1017), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(1019), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    STATE(1333), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6828] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(953), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(959), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(987), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1331), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(955), 8,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(951), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6881] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1023), 1,
      anon_sym_LF,
    ACTIONS(957), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(959), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(969), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1009), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(1019), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1025), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    STATE(1333), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1031), 1,
      sym__concat,
    STATE(253), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1027), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1029), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [6990] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1037), 1,
      sym__concat,
    STATE(235), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1035), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1033), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7038] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1040), 1,
      anon_sym_LF,
    ACTIONS(959), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(965), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(967), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(969), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1042), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1309), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7096] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1044), 1,
      anon_sym_LF,
    ACTIONS(959), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(965), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(967), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(969), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1046), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1309), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7154] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(999), 1,
      sym__concat,
    STATE(272), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1050), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1048), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7202] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1052), 1,
      sym__concat,
    STATE(239), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1035), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1033), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7250] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1059), 1,
      sym__concat,
    STATE(239), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1057), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1055), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7298] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      sym__concat,
    STATE(271), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(973), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(975), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7346] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1065), 1,
      sym__concat,
    STATE(252), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1063), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1061), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7394] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      sym__concat,
    STATE(271), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1067), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1069), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7442] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1031), 1,
      sym__concat,
    STATE(253), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1067), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1069), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7490] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1065), 1,
      sym__concat,
    STATE(252), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1027), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1029), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7538] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      sym__concat,
    STATE(246), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1035), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1033), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7586] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1074), 1,
      sym__concat,
    STATE(247), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1035), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1033), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7634] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1031), 1,
      sym__concat,
    STATE(253), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1063), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1061), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7682] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1077), 1,
      sym__concat,
    STATE(249), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1035), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1033), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7730] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(555), 1,
      anon_sym_BQUOTE,
    ACTIONS(971), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1080), 1,
      anon_sym_LF,
    ACTIONS(959), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(969), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1084), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1086), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1082), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1309), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7790] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1088), 1,
      sym__concat,
    STATE(276), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1063), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1061), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7838] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1090), 1,
      sym__concat,
    STATE(235), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1057), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1055), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7886] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1092), 1,
      sym__concat,
    STATE(247), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1057), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1055), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [7934] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(997), 1,
      sym__concat,
    STATE(240), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1050), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1048), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [7982] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1094), 1,
      anon_sym_LF,
    ACTIONS(959), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(965), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(967), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(969), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1096), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1309), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8040] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(997), 1,
      sym__concat,
    STATE(240), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1100), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1098), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8088] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      sym__concat,
    STATE(271), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1100), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1098), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8136] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1065), 1,
      sym__concat,
    STATE(252), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1067), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1069), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8184] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(953), 1,
      anon_sym_LF,
    ACTIONS(959), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(1084), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1309), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(955), 8,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
    ACTIONS(951), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8236] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(999), 1,
      sym__concat,
    STATE(272), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(973), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(975), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8284] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      sym__concat,
    STATE(271), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1050), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1048), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8332] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(999), 1,
      sym__concat,
    STATE(272), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1067), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1069), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8380] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(997), 1,
      sym__concat,
    STATE(240), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(973), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(975), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8428] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(999), 1,
      sym__concat,
    STATE(272), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1100), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1098), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8476] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1009), 1,
      anon_sym_BQUOTE,
    ACTIONS(1102), 1,
      anon_sym_LF,
    ACTIONS(959), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(969), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1084), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1086), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1104), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1309), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 18,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8536] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1009), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(1106), 1,
      anon_sym_LF,
    ACTIONS(959), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(965), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(967), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(969), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1007), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    STATE(1309), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8596] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(959), 1,
      sym_variable_name,
    ACTIONS(1001), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1309), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 10,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(1003), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [8646] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(555), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(971), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1108), 1,
      anon_sym_LF,
    ACTIONS(959), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(963), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(965), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(967), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(969), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1309), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8706] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(997), 1,
      sym__concat,
    STATE(240), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1067), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1069), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8754] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1110), 1,
      anon_sym_LF,
    ACTIONS(959), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(965), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(967), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(969), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1112), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1309), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(951), 19,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8812] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1114), 1,
      sym__concat,
    STATE(249), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1057), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1055), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8860] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1116), 1,
      sym__concat,
    STATE(246), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1057), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1055), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [8908] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1088), 1,
      sym__concat,
    STATE(276), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1027), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1029), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [8956] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1088), 1,
      sym__concat,
    STATE(276), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1067), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1069), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9004] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1118), 1,
      sym__concat,
    STATE(275), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1035), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1033), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9052] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1121), 1,
      sym__concat,
    STATE(275), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1057), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1055), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9100] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      sym_raw_string,
    STATE(1386), 1,
      sym_string,
    ACTIONS(537), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1123), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1129), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [9153] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 1,
      sym__special_character,
    STATE(413), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1133), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1131), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9200] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1137), 1,
      sym__concat,
    STATE(279), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1035), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1033), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9247] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1140), 1,
      sym__concat,
    STATE(279), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1057), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1055), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9294] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1142), 1,
      sym__concat,
    STATE(280), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1067), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1069), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1146), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1144), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1150), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1148), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1035), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1033), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1154), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1152), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1158), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1156), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1162), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1160), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1166), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1164), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1170), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1168), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9685] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1172), 1,
      sym__concat,
    STATE(291), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1057), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1055), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9732] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1174), 1,
      sym__concat,
    STATE(291), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1035), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1033), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1177), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1181), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1187), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1191), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [9951] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      sym__concat,
    STATE(303), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1067), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1069), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [9998] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 1,
      sym__concat,
    STATE(297), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1035), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1033), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1198), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10088] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1206), 1,
      sym__special_character,
    STATE(448), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1204), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1202), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1208), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1210), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10178] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1216), 1,
      sym__special_character,
    STATE(360), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1212), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1214), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10225] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 1,
      sym__special_character,
    STATE(302), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1218), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1220), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10272] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 1,
      sym__concat,
    STATE(297), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1057), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1055), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1229), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [10362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1231), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1233), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1237), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1241), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1245), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1249), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1253), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1229), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1208), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1210), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1191), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1187), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1257), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1261), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1265), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1162), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1160), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [10964] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1271), 1,
      sym__special_character,
    STATE(302), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1267), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1269), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1158), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1156), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1198), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1198), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1181), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1177), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1154), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1152), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11269] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 1,
      sym__concat,
    STATE(303), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1273), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1275), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1198), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1035), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1033), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11402] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1277), 1,
      sym__concat,
    STATE(447), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1027), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1029), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1150), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1148), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1170), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1168), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1146), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1144), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1253), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1249), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1245), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1166), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1164), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1265), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1241), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [11836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1261), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1257), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1187), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [11965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1191), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1208), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1210), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1229), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1253), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1249), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1245), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1241), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1237), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1231), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1233), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1146), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1144), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12395] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1279), 1,
      sym__special_character,
    STATE(352), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1218), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1220), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1170), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1168), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12485] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 1,
      sym__special_character,
    STATE(352), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1204), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1202), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1150), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1148), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12575] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 1,
      sym__concat,
    STATE(290), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1067), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1069), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12622] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 1,
      sym__concat,
    STATE(358), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1057), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1055), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12669] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1288), 1,
      sym__concat,
    STATE(358), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1035), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1033), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12716] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1216), 1,
      sym__special_character,
    STATE(360), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1291), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1293), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12763] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1295), 1,
      sym__special_character,
    STATE(360), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1218), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1220), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12810] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1142), 1,
      sym__concat,
    STATE(280), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1027), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1029), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12857] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1271), 1,
      sym__special_character,
    STATE(302), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1204), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1202), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [12904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1166), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1164), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12947] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1298), 1,
      sym__concat,
    STATE(357), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1067), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1069), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [12994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1035), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1033), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1237), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1231), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1233), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1154), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1152), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1146), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1144), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1150), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1148), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1035), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1033), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1154), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1152), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1158), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1156), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1177), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1231), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1233), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1237), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1241), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1245), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1249), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1253), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1162), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1160), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1229), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1208), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1210), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1191), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1187), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [13897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1146), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1144), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1150), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1148), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [13983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1257), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1261), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1265), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1162), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1160), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1181), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1035), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1033), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1154), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1152), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1158), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1156), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1198), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1198), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1158), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1156), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14456] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 1,
      sym__special_character,
    STATE(411), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1133), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1131), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1162), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1160), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1158), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1156), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1198), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1198), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1181), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1177), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1154), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1152), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1166), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1164), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1035), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1033), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1170), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1168), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [14933] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1302), 1,
      sym__concat,
    STATE(412), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1057), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1055), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [14980] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 1,
      sym__special_character,
    STATE(411), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1218), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1220), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15027] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1307), 1,
      sym__concat,
    STATE(412), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1035), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1033), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15074] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1310), 1,
      sym__special_character,
    STATE(413), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1218), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1220), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1177), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15164] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 1,
      sym__special_character,
    STATE(411), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1291), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1293), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15211] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1216), 1,
      sym__special_character,
    STATE(360), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1133), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1131), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15258] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 1,
      sym__special_character,
    STATE(413), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1212), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1214), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1150), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1148), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1170), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1168), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1146), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1144), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1166), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1164), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1181), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1198), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15563] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 1,
      sym__special_character,
    STATE(352), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1267), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1269), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15610] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 1,
      sym__concat,
    STATE(290), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1273), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1275), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1198), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15700] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 1,
      sym__concat,
    STATE(410), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1273), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1275), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15747] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1206), 1,
      sym__special_character,
    STATE(448), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1267), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1269), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [15794] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 1,
      sym__special_character,
    STATE(411), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1212), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1214), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1265), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1261), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1257), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [15970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1187), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1191), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1208), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1210), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1229), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1253), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1249), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1245), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1241), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1257), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1237), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1231), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1233), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1166), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1164), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16486] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 1,
      sym__special_character,
    STATE(413), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1291), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1293), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1170), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1168), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16576] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1315), 1,
      sym__concat,
    STATE(449), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1057), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1055), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16623] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 1,
      sym__special_character,
    STATE(448), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1218), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1220), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16670] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1320), 1,
      sym__concat,
    STATE(449), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1035), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1033), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1177), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1181), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1261), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1198), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1198), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [16932] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1298), 1,
      sym__concat,
    STATE(357), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1027), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1029), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [16979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1265), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1261), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1257), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1187), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1191), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1208), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1210), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1229), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1253), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1249), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1245), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1241), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1265), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1237), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1162), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1160), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1231), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1233), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17624] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 1,
      sym__concat,
    STATE(410), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1067), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1069), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17671] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1277), 1,
      sym__concat,
    STATE(447), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1067), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1069), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1261), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1187), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [17802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1208), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1210), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1191), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1187), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1257), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [17970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1261), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1265), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1261), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1198), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1198), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1181), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1265), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1177), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18306] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1323), 1,
      sym__special_character,
    STATE(487), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1218), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1220), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1170), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1168), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1166), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1164), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1100), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1098), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1198), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1198), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1181), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1177), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1170), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1168), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [18688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1231), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1233), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1237), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1241), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1245), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1249), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1253), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1229), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [18982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1208), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1210), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1191), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1187), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1257), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1162), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1160), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1166), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1164), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1170), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1168), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1261), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1265), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1166), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1164), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1198), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1198), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1162), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1160), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1181), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1177), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19612] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1326), 1,
      sym__special_character,
    STATE(518), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1218), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1220), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1177), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1170), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1168), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1181), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1166), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1164), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [19826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1158), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1156), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1253), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1154), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1152), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1035), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1033), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [19994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1187), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1249), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1191), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1245), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1241), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1237), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1231), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1233), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1150), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1148), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1208), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1210), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20372] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      sym_raw_string,
    STATE(1386), 1,
      sym_string,
    ACTIONS(537), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1123), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1129), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [20424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1146), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1144), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1229), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1162), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1160), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1253), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1158), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1156), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20634] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 1,
      sym__special_character,
    STATE(543), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1204), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1202), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20680] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1331), 1,
      sym__special_character,
    STATE(543), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1218), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1220), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1249), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1245), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1154), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1152), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1241), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1035), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1033), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1237), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [20978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1069), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1150), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1148), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1231), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1233), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1257), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1146), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1144), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21188] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1334), 1,
      sym__special_character,
    STATE(555), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1218), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1220), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1198), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1198), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1339), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1050), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1048), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(973), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(975), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1069), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21486] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1343), 1,
      anon_sym_DQUOTE,
    ACTIONS(1345), 1,
      sym_raw_string,
    STATE(1516), 1,
      sym_string,
    ACTIONS(537), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1341), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1347), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [21538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1146), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1144), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1150), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1148), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21622] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 1,
      sym__special_character,
    STATE(565), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1218), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1220), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1150), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1148), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [21710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1035), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1033), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1154), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1152), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1231), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1233), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1237), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1241), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1245), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [21962] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1352), 1,
      sym__special_character,
    STATE(555), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1204), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1202), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1249), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1253), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1162), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1160), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1229), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1208), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1210), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(973), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(975), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1191), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22302] = 19,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(211), 1,
      anon_sym_DOLLAR,
    ACTIONS(215), 1,
      anon_sym_DQUOTE,
    ACTIONS(219), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(221), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(223), 1,
      anon_sym_BQUOTE,
    ACTIONS(935), 1,
      sym_variable_name,
    ACTIONS(1354), 1,
      sym__special_character,
    STATE(169), 1,
      sym_command_name,
    STATE(429), 1,
      aux_sym__literal_repeat1,
    STATE(579), 1,
      sym_concatenation,
    STATE(2600), 1,
      sym_subscript,
    ACTIONS(225), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(217), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1328), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(263), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [22376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1158), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1156), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1265), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [22460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1158), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1156), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1358), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1356), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1257), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1261), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1265), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1162), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1160), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22712] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 1,
      sym__special_character,
    STATE(518), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1362), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1360), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22758] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 1,
      sym__special_character,
    STATE(653), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1362), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1360), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22804] = 19,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(935), 1,
      sym_variable_name,
    ACTIONS(1368), 1,
      sym__special_character,
    STATE(144), 1,
      sym_command_name,
    STATE(301), 1,
      aux_sym__literal_repeat1,
    STATE(560), 1,
      sym_concatenation,
    STATE(2600), 1,
      sym_subscript,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(45), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1328), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(241), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [22878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1339), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1158), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1156), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [22962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1198), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23004] = 19,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(935), 1,
      sym_variable_name,
    ACTIONS(1370), 1,
      sym__special_character,
    STATE(178), 1,
      sym_command_name,
    STATE(417), 1,
      aux_sym__literal_repeat1,
    STATE(611), 1,
      sym_concatenation,
    STATE(2600), 1,
      sym_subscript,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(101), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1328), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(260), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [23078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1198), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1181), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1177), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1154), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1152), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1261), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1100), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1098), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1035), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1033), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1050), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1048), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1029), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23456] = 19,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(57), 1,
      sym_file_descriptor,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(935), 1,
      sym_variable_name,
    ACTIONS(1370), 1,
      sym__special_character,
    STATE(156), 1,
      sym_command_name,
    STATE(417), 1,
      aux_sym__literal_repeat1,
    STATE(611), 1,
      sym_concatenation,
    STATE(2600), 1,
      sym_subscript,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(35), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(101), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1328), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(37), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(260), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [23530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1069), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1150), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1148), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1170), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1168), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1069), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(973), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(975), 32,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1154), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1152), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1146), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1144), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1035), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1033), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1166), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1164), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1069), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [23950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1150), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1148), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [23992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1257), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1187), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1191), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1146), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1144), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24160] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 1,
      sym__special_character,
    STATE(487), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1204), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1202), 29,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1208), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1210), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1158), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1156), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24290] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1374), 1,
      sym__special_character,
    STATE(565), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1362), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1360), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1229), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1162), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1160), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1358), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1356), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1253), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1339), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1166), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1164), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1170), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1168), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1069), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1177), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1181), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1198), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1100), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1098), 32,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [24840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1198), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1029), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1265), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [24966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1257), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1187), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1191), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1208), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1210), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1229), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1253), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1249), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1245), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1241), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1237), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1231), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1233), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1249), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25470] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1376), 1,
      sym__special_character,
    STATE(653), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1218), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1220), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1229), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1146), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1144), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1231), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1233), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1029), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1154), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1152), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1358), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1356), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [25768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1237), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1050), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1048), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1035), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1033), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1241), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1245), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [25978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1069), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1029), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1029), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1029), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1339), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1358), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1356), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1069), 30,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1358), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1356), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1339), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1339), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1069), 31,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1069), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1358), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1356), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1069), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
      anon_sym_AMP,
  [26552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 3,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_LF,
    ACTIONS(1069), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [26593] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 1,
      anon_sym_DQUOTE,
    ACTIONS(1383), 1,
      sym_raw_string,
    STATE(1411), 1,
      sym_string,
    ACTIONS(1379), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1385), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 20,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [26642] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 1,
      anon_sym_DQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1395), 1,
      anon_sym_DOLLAR,
    ACTIONS(1397), 1,
      sym__special_character,
    ACTIONS(1399), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_BQUOTE,
    STATE(1388), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1393), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1405), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1387), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1389), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1356), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1622), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [26706] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_DQUOTE,
    ACTIONS(1413), 1,
      sym_raw_string,
    STATE(1530), 1,
      sym_string,
    ACTIONS(1407), 2,
      anon_sym_BANG,
      anon_sym_DASH,
    ACTIONS(1417), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1409), 3,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1415), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 4,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
    ACTIONS(537), 15,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [26760] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 1,
      anon_sym_DQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1395), 1,
      anon_sym_DOLLAR,
    ACTIONS(1397), 1,
      sym__special_character,
    ACTIONS(1399), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_BQUOTE,
    STATE(1388), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1393), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1405), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1387), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1419), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1356), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1524), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [26824] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 1,
      anon_sym_DQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1395), 1,
      anon_sym_DOLLAR,
    ACTIONS(1397), 1,
      sym__special_character,
    ACTIONS(1399), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_BQUOTE,
    STATE(1388), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1393), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1405), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1387), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1421), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1356), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1585), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [26888] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 1,
      anon_sym_DQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1395), 1,
      anon_sym_DOLLAR,
    ACTIONS(1397), 1,
      sym__special_character,
    ACTIONS(1399), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_BQUOTE,
    STATE(1388), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1393), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1405), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1387), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1423), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1356), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1623), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [26952] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 1,
      anon_sym_DQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1395), 1,
      anon_sym_DOLLAR,
    ACTIONS(1397), 1,
      sym__special_character,
    ACTIONS(1399), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_BQUOTE,
    STATE(1388), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1393), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1405), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1387), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1425), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1356), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1532), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [27016] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 1,
      anon_sym_DQUOTE,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1395), 1,
      anon_sym_DOLLAR,
    ACTIONS(1397), 1,
      sym__special_character,
    ACTIONS(1399), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1401), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1403), 1,
      anon_sym_BQUOTE,
    STATE(1388), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1393), 2,
      anon_sym_BANG,
      sym_test_operator,
    ACTIONS(1405), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1387), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(1427), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1356), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1581), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [27080] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1433), 1,
      sym_raw_string,
    ACTIONS(1435), 1,
      anon_sym_POUND,
    STATE(1505), 1,
      sym_string,
    ACTIONS(535), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      sym_word,
    ACTIONS(1429), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(1437), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 15,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [27132] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1445), 1,
      sym_raw_string,
    STATE(1663), 1,
      sym_string,
    ACTIONS(1439), 2,
      anon_sym_BANG,
      anon_sym_DASH,
    ACTIONS(1449), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1441), 3,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1447), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 4,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
    ACTIONS(537), 13,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [27184] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_DQUOTE,
    ACTIONS(1457), 1,
      sym_raw_string,
    STATE(1762), 1,
      sym_string,
    ACTIONS(1451), 2,
      anon_sym_BANG,
      anon_sym_DASH,
    ACTIONS(1461), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1453), 3,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(1459), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 4,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
    ACTIONS(537), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [27236] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_DQUOTE,
    ACTIONS(1463), 1,
      sym_word,
    ACTIONS(1465), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(1467), 1,
      anon_sym_LPAREN,
    ACTIONS(1469), 1,
      anon_sym_BANG,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR,
    ACTIONS(1473), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1485), 1,
      sym_test_operator,
    STATE(1612), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1475), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1421), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1872), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [27301] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_RBRACE,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1501), 1,
      anon_sym_POUND,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1505), 1,
      anon_sym_SLASH,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1267), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1491), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27366] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_DQUOTE,
    ACTIONS(1463), 1,
      sym_word,
    ACTIONS(1467), 1,
      anon_sym_LPAREN,
    ACTIONS(1469), 1,
      anon_sym_BANG,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR,
    ACTIONS(1473), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1485), 1,
      sym_test_operator,
    ACTIONS(1513), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1612), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1475), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1421), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1869), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [27431] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1515), 1,
      anon_sym_RBRACE,
    ACTIONS(1519), 1,
      anon_sym_POUND,
    ACTIONS(1521), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(952), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1517), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27496] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1523), 1,
      anon_sym_RBRACE,
    ACTIONS(1527), 1,
      anon_sym_POUND,
    ACTIONS(1529), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(954), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1525), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27561] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1531), 1,
      anon_sym_RBRACE,
    ACTIONS(1535), 1,
      anon_sym_POUND,
    ACTIONS(1537), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(955), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1533), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27626] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1539), 1,
      anon_sym_RBRACE,
    ACTIONS(1543), 1,
      anon_sym_POUND,
    ACTIONS(1545), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(957), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1541), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27691] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1547), 1,
      anon_sym_RBRACE,
    ACTIONS(1551), 1,
      anon_sym_POUND,
    ACTIONS(1553), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(961), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1549), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27756] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1555), 1,
      anon_sym_RBRACE,
    ACTIONS(1559), 1,
      anon_sym_POUND,
    ACTIONS(1561), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1193), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1557), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27821] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1539), 1,
      anon_sym_RBRACE,
    ACTIONS(1543), 1,
      anon_sym_POUND,
    ACTIONS(1563), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(957), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1541), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27886] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1565), 1,
      anon_sym_RBRACE,
    ACTIONS(1569), 1,
      anon_sym_POUND,
    ACTIONS(1571), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(964), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1567), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [27951] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1573), 1,
      anon_sym_RBRACE,
    ACTIONS(1577), 1,
      anon_sym_POUND,
    ACTIONS(1579), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(966), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1575), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28016] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1581), 1,
      anon_sym_RBRACE,
    ACTIONS(1585), 1,
      anon_sym_POUND,
    ACTIONS(1587), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(973), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1583), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28081] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1589), 1,
      anon_sym_RBRACE,
    ACTIONS(1593), 1,
      anon_sym_POUND,
    ACTIONS(1595), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(974), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1591), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28146] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1597), 1,
      anon_sym_RBRACE,
    ACTIONS(1601), 1,
      anon_sym_POUND,
    ACTIONS(1603), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(975), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1599), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28211] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1605), 1,
      anon_sym_RBRACE,
    ACTIONS(1609), 1,
      anon_sym_POUND,
    ACTIONS(1611), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(976), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1607), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28276] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1613), 1,
      anon_sym_RBRACE,
    ACTIONS(1617), 1,
      anon_sym_POUND,
    ACTIONS(1619), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1041), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1615), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28341] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1621), 1,
      anon_sym_RBRACE,
    ACTIONS(1625), 1,
      anon_sym_POUND,
    ACTIONS(1627), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(978), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1623), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28406] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1605), 1,
      anon_sym_RBRACE,
    ACTIONS(1609), 1,
      anon_sym_POUND,
    ACTIONS(1629), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(976), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1607), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28471] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1631), 1,
      anon_sym_RBRACE,
    ACTIONS(1635), 1,
      anon_sym_POUND,
    ACTIONS(1637), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(981), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1633), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28536] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1639), 1,
      anon_sym_RBRACE,
    ACTIONS(1643), 1,
      anon_sym_POUND,
    ACTIONS(1645), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1222), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1641), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28601] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1647), 1,
      anon_sym_RBRACE,
    ACTIONS(1651), 1,
      anon_sym_POUND,
    ACTIONS(1653), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1178), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1649), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28666] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1655), 1,
      anon_sym_RBRACE,
    ACTIONS(1659), 1,
      anon_sym_POUND,
    ACTIONS(1661), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1040), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1657), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28731] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1663), 1,
      anon_sym_RBRACE,
    ACTIONS(1667), 1,
      anon_sym_POUND,
    ACTIONS(1669), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1039), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1665), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28796] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1671), 1,
      anon_sym_RBRACE,
    ACTIONS(1675), 1,
      anon_sym_POUND,
    ACTIONS(1677), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(984), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1673), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28861] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1679), 1,
      anon_sym_RBRACE,
    ACTIONS(1683), 1,
      anon_sym_POUND,
    ACTIONS(1685), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1038), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1681), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28926] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1687), 1,
      anon_sym_RBRACE,
    ACTIONS(1691), 1,
      anon_sym_POUND,
    ACTIONS(1693), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1035), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1689), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28991] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1695), 1,
      anon_sym_RBRACE,
    ACTIONS(1699), 1,
      anon_sym_POUND,
    ACTIONS(1701), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(991), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1697), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29056] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1679), 1,
      anon_sym_RBRACE,
    ACTIONS(1683), 1,
      anon_sym_POUND,
    ACTIONS(1703), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1038), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1681), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29121] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1705), 1,
      anon_sym_RBRACE,
    ACTIONS(1709), 1,
      anon_sym_POUND,
    ACTIONS(1711), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(992), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1707), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29186] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1713), 1,
      anon_sym_RBRACE,
    ACTIONS(1717), 1,
      anon_sym_POUND,
    ACTIONS(1719), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1027), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1715), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29251] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1721), 1,
      anon_sym_RBRACE,
    ACTIONS(1725), 1,
      anon_sym_POUND,
    ACTIONS(1727), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(993), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1723), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29316] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1729), 1,
      anon_sym_RBRACE,
    ACTIONS(1733), 1,
      anon_sym_POUND,
    ACTIONS(1735), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1023), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1731), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29381] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1737), 1,
      anon_sym_RBRACE,
    ACTIONS(1741), 1,
      anon_sym_POUND,
    ACTIONS(1743), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(994), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1739), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29446] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_DQUOTE,
    ACTIONS(1463), 1,
      sym_word,
    ACTIONS(1467), 1,
      anon_sym_LPAREN,
    ACTIONS(1469), 1,
      anon_sym_BANG,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR,
    ACTIONS(1473), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1485), 1,
      sym_test_operator,
    ACTIONS(1745), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1612), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1475), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1421), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1889), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [29511] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_DQUOTE,
    ACTIONS(1463), 1,
      sym_word,
    ACTIONS(1467), 1,
      anon_sym_LPAREN,
    ACTIONS(1469), 1,
      anon_sym_BANG,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR,
    ACTIONS(1473), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1485), 1,
      sym_test_operator,
    ACTIONS(1747), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1612), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1475), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1421), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1885), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [29576] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1749), 1,
      anon_sym_RBRACE,
    ACTIONS(1753), 1,
      anon_sym_POUND,
    ACTIONS(1755), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(997), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1751), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29641] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1737), 1,
      anon_sym_RBRACE,
    ACTIONS(1741), 1,
      anon_sym_POUND,
    ACTIONS(1757), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(994), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1739), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29706] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1759), 1,
      anon_sym_RBRACE,
    ACTIONS(1763), 1,
      anon_sym_POUND,
    ACTIONS(1765), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1004), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1761), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29771] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_DQUOTE,
    ACTIONS(1463), 1,
      sym_word,
    ACTIONS(1467), 1,
      anon_sym_LPAREN,
    ACTIONS(1469), 1,
      anon_sym_BANG,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR,
    ACTIONS(1473), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1485), 1,
      sym_test_operator,
    ACTIONS(1767), 1,
      sym_regex,
    STATE(1612), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1475), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1421), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1723), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [29836] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1769), 1,
      sym_word,
    ACTIONS(1771), 1,
      anon_sym_LPAREN,
    ACTIONS(1773), 1,
      anon_sym_BANG,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(1777), 1,
      sym__special_character,
    ACTIONS(1781), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1783), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1785), 1,
      anon_sym_BQUOTE,
    ACTIONS(1789), 1,
      sym_test_operator,
    ACTIONS(1791), 1,
      sym_regex,
    STATE(1644), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1787), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1666), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1882), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [29901] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1793), 1,
      anon_sym_RBRACE,
    ACTIONS(1797), 1,
      anon_sym_POUND,
    ACTIONS(1799), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1006), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1795), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [29966] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1801), 1,
      anon_sym_RBRACE,
    ACTIONS(1805), 1,
      anon_sym_POUND,
    ACTIONS(1807), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1025), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1803), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30031] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1809), 1,
      anon_sym_RBRACE,
    ACTIONS(1813), 1,
      anon_sym_POUND,
    ACTIONS(1815), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1026), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1811), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30096] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1817), 1,
      anon_sym_RBRACE,
    ACTIONS(1821), 1,
      anon_sym_POUND,
    ACTIONS(1823), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1028), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1819), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30161] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1825), 1,
      anon_sym_RBRACE,
    ACTIONS(1829), 1,
      anon_sym_POUND,
    ACTIONS(1831), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1029), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1827), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30226] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1833), 1,
      anon_sym_RBRACE,
    ACTIONS(1837), 1,
      anon_sym_POUND,
    ACTIONS(1839), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1237), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1835), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30291] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1841), 1,
      anon_sym_RBRACE,
    ACTIONS(1845), 1,
      anon_sym_POUND,
    ACTIONS(1847), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1048), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1843), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30356] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1849), 1,
      anon_sym_RBRACE,
    ACTIONS(1853), 1,
      anon_sym_POUND,
    ACTIONS(1855), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1031), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1851), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30421] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1857), 1,
      anon_sym_RBRACE,
    ACTIONS(1861), 1,
      anon_sym_POUND,
    ACTIONS(1863), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1271), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1859), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30486] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1865), 1,
      anon_sym_RBRACE,
    ACTIONS(1869), 1,
      anon_sym_POUND,
    ACTIONS(1871), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(943), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1867), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30551] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1873), 1,
      anon_sym_RBRACE,
    ACTIONS(1877), 1,
      anon_sym_POUND,
    ACTIONS(1879), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(937), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1875), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30616] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1865), 1,
      anon_sym_RBRACE,
    ACTIONS(1869), 1,
      anon_sym_POUND,
    ACTIONS(1881), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(943), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1867), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30681] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1883), 1,
      anon_sym_RBRACE,
    ACTIONS(1887), 1,
      anon_sym_POUND,
    ACTIONS(1889), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1056), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1885), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30746] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1891), 1,
      anon_sym_RBRACE,
    ACTIONS(1895), 1,
      anon_sym_POUND,
    ACTIONS(1897), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(946), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1893), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30811] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1899), 1,
      anon_sym_RBRACE,
    ACTIONS(1903), 1,
      anon_sym_POUND,
    ACTIONS(1905), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1235), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1901), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30876] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1639), 1,
      anon_sym_RBRACE,
    ACTIONS(1643), 1,
      anon_sym_POUND,
    ACTIONS(1907), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1222), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1641), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30941] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1909), 1,
      anon_sym_RBRACE,
    ACTIONS(1913), 1,
      anon_sym_POUND,
    ACTIONS(1915), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(915), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1911), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31006] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1917), 1,
      anon_sym_RBRACE,
    ACTIONS(1921), 1,
      anon_sym_POUND,
    ACTIONS(1923), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1107), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1919), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31071] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1925), 1,
      anon_sym_RBRACE,
    ACTIONS(1929), 1,
      anon_sym_POUND,
    ACTIONS(1931), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1053), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1927), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31136] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1833), 1,
      anon_sym_RBRACE,
    ACTIONS(1837), 1,
      anon_sym_POUND,
    ACTIONS(1933), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1237), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1835), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31201] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1935), 1,
      anon_sym_RBRACE,
    ACTIONS(1939), 1,
      anon_sym_POUND,
    ACTIONS(1941), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1054), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1937), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31266] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1943), 1,
      anon_sym_RBRACE,
    ACTIONS(1947), 1,
      anon_sym_POUND,
    ACTIONS(1949), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1238), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1945), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31331] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1951), 1,
      anon_sym_RBRACE,
    ACTIONS(1955), 1,
      anon_sym_POUND,
    ACTIONS(1957), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1217), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1953), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31396] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1959), 1,
      anon_sym_RBRACE,
    ACTIONS(1963), 1,
      anon_sym_POUND,
    ACTIONS(1965), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(927), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1961), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31461] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1825), 1,
      anon_sym_RBRACE,
    ACTIONS(1829), 1,
      anon_sym_POUND,
    ACTIONS(1967), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1029), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1827), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31526] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1969), 1,
      anon_sym_RBRACE,
    ACTIONS(1973), 1,
      anon_sym_POUND,
    ACTIONS(1975), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1059), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1971), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31591] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1977), 1,
      anon_sym_RBRACE,
    ACTIONS(1981), 1,
      anon_sym_POUND,
    ACTIONS(1983), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31656] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1985), 1,
      anon_sym_RBRACE,
    ACTIONS(1989), 1,
      anon_sym_POUND,
    ACTIONS(1991), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(932), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1987), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31721] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1993), 1,
      anon_sym_RBRACE,
    ACTIONS(1997), 1,
      anon_sym_POUND,
    ACTIONS(1999), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1051), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1995), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31786] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1925), 1,
      anon_sym_RBRACE,
    ACTIONS(1929), 1,
      anon_sym_POUND,
    ACTIONS(2001), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1053), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1927), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31851] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2003), 1,
      anon_sym_RBRACE,
    ACTIONS(2007), 1,
      anon_sym_POUND,
    ACTIONS(2009), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(942), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2005), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31916] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2011), 1,
      anon_sym_RBRACE,
    ACTIONS(2015), 1,
      anon_sym_POUND,
    ACTIONS(2017), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1092), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2013), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31981] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2019), 1,
      anon_sym_RBRACE,
    ACTIONS(2023), 1,
      anon_sym_POUND,
    ACTIONS(2025), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1055), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2021), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32046] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2027), 1,
      anon_sym_RBRACE,
    ACTIONS(2031), 1,
      anon_sym_POUND,
    ACTIONS(2033), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1057), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2029), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32111] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2035), 1,
      anon_sym_RBRACE,
    ACTIONS(2039), 1,
      anon_sym_POUND,
    ACTIONS(2041), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(940), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2037), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32176] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2003), 1,
      anon_sym_RBRACE,
    ACTIONS(2007), 1,
      anon_sym_POUND,
    ACTIONS(2043), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(942), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2005), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32241] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2045), 1,
      anon_sym_RBRACE,
    ACTIONS(2049), 1,
      anon_sym_POUND,
    ACTIONS(2051), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(944), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2047), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32306] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2053), 1,
      anon_sym_RBRACE,
    ACTIONS(2057), 1,
      anon_sym_POUND,
    ACTIONS(2059), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1093), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2055), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32371] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2061), 1,
      anon_sym_RBRACE,
    ACTIONS(2065), 1,
      anon_sym_POUND,
    ACTIONS(2067), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1098), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2063), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32436] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2069), 1,
      anon_sym_RBRACE,
    ACTIONS(2073), 1,
      anon_sym_POUND,
    ACTIONS(2075), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1100), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2071), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32501] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2077), 1,
      anon_sym_RBRACE,
    ACTIONS(2081), 1,
      anon_sym_POUND,
    ACTIONS(2083), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1240), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2079), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32566] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2085), 1,
      anon_sym_RBRACE,
    ACTIONS(2089), 1,
      anon_sym_POUND,
    ACTIONS(2091), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(951), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2087), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32631] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2069), 1,
      anon_sym_RBRACE,
    ACTIONS(2073), 1,
      anon_sym_POUND,
    ACTIONS(2093), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1100), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2071), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32696] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2095), 1,
      anon_sym_RBRACE,
    ACTIONS(2099), 1,
      anon_sym_POUND,
    ACTIONS(2101), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1121), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2097), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32761] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2103), 1,
      anon_sym_RBRACE,
    ACTIONS(2107), 1,
      anon_sym_POUND,
    ACTIONS(2109), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1129), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32826] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2111), 1,
      anon_sym_RBRACE,
    ACTIONS(2115), 1,
      anon_sym_POUND,
    ACTIONS(2117), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1138), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2113), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32891] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2119), 1,
      anon_sym_RBRACE,
    ACTIONS(2123), 1,
      anon_sym_POUND,
    ACTIONS(2125), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1139), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2121), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32956] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2127), 1,
      anon_sym_RBRACE,
    ACTIONS(2131), 1,
      anon_sym_POUND,
    ACTIONS(2133), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1140), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2129), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33021] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2135), 1,
      anon_sym_RBRACE,
    ACTIONS(2139), 1,
      anon_sym_POUND,
    ACTIONS(2141), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1141), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2137), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33086] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2143), 1,
      anon_sym_RBRACE,
    ACTIONS(2147), 1,
      anon_sym_POUND,
    ACTIONS(2149), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1143), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2145), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33151] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2135), 1,
      anon_sym_RBRACE,
    ACTIONS(2139), 1,
      anon_sym_POUND,
    ACTIONS(2151), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1141), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2137), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33216] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2153), 1,
      anon_sym_RBRACE,
    ACTIONS(2157), 1,
      anon_sym_POUND,
    ACTIONS(2159), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1146), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2155), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33281] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2161), 1,
      anon_sym_RBRACE,
    ACTIONS(2165), 1,
      anon_sym_POUND,
    ACTIONS(2167), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1073), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2163), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33346] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2169), 1,
      anon_sym_RBRACE,
    ACTIONS(2173), 1,
      anon_sym_POUND,
    ACTIONS(2175), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1153), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2171), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33411] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2177), 1,
      anon_sym_RBRACE,
    ACTIONS(2181), 1,
      anon_sym_POUND,
    ACTIONS(2183), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1200), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2179), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33476] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2185), 1,
      anon_sym_RBRACE,
    ACTIONS(2189), 1,
      anon_sym_POUND,
    ACTIONS(2191), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1212), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2187), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33541] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2193), 1,
      anon_sym_RBRACE,
    ACTIONS(2197), 1,
      anon_sym_POUND,
    ACTIONS(2199), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(918), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2195), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33606] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2201), 1,
      anon_sym_RBRACE,
    ACTIONS(2205), 1,
      anon_sym_POUND,
    ACTIONS(2207), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1214), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2203), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33671] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2209), 1,
      anon_sym_RBRACE,
    ACTIONS(2213), 1,
      anon_sym_POUND,
    ACTIONS(2215), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1058), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2211), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33736] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2217), 1,
      anon_sym_RBRACE,
    ACTIONS(2221), 1,
      anon_sym_POUND,
    ACTIONS(2223), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(953), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2219), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33801] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2225), 1,
      anon_sym_RBRACE,
    ACTIONS(2229), 1,
      anon_sym_POUND,
    ACTIONS(2231), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1230), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2227), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33866] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2233), 1,
      anon_sym_RBRACE,
    ACTIONS(2237), 1,
      anon_sym_POUND,
    ACTIONS(2239), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1218), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2235), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33931] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2241), 1,
      anon_sym_RBRACE,
    ACTIONS(2245), 1,
      anon_sym_POUND,
    ACTIONS(2247), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1065), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2243), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [33996] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2249), 1,
      anon_sym_RBRACE,
    ACTIONS(2253), 1,
      anon_sym_POUND,
    ACTIONS(2255), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1221), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2251), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34061] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2233), 1,
      anon_sym_RBRACE,
    ACTIONS(2237), 1,
      anon_sym_POUND,
    ACTIONS(2257), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1218), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2235), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34126] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2259), 1,
      anon_sym_RBRACE,
    ACTIONS(2263), 1,
      anon_sym_POUND,
    ACTIONS(2265), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1242), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2261), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34191] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2267), 1,
      anon_sym_RBRACE,
    ACTIONS(2271), 1,
      anon_sym_POUND,
    ACTIONS(2273), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1245), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2269), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34256] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2275), 1,
      anon_sym_RBRACE,
    ACTIONS(2279), 1,
      anon_sym_POUND,
    ACTIONS(2281), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1264), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2277), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34321] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2283), 1,
      anon_sym_RBRACE,
    ACTIONS(2287), 1,
      anon_sym_POUND,
    ACTIONS(2289), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1265), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2285), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34386] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2291), 1,
      anon_sym_RBRACE,
    ACTIONS(2295), 1,
      anon_sym_POUND,
    ACTIONS(2297), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1266), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2293), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34451] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2299), 1,
      anon_sym_RBRACE,
    ACTIONS(2303), 1,
      anon_sym_POUND,
    ACTIONS(2305), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(949), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2301), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34516] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2307), 1,
      anon_sym_RBRACE,
    ACTIONS(2311), 1,
      anon_sym_POUND,
    ACTIONS(2313), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1269), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2309), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34581] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2315), 1,
      anon_sym_RBRACE,
    ACTIONS(2319), 1,
      anon_sym_POUND,
    ACTIONS(2321), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1067), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2317), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34646] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_RBRACE,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1501), 1,
      anon_sym_POUND,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2323), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1267), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1491), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34711] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2325), 1,
      anon_sym_RBRACE,
    ACTIONS(2329), 1,
      anon_sym_POUND,
    ACTIONS(2331), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1273), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2327), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34776] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_DQUOTE,
    ACTIONS(1463), 1,
      sym_word,
    ACTIONS(1467), 1,
      anon_sym_LPAREN,
    ACTIONS(1469), 1,
      anon_sym_BANG,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR,
    ACTIONS(1473), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1485), 1,
      sym_test_operator,
    ACTIONS(2333), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1612), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1475), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1421), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1875), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [34841] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2335), 1,
      anon_sym_RBRACE,
    ACTIONS(2339), 1,
      anon_sym_POUND,
    ACTIONS(2341), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1280), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2337), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34906] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2343), 1,
      anon_sym_RBRACE,
    ACTIONS(2347), 1,
      anon_sym_POUND,
    ACTIONS(2349), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(917), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2345), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [34971] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1387), 1,
      sym_word,
    ACTIONS(1393), 1,
      anon_sym_BANG,
    ACTIONS(1395), 1,
      anon_sym_DOLLAR,
    ACTIONS(2351), 1,
      anon_sym_LPAREN,
    ACTIONS(2353), 1,
      sym__special_character,
    ACTIONS(2355), 1,
      anon_sym_DQUOTE,
    ACTIONS(2359), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2361), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2363), 1,
      anon_sym_BQUOTE,
    ACTIONS(2367), 1,
      sym_test_operator,
    ACTIONS(2369), 1,
      sym_regex,
    STATE(1388), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2357), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2365), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1356), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1555), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [35036] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2371), 1,
      anon_sym_RBRACE,
    ACTIONS(2375), 1,
      anon_sym_POUND,
    ACTIONS(2377), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(919), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2373), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35101] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2379), 1,
      anon_sym_RBRACE,
    ACTIONS(2383), 1,
      anon_sym_POUND,
    ACTIONS(2385), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(931), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2381), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35166] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2387), 1,
      anon_sym_RBRACE,
    ACTIONS(2391), 1,
      anon_sym_POUND,
    ACTIONS(2393), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(956), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2389), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35231] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2395), 1,
      anon_sym_RBRACE,
    ACTIONS(2399), 1,
      anon_sym_POUND,
    ACTIONS(2401), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(959), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2397), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35296] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2387), 1,
      anon_sym_RBRACE,
    ACTIONS(2391), 1,
      anon_sym_POUND,
    ACTIONS(2403), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(956), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2389), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35361] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2405), 1,
      anon_sym_RBRACE,
    ACTIONS(2409), 1,
      anon_sym_POUND,
    ACTIONS(2411), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(986), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2407), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35426] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2413), 1,
      anon_sym_RBRACE,
    ACTIONS(2417), 1,
      anon_sym_POUND,
    ACTIONS(2419), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1061), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2415), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35491] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2421), 1,
      anon_sym_RBRACE,
    ACTIONS(2425), 1,
      anon_sym_POUND,
    ACTIONS(2427), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1135), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2423), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35556] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2429), 1,
      anon_sym_RBRACE,
    ACTIONS(2433), 1,
      anon_sym_POUND,
    ACTIONS(2435), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1220), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2431), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35621] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2437), 1,
      anon_sym_RBRACE,
    ACTIONS(2441), 1,
      anon_sym_POUND,
    ACTIONS(2443), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1249), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2439), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35686] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_DQUOTE,
    ACTIONS(1463), 1,
      sym_word,
    ACTIONS(1467), 1,
      anon_sym_LPAREN,
    ACTIONS(1469), 1,
      anon_sym_BANG,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR,
    ACTIONS(1473), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1485), 1,
      sym_test_operator,
    ACTIONS(2445), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1612), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1475), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1421), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1880), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [35751] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_DQUOTE,
    ACTIONS(1463), 1,
      sym_word,
    ACTIONS(1467), 1,
      anon_sym_LPAREN,
    ACTIONS(1469), 1,
      anon_sym_BANG,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR,
    ACTIONS(1473), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1485), 1,
      sym_test_operator,
    ACTIONS(2447), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1612), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1475), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1421), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1874), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [35816] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2449), 1,
      anon_sym_RBRACE,
    ACTIONS(2453), 1,
      anon_sym_POUND,
    ACTIONS(2455), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1122), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2451), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35881] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2457), 1,
      anon_sym_RBRACE,
    ACTIONS(2461), 1,
      anon_sym_POUND,
    ACTIONS(2463), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1216), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2459), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [35946] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2465), 1,
      anon_sym_RBRACE,
    ACTIONS(2469), 1,
      anon_sym_POUND,
    ACTIONS(2471), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1255), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2467), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36011] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2473), 1,
      anon_sym_RBRACE,
    ACTIONS(2477), 1,
      anon_sym_POUND,
    ACTIONS(2479), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1160), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2475), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36076] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2481), 1,
      anon_sym_RBRACE,
    ACTIONS(2485), 1,
      anon_sym_POUND,
    ACTIONS(2487), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1070), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2483), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36141] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2489), 1,
      anon_sym_RBRACE,
    ACTIONS(2493), 1,
      anon_sym_POUND,
    ACTIONS(2495), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1257), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2491), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36206] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2497), 1,
      anon_sym_RBRACE,
    ACTIONS(2501), 1,
      anon_sym_POUND,
    ACTIONS(2503), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1213), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2499), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36271] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2465), 1,
      anon_sym_RBRACE,
    ACTIONS(2469), 1,
      anon_sym_POUND,
    ACTIONS(2505), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1255), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2467), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36336] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2507), 1,
      anon_sym_RBRACE,
    ACTIONS(2511), 1,
      anon_sym_POUND,
    ACTIONS(2513), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1306), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2509), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36401] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2161), 1,
      anon_sym_RBRACE,
    ACTIONS(2165), 1,
      anon_sym_POUND,
    ACTIONS(2515), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1073), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2163), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36466] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2517), 1,
      anon_sym_RBRACE,
    ACTIONS(2521), 1,
      anon_sym_POUND,
    ACTIONS(2523), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1304), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2519), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36531] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2525), 1,
      anon_sym_RBRACE,
    ACTIONS(2529), 1,
      anon_sym_POUND,
    ACTIONS(2531), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1299), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2527), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36596] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2533), 1,
      anon_sym_RBRACE,
    ACTIONS(2537), 1,
      anon_sym_POUND,
    ACTIONS(2539), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1074), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2535), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36661] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2541), 1,
      anon_sym_RBRACE,
    ACTIONS(2545), 1,
      anon_sym_POUND,
    ACTIONS(2547), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1076), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2543), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36726] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2549), 1,
      anon_sym_RBRACE,
    ACTIONS(2553), 1,
      anon_sym_POUND,
    ACTIONS(2555), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1077), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2551), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36791] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2557), 1,
      anon_sym_RBRACE,
    ACTIONS(2561), 1,
      anon_sym_POUND,
    ACTIONS(2563), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1211), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2559), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36856] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2565), 1,
      anon_sym_RBRACE,
    ACTIONS(2569), 1,
      anon_sym_POUND,
    ACTIONS(2571), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1089), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2567), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36921] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2573), 1,
      anon_sym_RBRACE,
    ACTIONS(2577), 1,
      anon_sym_POUND,
    ACTIONS(2579), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1209), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2575), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [36986] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2557), 1,
      anon_sym_RBRACE,
    ACTIONS(2561), 1,
      anon_sym_POUND,
    ACTIONS(2581), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1211), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2559), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37051] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2583), 1,
      anon_sym_RBRACE,
    ACTIONS(2587), 1,
      anon_sym_POUND,
    ACTIONS(2589), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1206), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2585), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37116] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2591), 1,
      anon_sym_RBRACE,
    ACTIONS(2595), 1,
      anon_sym_POUND,
    ACTIONS(2597), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1204), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2593), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37181] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2599), 1,
      anon_sym_RBRACE,
    ACTIONS(2603), 1,
      anon_sym_POUND,
    ACTIONS(2605), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1094), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2601), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37246] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2607), 1,
      anon_sym_RBRACE,
    ACTIONS(2611), 1,
      anon_sym_POUND,
    ACTIONS(2613), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1018), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2609), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37311] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2615), 1,
      anon_sym_RBRACE,
    ACTIONS(2619), 1,
      anon_sym_POUND,
    ACTIONS(2621), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1021), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2617), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37376] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2623), 1,
      anon_sym_RBRACE,
    ACTIONS(2627), 1,
      anon_sym_POUND,
    ACTIONS(2629), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1102), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2625), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37441] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2631), 1,
      anon_sym_RBRACE,
    ACTIONS(2635), 1,
      anon_sym_POUND,
    ACTIONS(2637), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1097), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2633), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37506] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2639), 1,
      anon_sym_RBRACE,
    ACTIONS(2643), 1,
      anon_sym_POUND,
    ACTIONS(2645), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1199), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2641), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37571] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2623), 1,
      anon_sym_RBRACE,
    ACTIONS(2627), 1,
      anon_sym_POUND,
    ACTIONS(2647), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1102), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2625), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37636] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2649), 1,
      anon_sym_RBRACE,
    ACTIONS(2653), 1,
      anon_sym_POUND,
    ACTIONS(2655), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1103), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2651), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37701] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2657), 1,
      anon_sym_RBRACE,
    ACTIONS(2661), 1,
      anon_sym_POUND,
    ACTIONS(2663), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1104), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2659), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37766] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_DQUOTE,
    ACTIONS(1463), 1,
      sym_word,
    ACTIONS(1467), 1,
      anon_sym_LPAREN,
    ACTIONS(1469), 1,
      anon_sym_BANG,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR,
    ACTIONS(1473), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1485), 1,
      sym_test_operator,
    ACTIONS(2665), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(1612), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1475), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1421), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1903), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [37831] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2667), 1,
      anon_sym_RBRACE,
    ACTIONS(2671), 1,
      anon_sym_POUND,
    ACTIONS(2673), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1105), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2669), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37896] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2675), 1,
      anon_sym_RBRACE,
    ACTIONS(2679), 1,
      anon_sym_POUND,
    ACTIONS(2681), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1111), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2677), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [37961] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2683), 1,
      anon_sym_RBRACE,
    ACTIONS(2687), 1,
      anon_sym_POUND,
    ACTIONS(2689), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1113), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2685), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38026] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2691), 1,
      anon_sym_RBRACE,
    ACTIONS(2695), 1,
      anon_sym_POUND,
    ACTIONS(2697), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1197), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2693), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38091] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2699), 1,
      anon_sym_RBRACE,
    ACTIONS(2703), 1,
      anon_sym_POUND,
    ACTIONS(2705), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1298), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2701), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38156] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2707), 1,
      anon_sym_RBRACE,
    ACTIONS(2711), 1,
      anon_sym_POUND,
    ACTIONS(2713), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1297), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2709), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38221] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2715), 1,
      anon_sym_RBRACE,
    ACTIONS(2719), 1,
      anon_sym_POUND,
    ACTIONS(2721), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1296), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38286] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2723), 1,
      anon_sym_RBRACE,
    ACTIONS(2727), 1,
      anon_sym_POUND,
    ACTIONS(2729), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1079), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2725), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38351] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2731), 1,
      anon_sym_RBRACE,
    ACTIONS(2735), 1,
      anon_sym_POUND,
    ACTIONS(2737), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1294), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2733), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38416] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2739), 1,
      anon_sym_RBRACE,
    ACTIONS(2743), 1,
      anon_sym_POUND,
    ACTIONS(2745), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1075), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2741), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38481] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2723), 1,
      anon_sym_RBRACE,
    ACTIONS(2727), 1,
      anon_sym_POUND,
    ACTIONS(2747), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1079), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2725), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38546] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2749), 1,
      anon_sym_RBRACE,
    ACTIONS(2753), 1,
      anon_sym_POUND,
    ACTIONS(2755), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1082), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2751), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38611] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2757), 1,
      anon_sym_RBRACE,
    ACTIONS(2761), 1,
      anon_sym_POUND,
    ACTIONS(2763), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1194), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2759), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38676] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2715), 1,
      anon_sym_RBRACE,
    ACTIONS(2719), 1,
      anon_sym_POUND,
    ACTIONS(2765), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1296), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2717), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38741] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2767), 1,
      anon_sym_RBRACE,
    ACTIONS(2771), 1,
      anon_sym_POUND,
    ACTIONS(2773), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1291), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2769), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38806] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2775), 1,
      anon_sym_RBRACE,
    ACTIONS(2779), 1,
      anon_sym_POUND,
    ACTIONS(2781), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1192), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2777), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38871] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2783), 1,
      anon_sym_RBRACE,
    ACTIONS(2787), 1,
      anon_sym_POUND,
    ACTIONS(2789), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1288), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2785), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [38936] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2791), 1,
      anon_sym_RBRACE,
    ACTIONS(2795), 1,
      anon_sym_POUND,
    ACTIONS(2797), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1278), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2793), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39001] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2799), 1,
      anon_sym_RBRACE,
    ACTIONS(2803), 1,
      anon_sym_POUND,
    ACTIONS(2805), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1190), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2801), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39066] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2807), 1,
      anon_sym_RBRACE,
    ACTIONS(2811), 1,
      anon_sym_POUND,
    ACTIONS(2813), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1277), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2809), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39131] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2815), 1,
      anon_sym_RBRACE,
    ACTIONS(2819), 1,
      anon_sym_POUND,
    ACTIONS(2821), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1276), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2817), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39196] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2775), 1,
      anon_sym_RBRACE,
    ACTIONS(2779), 1,
      anon_sym_POUND,
    ACTIONS(2823), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1192), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2777), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39261] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2825), 1,
      anon_sym_RBRACE,
    ACTIONS(2829), 1,
      anon_sym_POUND,
    ACTIONS(2831), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1186), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2827), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39326] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2833), 1,
      anon_sym_RBRACE,
    ACTIONS(2837), 1,
      anon_sym_POUND,
    ACTIONS(2839), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1260), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2835), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39391] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2841), 1,
      anon_sym_RBRACE,
    ACTIONS(2845), 1,
      anon_sym_POUND,
    ACTIONS(2847), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1258), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2843), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39456] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2849), 1,
      anon_sym_RBRACE,
    ACTIONS(2853), 1,
      anon_sym_POUND,
    ACTIONS(2855), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1184), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2851), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39521] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2833), 1,
      anon_sym_RBRACE,
    ACTIONS(2837), 1,
      anon_sym_POUND,
    ACTIONS(2857), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1260), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2835), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39586] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2859), 1,
      anon_sym_RBRACE,
    ACTIONS(2863), 1,
      anon_sym_POUND,
    ACTIONS(2865), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1177), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2861), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39651] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2867), 1,
      anon_sym_RBRACE,
    ACTIONS(2871), 1,
      anon_sym_POUND,
    ACTIONS(2873), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1120), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2869), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39716] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2875), 1,
      anon_sym_RBRACE,
    ACTIONS(2879), 1,
      anon_sym_POUND,
    ACTIONS(2881), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1195), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2877), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39781] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2883), 1,
      anon_sym_RBRACE,
    ACTIONS(2887), 1,
      anon_sym_POUND,
    ACTIONS(2889), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1251), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2885), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39846] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2891), 1,
      anon_sym_RBRACE,
    ACTIONS(2895), 1,
      anon_sym_POUND,
    ACTIONS(2897), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1176), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2893), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39911] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2899), 1,
      anon_sym_RBRACE,
    ACTIONS(2903), 1,
      anon_sym_POUND,
    ACTIONS(2905), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1254), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2901), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [39976] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_DQUOTE,
    ACTIONS(1463), 1,
      sym_word,
    ACTIONS(1467), 1,
      anon_sym_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR,
    ACTIONS(1477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1767), 1,
      sym_regex,
    ACTIONS(2907), 1,
      anon_sym_BANG,
    ACTIONS(2909), 1,
      sym__special_character,
    ACTIONS(2911), 1,
      sym_test_operator,
    STATE(1643), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1475), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1421), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1723), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [40041] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2913), 1,
      anon_sym_RBRACE,
    ACTIONS(2917), 1,
      anon_sym_POUND,
    ACTIONS(2919), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1126), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2915), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40106] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2921), 1,
      anon_sym_RBRACE,
    ACTIONS(2925), 1,
      anon_sym_POUND,
    ACTIONS(2927), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1127), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2923), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40171] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2929), 1,
      anon_sym_RBRACE,
    ACTIONS(2933), 1,
      anon_sym_POUND,
    ACTIONS(2935), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1175), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2931), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40236] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2937), 1,
      anon_sym_RBRACE,
    ACTIONS(2941), 1,
      anon_sym_POUND,
    ACTIONS(2943), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1118), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2939), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40301] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2945), 1,
      anon_sym_RBRACE,
    ACTIONS(2949), 1,
      anon_sym_POUND,
    ACTIONS(2951), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1174), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2947), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40366] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2953), 1,
      anon_sym_RBRACE,
    ACTIONS(2957), 1,
      anon_sym_POUND,
    ACTIONS(2959), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1172), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2955), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40431] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2961), 1,
      anon_sym_RBRACE,
    ACTIONS(2965), 1,
      anon_sym_POUND,
    ACTIONS(2967), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1248), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2963), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40496] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2867), 1,
      anon_sym_RBRACE,
    ACTIONS(2871), 1,
      anon_sym_POUND,
    ACTIONS(2969), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1120), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2869), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40561] = 17,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_DQUOTE,
    ACTIONS(2971), 1,
      sym_word,
    ACTIONS(2973), 1,
      anon_sym_LPAREN,
    ACTIONS(2975), 1,
      anon_sym_BANG,
    ACTIONS(2977), 1,
      anon_sym_DOLLAR,
    ACTIONS(2979), 1,
      sym__special_character,
    ACTIONS(2983), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2985), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2987), 1,
      anon_sym_BQUOTE,
    ACTIONS(2991), 1,
      sym_test_operator,
    ACTIONS(2993), 1,
      sym_regex,
    STATE(1631), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2981), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2989), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1742), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1894), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [40626] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2995), 1,
      anon_sym_RBRACE,
    ACTIONS(2999), 1,
      anon_sym_POUND,
    ACTIONS(3001), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1046), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2997), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40691] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2945), 1,
      anon_sym_RBRACE,
    ACTIONS(2949), 1,
      anon_sym_POUND,
    ACTIONS(3003), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1174), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2947), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40756] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3005), 1,
      anon_sym_RBRACE,
    ACTIONS(3009), 1,
      anon_sym_POUND,
    ACTIONS(3011), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1241), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3007), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40821] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3013), 1,
      anon_sym_RBRACE,
    ACTIONS(3017), 1,
      anon_sym_POUND,
    ACTIONS(3019), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1169), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3015), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40886] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3021), 1,
      anon_sym_RBRACE,
    ACTIONS(3025), 1,
      anon_sym_POUND,
    ACTIONS(3027), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1167), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3023), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [40951] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3029), 1,
      anon_sym_RBRACE,
    ACTIONS(3033), 1,
      anon_sym_POUND,
    ACTIONS(3035), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1232), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3031), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41016] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3037), 1,
      anon_sym_RBRACE,
    ACTIONS(3041), 1,
      anon_sym_POUND,
    ACTIONS(3043), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1123), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3039), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41081] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3045), 1,
      anon_sym_RBRACE,
    ACTIONS(3049), 1,
      anon_sym_POUND,
    ACTIONS(3051), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1124), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3047), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41146] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3053), 1,
      anon_sym_RBRACE,
    ACTIONS(3057), 1,
      anon_sym_POUND,
    ACTIONS(3059), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1147), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3055), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41211] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3061), 1,
      anon_sym_RBRACE,
    ACTIONS(3065), 1,
      anon_sym_POUND,
    ACTIONS(3067), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1149), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3063), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41276] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3069), 1,
      anon_sym_RBRACE,
    ACTIONS(3073), 1,
      anon_sym_POUND,
    ACTIONS(3075), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1156), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3071), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41341] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3077), 1,
      anon_sym_RBRACE,
    ACTIONS(3081), 1,
      anon_sym_POUND,
    ACTIONS(3083), 1,
      sym_regex,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1154), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3079), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41406] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3069), 1,
      anon_sym_RBRACE,
    ACTIONS(3073), 1,
      anon_sym_POUND,
    ACTIONS(3085), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1156), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3071), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41471] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3087), 1,
      anon_sym_RBRACE,
    ACTIONS(3091), 1,
      anon_sym_POUND,
    ACTIONS(3093), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1157), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3089), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41536] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3095), 1,
      anon_sym_RBRACE,
    ACTIONS(3099), 1,
      anon_sym_POUND,
    ACTIONS(3101), 1,
      anon_sym_SLASH,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1158), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3097), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41601] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1769), 1,
      sym_word,
    ACTIONS(1771), 1,
      anon_sym_LPAREN,
    ACTIONS(1773), 1,
      anon_sym_BANG,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(1777), 1,
      sym__special_character,
    ACTIONS(1781), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1783), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1785), 1,
      anon_sym_BQUOTE,
    ACTIONS(1789), 1,
      sym_test_operator,
    STATE(1644), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1787), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1666), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1882), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [41663] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3103), 1,
      anon_sym_RBRACE,
    ACTIONS(3107), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1136), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41725] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3109), 1,
      anon_sym_RBRACE,
    ACTIONS(3113), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(947), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3111), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41787] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1865), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41849] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1387), 1,
      sym_word,
    ACTIONS(1393), 1,
      anon_sym_BANG,
    ACTIONS(1395), 1,
      anon_sym_DOLLAR,
    ACTIONS(2351), 1,
      anon_sym_LPAREN,
    ACTIONS(2353), 1,
      sym__special_character,
    ACTIONS(2355), 1,
      anon_sym_DQUOTE,
    ACTIONS(2359), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2361), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2363), 1,
      anon_sym_BQUOTE,
    ACTIONS(2367), 1,
      sym_test_operator,
    STATE(1388), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2357), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2365), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1356), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1610), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [41911] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2395), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [41973] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1873), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42035] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2387), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42097] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1387), 1,
      sym_word,
    ACTIONS(1393), 1,
      anon_sym_BANG,
    ACTIONS(1395), 1,
      anon_sym_DOLLAR,
    ACTIONS(2351), 1,
      anon_sym_LPAREN,
    ACTIONS(2353), 1,
      sym__special_character,
    ACTIONS(2355), 1,
      anon_sym_DQUOTE,
    ACTIONS(2359), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2361), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2363), 1,
      anon_sym_BQUOTE,
    ACTIONS(2367), 1,
      sym_test_operator,
    STATE(1388), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2357), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2365), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1356), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1555), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [42159] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1769), 1,
      sym_word,
    ACTIONS(1771), 1,
      anon_sym_LPAREN,
    ACTIONS(1773), 1,
      anon_sym_BANG,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(1777), 1,
      sym__special_character,
    ACTIONS(1781), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1783), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1785), 1,
      anon_sym_BQUOTE,
    ACTIONS(1789), 1,
      sym_test_operator,
    STATE(1644), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1787), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1666), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1900), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [42221] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3119), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42283] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_DQUOTE,
    ACTIONS(1463), 1,
      sym_word,
    ACTIONS(1467), 1,
      anon_sym_LPAREN,
    ACTIONS(1469), 1,
      anon_sym_BANG,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR,
    ACTIONS(1473), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1485), 1,
      sym_test_operator,
    STATE(1612), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1475), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1421), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1892), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [42345] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3121), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42407] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_DQUOTE,
    ACTIONS(1463), 1,
      sym_word,
    ACTIONS(1467), 1,
      anon_sym_LPAREN,
    ACTIONS(1469), 1,
      anon_sym_BANG,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR,
    ACTIONS(1473), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1485), 1,
      sym_test_operator,
    STATE(1612), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1475), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1421), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1886), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [42469] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3123), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42531] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3125), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42593] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_DQUOTE,
    ACTIONS(2971), 1,
      sym_word,
    ACTIONS(2973), 1,
      anon_sym_LPAREN,
    ACTIONS(2975), 1,
      anon_sym_BANG,
    ACTIONS(2977), 1,
      anon_sym_DOLLAR,
    ACTIONS(2979), 1,
      sym__special_character,
    ACTIONS(2983), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2985), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2987), 1,
      anon_sym_BQUOTE,
    ACTIONS(2991), 1,
      sym_test_operator,
    STATE(1631), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2981), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2989), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1742), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1870), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [42655] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_DQUOTE,
    ACTIONS(1463), 1,
      sym_word,
    ACTIONS(1467), 1,
      anon_sym_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR,
    ACTIONS(1477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2907), 1,
      anon_sym_BANG,
    ACTIONS(2909), 1,
      sym__special_character,
    ACTIONS(2911), 1,
      sym_test_operator,
    STATE(1643), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1475), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1421), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1871), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [42717] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3125), 1,
      anon_sym_RBRACE,
    ACTIONS(3129), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(922), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3127), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42779] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2405), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42841] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3131), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42903] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3131), 1,
      anon_sym_RBRACE,
    ACTIONS(3135), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(924), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3133), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [42965] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2299), 1,
      anon_sym_RBRACE,
    ACTIONS(2303), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(949), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2301), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43027] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1769), 1,
      sym_word,
    ACTIONS(1771), 1,
      anon_sym_LPAREN,
    ACTIONS(1773), 1,
      anon_sym_BANG,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(1777), 1,
      sym__special_character,
    ACTIONS(1781), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1783), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1785), 1,
      anon_sym_BQUOTE,
    ACTIONS(1789), 1,
      sym_test_operator,
    STATE(1644), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1787), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1666), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1905), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [43089] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_DQUOTE,
    ACTIONS(1463), 1,
      sym_word,
    ACTIONS(1467), 1,
      anon_sym_LPAREN,
    ACTIONS(1469), 1,
      anon_sym_BANG,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR,
    ACTIONS(1473), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1485), 1,
      sym_test_operator,
    STATE(1612), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1475), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1421), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1833), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [43151] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3137), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43213] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3137), 1,
      anon_sym_RBRACE,
    ACTIONS(3141), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(948), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3139), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43275] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1959), 1,
      anon_sym_RBRACE,
    ACTIONS(1963), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(927), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1961), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43337] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3143), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43399] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3143), 1,
      anon_sym_RBRACE,
    ACTIONS(3147), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(926), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3145), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43461] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1959), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43523] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2299), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43585] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1985), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43647] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3149), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43709] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1857), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43771] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3151), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43833] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3153), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43895] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3155), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [43957] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3155), 1,
      anon_sym_RBRACE,
    ACTIONS(3159), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(945), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3157), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44019] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2003), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44081] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1547), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44143] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2035), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44205] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1539), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44267] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1565), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44329] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2413), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44391] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1573), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44453] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3161), 1,
      anon_sym_RBRACE,
    ACTIONS(3165), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1080), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3163), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44515] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3161), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44577] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3167), 1,
      anon_sym_RBRACE,
    ACTIONS(3171), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(968), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3169), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44639] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3167), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44701] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1573), 1,
      anon_sym_RBRACE,
    ACTIONS(1577), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(966), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1575), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44763] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3173), 1,
      anon_sym_RBRACE,
    ACTIONS(3177), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(969), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3175), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44825] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3173), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44887] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3179), 1,
      anon_sym_RBRACE,
    ACTIONS(3183), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(970), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3181), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [44949] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3179), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45011] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2413), 1,
      anon_sym_RBRACE,
    ACTIONS(2417), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1061), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2415), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45073] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3185), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45135] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3187), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45197] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3189), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45259] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_DQUOTE,
    ACTIONS(1463), 1,
      sym_word,
    ACTIONS(1467), 1,
      anon_sym_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR,
    ACTIONS(1477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2907), 1,
      anon_sym_BANG,
    ACTIONS(2909), 1,
      sym__special_character,
    ACTIONS(2911), 1,
      sym_test_operator,
    STATE(1643), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1475), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1421), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1898), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [45321] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_DQUOTE,
    ACTIONS(1463), 1,
      sym_word,
    ACTIONS(1467), 1,
      anon_sym_LPAREN,
    ACTIONS(1469), 1,
      anon_sym_BANG,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR,
    ACTIONS(1473), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1485), 1,
      sym_test_operator,
    STATE(1612), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1475), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1421), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1909), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [45383] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1621), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45445] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1605), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45507] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1631), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45569] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1671), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45631] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3191), 1,
      anon_sym_RBRACE,
    ACTIONS(3195), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(985), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3193), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45693] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3191), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45755] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1671), 1,
      anon_sym_RBRACE,
    ACTIONS(1675), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(984), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1673), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45817] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3197), 1,
      anon_sym_RBRACE,
    ACTIONS(3201), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(988), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3199), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45879] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3197), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [45941] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3203), 1,
      anon_sym_RBRACE,
    ACTIONS(3207), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(990), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3205), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46003] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3209), 1,
      anon_sym_RBRACE,
    ACTIONS(3213), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1099), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3211), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46065] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3203), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46127] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3215), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46189] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3209), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46251] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1769), 1,
      sym_word,
    ACTIONS(1771), 1,
      anon_sym_LPAREN,
    ACTIONS(1773), 1,
      anon_sym_BANG,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(1777), 1,
      sym__special_character,
    ACTIONS(1781), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1783), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1785), 1,
      anon_sym_BQUOTE,
    ACTIONS(1789), 1,
      sym_test_operator,
    STATE(1644), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1787), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1666), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1896), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [46313] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3217), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46375] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_DQUOTE,
    ACTIONS(1463), 1,
      sym_word,
    ACTIONS(1467), 1,
      anon_sym_LPAREN,
    ACTIONS(1469), 1,
      anon_sym_BANG,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR,
    ACTIONS(1473), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1485), 1,
      sym_test_operator,
    STATE(1612), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1475), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1421), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1723), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [46437] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3219), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46499] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1749), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46561] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1737), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46623] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1759), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46685] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1793), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46747] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_DQUOTE,
    ACTIONS(1463), 1,
      sym_word,
    ACTIONS(1467), 1,
      anon_sym_LPAREN,
    ACTIONS(1469), 1,
      anon_sym_BANG,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR,
    ACTIONS(1473), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1485), 1,
      sym_test_operator,
    STATE(1612), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1475), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1421), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1876), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [46809] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3221), 1,
      anon_sym_RBRACE,
    ACTIONS(3225), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1007), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3223), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46871] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3221), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [46933] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1769), 1,
      sym_word,
    ACTIONS(1771), 1,
      anon_sym_LPAREN,
    ACTIONS(1773), 1,
      anon_sym_BANG,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(1777), 1,
      sym__special_character,
    ACTIONS(1781), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1783), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1785), 1,
      anon_sym_BQUOTE,
    ACTIONS(1789), 1,
      sym_test_operator,
    STATE(1644), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1787), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1666), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1899), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [46995] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_DQUOTE,
    ACTIONS(1463), 1,
      sym_word,
    ACTIONS(1467), 1,
      anon_sym_LPAREN,
    ACTIONS(1469), 1,
      anon_sym_BANG,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR,
    ACTIONS(1473), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1485), 1,
      sym_test_operator,
    STATE(1612), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1475), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1421), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1884), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [47057] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1793), 1,
      anon_sym_RBRACE,
    ACTIONS(1797), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1006), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1795), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47119] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3227), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47181] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3229), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47243] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3231), 1,
      anon_sym_RBRACE,
    ACTIONS(3235), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1008), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3233), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47305] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3231), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47367] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3237), 1,
      anon_sym_RBRACE,
    ACTIONS(3241), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1009), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3239), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47429] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3237), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47491] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3243), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47553] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3245), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47615] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3247), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47677] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3249), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [47739] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_DQUOTE,
    ACTIONS(1463), 1,
      sym_word,
    ACTIONS(1467), 1,
      anon_sym_LPAREN,
    ACTIONS(1469), 1,
      anon_sym_BANG,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR,
    ACTIONS(1473), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1485), 1,
      sym_test_operator,
    STATE(1612), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1475), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1421), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1867), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [47801] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1769), 1,
      sym_word,
    ACTIONS(1771), 1,
      anon_sym_LPAREN,
    ACTIONS(1773), 1,
      anon_sym_BANG,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(1777), 1,
      sym__special_character,
    ACTIONS(1781), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1783), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1785), 1,
      anon_sym_BQUOTE,
    ACTIONS(1789), 1,
      sym_test_operator,
    STATE(1644), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1787), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1666), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1895), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [47863] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_DQUOTE,
    ACTIONS(1463), 1,
      sym_word,
    ACTIONS(1467), 1,
      anon_sym_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR,
    ACTIONS(1477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2907), 1,
      anon_sym_BANG,
    ACTIONS(2909), 1,
      sym__special_character,
    ACTIONS(2911), 1,
      sym_test_operator,
    STATE(1643), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1475), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1421), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1888), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [47925] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_DQUOTE,
    ACTIONS(2971), 1,
      sym_word,
    ACTIONS(2973), 1,
      anon_sym_LPAREN,
    ACTIONS(2975), 1,
      anon_sym_BANG,
    ACTIONS(2977), 1,
      anon_sym_DOLLAR,
    ACTIONS(2979), 1,
      sym__special_character,
    ACTIONS(2983), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2985), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2987), 1,
      anon_sym_BQUOTE,
    ACTIONS(2991), 1,
      sym_test_operator,
    STATE(1631), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2981), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2989), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1742), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1873), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [47987] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_DQUOTE,
    ACTIONS(1463), 1,
      sym_word,
    ACTIONS(1467), 1,
      anon_sym_LPAREN,
    ACTIONS(1469), 1,
      anon_sym_BANG,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR,
    ACTIONS(1473), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1485), 1,
      sym_test_operator,
    STATE(1612), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1475), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1421), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1907), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [48049] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3251), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48111] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3253), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48173] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3255), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48235] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3257), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48297] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3255), 1,
      anon_sym_RBRACE,
    ACTIONS(3261), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1001), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3259), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48359] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3263), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48421] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3263), 1,
      anon_sym_RBRACE,
    ACTIONS(3267), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1002), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3265), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48483] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3269), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48545] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3269), 1,
      anon_sym_RBRACE,
    ACTIONS(3273), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1016), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3271), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48607] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1849), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48669] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1825), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48731] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3275), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48793] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1969), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48855] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1977), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48917] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3277), 1,
      anon_sym_RBRACE,
    ACTIONS(3281), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1086), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3279), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [48979] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3277), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49041] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_DQUOTE,
    ACTIONS(1463), 1,
      sym_word,
    ACTIONS(1467), 1,
      anon_sym_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR,
    ACTIONS(1477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2907), 1,
      anon_sym_BANG,
    ACTIONS(2909), 1,
      sym__special_character,
    ACTIONS(2911), 1,
      sym_test_operator,
    STATE(1643), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1475), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1421), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1650), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [49103] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3275), 1,
      anon_sym_RBRACE,
    ACTIONS(3285), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1017), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3283), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49165] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1729), 1,
      anon_sym_RBRACE,
    ACTIONS(1733), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1023), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1731), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49227] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3287), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49289] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3287), 1,
      anon_sym_RBRACE,
    ACTIONS(3291), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1019), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3289), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49351] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1977), 1,
      anon_sym_RBRACE,
    ACTIONS(1981), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1084), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(1979), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49413] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1729), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49475] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1713), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49537] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1679), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49599] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1687), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49661] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3293), 1,
      anon_sym_RBRACE,
    ACTIONS(3297), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1087), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3295), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49723] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3299), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49785] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3301), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49847] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3303), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49909] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3305), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [49971] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3305), 1,
      anon_sym_RBRACE,
    ACTIONS(3309), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1043), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3307), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50033] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3311), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50095] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3311), 1,
      anon_sym_RBRACE,
    ACTIONS(3315), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1044), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3313), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50157] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2995), 1,
      anon_sym_RBRACE,
    ACTIONS(2999), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1046), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2997), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50219] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3317), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50281] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3317), 1,
      anon_sym_RBRACE,
    ACTIONS(3321), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1045), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3319), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50343] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2995), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50405] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1555), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50467] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1841), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50529] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1639), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50591] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1925), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50653] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1993), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50715] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3293), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50777] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3323), 1,
      anon_sym_RBRACE,
    ACTIONS(3327), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1125), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3325), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50839] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3323), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50901] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3329), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [50963] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3331), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51025] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3333), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51087] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3335), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51149] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3335), 1,
      anon_sym_RBRACE,
    ACTIONS(3339), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1062), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3337), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51211] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3341), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51273] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3341), 1,
      anon_sym_RBRACE,
    ACTIONS(3345), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1063), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3343), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51335] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2241), 1,
      anon_sym_RBRACE,
    ACTIONS(2245), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1065), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2243), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51397] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3347), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51459] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3347), 1,
      anon_sym_RBRACE,
    ACTIONS(3351), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1064), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3349), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51521] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2607), 1,
      anon_sym_RBRACE,
    ACTIONS(2611), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1018), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2609), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51583] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2241), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51645] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2315), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51707] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3353), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51769] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2161), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51831] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2481), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51893] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3353), 1,
      anon_sym_RBRACE,
    ACTIONS(3357), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1010), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3355), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [51955] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2607), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52017] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3359), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52079] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3361), 1,
      anon_sym_RBRACE,
    ACTIONS(3365), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1090), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3363), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52141] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2615), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52203] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3367), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52265] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3361), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52327] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3369), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52389] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3371), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52451] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3373), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52513] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3375), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52575] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3377), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52637] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3379), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52699] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3377), 1,
      anon_sym_RBRACE,
    ACTIONS(3383), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1083), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3381), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52761] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1917), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52823] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2069), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52885] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3385), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [52947] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3385), 1,
      anon_sym_RBRACE,
    ACTIONS(3389), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1085), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3387), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53009] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2565), 1,
      anon_sym_RBRACE,
    ACTIONS(2569), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1089), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2567), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53071] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3391), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53133] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2095), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53195] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3393), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53257] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2103), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53319] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3391), 1,
      anon_sym_RBRACE,
    ACTIONS(3397), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1088), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3395), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53381] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2565), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53443] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2599), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53505] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2623), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53567] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2631), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53629] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3399), 1,
      anon_sym_RBRACE,
    ACTIONS(3403), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1133), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3401), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53691] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3399), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53753] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3405), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53815] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3407), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53877] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3409), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [53939] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3411), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54001] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3411), 1,
      anon_sym_RBRACE,
    ACTIONS(3415), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1108), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3413), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54063] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3417), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54125] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3417), 1,
      anon_sym_RBRACE,
    ACTIONS(3421), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1109), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3419), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54187] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2103), 1,
      anon_sym_RBRACE,
    ACTIONS(2107), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1129), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2105), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54249] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2675), 1,
      anon_sym_RBRACE,
    ACTIONS(2679), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1111), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2677), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54311] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3423), 1,
      anon_sym_RBRACE,
    ACTIONS(3427), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1134), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3425), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54373] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3429), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54435] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3429), 1,
      anon_sym_RBRACE,
    ACTIONS(3433), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1110), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3431), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54497] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2675), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54559] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3423), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54621] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2683), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54683] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2867), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54745] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2937), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54807] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3435), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54869] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2723), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54931] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2739), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [54993] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3437), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55055] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3103), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55117] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3439), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55179] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3441), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55241] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3443), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55303] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3445), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55365] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3447), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55427] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2489), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55489] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3449), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55551] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_DQUOTE,
    ACTIONS(1463), 1,
      sym_word,
    ACTIONS(1467), 1,
      anon_sym_LPAREN,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR,
    ACTIONS(1477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(2907), 1,
      anon_sym_BANG,
    ACTIONS(2909), 1,
      sym__special_character,
    ACTIONS(2911), 1,
      sym_test_operator,
    STATE(1643), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1475), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1421), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1723), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [55613] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2143), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55675] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2135), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55737] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2153), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55799] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2169), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55861] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3451), 1,
      anon_sym_RBRACE,
    ACTIONS(3455), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1159), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3453), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55923] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3451), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [55985] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2169), 1,
      anon_sym_RBRACE,
    ACTIONS(2173), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1153), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2171), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56047] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3457), 1,
      anon_sym_RBRACE,
    ACTIONS(3461), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1161), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3459), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56109] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3457), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56171] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3463), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56233] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3463), 1,
      anon_sym_RBRACE,
    ACTIONS(3467), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1130), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3465), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56295] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3469), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56357] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3469), 1,
      anon_sym_RBRACE,
    ACTIONS(3473), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1131), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3471), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56419] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3053), 1,
      anon_sym_RBRACE,
    ACTIONS(3057), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1147), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3055), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56481] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3475), 1,
      anon_sym_RBRACE,
    ACTIONS(3479), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1162), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3477), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56543] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3475), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56605] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3481), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56667] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3481), 1,
      anon_sym_RBRACE,
    ACTIONS(3485), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1132), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3483), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56729] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3053), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56791] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3061), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56853] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3069), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56915] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3487), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [56977] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3077), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57039] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3489), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57101] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3491), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57163] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3493), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57225] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3495), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57287] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3497), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57349] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3499), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57411] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3501), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57473] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3501), 1,
      anon_sym_RBRACE,
    ACTIONS(3505), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1164), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3503), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57535] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3507), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57597] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3507), 1,
      anon_sym_RBRACE,
    ACTIONS(3511), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1165), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3509), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57659] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3021), 1,
      anon_sym_RBRACE,
    ACTIONS(3025), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1167), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3023), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57721] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3513), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57783] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3513), 1,
      anon_sym_RBRACE,
    ACTIONS(3517), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1166), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3515), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57845] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3021), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57907] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3013), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [57969] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2945), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58031] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2953), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58093] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2899), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58155] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3519), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58217] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3521), 1,
      anon_sym_RBRACE,
    ACTIONS(3525), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1128), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3523), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58279] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3527), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58341] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3529), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58403] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3531), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58465] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3533), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58527] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3533), 1,
      anon_sym_RBRACE,
    ACTIONS(3537), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1181), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3535), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58589] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3539), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58651] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3539), 1,
      anon_sym_RBRACE,
    ACTIONS(3543), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1182), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3541), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58713] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2849), 1,
      anon_sym_RBRACE,
    ACTIONS(2853), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1184), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2851), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58775] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1769), 1,
      sym_word,
    ACTIONS(1771), 1,
      anon_sym_LPAREN,
    ACTIONS(1773), 1,
      anon_sym_BANG,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(1777), 1,
      sym__special_character,
    ACTIONS(1781), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1783), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1785), 1,
      anon_sym_BQUOTE,
    ACTIONS(1789), 1,
      sym_test_operator,
    STATE(1644), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1779), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1787), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1666), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1877), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [58837] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3545), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58899] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3545), 1,
      anon_sym_RBRACE,
    ACTIONS(3549), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1183), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3547), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [58961] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2849), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59023] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3521), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59085] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2825), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59147] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3551), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59209] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3553), 1,
      sym_word,
    ACTIONS(3556), 1,
      anon_sym_RBRACE,
    ACTIONS(3561), 1,
      anon_sym_DOLLAR,
    ACTIONS(3564), 1,
      sym__special_character,
    ACTIONS(3567), 1,
      anon_sym_DQUOTE,
    ACTIONS(3573), 1,
      anon_sym_POUND,
    ACTIONS(3576), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3579), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3582), 1,
      anon_sym_BQUOTE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3570), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(3585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3558), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59271] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2775), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59333] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2875), 1,
      anon_sym_RBRACE,
    ACTIONS(2879), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1195), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2877), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59395] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2799), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59457] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2249), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59519] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3588), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59581] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3590), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59643] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3592), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59705] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3594), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59767] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3594), 1,
      anon_sym_RBRACE,
    ACTIONS(3598), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1201), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3596), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59829] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3600), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59891] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3600), 1,
      anon_sym_RBRACE,
    ACTIONS(3604), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1202), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3602), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59953] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2591), 1,
      anon_sym_RBRACE,
    ACTIONS(2595), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1204), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2593), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60015] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3606), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60077] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3606), 1,
      anon_sym_RBRACE,
    ACTIONS(3610), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1203), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3608), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60139] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2591), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60201] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2233), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60263] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2583), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60325] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2259), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60387] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_DQUOTE,
    ACTIONS(2971), 1,
      sym_word,
    ACTIONS(2973), 1,
      anon_sym_LPAREN,
    ACTIONS(2975), 1,
      anon_sym_BANG,
    ACTIONS(2977), 1,
      anon_sym_DOLLAR,
    ACTIONS(2979), 1,
      sym__special_character,
    ACTIONS(2983), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2985), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2987), 1,
      anon_sym_BQUOTE,
    ACTIONS(2991), 1,
      sym_test_operator,
    STATE(1631), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2981), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2989), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1742), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1906), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [60449] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2557), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60511] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2573), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60573] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2267), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60635] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3612), 1,
      anon_sym_RBRACE,
    ACTIONS(3616), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1261), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3614), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60697] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2465), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60759] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3612), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60821] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2875), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60883] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2267), 1,
      anon_sym_RBRACE,
    ACTIONS(2271), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1245), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2269), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60945] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3618), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61007] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3620), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61069] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_DQUOTE,
    ACTIONS(2971), 1,
      sym_word,
    ACTIONS(2973), 1,
      anon_sym_LPAREN,
    ACTIONS(2975), 1,
      anon_sym_BANG,
    ACTIONS(2977), 1,
      anon_sym_DOLLAR,
    ACTIONS(2979), 1,
      sym__special_character,
    ACTIONS(2983), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2985), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2987), 1,
      anon_sym_BQUOTE,
    ACTIONS(2991), 1,
      sym_test_operator,
    STATE(1631), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2981), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2989), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1742), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1894), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [61131] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3622), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61193] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3624), 1,
      anon_sym_RBRACE,
    ACTIONS(3628), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1262), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3626), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61255] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3551), 1,
      anon_sym_RBRACE,
    ACTIONS(3632), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1163), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3630), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61317] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3634), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61379] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3634), 1,
      anon_sym_RBRACE,
    ACTIONS(3638), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1224), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3636), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61441] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3640), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61503] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3640), 1,
      anon_sym_RBRACE,
    ACTIONS(3644), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1225), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3642), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61565] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2225), 1,
      anon_sym_RBRACE,
    ACTIONS(2229), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1230), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2227), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61627] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3646), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61689] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3646), 1,
      anon_sym_RBRACE,
    ACTIONS(3650), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1227), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3648), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61751] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2225), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61813] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3029), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61875] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_DQUOTE,
    ACTIONS(1463), 1,
      sym_word,
    ACTIONS(1467), 1,
      anon_sym_LPAREN,
    ACTIONS(1469), 1,
      anon_sym_BANG,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR,
    ACTIONS(1473), 1,
      sym__special_character,
    ACTIONS(1477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1485), 1,
      sym_test_operator,
    STATE(1612), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1475), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1421), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1650), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [61937] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1833), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [61999] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1899), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62061] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3624), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62123] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3652), 1,
      anon_sym_RBRACE,
    ACTIONS(3656), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1263), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3654), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62185] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3658), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62247] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3652), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62309] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3660), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62371] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3662), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62433] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3664), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62495] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2507), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62557] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3664), 1,
      anon_sym_RBRACE,
    ACTIONS(3668), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1244), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3666), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62619] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3670), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62681] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3670), 1,
      anon_sym_RBRACE,
    ACTIONS(3674), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1246), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3672), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62743] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2961), 1,
      anon_sym_RBRACE,
    ACTIONS(2965), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1248), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2963), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62805] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3676), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62867] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2517), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62929] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3678), 1,
      anon_sym_RBRACE,
    ACTIONS(3682), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1303), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3680), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [62991] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3678), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63053] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3684), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63115] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3684), 1,
      anon_sym_RBRACE,
    ACTIONS(3688), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1247), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3686), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63177] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2961), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63239] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3690), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63301] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3692), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63363] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3694), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63425] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2307), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63487] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1489), 1,
      anon_sym_RBRACE,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63549] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2325), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63611] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2335), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63673] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3696), 1,
      anon_sym_RBRACE,
    ACTIONS(3700), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1282), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3698), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63735] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3696), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63797] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2335), 1,
      anon_sym_RBRACE,
    ACTIONS(2339), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1280), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2337), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63859] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3109), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63921] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3702), 1,
      anon_sym_RBRACE,
    ACTIONS(3706), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1283), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3704), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63983] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3702), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64045] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2517), 1,
      anon_sym_RBRACE,
    ACTIONS(2521), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1304), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2519), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64107] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_DQUOTE,
    ACTIONS(2971), 1,
      sym_word,
    ACTIONS(2973), 1,
      anon_sym_LPAREN,
    ACTIONS(2975), 1,
      anon_sym_BANG,
    ACTIONS(2977), 1,
      anon_sym_DOLLAR,
    ACTIONS(2979), 1,
      sym__special_character,
    ACTIONS(2983), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2985), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2987), 1,
      anon_sym_BQUOTE,
    ACTIONS(2991), 1,
      sym_test_operator,
    STATE(1631), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2981), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2989), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1742), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1881), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [64169] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2883), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64231] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2833), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64293] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2841), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64355] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3708), 1,
      anon_sym_RBRACE,
    ACTIONS(3712), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1284), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3710), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64417] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3708), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64479] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3714), 1,
      anon_sym_RBRACE,
    ACTIONS(3718), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1302), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3716), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64541] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3720), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64603] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3722), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64665] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3724), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64727] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3726), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64789] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3728), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64851] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3730), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64913] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3732), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64975] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3732), 1,
      anon_sym_RBRACE,
    ACTIONS(3736), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1285), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3734), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65037] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1387), 1,
      sym_word,
    ACTIONS(1393), 1,
      anon_sym_BANG,
    ACTIONS(1395), 1,
      anon_sym_DOLLAR,
    ACTIONS(2351), 1,
      anon_sym_LPAREN,
    ACTIONS(2353), 1,
      sym__special_character,
    ACTIONS(2355), 1,
      anon_sym_DQUOTE,
    ACTIONS(2359), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2361), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2363), 1,
      anon_sym_BQUOTE,
    ACTIONS(2367), 1,
      sym_test_operator,
    STATE(1388), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2357), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(2365), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1356), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    STATE(1602), 7,
      sym__expression,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [65099] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3738), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65161] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3738), 1,
      anon_sym_RBRACE,
    ACTIONS(3742), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1286), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3740), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65223] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2783), 1,
      anon_sym_RBRACE,
    ACTIONS(2787), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1288), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(2785), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65285] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3744), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65347] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3744), 1,
      anon_sym_RBRACE,
    ACTIONS(3748), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1287), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3746), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65409] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2783), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65471] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2767), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65533] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2715), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65595] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(2731), 1,
      anon_sym_RBRACE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65657] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3676), 1,
      anon_sym_RBRACE,
    ACTIONS(3752), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1179), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3750), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65719] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3754), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65781] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3756), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65843] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3758), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65905] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3760), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65967] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3760), 1,
      anon_sym_RBRACE,
    ACTIONS(3764), 1,
      anon_sym_POUND,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1301), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3762), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66029] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1487), 1,
      sym_word,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1495), 1,
      sym__special_character,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(3117), 1,
      anon_sym_POUND,
    ACTIONS(3714), 1,
      anon_sym_RBRACE,
    STATE(1799), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1499), 2,
      sym_raw_string,
      sym_ansii_c_string,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1196), 2,
      sym_concatenation,
      aux_sym_expansion_repeat1,
    ACTIONS(3115), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
    STATE(1651), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66091] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(3768), 1,
      sym_raw_string,
    ACTIONS(3770), 1,
      anon_sym_POUND,
    STATE(1777), 1,
      sym_string,
    ACTIONS(3766), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(3772), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(537), 7,
      anon_sym_RBRACE,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [66138] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1001), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1309), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1003), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66174] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3774), 1,
      anon_sym_LF,
    ACTIONS(3780), 1,
      sym_file_descriptor,
    ACTIONS(969), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1310), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3778), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(3776), 9,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66218] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3782), 1,
      anon_sym_LF,
    ACTIONS(3792), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3795), 1,
      sym_file_descriptor,
    ACTIONS(3789), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1310), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3786), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(3784), 9,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66262] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 1,
      anon_sym_LF,
    ACTIONS(1021), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3800), 1,
      sym_file_descriptor,
    ACTIONS(555), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(957), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(969), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1017), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(1019), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    STATE(1333), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3798), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [66311] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1001), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1331), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1003), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [66346] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(953), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(965), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1309), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(955), 17,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [66383] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1023), 1,
      anon_sym_LF,
    ACTIONS(3800), 1,
      sym_file_descriptor,
    ACTIONS(957), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(969), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1009), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(1019), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1025), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    STATE(1333), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3798), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [66432] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(953), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(957), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1333), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(955), 17,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [66469] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3802), 1,
      sym__concat,
    STATE(1316), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1035), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1033), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66506] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(537), 1,
      anon_sym_LF,
    ACTIONS(3807), 1,
      anon_sym_DQUOTE,
    ACTIONS(3809), 1,
      sym_raw_string,
    STATE(1994), 1,
      sym_string,
    ACTIONS(3805), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(3811), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(535), 11,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [66549] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(555), 1,
      anon_sym_RPAREN,
    ACTIONS(961), 1,
      anon_sym_LF,
    ACTIONS(971), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3780), 1,
      sym_file_descriptor,
    ACTIONS(965), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(967), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(969), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(963), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1309), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3778), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [66598] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3813), 1,
      sym__special_character,
    STATE(1319), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1218), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1220), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66635] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3820), 1,
      sym__special_character,
    STATE(1319), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3816), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3818), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66672] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3822), 1,
      sym__concat,
    STATE(1384), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1067), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1069), 21,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66709] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3830), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3833), 1,
      sym_file_descriptor,
    ACTIONS(3782), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3827), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1322), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3784), 7,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
    ACTIONS(3824), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [66752] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(953), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1331), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(955), 16,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [66789] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3820), 1,
      sym__special_character,
    STATE(1319), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3836), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3838), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [66826] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3840), 1,
      sym__concat,
    STATE(1340), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1069), 23,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
      anon_sym_AMP,
  [66861] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1009), 1,
      anon_sym_BQUOTE,
    ACTIONS(1102), 1,
      anon_sym_LF,
    ACTIONS(3780), 1,
      sym_file_descriptor,
    ACTIONS(969), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1084), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1086), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1104), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1309), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3778), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [66910] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1005), 1,
      anon_sym_LF,
    ACTIONS(1009), 1,
      anon_sym_RPAREN,
    ACTIONS(3780), 1,
      sym_file_descriptor,
    ACTIONS(965), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(967), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(969), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1007), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1309), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3778), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [66959] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3850), 1,
      anon_sym_DOLLAR,
    ACTIONS(3852), 1,
      sym_file_descriptor,
    ACTIONS(3855), 1,
      sym_variable_name,
    STATE(2600), 1,
      sym_subscript,
    ACTIONS(3844), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    STATE(1328), 3,
      sym_variable_assignment,
      sym_file_redirect,
      aux_sym_command_repeat1,
    ACTIONS(3847), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(3842), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67004] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(557), 1,
      ts_builtin_sym_end,
    ACTIONS(993), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1011), 1,
      anon_sym_LF,
    ACTIONS(3860), 1,
      sym_file_descriptor,
    ACTIONS(987), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(989), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(991), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1013), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1331), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3858), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [67053] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(953), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1084), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(1309), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(955), 17,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67090] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(993), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3860), 1,
      sym_file_descriptor,
    ACTIONS(991), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(3774), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(1322), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3776), 7,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
    ACTIONS(3858), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [67133] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(981), 1,
      ts_builtin_sym_end,
    ACTIONS(983), 1,
      anon_sym_LF,
    ACTIONS(993), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3860), 1,
      sym_file_descriptor,
    ACTIONS(987), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(989), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(991), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(985), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1331), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3858), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [67182] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3774), 1,
      anon_sym_LF,
    ACTIONS(3800), 1,
      sym_file_descriptor,
    ACTIONS(969), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1335), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3776), 8,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
    ACTIONS(3798), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [67225] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1001), 2,
      sym_file_descriptor,
      anon_sym_LF,
    STATE(1333), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(1003), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [67260] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3782), 1,
      anon_sym_LF,
    ACTIONS(3865), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3868), 1,
      sym_file_descriptor,
    ACTIONS(3789), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1335), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3784), 8,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP,
    ACTIONS(3862), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [67303] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3820), 1,
      sym__special_character,
    STATE(1319), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3871), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3873), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67340] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(555), 1,
      anon_sym_BQUOTE,
    ACTIONS(971), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1080), 1,
      anon_sym_LF,
    ACTIONS(3780), 1,
      sym_file_descriptor,
    ACTIONS(969), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1084), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(1086), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1082), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1309), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3778), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [67389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1241), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1208), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1210), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67453] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3875), 1,
      sym__concat,
    STATE(1341), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1055), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [67487] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3877), 1,
      sym__concat,
    STATE(1341), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1033), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [67521] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1044), 1,
      anon_sym_LF,
    ACTIONS(3780), 1,
      sym_file_descriptor,
    ACTIONS(965), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(967), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(969), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1046), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1309), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3778), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [67567] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1094), 1,
      anon_sym_LF,
    ACTIONS(3780), 1,
      sym_file_descriptor,
    ACTIONS(965), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(967), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(969), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1096), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1309), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3778), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [67613] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3884), 1,
      sym__concat,
    STATE(1352), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3882), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(3880), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67649] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3884), 1,
      sym__concat,
    STATE(1352), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1069), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1067), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67685] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3884), 1,
      sym__concat,
    STATE(1352), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3888), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(3886), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67721] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3890), 1,
      sym__special_character,
    STATE(1347), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1220), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [67755] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3822), 1,
      sym__concat,
    STATE(1495), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1067), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1069), 20,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [67791] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3807), 1,
      anon_sym_DQUOTE,
    ACTIONS(3895), 1,
      anon_sym_LF,
    ACTIONS(3899), 1,
      anon_sym_DOLLAR,
    ACTIONS(3901), 1,
      sym__special_character,
    ACTIONS(3903), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3905), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3907), 1,
      anon_sym_BQUOTE,
    STATE(1976), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3909), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1374), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3893), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(3897), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1965), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67845] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3822), 1,
      sym__concat,
    STATE(1384), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3886), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3888), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [67881] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3911), 1,
      sym__concat,
    STATE(1351), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1033), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1035), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67917] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3914), 1,
      sym__concat,
    STATE(1351), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1055), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1057), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67953] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(555), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(971), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1108), 1,
      anon_sym_LF,
    ACTIONS(3780), 1,
      sym_file_descriptor,
    ACTIONS(963), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(965), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(967), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(969), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(1309), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3778), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [68001] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3822), 1,
      sym__concat,
    STATE(1384), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3880), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3882), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68037] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1110), 1,
      anon_sym_LF,
    ACTIONS(3780), 1,
      sym_file_descriptor,
    ACTIONS(965), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(967), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(969), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1112), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1309), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3778), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [68083] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3840), 1,
      sym__concat,
    STATE(1340), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3916), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [68117] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1009), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(1106), 1,
      anon_sym_LF,
    ACTIONS(3780), 1,
      sym_file_descriptor,
    ACTIONS(965), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(967), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(969), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1007), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    STATE(1309), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3778), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [68165] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3807), 1,
      anon_sym_DQUOTE,
    ACTIONS(3899), 1,
      anon_sym_DOLLAR,
    ACTIONS(3901), 1,
      sym__special_character,
    ACTIONS(3903), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3905), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3907), 1,
      anon_sym_BQUOTE,
    ACTIONS(3918), 1,
      anon_sym_LF,
    STATE(1976), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3909), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1374), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3893), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(3920), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1965), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68219] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3922), 1,
      sym__concat,
    STATE(1452), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1067), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1069), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [68255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1191), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1035), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1033), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1162), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1160), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1069), 22,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1150), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1148), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1187), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1257), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1261), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1265), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1198), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1166), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1164), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68607] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3822), 1,
      sym__concat,
    STATE(1384), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3924), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3926), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1158), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1156), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1198), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68707] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3931), 1,
      anon_sym_LF,
    ACTIONS(3935), 1,
      anon_sym_DOLLAR,
    ACTIONS(3938), 1,
      sym__special_character,
    ACTIONS(3941), 1,
      anon_sym_DQUOTE,
    ACTIONS(3944), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3947), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3950), 1,
      anon_sym_BQUOTE,
    STATE(1976), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3953), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1374), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3928), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    ACTIONS(3933), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1965), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1181), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1231), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1233), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1237), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1245), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1249), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1253), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1229), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [68985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1177), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1170), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1168), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69049] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3956), 1,
      sym__concat,
    STATE(1316), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1057), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1055), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1154), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1152), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1146), 3,
      sym_file_descriptor,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1144), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69149] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1040), 1,
      anon_sym_LF,
    ACTIONS(3780), 1,
      sym_file_descriptor,
    ACTIONS(965), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(967), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(969), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(1042), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    STATE(1309), 4,
      sym_file_redirect,
      sym_heredoc_redirect,
      sym_herestring_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3778), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [69195] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3960), 1,
      sym__special_character,
    STATE(1347), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3958), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [69229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 23,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
      anon_sym_AMP,
  [69258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3962), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3964), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3966), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3968), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3970), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3972), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3974), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3976), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3978), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3980), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3982), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3984), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3986), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3988), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3990), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3992), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3994), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3996), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3998), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4000), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4002), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4004), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69599] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3822), 1,
      sym__concat,
    STATE(1495), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3886), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3888), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [69634] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3822), 1,
      sym__concat,
    STATE(1495), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3880), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3882), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [69669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4006), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4008), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4012), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4014), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4016), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4018), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4020), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4022), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4024), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4026), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4028), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69855] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3822), 1,
      sym__concat,
    STATE(1495), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3924), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3926), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [69890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4030), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4032), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [69921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1146), 1,
      sym__concat,
    ACTIONS(1144), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [69952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1150), 1,
      sym__concat,
    ACTIONS(1148), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [69983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1035), 1,
      sym__concat,
    ACTIONS(1033), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [70014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1154), 1,
      sym__concat,
    ACTIONS(1152), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [70045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4034), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4036), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4038), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4040), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4044), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4046), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4048), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4050), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4052), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70200] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1783), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1785), 1,
      anon_sym_BQUOTE,
    ACTIONS(4054), 1,
      sym_word,
    ACTIONS(4056), 1,
      anon_sym_esac,
    ACTIONS(4058), 1,
      sym__special_character,
    STATE(2343), 1,
      aux_sym__literal_repeat1,
    STATE(2414), 1,
      sym_concatenation,
    STATE(2748), 1,
      sym_last_case_item,
    ACTIONS(1787), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4060), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1582), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2320), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70257] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4064), 1,
      sym__concat,
    STATE(1492), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3916), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4062), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [70292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1158), 1,
      sym__concat,
    ACTIONS(1156), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [70323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1162), 1,
      sym__concat,
    ACTIONS(1160), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [70354] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3884), 1,
      sym__concat,
    STATE(1352), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1029), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1027), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70389] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1181), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1183), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4066), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4068), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4070), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4072), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4074), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4076), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4078), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4080), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4084), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70575] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4086), 1,
      sym__special_character,
    STATE(1431), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1220), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1218), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70610] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1783), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1785), 1,
      anon_sym_BQUOTE,
    ACTIONS(4054), 1,
      sym_word,
    ACTIONS(4058), 1,
      sym__special_character,
    ACTIONS(4089), 1,
      anon_sym_esac,
    STATE(2343), 1,
      aux_sym__literal_repeat1,
    STATE(2414), 1,
      sym_concatenation,
    STATE(2773), 1,
      sym_last_case_item,
    ACTIONS(1787), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4060), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1597), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2320), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [70667] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4091), 1,
      sym__special_character,
    STATE(1431), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3818), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(3816), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70702] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1233), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1231), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70733] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1237), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1235), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70764] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1241), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1239), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4093), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4095), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4097), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4099), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70857] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1245), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1243), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4101), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4103), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70919] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1249), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1247), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3924), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3926), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [70981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4105), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4107), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1166), 1,
      sym__concat,
    ACTIONS(1164), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1170), 1,
      sym__concat,
    ACTIONS(1168), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71074] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1253), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1251), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71105] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1229), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1227), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71136] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4091), 1,
      sym__special_character,
    STATE(1431), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3873), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(3871), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4109), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4111), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71202] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4113), 1,
      sym__concat,
    STATE(1450), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1033), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1035), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [71237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 1,
      sym__concat,
    ACTIONS(1177), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71268] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4116), 1,
      sym__concat,
    STATE(1511), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1057), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1055), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [71303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4118), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4120), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4122), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4124), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4126), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4128), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 1,
      sym__concat,
    ACTIONS(1181), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4130), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4132), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [71458] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4064), 1,
      sym__concat,
    STATE(1492), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1069), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1067), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [71493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 1,
      sym__concat,
    ACTIONS(1198), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 1,
      sym__concat,
    ACTIONS(1198), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71555] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1210), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1208), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 1,
      sym__concat,
    ACTIONS(1265), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71617] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4134), 1,
      sym__special_character,
    STATE(1471), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3871), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3873), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [71652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 1,
      sym__concat,
    ACTIONS(1261), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 1,
      sym__concat,
    ACTIONS(1257), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 1,
      sym__concat,
    ACTIONS(1187), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      sym__concat,
    ACTIONS(1191), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71776] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1783), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1785), 1,
      anon_sym_BQUOTE,
    ACTIONS(4054), 1,
      sym_word,
    ACTIONS(4058), 1,
      sym__special_character,
    ACTIONS(4136), 1,
      anon_sym_esac,
    STATE(2343), 1,
      aux_sym__literal_repeat1,
    STATE(2414), 1,
      sym_concatenation,
    STATE(2640), 1,
      sym_last_case_item,
    ACTIONS(1787), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4060), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1554), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2320), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71833] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1783), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1785), 1,
      anon_sym_BQUOTE,
    ACTIONS(4054), 1,
      sym_word,
    ACTIONS(4058), 1,
      sym__special_character,
    ACTIONS(4138), 1,
      anon_sym_esac,
    STATE(2343), 1,
      aux_sym__literal_repeat1,
    STATE(2414), 1,
      sym_concatenation,
    STATE(2660), 1,
      sym_last_case_item,
    ACTIONS(1787), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4060), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1607), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2320), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [71890] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3922), 1,
      sym__concat,
    STATE(1452), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3886), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3888), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [71925] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4140), 1,
      sym__special_character,
    STATE(1471), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1218), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1220), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [71960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1208), 1,
      sym__concat,
    ACTIONS(1210), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [71991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      sym__concat,
    ACTIONS(1229), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [72022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4145), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [72053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 1,
      sym__concat,
    ACTIONS(1253), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [72084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 1,
      sym__concat,
    ACTIONS(1249), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [72115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 1,
      sym__concat,
    ACTIONS(1245), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [72146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 1,
      sym__concat,
    ACTIONS(1241), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [72177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4147), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4149), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [72208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4151), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4153), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [72239] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3922), 1,
      sym__concat,
    STATE(1452), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3880), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3882), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      sym__concat,
    ACTIONS(1237), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [72305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1231), 1,
      sym__concat,
    ACTIONS(1233), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [72336] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1191), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1189), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72367] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1187), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1185), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72398] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1257), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1255), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72429] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1261), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1259), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72460] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1265), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1263), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72491] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1160), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1162), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3886), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3888), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [72553] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1156), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1158), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72584] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4155), 1,
      sym__concat,
    STATE(1450), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1055), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1057), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [72619] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1198), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1200), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72650] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1198), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1200), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72681] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4157), 1,
      sym__concat,
    STATE(1316), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1057), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(1055), 19,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [72716] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1177), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1179), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72747] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1152), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1154), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4159), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4161), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [72809] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1033), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1035), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72840] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1148), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1150), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3880), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(3882), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [72902] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1783), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1785), 1,
      anon_sym_BQUOTE,
    ACTIONS(4054), 1,
      sym_word,
    ACTIONS(4058), 1,
      sym__special_character,
    ACTIONS(4163), 1,
      anon_sym_esac,
    STATE(2343), 1,
      aux_sym__literal_repeat1,
    STATE(2414), 1,
      sym_concatenation,
    STATE(2685), 1,
      sym_last_case_item,
    ACTIONS(1787), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4060), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1544), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2320), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72959] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1168), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1170), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72990] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1783), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1785), 1,
      anon_sym_BQUOTE,
    ACTIONS(4054), 1,
      sym_word,
    ACTIONS(4058), 1,
      sym__special_character,
    ACTIONS(4165), 1,
      anon_sym_esac,
    STATE(2343), 1,
      aux_sym__literal_repeat1,
    STATE(2414), 1,
      sym_concatenation,
    STATE(2669), 1,
      sym_last_case_item,
    ACTIONS(1787), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4060), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1543), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2320), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73047] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1144), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1146), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73078] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1164), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1166), 19,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73109] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1783), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1785), 1,
      anon_sym_BQUOTE,
    ACTIONS(4054), 1,
      sym_word,
    ACTIONS(4058), 1,
      sym__special_character,
    ACTIONS(4167), 1,
      anon_sym_esac,
    STATE(2343), 1,
      aux_sym__literal_repeat1,
    STATE(2414), 1,
      sym_concatenation,
    STATE(2644), 1,
      sym_last_case_item,
    ACTIONS(1787), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4060), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1541), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2320), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73166] = 16,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1783), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1785), 1,
      anon_sym_BQUOTE,
    ACTIONS(4054), 1,
      sym_word,
    ACTIONS(4058), 1,
      sym__special_character,
    ACTIONS(4169), 1,
      anon_sym_esac,
    STATE(2343), 1,
      aux_sym__literal_repeat1,
    STATE(2414), 1,
      sym_concatenation,
    STATE(2645), 1,
      sym_last_case_item,
    ACTIONS(1787), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4060), 2,
      sym_raw_string,
      sym_ansii_c_string,
    STATE(1542), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(2320), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [73223] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3922), 1,
      sym__concat,
    STATE(1452), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3924), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3926), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73258] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4134), 1,
      sym__special_character,
    STATE(1471), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3836), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3838), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73293] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4171), 1,
      sym__concat,
    STATE(1511), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1035), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1033), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4174), 2,
      sym_file_descriptor,
      anon_sym_LF,
    ACTIONS(4176), 21,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [73359] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4134), 1,
      sym__special_character,
    STATE(1471), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3816), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3818), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73394] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1152), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1154), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [73424] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1233), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1231), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [73454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1146), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1144), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73484] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4178), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1150), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1148), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73546] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4180), 1,
      sym__concat,
    STATE(1635), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1069), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1067), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [73580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1035), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1033), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73610] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4182), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73642] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4184), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73674] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4186), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73706] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4194), 1,
      anon_sym_QMARK,
    ACTIONS(4192), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4196), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4188), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4190), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [73742] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4064), 1,
      sym__concat,
    STATE(1492), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1069), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1067), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [73776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1154), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1152), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1158), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1156), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1162), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1160), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [73866] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1164), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1166), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [73896] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1144), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1146), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [73926] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4198), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73958] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4194), 1,
      anon_sym_QMARK,
    ACTIONS(4192), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4196), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4200), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4190), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [73994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1166), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1164), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74024] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4202), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74056] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4204), 1,
      sym__special_character,
    STATE(1535), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1220), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1218), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [74090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4207), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [74118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1170), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1168), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74148] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4209), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74180] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4211), 1,
      sym__concat,
    STATE(1721), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1069), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1067), 15,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [74214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4213), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [74242] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1783), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1785), 1,
      anon_sym_BQUOTE,
    ACTIONS(4058), 1,
      sym__special_character,
    STATE(2343), 1,
      aux_sym__literal_repeat1,
    STATE(2414), 1,
      sym_concatenation,
    STATE(2669), 1,
      sym_last_case_item,
    ACTIONS(1787), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1658), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4060), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2320), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74294] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1783), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1785), 1,
      anon_sym_BQUOTE,
    ACTIONS(4058), 1,
      sym__special_character,
    STATE(2343), 1,
      aux_sym__literal_repeat1,
    STATE(2414), 1,
      sym_concatenation,
    STATE(2685), 1,
      sym_last_case_item,
    ACTIONS(1787), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1658), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4060), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2320), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74346] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1783), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1785), 1,
      anon_sym_BQUOTE,
    ACTIONS(4058), 1,
      sym__special_character,
    STATE(2343), 1,
      aux_sym__literal_repeat1,
    STATE(2414), 1,
      sym_concatenation,
    STATE(2692), 1,
      sym_last_case_item,
    ACTIONS(1787), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1658), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4060), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2320), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74398] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1783), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1785), 1,
      anon_sym_BQUOTE,
    ACTIONS(4058), 1,
      sym__special_character,
    STATE(2343), 1,
      aux_sym__literal_repeat1,
    STATE(2414), 1,
      sym_concatenation,
    STATE(2759), 1,
      sym_last_case_item,
    ACTIONS(1787), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1658), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4060), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2320), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1177), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1181), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74510] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1168), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1170), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [74540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1198), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74570] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1148), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1150), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [74600] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4215), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1198), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1265), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1261), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74722] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1783), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1785), 1,
      anon_sym_BQUOTE,
    ACTIONS(4058), 1,
      sym__special_character,
    STATE(2343), 1,
      aux_sym__literal_repeat1,
    STATE(2414), 1,
      sym_concatenation,
    STATE(2748), 1,
      sym_last_case_item,
    ACTIONS(1787), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1658), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4060), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2320), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74774] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4213), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [74802] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4217), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74834] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(393), 1,
      anon_sym_DOLLAR,
    ACTIONS(4221), 1,
      anon_sym_LPAREN,
    ACTIONS(4223), 1,
      sym__special_character,
    ACTIONS(4225), 1,
      anon_sym_DQUOTE,
    ACTIONS(4227), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4229), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4231), 1,
      anon_sym_BQUOTE,
    ACTIONS(4235), 1,
      sym__empty_value,
    STATE(299), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4233), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(605), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4219), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(245), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1257), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1187), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1191), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [74976] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4237), 1,
      sym__special_character,
    STATE(1561), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1220), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1218), 15,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [75010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1208), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1210), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75040] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4240), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1229), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1253), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1249), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1245), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1241), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1237), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1231), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1233), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [75282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1069), 19,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      sym__special_character,
      anon_sym_AMP,
  [75312] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4242), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75344] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4244), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75376] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(535), 1,
      sym_word,
    ACTIONS(4248), 1,
      anon_sym_DQUOTE,
    ACTIONS(4250), 1,
      sym_raw_string,
    ACTIONS(4252), 1,
      anon_sym_POUND,
    STATE(2012), 1,
      sym_string,
    ACTIONS(4246), 4,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(4254), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
    ACTIONS(537), 8,
      anon_sym_RPAREN,
      sym__special_character,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [75418] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4256), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75450] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4258), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75482] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4262), 1,
      anon_sym_LPAREN,
    ACTIONS(4264), 1,
      anon_sym_DOLLAR,
    ACTIONS(4266), 1,
      sym__special_character,
    ACTIONS(4268), 1,
      anon_sym_DQUOTE,
    ACTIONS(4270), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4272), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4274), 1,
      anon_sym_BQUOTE,
    ACTIONS(4278), 1,
      sym__empty_value,
    STATE(622), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4276), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(668), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4260), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(329), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75534] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(4282), 1,
      anon_sym_LPAREN,
    ACTIONS(4284), 1,
      anon_sym_DOLLAR,
    ACTIONS(4286), 1,
      sym__special_character,
    ACTIONS(4288), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4290), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4292), 1,
      anon_sym_BQUOTE,
    ACTIONS(4296), 1,
      sym__empty_value,
    STATE(1609), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4294), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1639), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4280), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1424), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75586] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4298), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75618] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4300), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75650] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4194), 1,
      anon_sym_QMARK,
    ACTIONS(4192), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4196), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4302), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4190), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [75686] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1783), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1785), 1,
      anon_sym_BQUOTE,
    ACTIONS(4058), 1,
      sym__special_character,
    STATE(2343), 1,
      aux_sym__literal_repeat1,
    STATE(2414), 1,
      sym_concatenation,
    STATE(2694), 1,
      sym_last_case_item,
    ACTIONS(1787), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1658), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4060), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2320), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75738] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4306), 1,
      anon_sym_LPAREN,
    ACTIONS(4308), 1,
      anon_sym_DOLLAR,
    ACTIONS(4310), 1,
      sym__special_character,
    ACTIONS(4312), 1,
      anon_sym_DQUOTE,
    ACTIONS(4314), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4316), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4318), 1,
      anon_sym_BQUOTE,
    ACTIONS(4322), 1,
      sym__empty_value,
    STATE(542), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4320), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(666), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4304), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(455), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75790] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75822] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4194), 1,
      anon_sym_QMARK,
    ACTIONS(4192), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4196), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4326), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4190), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [75858] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4328), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75890] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4330), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75922] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1033), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1035), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [75952] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4332), 1,
      sym__concat,
    STATE(1589), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1033), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1035), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [75986] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3888), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(3886), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76016] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4335), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76048] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1177), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1179), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76078] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1181), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1183), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76108] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1198), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1200), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76138] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1198), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1200), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76168] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1156), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1158), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76198] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1783), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1785), 1,
      anon_sym_BQUOTE,
    ACTIONS(4058), 1,
      sym__special_character,
    STATE(2343), 1,
      aux_sym__literal_repeat1,
    STATE(2414), 1,
      sym_concatenation,
    STATE(2631), 1,
      sym_last_case_item,
    ACTIONS(1787), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1658), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4060), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2320), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76250] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4337), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76282] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1160), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1162), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76312] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1265), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1263), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76342] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4339), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76374] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4341), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [76402] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1261), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1259), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76432] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3882), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(3880), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76462] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1069), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1067), 18,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_RPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76492] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1257), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1255), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76522] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1783), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1785), 1,
      anon_sym_BQUOTE,
    ACTIONS(4058), 1,
      sym__special_character,
    STATE(2343), 1,
      aux_sym__literal_repeat1,
    STATE(2414), 1,
      sym_concatenation,
    STATE(2773), 1,
      sym_last_case_item,
    ACTIONS(1787), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1658), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4060), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2320), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76574] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1187), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1185), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76604] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4091), 1,
      sym__special_character,
    STATE(1431), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1202), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1204), 16,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76638] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4194), 1,
      anon_sym_QMARK,
    ACTIONS(4192), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4196), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4343), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4190), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [76674] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1191), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1189), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76704] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4347), 1,
      sym__special_character,
    STATE(1561), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3958), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4345), 15,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76738] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1210), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1208), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76768] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1229), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1227), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76798] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4351), 1,
      anon_sym_LPAREN,
    ACTIONS(4353), 1,
      anon_sym_DOLLAR,
    ACTIONS(4355), 1,
      sym__special_character,
    ACTIONS(4357), 1,
      anon_sym_DQUOTE,
    ACTIONS(4359), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4361), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4363), 1,
      anon_sym_BQUOTE,
    ACTIONS(4367), 1,
      sym__empty_value,
    STATE(573), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4365), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(667), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4349), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(361), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76850] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4369), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76882] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4371), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76914] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1253), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1251), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76944] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1249), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1247), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [76974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4373), 22,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
      anon_sym_AMP,
  [77002] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1245), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1243), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77032] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4194), 1,
      anon_sym_QMARK,
    ACTIONS(4192), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4196), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4375), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4190), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [77068] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4194), 1,
      anon_sym_QMARK,
    ACTIONS(4192), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4196), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4377), 4,
      anon_sym_LF,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4190), 13,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [77104] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [77136] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(455), 1,
      anon_sym_DOLLAR,
    ACTIONS(4383), 1,
      anon_sym_LPAREN,
    ACTIONS(4385), 1,
      sym__special_character,
    ACTIONS(4387), 1,
      anon_sym_DQUOTE,
    ACTIONS(4389), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4391), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4393), 1,
      anon_sym_BQUOTE,
    ACTIONS(4397), 1,
      sym__empty_value,
    STATE(362), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4395), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(657), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4381), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(234), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77188] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1241), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1239), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77218] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4399), 1,
      anon_sym_RPAREN,
    ACTIONS(951), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(959), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [77250] = 14,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_DOLLAR,
    ACTIONS(4403), 1,
      anon_sym_LPAREN,
    ACTIONS(4405), 1,
      sym__special_character,
    ACTIONS(4407), 1,
      anon_sym_DQUOTE,
    ACTIONS(4409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4413), 1,
      anon_sym_BQUOTE,
    ACTIONS(4417), 1,
      sym__empty_value,
    STATE(354), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(639), 2,
      sym_concatenation,
      sym_array,
    ACTIONS(4401), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(273), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77302] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1237), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1235), 17,
      sym__concat,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4014), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4016), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77361] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4419), 1,
      sym__special_character,
    STATE(1634), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3958), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4345), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77394] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4421), 1,
      sym__concat,
    STATE(1632), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1033), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1035), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77427] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4424), 1,
      sym__concat,
    STATE(1633), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1033), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1035), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [77460] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4427), 1,
      sym__special_character,
    STATE(1634), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1220), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1218), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77493] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4430), 1,
      sym__concat,
    STATE(1632), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1055), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1057), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4105), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4107), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77555] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1356), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1358), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [77584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3924), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3926), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77613] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1029), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1027), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [77642] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4432), 1,
      sym__concat,
    STATE(1633), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1055), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1057), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [77675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4050), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4052), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4174), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4176), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77733] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4434), 1,
      sym__special_character,
    STATE(1659), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3958), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4345), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77766] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4436), 1,
      sym__special_character,
    STATE(1535), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3958), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4345), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4066), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4068), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77828] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4442), 1,
      sym__concat,
    ACTIONS(4438), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4440), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [77859] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4448), 1,
      sym__concat,
    ACTIONS(4444), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4446), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [77890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3880), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3882), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4159), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4161), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [77948] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4341), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4450), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [77977] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4456), 1,
      sym__concat,
    STATE(1640), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4452), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4454), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [78010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4044), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78039] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4248), 1,
      anon_sym_DQUOTE,
    ACTIONS(4460), 1,
      anon_sym_RPAREN,
    ACTIONS(4462), 1,
      anon_sym_DOLLAR,
    ACTIONS(4464), 1,
      sym__special_character,
    ACTIONS(4466), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4468), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4470), 1,
      anon_sym_BQUOTE,
    STATE(2010), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4472), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1661), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4458), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2001), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4038), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4040), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4070), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4072), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78146] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4478), 1,
      sym__concat,
    ACTIONS(4474), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4476), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [78177] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4484), 1,
      sym__concat,
    ACTIONS(4480), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4482), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [78208] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4489), 1,
      anon_sym_DOLLAR,
    ACTIONS(4492), 1,
      sym__special_character,
    ACTIONS(4495), 1,
      anon_sym_DQUOTE,
    ACTIONS(4498), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4501), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4504), 1,
      anon_sym_BQUOTE,
    STATE(2325), 1,
      aux_sym__literal_repeat1,
    STATE(2393), 1,
      sym_concatenation,
    ACTIONS(4507), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1658), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    ACTIONS(4486), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2344), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78257] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4510), 1,
      sym__special_character,
    STATE(1659), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1220), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1218), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4034), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4036), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78319] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4248), 1,
      anon_sym_DQUOTE,
    ACTIONS(4462), 1,
      anon_sym_DOLLAR,
    ACTIONS(4464), 1,
      sym__special_character,
    ACTIONS(4466), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4468), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4470), 1,
      anon_sym_BQUOTE,
    ACTIONS(4513), 1,
      anon_sym_RPAREN,
    STATE(2010), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4472), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1733), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4458), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2001), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78368] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1069), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1067), 15,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [78397] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1144), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1146), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3886), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3888), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78455] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1233), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1231), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78484] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4211), 1,
      sym__concat,
    STATE(1721), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3916), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4062), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3970), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3972), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78546] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1237), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1235), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4126), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4128), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3962), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3964), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78633] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1241), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1239), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78662] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1245), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1243), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4118), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4120), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4030), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4032), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4122), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4124), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78778] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4248), 1,
      anon_sym_DQUOTE,
    ACTIONS(4462), 1,
      anon_sym_DOLLAR,
    ACTIONS(4464), 1,
      sym__special_character,
    ACTIONS(4466), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4468), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4470), 1,
      anon_sym_BQUOTE,
    ACTIONS(4515), 1,
      anon_sym_RPAREN,
    STATE(2010), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4472), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1733), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4458), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2001), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4109), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4111), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3966), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3968), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78885] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1249), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1247), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78914] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1253), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1251), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [78943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4026), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4028), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [78972] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4248), 1,
      anon_sym_DQUOTE,
    ACTIONS(4462), 1,
      anon_sym_DOLLAR,
    ACTIONS(4464), 1,
      sym__special_character,
    ACTIONS(4466), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4468), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4470), 1,
      anon_sym_BQUOTE,
    ACTIONS(4517), 1,
      anon_sym_RPAREN,
    STATE(2010), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4472), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1691), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4458), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2001), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79021] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1229), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1227), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4022), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4024), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4002), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4004), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3974), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3976), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79137] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1210), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1208), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79166] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1069), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1067), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym__special_character,
      sym_test_operator,
  [79195] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1191), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1189), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4018), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4020), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79253] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4248), 1,
      anon_sym_DQUOTE,
    ACTIONS(4462), 1,
      anon_sym_DOLLAR,
    ACTIONS(4464), 1,
      sym__special_character,
    ACTIONS(4466), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4468), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4470), 1,
      anon_sym_BQUOTE,
    ACTIONS(4519), 1,
      anon_sym_RPAREN,
    STATE(2010), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4472), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1733), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4458), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2001), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79302] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1187), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1185), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79331] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1257), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1255), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79360] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1261), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1259), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79389] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4248), 1,
      anon_sym_DQUOTE,
    ACTIONS(4462), 1,
      anon_sym_DOLLAR,
    ACTIONS(4464), 1,
      sym__special_character,
    ACTIONS(4466), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4468), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4470), 1,
      anon_sym_BQUOTE,
    ACTIONS(4521), 1,
      anon_sym_RPAREN,
    STATE(2010), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4472), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1733), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4458), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2001), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79438] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1265), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1263), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4101), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4103), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4074), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4076), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79525] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1198), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1200), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79554] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1339), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_DOLLAR,
    ACTIONS(1337), 17,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [79583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4012), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79612] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4373), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4523), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79641] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1198), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1200), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79670] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1181), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1183), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79699] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1177), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1179), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4130), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4132), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79757] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4248), 1,
      anon_sym_DQUOTE,
    ACTIONS(4462), 1,
      anon_sym_DOLLAR,
    ACTIONS(4464), 1,
      sym__special_character,
    ACTIONS(4466), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4468), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4470), 1,
      anon_sym_BQUOTE,
    ACTIONS(4525), 1,
      anon_sym_RPAREN,
    STATE(2010), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4472), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1732), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4458), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2001), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4143), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4145), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [79835] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1168), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1170), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79864] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4456), 1,
      sym__concat,
    STATE(1640), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1069), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1067), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [79897] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1164), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1166), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79926] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1160), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1162), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [79955] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4248), 1,
      anon_sym_DQUOTE,
    ACTIONS(4462), 1,
      anon_sym_DOLLAR,
    ACTIONS(4464), 1,
      sym__special_character,
    ACTIONS(4466), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4468), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4470), 1,
      anon_sym_BQUOTE,
    ACTIONS(4527), 1,
      anon_sym_RPAREN,
    STATE(2010), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4472), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1676), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4458), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2001), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4046), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4048), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80033] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1156), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1158), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80062] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1152), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1154), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80091] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1033), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1035), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4078), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4080), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4084), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80178] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1148), 6,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1150), 15,
      sym__concat,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80207] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4529), 1,
      sym__concat,
    STATE(1589), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1055), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1057), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80240] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4207), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4531), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80269] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4213), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4533), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80298] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4213), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4533), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80327] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4248), 1,
      anon_sym_DQUOTE,
    ACTIONS(4462), 1,
      anon_sym_DOLLAR,
    ACTIONS(4464), 1,
      sym__special_character,
    ACTIONS(4466), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4468), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4470), 1,
      anon_sym_BQUOTE,
    ACTIONS(4535), 1,
      anon_sym_RPAREN,
    STATE(2010), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4472), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1734), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4458), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2001), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80376] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4248), 1,
      anon_sym_DQUOTE,
    ACTIONS(4462), 1,
      anon_sym_DOLLAR,
    ACTIONS(4464), 1,
      sym__special_character,
    ACTIONS(4466), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4468), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4470), 1,
      anon_sym_BQUOTE,
    ACTIONS(4537), 1,
      anon_sym_RPAREN,
    STATE(2010), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4472), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1695), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4458), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2001), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4006), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4008), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3978), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3980), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4097), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4099), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3982), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3984), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80541] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4248), 1,
      anon_sym_DQUOTE,
    ACTIONS(4462), 1,
      anon_sym_DOLLAR,
    ACTIONS(4464), 1,
      sym__special_character,
    ACTIONS(4466), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4468), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4470), 1,
      anon_sym_BQUOTE,
    ACTIONS(4539), 1,
      anon_sym_RPAREN,
    STATE(2010), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4472), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1733), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4458), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2001), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80590] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4248), 1,
      anon_sym_DQUOTE,
    ACTIONS(4462), 1,
      anon_sym_DOLLAR,
    ACTIONS(4464), 1,
      sym__special_character,
    ACTIONS(4466), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4468), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4470), 1,
      anon_sym_BQUOTE,
    ACTIONS(4541), 1,
      anon_sym_RPAREN,
    STATE(2010), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4472), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1733), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4458), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2001), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80639] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3931), 1,
      anon_sym_RPAREN,
    ACTIONS(4546), 1,
      anon_sym_DOLLAR,
    ACTIONS(4549), 1,
      sym__special_character,
    ACTIONS(4552), 1,
      anon_sym_DQUOTE,
    ACTIONS(4555), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4558), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4561), 1,
      anon_sym_BQUOTE,
    STATE(2010), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4564), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1733), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4543), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2001), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80688] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4248), 1,
      anon_sym_DQUOTE,
    ACTIONS(4462), 1,
      anon_sym_DOLLAR,
    ACTIONS(4464), 1,
      sym__special_character,
    ACTIONS(4466), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4468), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4470), 1,
      anon_sym_BQUOTE,
    ACTIONS(4567), 1,
      anon_sym_RPAREN,
    STATE(2010), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4472), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1733), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4458), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2001), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3998), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4000), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80766] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4248), 1,
      anon_sym_DQUOTE,
    ACTIONS(4462), 1,
      anon_sym_DOLLAR,
    ACTIONS(4464), 1,
      sym__special_character,
    ACTIONS(4466), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4468), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4470), 1,
      anon_sym_BQUOTE,
    ACTIONS(4569), 1,
      anon_sym_RPAREN,
    STATE(2010), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4472), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1731), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4458), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2001), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4093), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4095), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4151), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4153), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3986), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3988), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3994), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3996), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3990), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(3992), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [80960] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4180), 1,
      sym__concat,
    STATE(1635), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3916), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4062), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [80993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4147), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(4149), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_AMP,
  [81022] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1729), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2507), 1,
      aux_sym__literal_repeat1,
    STATE(2754), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4571), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2518), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1251), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81098] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2517), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2466), 1,
      aux_sym__literal_repeat1,
    STATE(2681), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4587), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2468), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1160), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1162), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1156), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1158), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81202] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2465), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2474), 1,
      aux_sym__literal_repeat1,
    STATE(2690), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4589), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2476), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81250] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1152), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1154), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81278] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1177), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1179), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81306] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1033), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1035), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81334] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_DOLLAR,
    ACTIONS(215), 1,
      anon_sym_DQUOTE,
    ACTIONS(219), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(221), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(223), 1,
      anon_sym_BQUOTE,
    ACTIONS(1354), 1,
      sym__special_character,
    ACTIONS(4593), 1,
      sym_regex,
    STATE(399), 1,
      aux_sym__literal_repeat1,
    STATE(637), 1,
      sym_concatenation,
    ACTIONS(225), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4591), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(256), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81382] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1181), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1183), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1154), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81438] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1069), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1067), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81466] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1148), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1150), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81494] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2591), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2461), 1,
      aux_sym__literal_repeat1,
    STATE(2751), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4595), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2455), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81542] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1959), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2496), 1,
      aux_sym__literal_repeat1,
    STATE(2792), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4597), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2498), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81590] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3069), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2482), 1,
      aux_sym__literal_repeat1,
    STATE(2777), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4599), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2484), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81638] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1168), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1170), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81666] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1144), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1146), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81694] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2241), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2471), 1,
      aux_sym__literal_repeat1,
    STATE(2687), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4601), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2469), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81742] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1925), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2493), 1,
      aux_sym__literal_repeat1,
    STATE(2713), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4603), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2491), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81790] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2396), 1,
      aux_sym__literal_repeat1,
    STATE(2717), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4605), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2458), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81838] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1164), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1166), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1033), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1035), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81894] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2995), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2504), 1,
      aux_sym__literal_repeat1,
    STATE(2721), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4607), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2502), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81942] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1198), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1200), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [81970] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1737), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2407), 1,
      aux_sym__literal_repeat1,
    STATE(2689), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4609), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2405), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82018] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2413), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2488), 1,
      aux_sym__literal_repeat1,
    STATE(2707), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4611), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2490), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82066] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1198), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1200), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1150), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82122] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1156), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1158), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82150] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2557), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2446), 1,
      aux_sym__literal_repeat1,
    STATE(2745), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4613), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2435), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82198] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2867), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2399), 1,
      aux_sym__literal_repeat1,
    STATE(2715), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4615), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2398), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1144), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1146), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82274] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2387), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2497), 1,
      aux_sym__literal_repeat1,
    STATE(2714), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4617), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2415), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82322] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1160), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1162), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82350] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1261), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1259), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82378] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1793), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2412), 1,
      aux_sym__literal_repeat1,
    STATE(2678), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4619), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2410), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82426] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1257), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1255), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82454] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1605), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2421), 1,
      aux_sym__literal_repeat1,
    STATE(2725), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4621), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2422), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82502] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2715), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2441), 1,
      aux_sym__literal_repeat1,
    STATE(2639), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4623), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2443), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82550] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2460), 1,
      aux_sym__literal_repeat1,
    STATE(2676), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4625), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2394), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4627), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4629), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4631), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4633), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1164), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1166), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4438), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4440), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4444), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4446), 11,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_SLASH,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82738] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1187), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1185), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82766] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1191), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1189), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82794] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1210), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1208), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82822] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1229), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1227), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [82850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1210), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1208), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [82878] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2509), 1,
      aux_sym__literal_repeat1,
    STATE(2663), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4635), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2511), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82926] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2225), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2395), 1,
      aux_sym__literal_repeat1,
    STATE(2716), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4637), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2397), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82974] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2675), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2404), 1,
      aux_sym__literal_repeat1,
    STATE(2703), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4639), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2403), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83022] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4645), 1,
      sym__special_character,
    STATE(1815), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4641), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(4643), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [83054] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3899), 1,
      anon_sym_DOLLAR,
    ACTIONS(4649), 1,
      sym__special_character,
    ACTIONS(4651), 1,
      anon_sym_DQUOTE,
    ACTIONS(4653), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4655), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4657), 1,
      anon_sym_BQUOTE,
    STATE(1976), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4659), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1349), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4647), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1965), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83100] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1253), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1251), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83128] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1679), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2515), 1,
      aux_sym__literal_repeat1,
    STATE(2761), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4661), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2510), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83176] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1639), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2494), 1,
      aux_sym__literal_repeat1,
    STATE(2781), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4663), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2495), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83224] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1489), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2513), 1,
      aux_sym__literal_repeat1,
    STATE(2779), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4665), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2517), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83272] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2783), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2432), 1,
      aux_sym__literal_repeat1,
    STATE(2646), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4667), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2434), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83320] = 13,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1368), 1,
      sym__special_character,
    ACTIONS(4671), 1,
      sym_regex,
    STATE(416), 1,
      aux_sym__literal_repeat1,
    STATE(602), 1,
      sym_concatenation,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4669), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(257), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1168), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1170), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [83396] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2485), 1,
      aux_sym__literal_repeat1,
    STATE(2778), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4673), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2489), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1179), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [83472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1183), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [83500] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1825), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2428), 1,
      aux_sym__literal_repeat1,
    STATE(2648), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4675), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2425), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83548] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2775), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2479), 1,
      aux_sym__literal_repeat1,
    STATE(2771), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4677), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2477), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83596] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1245), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1243), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1198), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1200), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [83652] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4679), 1,
      sym__special_character,
    STATE(1815), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1220), 8,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1218), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [83684] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1833), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2400), 1,
      aux_sym__literal_repeat1,
    STATE(2711), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4682), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2401), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1198), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1200), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [83760] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1241), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1239), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1265), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1263), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [83816] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2267), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2516), 1,
      aux_sym__literal_repeat1,
    STATE(2760), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4684), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2519), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83864] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1977), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2440), 1,
      aux_sym__literal_repeat1,
    STATE(2641), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4686), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2437), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83912] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1237), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1235), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83940] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1233), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1231), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83968] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1069), 6,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym__special_character,
    ACTIONS(1067), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [83996] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3021), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2508), 1,
      aux_sym__literal_repeat1,
    STATE(2673), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4688), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2417), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84044] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3899), 1,
      anon_sym_DOLLAR,
    ACTIONS(4649), 1,
      sym__special_character,
    ACTIONS(4651), 1,
      anon_sym_DQUOTE,
    ACTIONS(4653), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4655), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4657), 1,
      anon_sym_BQUOTE,
    STATE(1976), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4659), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1358), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4647), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1965), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84090] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2233), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2419), 1,
      aux_sym__literal_repeat1,
    STATE(2756), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4690), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2514), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1261), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1259), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [84166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1255), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [84194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1185), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [84222] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2565), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2431), 1,
      aux_sym__literal_repeat1,
    STATE(2647), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4692), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2429), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84270] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1265), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1263), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84298] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4702), 1,
      anon_sym_QMARK,
    ACTIONS(4694), 2,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COLON,
    ACTIONS(4698), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4704), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4700), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4696), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [84334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1231), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [84362] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2299), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2473), 1,
      aux_sym__literal_repeat1,
    STATE(2768), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4706), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2478), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84410] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2424), 1,
      aux_sym__literal_repeat1,
    STATE(2649), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4708), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2433), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84458] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2875), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2457), 1,
      aux_sym__literal_repeat1,
    STATE(2629), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4710), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2451), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84506] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2945), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2501), 1,
      aux_sym__literal_repeat1,
    STATE(2642), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4712), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2487), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1189), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [84582] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2505), 1,
      aux_sym__literal_repeat1,
    STATE(2726), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4714), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2503), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84630] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1249), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1247), 15,
      sym__concat,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [84658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1235), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [84686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1239), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [84714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1243), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [84742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1247), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [84770] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1539), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2465), 1,
      aux_sym__literal_repeat1,
    STATE(2757), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4716), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2467), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84818] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2135), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2486), 1,
      aux_sym__literal_repeat1,
    STATE(2702), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4718), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2483), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84866] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3053), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2470), 1,
      aux_sym__literal_repeat1,
    STATE(2770), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4720), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2475), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84914] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2833), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2411), 1,
      aux_sym__literal_repeat1,
    STATE(2675), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4722), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2413), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84962] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(1370), 1,
      sym__special_character,
    ACTIONS(4726), 1,
      sym_regex,
    STATE(278), 1,
      aux_sym__literal_repeat1,
    STATE(490), 1,
      sym_concatenation,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4724), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(264), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85010] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2069), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2453), 1,
      aux_sym__literal_repeat1,
    STATE(2712), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4728), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2450), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85058] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2723), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2445), 1,
      aux_sym__literal_repeat1,
    STATE(2637), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4730), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2448), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85106] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2623), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2420), 1,
      aux_sym__literal_repeat1,
    STATE(2654), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4732), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2418), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85154] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2003), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2500), 1,
      aux_sym__literal_repeat1,
    STATE(2797), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4734), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2402), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85202] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2849), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2481), 1,
      aux_sym__literal_repeat1,
    STATE(2774), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4736), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2480), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1227), 11,
      sym__concat,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [85278] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2463), 1,
      aux_sym__literal_repeat1,
    STATE(2677), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4738), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2456), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85326] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2961), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2408), 1,
      aux_sym__literal_repeat1,
    STATE(2688), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4740), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2409), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85374] = 13,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1573), 1,
      anon_sym_RBRACE,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4575), 1,
      sym__special_character,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    STATE(2442), 1,
      aux_sym__literal_repeat1,
    STATE(2744), 1,
      sym_concatenation,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4742), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2449), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85422] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_DQUOTE,
    ACTIONS(2977), 1,
      anon_sym_DOLLAR,
    ACTIONS(2983), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2985), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2987), 1,
      anon_sym_BQUOTE,
    ACTIONS(4746), 1,
      sym__special_character,
    STATE(2388), 1,
      aux_sym__literal_repeat1,
    STATE(2554), 1,
      sym_concatenation,
    ACTIONS(2989), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4744), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2499), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85467] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4373), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4523), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [85494] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(4284), 1,
      anon_sym_DOLLAR,
    ACTIONS(4286), 1,
      sym__special_character,
    ACTIONS(4288), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4290), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4292), 1,
      anon_sym_BQUOTE,
    STATE(1448), 1,
      aux_sym__literal_repeat1,
    STATE(1590), 1,
      sym_concatenation,
    ACTIONS(4294), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4748), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1346), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85539] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4752), 1,
      anon_sym_DOLLAR,
    ACTIONS(4754), 1,
      sym__special_character,
    ACTIONS(4756), 1,
      anon_sym_DQUOTE,
    ACTIONS(4758), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4760), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4762), 1,
      anon_sym_BQUOTE,
    STATE(1336), 1,
      aux_sym__literal_repeat1,
    STATE(1490), 1,
      sym_concatenation,
    ACTIONS(4764), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4750), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1401), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85584] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4752), 1,
      anon_sym_DOLLAR,
    ACTIONS(4754), 1,
      sym__special_character,
    ACTIONS(4756), 1,
      anon_sym_DQUOTE,
    ACTIONS(4758), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4760), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4762), 1,
      anon_sym_BQUOTE,
    STATE(1320), 1,
      aux_sym__literal_repeat1,
    STATE(1501), 1,
      sym_concatenation,
    ACTIONS(4764), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4766), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1402), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85629] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4752), 1,
      anon_sym_DOLLAR,
    ACTIONS(4754), 1,
      sym__special_character,
    ACTIONS(4756), 1,
      anon_sym_DQUOTE,
    ACTIONS(4758), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4760), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4762), 1,
      anon_sym_BQUOTE,
    STATE(1324), 1,
      aux_sym__literal_repeat1,
    STATE(1442), 1,
      sym_concatenation,
    ACTIONS(4764), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4768), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1409), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85674] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_DOLLAR,
    ACTIONS(4774), 1,
      sym__special_character,
    ACTIONS(4776), 1,
      anon_sym_DQUOTE,
    ACTIONS(4778), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4780), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4782), 1,
      anon_sym_BQUOTE,
    STATE(2261), 1,
      aux_sym__literal_repeat1,
    STATE(2335), 1,
      sym_concatenation,
    ACTIONS(4784), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4770), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2263), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85719] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4702), 1,
      anon_sym_QMARK,
    ACTIONS(4786), 1,
      anon_sym_COLON,
    ACTIONS(4698), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4704), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4700), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4696), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85754] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4752), 1,
      anon_sym_DOLLAR,
    ACTIONS(4756), 1,
      anon_sym_DQUOTE,
    ACTIONS(4758), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4760), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4762), 1,
      anon_sym_BQUOTE,
    ACTIONS(4790), 1,
      sym__special_character,
    STATE(1320), 1,
      aux_sym__literal_repeat1,
    STATE(1501), 1,
      sym_concatenation,
    ACTIONS(4764), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4788), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1354), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85799] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4702), 1,
      anon_sym_QMARK,
    ACTIONS(4792), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4698), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4704), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4700), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4696), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85834] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4796), 1,
      anon_sym_RBRACK,
    ACTIONS(4802), 1,
      anon_sym_QMARK,
    ACTIONS(4798), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4804), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4800), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4794), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85869] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4796), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(4812), 1,
      anon_sym_QMARK,
    ACTIONS(4704), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4808), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4810), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4806), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85904] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4702), 1,
      anon_sym_QMARK,
    ACTIONS(4814), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4698), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4704), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4700), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4696), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85939] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4802), 1,
      anon_sym_QMARK,
    ACTIONS(4816), 1,
      anon_sym_RBRACK,
    ACTIONS(4798), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4804), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4800), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4794), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [85974] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4702), 1,
      anon_sym_QMARK,
    ACTIONS(4818), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4698), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4704), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4700), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4696), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86009] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4702), 1,
      anon_sym_QMARK,
    ACTIONS(4820), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4698), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4704), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4700), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4696), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86044] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4702), 1,
      anon_sym_QMARK,
    ACTIONS(4822), 1,
      anon_sym_COLON,
    ACTIONS(4698), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4704), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4700), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4696), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86079] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4341), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4450), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [86106] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_DQUOTE,
    ACTIONS(2977), 1,
      anon_sym_DOLLAR,
    ACTIONS(2983), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2985), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2987), 1,
      anon_sym_BQUOTE,
    ACTIONS(4746), 1,
      sym__special_character,
    STATE(2365), 1,
      aux_sym__literal_repeat1,
    STATE(2611), 1,
      sym_concatenation,
    ACTIONS(2989), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4824), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2426), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86151] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4213), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4533), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [86178] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4702), 1,
      anon_sym_QMARK,
    ACTIONS(4826), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4698), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4704), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4700), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4696), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86213] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4341), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4450), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [86240] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4213), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4533), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [86267] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4207), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4531), 14,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [86294] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4702), 1,
      anon_sym_QMARK,
    ACTIONS(4828), 1,
      anon_sym_COLON,
    ACTIONS(4698), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4704), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4700), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4696), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86329] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4702), 1,
      anon_sym_QMARK,
    ACTIONS(4830), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4698), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4704), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4700), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4696), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86364] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4702), 1,
      anon_sym_QMARK,
    ACTIONS(4796), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4698), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4704), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4700), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4696), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86399] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym_DOLLAR,
    ACTIONS(4836), 1,
      sym__special_character,
    ACTIONS(4838), 1,
      anon_sym_DQUOTE,
    ACTIONS(4840), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4842), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4844), 1,
      anon_sym_BQUOTE,
    STATE(1513), 1,
      aux_sym__literal_repeat1,
    STATE(1648), 1,
      sym_concatenation,
    ACTIONS(4846), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4832), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1481), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86444] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4812), 1,
      anon_sym_QMARK,
    ACTIONS(4816), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(4704), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4808), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4810), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4806), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86479] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4702), 1,
      anon_sym_QMARK,
    ACTIONS(4848), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4698), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4704), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4700), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4696), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86514] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym_DOLLAR,
    ACTIONS(4836), 1,
      sym__special_character,
    ACTIONS(4838), 1,
      anon_sym_DQUOTE,
    ACTIONS(4840), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4842), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4844), 1,
      anon_sym_BQUOTE,
    STATE(1510), 1,
      aux_sym__literal_repeat1,
    STATE(1638), 1,
      sym_concatenation,
    ACTIONS(4846), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4850), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1509), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86559] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4213), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4533), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [86586] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4702), 1,
      anon_sym_QMARK,
    ACTIONS(4852), 1,
      anon_sym_COLON,
    ACTIONS(4698), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4704), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4700), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4696), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86621] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_DOLLAR,
    ACTIONS(4774), 1,
      sym__special_character,
    ACTIONS(4776), 1,
      anon_sym_DQUOTE,
    ACTIONS(4778), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4780), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4782), 1,
      anon_sym_BQUOTE,
    STATE(2237), 1,
      aux_sym__literal_repeat1,
    STATE(2341), 1,
      sym_concatenation,
    ACTIONS(4784), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4854), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2239), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86666] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4213), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4533), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [86693] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4856), 1,
      anon_sym_RPAREN,
    ACTIONS(4864), 1,
      anon_sym_QMARK,
    ACTIONS(4860), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4866), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4862), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4858), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86728] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4864), 1,
      anon_sym_QMARK,
    ACTIONS(4868), 1,
      anon_sym_RPAREN,
    ACTIONS(4860), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4866), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4862), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4858), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86763] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4207), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4531), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [86790] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4694), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(4812), 1,
      anon_sym_QMARK,
    ACTIONS(4704), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4808), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4810), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4806), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86825] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4864), 1,
      anon_sym_QMARK,
    ACTIONS(4870), 1,
      anon_sym_RPAREN,
    ACTIONS(4860), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4866), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4862), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4858), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86860] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4694), 1,
      anon_sym_RPAREN,
    ACTIONS(4864), 1,
      anon_sym_QMARK,
    ACTIONS(4860), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4866), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4862), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4858), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [86895] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4752), 1,
      anon_sym_DOLLAR,
    ACTIONS(4756), 1,
      anon_sym_DQUOTE,
    ACTIONS(4758), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4760), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4762), 1,
      anon_sym_BQUOTE,
    ACTIONS(4790), 1,
      sym__special_character,
    STATE(1336), 1,
      aux_sym__literal_repeat1,
    STATE(1490), 1,
      sym_concatenation,
    ACTIONS(4764), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4872), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1350), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86940] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1783), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1785), 1,
      anon_sym_BQUOTE,
    ACTIONS(4058), 1,
      sym__special_character,
    STATE(2363), 1,
      aux_sym__literal_repeat1,
    STATE(2609), 1,
      sym_concatenation,
    ACTIONS(1787), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4874), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2361), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86985] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4702), 1,
      anon_sym_QMARK,
    ACTIONS(4876), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4698), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4704), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4700), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4696), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [87020] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4373), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4523), 14,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      sym_test_operator,
  [87047] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4864), 1,
      anon_sym_QMARK,
    ACTIONS(4878), 1,
      anon_sym_RPAREN,
    ACTIONS(4860), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4866), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4862), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4858), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [87082] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4694), 1,
      anon_sym_RBRACK,
    ACTIONS(4802), 1,
      anon_sym_QMARK,
    ACTIONS(4798), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4804), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4800), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4794), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [87117] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4702), 1,
      anon_sym_QMARK,
    ACTIONS(4816), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(4698), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4704), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4700), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4696), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [87152] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4752), 1,
      anon_sym_DOLLAR,
    ACTIONS(4756), 1,
      anon_sym_DQUOTE,
    ACTIONS(4758), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4760), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4762), 1,
      anon_sym_BQUOTE,
    ACTIONS(4790), 1,
      sym__special_character,
    STATE(1324), 1,
      aux_sym__literal_repeat1,
    STATE(1442), 1,
      sym_concatenation,
    ACTIONS(4764), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4880), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1371), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87197] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4702), 1,
      anon_sym_QMARK,
    ACTIONS(4882), 1,
      anon_sym_COLON,
    ACTIONS(4698), 2,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
    ACTIONS(4704), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4700), 5,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4696), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_test_operator,
  [87232] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(4284), 1,
      anon_sym_DOLLAR,
    ACTIONS(4286), 1,
      sym__special_character,
    ACTIONS(4288), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4290), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4292), 1,
      anon_sym_BQUOTE,
    STATE(1433), 1,
      aux_sym__literal_repeat1,
    STATE(1604), 1,
      sym_concatenation,
    ACTIONS(4294), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4884), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1344), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87277] = 12,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym_DOLLAR,
    ACTIONS(4836), 1,
      sym__special_character,
    ACTIONS(4838), 1,
      anon_sym_DQUOTE,
    ACTIONS(4840), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4842), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4844), 1,
      anon_sym_BQUOTE,
    STATE(1463), 1,
      aux_sym__literal_repeat1,
    STATE(1664), 1,
      sym_concatenation,
    ACTIONS(4846), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4886), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1470), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_COLON_QMARK,
      anon_sym_COLON_DASH,
      anon_sym_PERCENT,
      sym_word,
    ACTIONS(1067), 10,
      anon_sym_RBRACE,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_POUND,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [87349] = 11,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_DQUOTE,
    ACTIONS(2977), 1,
      anon_sym_DOLLAR,
    ACTIONS(2983), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2985), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2987), 1,
      anon_sym_BQUOTE,
    ACTIONS(4890), 1,
      anon_sym_RBRACK,
    ACTIONS(4892), 1,
      sym__special_character,
    ACTIONS(2989), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4888), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1752), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87391] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(537), 1,
      anon_sym_LF,
    ACTIONS(4896), 1,
      anon_sym_DQUOTE,
    ACTIONS(4898), 1,
      sym_raw_string,
    STATE(2316), 1,
      sym_string,
    ACTIONS(535), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
    ACTIONS(4894), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(4900), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [87427] = 11,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_DQUOTE,
    ACTIONS(2977), 1,
      anon_sym_DOLLAR,
    ACTIONS(2983), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2985), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2987), 1,
      anon_sym_BQUOTE,
    ACTIONS(4892), 1,
      sym__special_character,
    ACTIONS(4902), 1,
      anon_sym_RBRACK,
    ACTIONS(2989), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4888), 3,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1752), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87469] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2355), 1,
      anon_sym_DQUOTE,
    ACTIONS(2359), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2361), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2363), 1,
      anon_sym_BQUOTE,
    ACTIONS(4906), 1,
      anon_sym_DOLLAR,
    ACTIONS(2365), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4904), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1413), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87506] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4756), 1,
      anon_sym_DQUOTE,
    ACTIONS(4758), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4760), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4762), 1,
      anon_sym_BQUOTE,
    ACTIONS(4910), 1,
      anon_sym_DOLLAR,
    ACTIONS(4764), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4908), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1361), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87543] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_DQUOTE,
    ACTIONS(2983), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2985), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2987), 1,
      anon_sym_BQUOTE,
    ACTIONS(4912), 1,
      anon_sym_DOLLAR,
    ACTIONS(2989), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4888), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1752), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87580] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_DQUOTE,
    ACTIONS(2977), 1,
      anon_sym_DOLLAR,
    ACTIONS(2983), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2985), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2987), 1,
      anon_sym_BQUOTE,
    ACTIONS(2989), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4888), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1752), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87617] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    ACTIONS(4916), 1,
      anon_sym_DOLLAR,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4914), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2570), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87654] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_DQUOTE,
    ACTIONS(2983), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2985), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2987), 1,
      anon_sym_BQUOTE,
    ACTIONS(4918), 1,
      anon_sym_DOLLAR,
    ACTIONS(2989), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4888), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1752), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87691] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_DQUOTE,
    ACTIONS(4227), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4229), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4231), 1,
      anon_sym_BQUOTE,
    ACTIONS(4922), 1,
      anon_sym_DOLLAR,
    ACTIONS(4233), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4920), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(393), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87728] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      anon_sym_LF,
    ACTIONS(4924), 1,
      sym__concat,
    STATE(1963), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1069), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [87757] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1493), 1,
      anon_sym_DOLLAR,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4926), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1767), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87794] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4407), 1,
      anon_sym_DQUOTE,
    ACTIONS(4409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4413), 1,
      anon_sym_BQUOTE,
    ACTIONS(4930), 1,
      anon_sym_DOLLAR,
    ACTIONS(4415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4928), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(284), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87831] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4357), 1,
      anon_sym_DQUOTE,
    ACTIONS(4359), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4361), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4363), 1,
      anon_sym_BQUOTE,
    ACTIONS(4934), 1,
      anon_sym_DOLLAR,
    ACTIONS(4365), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4932), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(526), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87868] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_DOLLAR,
    ACTIONS(4938), 1,
      anon_sym_DQUOTE,
    ACTIONS(4940), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4942), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4944), 1,
      anon_sym_BQUOTE,
    ACTIONS(4946), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4936), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(603), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87905] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(393), 1,
      anon_sym_DOLLAR,
    ACTIONS(4225), 1,
      anon_sym_DQUOTE,
    ACTIONS(4227), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4229), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4231), 1,
      anon_sym_BQUOTE,
    ACTIONS(4233), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4920), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(393), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87942] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4248), 1,
      anon_sym_DQUOTE,
    ACTIONS(4462), 1,
      anon_sym_DOLLAR,
    ACTIONS(4466), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4468), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4470), 1,
      anon_sym_BQUOTE,
    ACTIONS(4472), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4948), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2014), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87979] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4756), 1,
      anon_sym_DQUOTE,
    ACTIONS(4758), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4760), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4762), 1,
      anon_sym_BQUOTE,
    ACTIONS(4950), 1,
      anon_sym_DOLLAR,
    ACTIONS(4764), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4908), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1361), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88016] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(1503), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1509), 1,
      anon_sym_BQUOTE,
    ACTIONS(4952), 1,
      anon_sym_DOLLAR,
    ACTIONS(1511), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4926), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1767), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88053] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym_DOLLAR,
    ACTIONS(4838), 1,
      anon_sym_DQUOTE,
    ACTIONS(4840), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4842), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4844), 1,
      anon_sym_BQUOTE,
    ACTIONS(4846), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4954), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1520), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88090] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1775), 1,
      anon_sym_DOLLAR,
    ACTIONS(1781), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1783), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1785), 1,
      anon_sym_BQUOTE,
    ACTIONS(1787), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4956), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1717), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88127] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_DOLLAR,
    ACTIONS(215), 1,
      anon_sym_DQUOTE,
    ACTIONS(219), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(221), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(223), 1,
      anon_sym_BQUOTE,
    ACTIONS(225), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4958), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(371), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88164] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(4962), 1,
      anon_sym_DOLLAR,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4960), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(408), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88201] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_DQUOTE,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR,
    ACTIONS(1477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4964), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1588), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88238] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4968), 1,
      anon_sym_DOLLAR,
    ACTIONS(4970), 1,
      anon_sym_DQUOTE,
    ACTIONS(4972), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4974), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4976), 1,
      anon_sym_BQUOTE,
    ACTIONS(4978), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4966), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(614), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88275] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4982), 1,
      anon_sym_DOLLAR,
    ACTIONS(4984), 1,
      anon_sym_DQUOTE,
    ACTIONS(4986), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4988), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4990), 1,
      anon_sym_BQUOTE,
    ACTIONS(4992), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4980), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88312] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1781), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1783), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1785), 1,
      anon_sym_BQUOTE,
    ACTIONS(4994), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4956), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1717), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88349] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4938), 1,
      anon_sym_DQUOTE,
    ACTIONS(4940), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4942), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4944), 1,
      anon_sym_BQUOTE,
    ACTIONS(4996), 1,
      anon_sym_DOLLAR,
    ACTIONS(4946), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4936), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(603), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88386] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_DQUOTE,
    ACTIONS(4389), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4391), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4393), 1,
      anon_sym_BQUOTE,
    ACTIONS(5000), 1,
      anon_sym_DOLLAR,
    ACTIONS(4395), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4998), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(328), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88423] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3899), 1,
      anon_sym_DOLLAR,
    ACTIONS(4651), 1,
      anon_sym_DQUOTE,
    ACTIONS(4653), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4655), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4657), 1,
      anon_sym_BQUOTE,
    ACTIONS(4659), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5002), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1971), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88460] = 9,
    ACTIONS(39), 1,
      anon_sym_DOLLAR,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5004), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(365), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88497] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_DOLLAR,
    ACTIONS(4776), 1,
      anon_sym_DQUOTE,
    ACTIONS(4778), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4780), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4782), 1,
      anon_sym_BQUOTE,
    ACTIONS(4784), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5006), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2286), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88534] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4268), 1,
      anon_sym_DQUOTE,
    ACTIONS(4270), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4272), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4274), 1,
      anon_sym_BQUOTE,
    ACTIONS(5010), 1,
      anon_sym_DOLLAR,
    ACTIONS(4276), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5008), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(548), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88571] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4752), 1,
      anon_sym_DOLLAR,
    ACTIONS(4756), 1,
      anon_sym_DQUOTE,
    ACTIONS(4758), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4760), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4762), 1,
      anon_sym_BQUOTE,
    ACTIONS(4764), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4908), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1361), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88608] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(854), 1,
      anon_sym_DOLLAR,
    ACTIONS(4970), 1,
      anon_sym_DQUOTE,
    ACTIONS(4972), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4974), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4976), 1,
      anon_sym_BQUOTE,
    ACTIONS(4978), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4966), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(614), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88645] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_DOLLAR,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(103), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(105), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(107), 1,
      anon_sym_BQUOTE,
    ACTIONS(109), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4960), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(408), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88682] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1395), 1,
      anon_sym_DOLLAR,
    ACTIONS(2355), 1,
      anon_sym_DQUOTE,
    ACTIONS(2359), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2361), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2363), 1,
      anon_sym_BQUOTE,
    ACTIONS(2365), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4904), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1413), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88719] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4308), 1,
      anon_sym_DOLLAR,
    ACTIONS(4312), 1,
      anon_sym_DQUOTE,
    ACTIONS(4314), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4316), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4318), 1,
      anon_sym_BQUOTE,
    ACTIONS(4320), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5012), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(662), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88756] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(455), 1,
      anon_sym_DOLLAR,
    ACTIONS(4387), 1,
      anon_sym_DQUOTE,
    ACTIONS(4389), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4391), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4393), 1,
      anon_sym_BQUOTE,
    ACTIONS(4395), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4998), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(328), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88793] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(870), 1,
      anon_sym_DOLLAR,
    ACTIONS(4984), 1,
      anon_sym_DQUOTE,
    ACTIONS(4986), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4988), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4990), 1,
      anon_sym_BQUOTE,
    ACTIONS(4992), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4980), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(567), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88830] = 9,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(49), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(51), 1,
      anon_sym_BQUOTE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5014), 1,
      anon_sym_DOLLAR,
    ACTIONS(53), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5004), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(365), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88867] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_DQUOTE,
    ACTIONS(1477), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
    ACTIONS(5016), 1,
      anon_sym_DOLLAR,
    ACTIONS(1483), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4964), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1588), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88904] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1781), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1783), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1785), 1,
      anon_sym_BQUOTE,
    ACTIONS(5018), 1,
      anon_sym_DOLLAR,
    ACTIONS(1787), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4956), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1717), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88941] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1035), 1,
      anon_sym_LF,
    ACTIONS(5020), 1,
      sym__concat,
    STATE(1956), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1033), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [88970] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_DQUOTE,
    ACTIONS(4778), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4780), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4782), 1,
      anon_sym_BQUOTE,
    ACTIONS(5023), 1,
      anon_sym_DOLLAR,
    ACTIONS(4784), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5006), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2286), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89007] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4312), 1,
      anon_sym_DQUOTE,
    ACTIONS(4314), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4316), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4318), 1,
      anon_sym_BQUOTE,
    ACTIONS(5025), 1,
      anon_sym_DOLLAR,
    ACTIONS(4320), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5012), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(662), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89044] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4248), 1,
      anon_sym_DQUOTE,
    ACTIONS(4466), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4468), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4470), 1,
      anon_sym_BQUOTE,
    ACTIONS(5027), 1,
      anon_sym_DOLLAR,
    ACTIONS(4472), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4948), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2014), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89081] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_DQUOTE,
    ACTIONS(4840), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4842), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4844), 1,
      anon_sym_BQUOTE,
    ACTIONS(5029), 1,
      anon_sym_DOLLAR,
    ACTIONS(4846), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4954), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1520), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89118] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(373), 1,
      anon_sym_DOLLAR,
    ACTIONS(4407), 1,
      anon_sym_DQUOTE,
    ACTIONS(4409), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4411), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4413), 1,
      anon_sym_BQUOTE,
    ACTIONS(4415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4928), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(284), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89155] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(4284), 1,
      anon_sym_DOLLAR,
    ACTIONS(4288), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4290), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4292), 1,
      anon_sym_BQUOTE,
    ACTIONS(4294), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5031), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1499), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89192] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1057), 1,
      anon_sym_LF,
    ACTIONS(5033), 1,
      sym__concat,
    STATE(1956), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1055), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89221] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4353), 1,
      anon_sym_DOLLAR,
    ACTIONS(4357), 1,
      anon_sym_DQUOTE,
    ACTIONS(4359), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4361), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4363), 1,
      anon_sym_BQUOTE,
    ACTIONS(4365), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4932), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(526), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89258] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4924), 1,
      sym__concat,
    ACTIONS(5037), 1,
      anon_sym_LF,
    STATE(1963), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5035), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89287] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4573), 1,
      anon_sym_DOLLAR,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(4579), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4581), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_BQUOTE,
    ACTIONS(4585), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4914), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(2570), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89324] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_DQUOTE,
    ACTIONS(219), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(221), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(223), 1,
      anon_sym_BQUOTE,
    ACTIONS(5039), 1,
      anon_sym_DOLLAR,
    ACTIONS(225), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4958), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(371), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89361] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(4288), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4290), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4292), 1,
      anon_sym_BQUOTE,
    ACTIONS(5041), 1,
      anon_sym_DOLLAR,
    ACTIONS(4294), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5031), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1499), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89398] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4651), 1,
      anon_sym_DQUOTE,
    ACTIONS(4653), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4655), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4657), 1,
      anon_sym_BQUOTE,
    ACTIONS(5043), 1,
      anon_sym_DOLLAR,
    ACTIONS(4659), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5002), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(1971), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89435] = 9,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4264), 1,
      anon_sym_DOLLAR,
    ACTIONS(4268), 1,
      anon_sym_DQUOTE,
    ACTIONS(4270), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4272), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4274), 1,
      anon_sym_BQUOTE,
    ACTIONS(4276), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(5008), 4,
      sym__special_character,
      sym_raw_string,
      sym_ansii_c_string,
      sym_word,
    STATE(548), 6,
      sym_string,
      sym_simple_expansion,
      sym_string_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1035), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1033), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1245), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1241), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1198), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1237), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89592] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5047), 1,
      anon_sym_LF,
    ACTIONS(5049), 1,
      sym__special_character,
    STATE(1986), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5045), 13,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1191), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1265), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1231), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1233), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1166), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1164), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1198), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1158), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1156), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1208), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1210), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1170), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1168), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1229), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89836] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1218), 1,
      anon_sym_LF,
    ACTIONS(5051), 1,
      sym__special_character,
    STATE(1986), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1220), 13,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1162), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1160), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1154), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1152), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1253), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1181), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1261), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [89984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1257), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1177), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1146), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1144), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1187), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1249), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1150), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1148), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90128] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_DQUOTE,
    ACTIONS(1457), 1,
      sym_raw_string,
    STATE(1762), 1,
      sym_string,
    ACTIONS(537), 2,
      sym__concat,
      anon_sym_RBRACK,
    ACTIONS(1461), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1459), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1453), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90161] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1445), 1,
      sym_raw_string,
    STATE(1663), 1,
      sym_string,
    ACTIONS(537), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
    ACTIONS(1449), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1447), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1441), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      anon_sym_LF,
    ACTIONS(1069), 14,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
      anon_sym_AMP,
  [90217] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5035), 1,
      anon_sym_DOLLAR,
    ACTIONS(5054), 1,
      sym__concat,
    STATE(2005), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5037), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90243] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1033), 1,
      anon_sym_DOLLAR,
    ACTIONS(5056), 1,
      sym__concat,
    STATE(2002), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1035), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90269] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR,
    ACTIONS(5054), 1,
      sym__concat,
    STATE(2005), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1067), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90295] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(537), 1,
      anon_sym_RBRACE,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(5061), 1,
      sym_raw_string,
    STATE(2564), 1,
      sym_string,
    ACTIONS(5065), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5063), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5059), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90327] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(5067), 1,
      sym__concat,
    STATE(2002), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1057), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90353] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1152), 1,
      anon_sym_DOLLAR,
    ACTIONS(1154), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90374] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_DQUOTE,
    ACTIONS(5071), 1,
      sym_raw_string,
    STATE(1516), 1,
      sym_string,
    ACTIONS(5073), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1347), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5069), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90403] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1237), 1,
      anon_sym_DOLLAR,
    ACTIONS(1235), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90424] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2355), 1,
      anon_sym_DQUOTE,
    ACTIONS(5077), 1,
      sym_raw_string,
    STATE(1411), 1,
      sym_string,
    ACTIONS(5079), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1385), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5075), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90453] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5045), 1,
      anon_sym_DOLLAR,
    ACTIONS(5081), 1,
      sym__special_character,
    STATE(2041), 1,
      aux_sym__literal_repeat1,
    ACTIONS(5047), 10,
      anon_sym_RPAREN,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90478] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_DQUOTE,
    ACTIONS(5085), 1,
      sym_raw_string,
    STATE(332), 1,
      sym_string,
    ACTIONS(5087), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(625), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5083), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90507] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1144), 1,
      anon_sym_DOLLAR,
    ACTIONS(1146), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90528] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4756), 1,
      anon_sym_DQUOTE,
    ACTIONS(5091), 1,
      sym_raw_string,
    STATE(1386), 1,
      sym_string,
    ACTIONS(5093), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1129), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5089), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90557] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1033), 1,
      anon_sym_DOLLAR,
    ACTIONS(1035), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90578] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1261), 1,
      anon_sym_DOLLAR,
    ACTIONS(1259), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90599] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_DQUOTE,
    ACTIONS(5097), 1,
      sym_raw_string,
    STATE(2316), 1,
      sym_string,
    ACTIONS(5099), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(4900), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5095), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90628] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1411), 1,
      anon_sym_DQUOTE,
    ACTIONS(1413), 1,
      sym_raw_string,
    STATE(1530), 1,
      sym_string,
    ACTIONS(1417), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1415), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1409), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90657] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1265), 1,
      anon_sym_DOLLAR,
    ACTIONS(1263), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90678] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(99), 1,
      anon_sym_DQUOTE,
    ACTIONS(5103), 1,
      sym_raw_string,
    STATE(420), 1,
      sym_string,
    ACTIONS(5105), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(545), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5101), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90707] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4312), 1,
      anon_sym_DQUOTE,
    ACTIONS(5109), 1,
      sym_raw_string,
    STATE(655), 1,
      sym_string,
    ACTIONS(5111), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(684), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5107), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90736] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1257), 1,
      anon_sym_DOLLAR,
    ACTIONS(1255), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90757] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4651), 1,
      anon_sym_DQUOTE,
    ACTIONS(5115), 1,
      sym_raw_string,
    STATE(1994), 1,
      sym_string,
    ACTIONS(5117), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(3811), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5113), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90786] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_DQUOTE,
    ACTIONS(5121), 1,
      sym_raw_string,
    STATE(369), 1,
      sym_string,
    ACTIONS(5123), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(567), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5119), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90815] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1156), 1,
      anon_sym_DOLLAR,
    ACTIONS(1158), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90836] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1233), 1,
      anon_sym_DOLLAR,
    ACTIONS(1231), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90857] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4984), 1,
      anon_sym_DQUOTE,
    ACTIONS(5127), 1,
      sym_raw_string,
    STATE(563), 1,
      sym_string,
    ACTIONS(5129), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(933), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5125), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90886] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1177), 1,
      anon_sym_DOLLAR,
    ACTIONS(1179), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90907] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_DOLLAR,
    ACTIONS(1239), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90928] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1187), 1,
      anon_sym_DOLLAR,
    ACTIONS(1185), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90949] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4407), 1,
      anon_sym_DQUOTE,
    ACTIONS(5133), 1,
      sym_raw_string,
    STATE(282), 1,
      sym_string,
    ACTIONS(5135), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(696), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5131), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [90978] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1148), 1,
      anon_sym_DOLLAR,
    ACTIONS(1150), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90999] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 1,
      anon_sym_DQUOTE,
    ACTIONS(1445), 1,
      sym_raw_string,
    STATE(1663), 1,
      sym_string,
    ACTIONS(1449), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1447), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1441), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [91028] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1181), 1,
      anon_sym_DOLLAR,
    ACTIONS(1183), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91049] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1245), 1,
      anon_sym_DOLLAR,
    ACTIONS(1243), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91070] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1168), 1,
      anon_sym_DOLLAR,
    ACTIONS(1170), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91091] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1191), 1,
      anon_sym_DOLLAR,
    ACTIONS(1189), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91112] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1210), 1,
      anon_sym_DOLLAR,
    ACTIONS(1208), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91133] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4248), 1,
      anon_sym_DQUOTE,
    ACTIONS(4250), 1,
      sym_raw_string,
    STATE(2012), 1,
      sym_string,
    ACTIONS(5137), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(4254), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(4252), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [91162] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1497), 1,
      anon_sym_DQUOTE,
    ACTIONS(3768), 1,
      sym_raw_string,
    STATE(1777), 1,
      sym_string,
    ACTIONS(5139), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(3772), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(3770), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [91191] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1229), 1,
      anon_sym_DOLLAR,
    ACTIONS(1227), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91212] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1220), 1,
      anon_sym_DOLLAR,
    ACTIONS(5141), 1,
      sym__special_character,
    STATE(2041), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1218), 10,
      anon_sym_RPAREN,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91237] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1253), 1,
      anon_sym_DOLLAR,
    ACTIONS(1251), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91258] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1433), 1,
      sym_raw_string,
    STATE(1505), 1,
      sym_string,
    ACTIONS(5144), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1437), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1435), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [91287] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4970), 1,
      anon_sym_DQUOTE,
    ACTIONS(5148), 1,
      sym_raw_string,
    STATE(621), 1,
      sym_string,
    ACTIONS(5150), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(828), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5146), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [91316] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4938), 1,
      anon_sym_DQUOTE,
    ACTIONS(5154), 1,
      sym_raw_string,
    STATE(613), 1,
      sym_string,
    ACTIONS(5156), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(898), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5152), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [91345] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_DQUOTE,
    ACTIONS(5160), 1,
      sym_raw_string,
    STATE(386), 1,
      sym_string,
    ACTIONS(5162), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(690), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5158), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [91374] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4577), 1,
      anon_sym_DQUOTE,
    ACTIONS(5061), 1,
      sym_raw_string,
    STATE(2564), 1,
      sym_string,
    ACTIONS(5065), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5063), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5059), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [91403] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_DQUOTE,
    ACTIONS(5166), 1,
      sym_raw_string,
    STATE(351), 1,
      sym_string,
    ACTIONS(5168), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(575), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5164), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [91432] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1160), 1,
      anon_sym_DOLLAR,
    ACTIONS(1162), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91453] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1249), 1,
      anon_sym_DOLLAR,
    ACTIONS(1247), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91474] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1164), 1,
      anon_sym_DOLLAR,
    ACTIONS(1166), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91495] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1198), 1,
      anon_sym_DOLLAR,
    ACTIONS(1200), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91516] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1198), 1,
      anon_sym_DOLLAR,
    ACTIONS(1200), 12,
      sym__concat,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91537] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 1,
      anon_sym_DQUOTE,
    ACTIONS(1457), 1,
      sym_raw_string,
    STATE(1762), 1,
      sym_string,
    ACTIONS(1461), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(1459), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1453), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [91566] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4268), 1,
      anon_sym_DQUOTE,
    ACTIONS(5172), 1,
      sym_raw_string,
    STATE(554), 1,
      sym_string,
    ACTIONS(5174), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(599), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5170), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [91595] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4357), 1,
      anon_sym_DQUOTE,
    ACTIONS(5178), 1,
      sym_raw_string,
    STATE(537), 1,
      sym_string,
    ACTIONS(5180), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(762), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5176), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [91624] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5184), 1,
      anon_sym_esac,
    ACTIONS(5182), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(5186), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [91646] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5196), 1,
      sym_variable_name,
    STATE(885), 1,
      sym_subscript,
    ACTIONS(5188), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5194), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5190), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5192), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [91674] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5200), 1,
      anon_sym_DQUOTE,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [91698] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5206), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [91722] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5208), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [91746] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5212), 1,
      anon_sym_esac,
    ACTIONS(5210), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(5214), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [91768] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5216), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [91792] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5218), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [91816] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5222), 1,
      anon_sym_esac,
    ACTIONS(5220), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(5224), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [91838] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5226), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [91862] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5236), 1,
      sym_variable_name,
    STATE(713), 1,
      sym_subscript,
    ACTIONS(5228), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5234), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5230), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5232), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [91890] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5246), 1,
      sym_variable_name,
    STATE(787), 1,
      sym_subscript,
    ACTIONS(5238), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5244), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5240), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5242), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [91918] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5248), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [91942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5250), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [91966] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5260), 1,
      sym_variable_name,
    STATE(765), 1,
      sym_subscript,
    ACTIONS(5252), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5258), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5254), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5256), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [91994] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5262), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92018] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5264), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92042] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR,
    ACTIONS(1067), 11,
      anon_sym_RPAREN,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92062] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5274), 1,
      sym_variable_name,
    STATE(744), 1,
      sym_subscript,
    ACTIONS(5266), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5272), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5268), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5270), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [92090] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5278), 1,
      anon_sym_esac,
    ACTIONS(5276), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(5280), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [92112] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5290), 1,
      sym_variable_name,
    STATE(720), 1,
      sym_subscript,
    ACTIONS(5282), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5288), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5284), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5286), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [92140] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5300), 1,
      sym_variable_name,
    STATE(773), 1,
      sym_subscript,
    ACTIONS(5292), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5298), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5294), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5296), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [92168] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5302), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92192] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5312), 1,
      sym_variable_name,
    STATE(769), 1,
      sym_subscript,
    ACTIONS(5304), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5310), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5306), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5308), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [92220] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5322), 1,
      sym_variable_name,
    STATE(836), 1,
      sym_subscript,
    ACTIONS(5314), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5320), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5316), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5318), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [92248] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5324), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92272] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5334), 1,
      sym_variable_name,
    STATE(852), 1,
      sym_subscript,
    ACTIONS(5326), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5332), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5328), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5330), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [92300] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5338), 1,
      anon_sym_esac,
    ACTIONS(5336), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(5340), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [92322] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5350), 1,
      sym_variable_name,
    STATE(704), 1,
      sym_subscript,
    ACTIONS(5342), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5348), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5344), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5346), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [92350] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5352), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92374] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5354), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92398] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5364), 1,
      sym_variable_name,
    STATE(903), 1,
      sym_subscript,
    ACTIONS(5356), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5362), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5358), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5360), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [92426] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5374), 1,
      sym_variable_name,
    STATE(911), 1,
      sym_subscript,
    ACTIONS(5366), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5372), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5368), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5370), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [92454] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5376), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92478] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5378), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92502] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5380), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92526] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5382), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92550] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5384), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92574] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5386), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92598] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5388), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92622] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5392), 1,
      anon_sym_esac,
    ACTIONS(5390), 2,
      anon_sym_DOLLAR,
      sym_word,
    ACTIONS(5394), 9,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [92644] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5396), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92668] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5398), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92692] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5400), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92716] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5402), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92740] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5404), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92764] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5406), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92788] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5416), 1,
      sym_variable_name,
    STATE(857), 1,
      sym_subscript,
    ACTIONS(5408), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5414), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5410), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5412), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [92816] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      sym_variable_name,
    STATE(824), 1,
      sym_subscript,
    ACTIONS(5418), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5424), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5420), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5422), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [92844] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5436), 1,
      sym_variable_name,
    STATE(772), 1,
      sym_subscript,
    ACTIONS(5428), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5434), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5430), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5432), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [92872] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5438), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92896] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5440), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92920] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5442), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92944] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5452), 1,
      sym_variable_name,
    STATE(873), 1,
      sym_subscript,
    ACTIONS(5444), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5450), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5446), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5448), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [92972] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5454), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [92996] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5464), 1,
      sym_variable_name,
    STATE(858), 1,
      sym_subscript,
    ACTIONS(5456), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5462), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5458), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5460), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [93024] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5466), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93048] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5468), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93072] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5478), 1,
      sym_variable_name,
    STATE(819), 1,
      sym_subscript,
    ACTIONS(5470), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5476), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5472), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5474), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [93100] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5480), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93124] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5482), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93148] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5484), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93172] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5486), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93196] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5496), 1,
      sym_variable_name,
    STATE(811), 1,
      sym_subscript,
    ACTIONS(5488), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5494), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5490), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5492), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [93224] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5498), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93248] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5500), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93272] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 1,
      sym_variable_name,
    STATE(695), 1,
      sym_subscript,
    ACTIONS(5502), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5508), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5504), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5506), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [93300] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5512), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93324] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5522), 1,
      sym_variable_name,
    STATE(734), 1,
      sym_subscript,
    ACTIONS(5514), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5520), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5516), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5518), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [93352] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5532), 1,
      sym_variable_name,
    STATE(888), 1,
      sym_subscript,
    ACTIONS(5524), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5530), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5526), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5528), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [93380] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5534), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93404] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5544), 1,
      sym_variable_name,
    STATE(800), 1,
      sym_subscript,
    ACTIONS(5536), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5542), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5538), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5540), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [93432] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5546), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93456] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5548), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93480] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5550), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93504] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5552), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93528] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5562), 1,
      sym_variable_name,
    STATE(748), 1,
      sym_subscript,
    ACTIONS(5554), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5560), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5556), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5558), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [93556] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5564), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93580] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5574), 1,
      sym_variable_name,
    STATE(778), 1,
      sym_subscript,
    ACTIONS(5566), 2,
      anon_sym_BANG,
      anon_sym_POUND,
    ACTIONS(5572), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5568), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5570), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [93608] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5576), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93632] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5578), 1,
      anon_sym_DQUOTE,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93656] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5210), 1,
      anon_sym_DOLLAR,
    ACTIONS(5214), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93675] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5220), 1,
      anon_sym_DOLLAR,
    ACTIONS(5224), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93694] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5276), 1,
      anon_sym_DOLLAR,
    ACTIONS(5280), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93713] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5202), 1,
      sym__string_content,
    ACTIONS(5198), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
    ACTIONS(5204), 5,
      aux_sym__simple_variable_name_token1,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_0,
      anon_sym__,
  [93734] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym_DOLLAR,
    ACTIONS(5340), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93753] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5182), 1,
      anon_sym_DOLLAR,
    ACTIONS(5186), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93772] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5390), 1,
      anon_sym_DOLLAR,
    ACTIONS(5394), 10,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansii_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93791] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5584), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5582), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
    ACTIONS(5580), 5,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
  [93811] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5440), 1,
      anon_sym_DQUOTE,
    ACTIONS(5586), 1,
      anon_sym_DOLLAR,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    STATE(2213), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93841] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5498), 1,
      anon_sym_DQUOTE,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5596), 1,
      anon_sym_DOLLAR,
    STATE(2213), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93871] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5598), 1,
      anon_sym_DOLLAR,
    ACTIONS(5600), 1,
      anon_sym_DQUOTE,
    STATE(2189), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93901] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5608), 1,
      sym_variable_name,
    STATE(864), 1,
      sym_subscript,
    ACTIONS(5606), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5602), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5604), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [93925] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 1,
      anon_sym_DQUOTE,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5610), 1,
      anon_sym_DOLLAR,
    STATE(2213), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [93955] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5618), 1,
      sym_variable_name,
    STATE(869), 1,
      sym_subscript,
    ACTIONS(5616), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5612), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5614), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [93979] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5620), 1,
      anon_sym_DOLLAR,
    ACTIONS(5622), 1,
      anon_sym_DQUOTE,
    STATE(2150), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94009] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5206), 1,
      anon_sym_DQUOTE,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5624), 1,
      anon_sym_DOLLAR,
    STATE(2213), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94039] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5626), 1,
      anon_sym_DOLLAR,
    ACTIONS(5628), 1,
      anon_sym_DQUOTE,
    STATE(2153), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94069] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5636), 1,
      sym_variable_name,
    STATE(838), 1,
      sym_subscript,
    ACTIONS(5634), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5630), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5632), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [94093] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR,
    ACTIONS(5640), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5642), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5644), 1,
      anon_sym_BQUOTE,
    ACTIONS(5646), 1,
      sym__heredoc_body_middle,
    ACTIONS(5648), 1,
      sym__heredoc_body_end,
    STATE(2169), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [94121] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5650), 1,
      anon_sym_DOLLAR,
    ACTIONS(5652), 1,
      anon_sym_DQUOTE,
    STATE(2161), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94151] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5438), 1,
      anon_sym_DQUOTE,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5654), 1,
      anon_sym_DOLLAR,
    STATE(2213), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94181] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5400), 1,
      anon_sym_DQUOTE,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5656), 1,
      anon_sym_DOLLAR,
    STATE(2213), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94211] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5664), 1,
      sym_variable_name,
    STATE(751), 1,
      sym_subscript,
    ACTIONS(5662), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5658), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5660), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [94235] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5208), 1,
      anon_sym_DQUOTE,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5666), 1,
      anon_sym_DOLLAR,
    STATE(2213), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94265] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5226), 1,
      anon_sym_DQUOTE,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5668), 1,
      anon_sym_DOLLAR,
    STATE(2213), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94295] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5670), 1,
      anon_sym_DOLLAR,
    ACTIONS(5672), 1,
      anon_sym_DQUOTE,
    STATE(2159), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94325] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5680), 1,
      sym_variable_name,
    STATE(767), 1,
      sym_subscript,
    ACTIONS(5678), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5674), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5676), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [94349] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5500), 1,
      anon_sym_DQUOTE,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5682), 1,
      anon_sym_DOLLAR,
    STATE(2213), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94379] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5578), 1,
      anon_sym_DQUOTE,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5684), 1,
      anon_sym_DOLLAR,
    STATE(2213), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94409] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5686), 1,
      anon_sym_DOLLAR,
    ACTIONS(5688), 1,
      anon_sym_DQUOTE,
    STATE(2166), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94439] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5690), 1,
      anon_sym_DOLLAR,
    ACTIONS(5692), 1,
      anon_sym_DQUOTE,
    STATE(2162), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94469] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR,
    ACTIONS(5640), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5642), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5644), 1,
      anon_sym_BQUOTE,
    ACTIONS(5694), 1,
      sym__heredoc_body_middle,
    ACTIONS(5696), 1,
      sym__heredoc_body_end,
    STATE(2219), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [94497] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5704), 1,
      sym_variable_name,
    STATE(716), 1,
      sym_subscript,
    ACTIONS(5702), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5698), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5700), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [94521] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5712), 1,
      sym_variable_name,
    STATE(743), 1,
      sym_subscript,
    ACTIONS(5710), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5706), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5708), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [94545] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5714), 1,
      anon_sym_DOLLAR,
    ACTIONS(5716), 1,
      anon_sym_DQUOTE,
    STATE(2173), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94575] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5512), 1,
      anon_sym_DQUOTE,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5718), 1,
      anon_sym_DOLLAR,
    STATE(2213), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94605] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5726), 1,
      sym_variable_name,
    STATE(761), 1,
      sym_subscript,
    ACTIONS(5724), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5720), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5722), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [94629] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5728), 1,
      anon_sym_DOLLAR,
    ACTIONS(5730), 1,
      anon_sym_DQUOTE,
    STATE(2179), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94659] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5738), 1,
      sym_variable_name,
    STATE(697), 1,
      sym_subscript,
    ACTIONS(5736), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5732), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5734), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [94683] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5746), 1,
      sym_variable_name,
    STATE(706), 1,
      sym_subscript,
    ACTIONS(5744), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5740), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5742), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [94707] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5754), 1,
      sym_variable_name,
    STATE(724), 1,
      sym_subscript,
    ACTIONS(5752), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5748), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5750), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [94731] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5248), 1,
      anon_sym_DQUOTE,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5756), 1,
      anon_sym_DOLLAR,
    STATE(2213), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94761] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5764), 1,
      sym_variable_name,
    STATE(736), 1,
      sym_subscript,
    ACTIONS(5762), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5758), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5760), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [94785] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5552), 1,
      anon_sym_DQUOTE,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5766), 1,
      anon_sym_DOLLAR,
    STATE(2213), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94815] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5768), 1,
      anon_sym_DOLLAR,
    ACTIONS(5770), 1,
      anon_sym_DQUOTE,
    STATE(2181), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94845] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5778), 1,
      sym_variable_name,
    STATE(771), 1,
      sym_subscript,
    ACTIONS(5776), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5772), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5774), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [94869] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5786), 1,
      sym_variable_name,
    STATE(832), 1,
      sym_subscript,
    ACTIONS(5784), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5780), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5782), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [94893] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5794), 1,
      sym_variable_name,
    STATE(780), 1,
      sym_subscript,
    ACTIONS(5792), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5788), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5790), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [94917] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5262), 1,
      anon_sym_DQUOTE,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5796), 1,
      anon_sym_DOLLAR,
    STATE(2213), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94947] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5798), 1,
      anon_sym_DOLLAR,
    ACTIONS(5800), 1,
      anon_sym_DQUOTE,
    STATE(2186), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [94977] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5802), 1,
      anon_sym_DOLLAR,
    ACTIONS(5804), 1,
      anon_sym_DQUOTE,
    STATE(2199), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95007] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 1,
      anon_sym_DQUOTE,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5806), 1,
      anon_sym_DOLLAR,
    STATE(2213), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95037] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5814), 1,
      sym_variable_name,
    STATE(793), 1,
      sym_subscript,
    ACTIONS(5812), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5808), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5810), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95061] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5816), 1,
      anon_sym_DOLLAR,
    ACTIONS(5818), 1,
      anon_sym_DQUOTE,
    STATE(2210), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95091] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5820), 1,
      anon_sym_DOLLAR,
    ACTIONS(5822), 1,
      anon_sym_DQUOTE,
    STATE(2194), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95121] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR,
    ACTIONS(5640), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5642), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5644), 1,
      anon_sym_BQUOTE,
    ACTIONS(5824), 1,
      sym__heredoc_body_middle,
    ACTIONS(5826), 1,
      sym__heredoc_body_end,
    STATE(2225), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [95149] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5324), 1,
      anon_sym_DQUOTE,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5828), 1,
      anon_sym_DOLLAR,
    STATE(2213), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95179] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5836), 1,
      sym_variable_name,
    STATE(850), 1,
      sym_subscript,
    ACTIONS(5834), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5830), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5832), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95203] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5844), 1,
      sym_variable_name,
    STATE(711), 1,
      sym_subscript,
    ACTIONS(5842), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5838), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5840), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95227] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5852), 1,
      sym_variable_name,
    STATE(692), 1,
      sym_subscript,
    ACTIONS(5850), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5846), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5848), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95251] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5854), 1,
      anon_sym_DOLLAR,
    ACTIONS(5856), 1,
      anon_sym_DQUOTE,
    STATE(2158), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95281] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5482), 1,
      anon_sym_DQUOTE,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5858), 1,
      anon_sym_DOLLAR,
    STATE(2213), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95311] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5860), 1,
      anon_sym_DOLLAR,
    ACTIONS(5862), 1,
      anon_sym_DQUOTE,
    STATE(2203), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95341] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5870), 1,
      sym_variable_name,
    STATE(895), 1,
      sym_subscript,
    ACTIONS(5868), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5864), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5866), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95365] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5872), 1,
      anon_sym_DOLLAR,
    ACTIONS(5874), 1,
      anon_sym_DQUOTE,
    STATE(2165), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95395] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5486), 1,
      anon_sym_DQUOTE,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5876), 1,
      anon_sym_DOLLAR,
    STATE(2213), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95425] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5878), 1,
      anon_sym_DOLLAR,
    ACTIONS(5880), 1,
      anon_sym_DQUOTE,
    STATE(2206), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95455] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5888), 1,
      sym_variable_name,
    STATE(813), 1,
      sym_subscript,
    ACTIONS(5886), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5882), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5884), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95479] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5484), 1,
      anon_sym_DQUOTE,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5890), 1,
      anon_sym_DOLLAR,
    STATE(2213), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95509] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5898), 1,
      sym_variable_name,
    STATE(909), 1,
      sym_subscript,
    ACTIONS(5896), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5892), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5894), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95533] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5384), 1,
      anon_sym_DQUOTE,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5900), 1,
      anon_sym_DOLLAR,
    STATE(2213), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95563] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5908), 1,
      sym_variable_name,
    STATE(877), 1,
      sym_subscript,
    ACTIONS(5906), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5902), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5904), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95587] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 1,
      anon_sym_DQUOTE,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5910), 1,
      anon_sym_DOLLAR,
    STATE(2213), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95617] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5912), 1,
      anon_sym_DOLLAR,
    ACTIONS(5914), 1,
      anon_sym_DQUOTE,
    STATE(2208), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95647] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5922), 1,
      sym_variable_name,
    STATE(825), 1,
      sym_subscript,
    ACTIONS(5920), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5916), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5918), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95671] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5924), 1,
      anon_sym_DOLLAR,
    ACTIONS(5927), 1,
      anon_sym_DQUOTE,
    ACTIONS(5929), 1,
      sym__string_content,
    ACTIONS(5932), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5935), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5938), 1,
      anon_sym_BQUOTE,
    STATE(2213), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95701] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5941), 1,
      anon_sym_DOLLAR,
    ACTIONS(5943), 1,
      anon_sym_DQUOTE,
    STATE(2217), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95731] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5945), 1,
      anon_sym_DOLLAR,
    ACTIONS(5947), 1,
      anon_sym_DQUOTE,
    STATE(2147), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95761] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5955), 1,
      sym_variable_name,
    STATE(860), 1,
      sym_subscript,
    ACTIONS(5953), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5949), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5951), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95785] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5386), 1,
      anon_sym_DQUOTE,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5957), 1,
      anon_sym_DOLLAR,
    STATE(2213), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95815] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5442), 1,
      anon_sym_DQUOTE,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5959), 1,
      anon_sym_DOLLAR,
    STATE(2213), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95845] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5961), 1,
      anon_sym_DOLLAR,
    ACTIONS(5964), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5967), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5970), 1,
      anon_sym_BQUOTE,
    ACTIONS(5973), 1,
      sym__heredoc_body_middle,
    ACTIONS(5976), 1,
      sym__heredoc_body_end,
    STATE(2219), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [95873] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5984), 1,
      sym_variable_name,
    STATE(892), 1,
      sym_subscript,
    ACTIONS(5982), 2,
      anon_sym_STAR,
      anon_sym_AT,
    ACTIONS(5978), 3,
      anon_sym_DASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(5980), 3,
      aux_sym__simple_variable_name_token1,
      anon_sym_0,
      anon_sym__,
  [95897] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5396), 1,
      anon_sym_DQUOTE,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5986), 1,
      anon_sym_DOLLAR,
    STATE(2213), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95927] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5988), 1,
      anon_sym_DOLLAR,
    ACTIONS(5990), 1,
      anon_sym_DQUOTE,
    STATE(2218), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95957] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5992), 1,
      anon_sym_DOLLAR,
    ACTIONS(5994), 1,
      anon_sym_DQUOTE,
    STATE(2221), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [95987] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5588), 1,
      sym__string_content,
    ACTIONS(5590), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5592), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5594), 1,
      anon_sym_BQUOTE,
    ACTIONS(5996), 1,
      anon_sym_DOLLAR,
    ACTIONS(5998), 1,
      anon_sym_DQUOTE,
    STATE(2146), 1,
      aux_sym_string_repeat1,
    STATE(2267), 3,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [96017] = 8,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(5638), 1,
      anon_sym_DOLLAR,
    ACTIONS(5640), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5642), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5644), 1,
      anon_sym_BQUOTE,
    ACTIONS(5694), 1,
      sym__heredoc_body_middle,
    ACTIONS(6000), 1,
      sym__heredoc_body_end,
    STATE(2219), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [96045] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      anon_sym_LF,
    ACTIONS(6002), 1,
      sym__concat,
    STATE(2262), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1069), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      sym__special_character,
      anon_sym_AMP,
  [96065] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(89), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6004), 1,
      anon_sym_LPAREN,
    STATE(1454), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [96089] = 7,
    ACTIONS(11), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(21), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(27), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(55), 1,
      sym_comment,
    STATE(1714), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [96113] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6006), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(6008), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [96129] = 7,
    ACTIONS(11), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(27), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6010), 1,
      anon_sym_LPAREN,
    STATE(1675), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [96153] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6012), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(6014), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [96169] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(81), 1,
      anon_sym_LPAREN,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(89), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(1426), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [96193] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6016), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(6018), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [96209] = 7,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(81), 1,
      anon_sym_LPAREN,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_LBRACK,
    ACTIONS(89), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(1418), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [96233] = 7,
    ACTIONS(11), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(21), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(27), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(55), 1,
      sym_comment,
    STATE(1645), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [96257] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6020), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
    ACTIONS(6022), 5,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [96273] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      anon_sym_LF,
    ACTIONS(6026), 1,
      anon_sym_in,
    ACTIONS(6030), 1,
      sym__special_character,
    STATE(2264), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6028), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 1,
      sym__concat,
    ACTIONS(1198), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96309] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6002), 1,
      sym__concat,
    ACTIONS(6032), 1,
      anon_sym_LF,
    ACTIONS(6034), 1,
      anon_sym_in,
    STATE(2262), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6036), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 1,
      sym__concat,
    ACTIONS(1257), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 1,
      sym__concat,
    ACTIONS(1265), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 1,
      sym__concat,
    ACTIONS(1177), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6038), 1,
      anon_sym_LF,
    ACTIONS(6040), 6,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [96390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 1,
      sym__concat,
    ACTIONS(1187), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 1,
      sym__concat,
    ACTIONS(1253), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 1,
      sym__concat,
    ACTIONS(1249), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 1,
      sym__concat,
    ACTIONS(1245), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 1,
      sym__concat,
    ACTIONS(1241), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 1,
      sym__concat,
    ACTIONS(1237), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 1,
      sym__concat,
    ACTIONS(1191), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1231), 1,
      sym__concat,
    ACTIONS(1233), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 1,
      sym__concat,
    ACTIONS(1229), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6042), 1,
      anon_sym_LF,
    ACTIONS(6044), 6,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [96540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6046), 1,
      anon_sym_LF,
    ACTIONS(6048), 6,
      anon_sym_SEMI,
      anon_sym_esac,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_BQUOTE,
      anon_sym_AMP,
  [96555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 1,
      sym__concat,
    ACTIONS(1181), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1170), 1,
      sym__concat,
    ACTIONS(1168), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1166), 1,
      sym__concat,
    ACTIONS(1164), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6050), 1,
      sym__concat,
    ACTIONS(5927), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1208), 1,
      sym__concat,
    ACTIONS(1210), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 1,
      sym__concat,
    ACTIONS(1198), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96645] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6030), 1,
      sym__special_character,
    ACTIONS(6052), 1,
      anon_sym_LF,
    ACTIONS(6054), 1,
      anon_sym_in,
    STATE(2264), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6056), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96666] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1057), 1,
      anon_sym_LF,
    ACTIONS(6058), 1,
      sym__concat,
    STATE(2265), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1055), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96685] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6002), 1,
      sym__concat,
    ACTIONS(6060), 1,
      anon_sym_LF,
    ACTIONS(6062), 1,
      anon_sym_in,
    STATE(2262), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6064), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96706] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1218), 1,
      anon_sym_LF,
    ACTIONS(6066), 1,
      sym__special_character,
    STATE(2264), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1220), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96725] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1035), 1,
      anon_sym_LF,
    ACTIONS(6069), 1,
      sym__concat,
    STATE(2265), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1033), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 1,
      sym__concat,
    ACTIONS(1261), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6074), 1,
      sym__concat,
    ACTIONS(6072), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1227), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1229), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96788] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6076), 1,
      anon_sym_fi,
    ACTIONS(6078), 1,
      anon_sym_elif,
    ACTIONS(6080), 1,
      anon_sym_else,
    STATE(2708), 1,
      sym_else_clause,
    STATE(2337), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [96808] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1257), 1,
      anon_sym_DOLLAR,
    ACTIONS(1255), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1158), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1156), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1198), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1185), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1187), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1198), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1189), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1191), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96892] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1245), 1,
      anon_sym_DOLLAR,
    ACTIONS(1243), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96906] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1249), 1,
      anon_sym_DOLLAR,
    ACTIONS(1247), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1208), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1210), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1181), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1177), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [96962] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1253), 1,
      anon_sym_DOLLAR,
    ACTIONS(1251), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96976] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1229), 1,
      anon_sym_DOLLAR,
    ACTIONS(1227), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [96990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1154), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1152), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1245), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97018] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1164), 1,
      anon_sym_DOLLAR,
    ACTIONS(1166), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1035), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1033), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97046] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1168), 1,
      anon_sym_DOLLAR,
    ACTIONS(1170), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97060] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1210), 1,
      anon_sym_DOLLAR,
    ACTIONS(1208), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97074] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1237), 1,
      anon_sym_DOLLAR,
    ACTIONS(1235), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97088] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_elif,
    ACTIONS(6080), 1,
      anon_sym_else,
    ACTIONS(6082), 1,
      anon_sym_fi,
    STATE(2775), 1,
      sym_else_clause,
    STATE(2337), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [97108] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1191), 1,
      anon_sym_DOLLAR,
    ACTIONS(1189), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97122] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_elif,
    ACTIONS(6080), 1,
      anon_sym_else,
    ACTIONS(6084), 1,
      anon_sym_fi,
    STATE(2666), 1,
      sym_else_clause,
    STATE(2337), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [97142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1162), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1160), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1257), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 1,
      anon_sym_LF,
    ACTIONS(1069), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      sym__special_character,
      anon_sym_AMP,
  [97184] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1187), 1,
      anon_sym_DOLLAR,
    ACTIONS(1185), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1231), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1233), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97212] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1233), 1,
      anon_sym_DOLLAR,
    ACTIONS(1231), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97226] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1177), 1,
      anon_sym_DOLLAR,
    ACTIONS(1179), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1237), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1241), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5927), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97280] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1181), 1,
      anon_sym_DOLLAR,
    ACTIONS(1183), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1150), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1148), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97308] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1198), 1,
      anon_sym_DOLLAR,
    ACTIONS(1200), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97322] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_DOLLAR,
    ACTIONS(1239), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1265), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97350] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6078), 1,
      anon_sym_elif,
    ACTIONS(6080), 1,
      anon_sym_else,
    ACTIONS(6086), 1,
      anon_sym_fi,
    STATE(2643), 1,
      sym_else_clause,
    STATE(2337), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [97370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1261), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97384] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1198), 1,
      anon_sym_DOLLAR,
    ACTIONS(1200), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1170), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1168), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97412] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6088), 6,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym__string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1253), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97438] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1265), 1,
      anon_sym_DOLLAR,
    ACTIONS(1263), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97452] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1261), 1,
      anon_sym_DOLLAR,
    ACTIONS(1259), 5,
      sym__heredoc_body_middle,
      sym__heredoc_body_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
  [97466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1146), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1144), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1249), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1166), 2,
      sym__concat,
      anon_sym_LF,
    ACTIONS(1164), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97508] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6090), 1,
      anon_sym_SEMI,
    ACTIONS(6092), 1,
      anon_sym_do,
    STATE(1641), 2,
      sym_do_group,
      sym_compound_statement,
  [97525] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4211), 1,
      sym__concat,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_RPAREN,
    STATE(2356), 1,
      aux_sym_concatenation_repeat1,
    STATE(2520), 1,
      aux_sym_case_item_repeat1,
  [97544] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(949), 1,
      anon_sym_RPAREN,
    ACTIONS(6098), 1,
      anon_sym_LF,
    ACTIONS(6100), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97559] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6092), 1,
      anon_sym_do,
    ACTIONS(6102), 1,
      anon_sym_SEMI,
    STATE(1690), 2,
      sym_do_group,
      sym_compound_statement,
  [97576] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6092), 1,
      anon_sym_do,
    ACTIONS(6104), 1,
      anon_sym_SEMI,
    STATE(1684), 2,
      sym_do_group,
      sym_compound_statement,
  [97593] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6092), 1,
      anon_sym_do,
    ACTIONS(6106), 1,
      anon_sym_SEMI,
    STATE(1681), 2,
      sym_do_group,
      sym_compound_statement,
  [97610] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4436), 1,
      sym__special_character,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6108), 1,
      anon_sym_RPAREN,
    STATE(1535), 1,
      aux_sym__literal_repeat1,
    STATE(2464), 1,
      aux_sym_case_item_repeat1,
  [97629] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6110), 1,
      anon_sym_SEMI,
    ACTIONS(6112), 1,
      anon_sym_do,
    STATE(1398), 2,
      sym_do_group,
      sym_compound_statement,
  [97646] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6112), 1,
      anon_sym_do,
    ACTIONS(6114), 1,
      anon_sym_SEMI,
    STATE(1474), 2,
      sym_do_group,
      sym_compound_statement,
  [97663] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6112), 1,
      anon_sym_do,
    ACTIONS(6116), 1,
      anon_sym_SEMI,
    STATE(1407), 2,
      sym_do_group,
      sym_compound_statement,
  [97680] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(551), 1,
      anon_sym_BQUOTE,
    ACTIONS(6118), 1,
      anon_sym_LF,
    ACTIONS(6120), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97695] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6122), 1,
      anon_sym_LF,
    ACTIONS(551), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(6124), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [97710] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(551), 1,
      anon_sym_RPAREN,
    ACTIONS(6126), 1,
      anon_sym_LF,
    ACTIONS(6128), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97725] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6130), 1,
      anon_sym_LF,
    ACTIONS(6132), 1,
      anon_sym_in,
    ACTIONS(6134), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6042), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(6044), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97753] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6112), 1,
      anon_sym_do,
    ACTIONS(6136), 1,
      anon_sym_SEMI,
    STATE(1396), 2,
      sym_do_group,
      sym_compound_statement,
  [97770] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6060), 1,
      anon_sym_LF,
    ACTIONS(6062), 1,
      anon_sym_in,
    ACTIONS(6064), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97785] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      ts_builtin_sym_end,
    ACTIONS(6138), 1,
      anon_sym_LF,
    ACTIONS(6140), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97800] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6144), 1,
      anon_sym_elif,
    ACTIONS(6142), 2,
      anon_sym_fi,
      anon_sym_else,
    STATE(2337), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [97815] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(949), 1,
      anon_sym_BQUOTE,
    ACTIONS(6147), 1,
      anon_sym_LF,
    ACTIONS(6149), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97830] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6112), 1,
      anon_sym_do,
    ACTIONS(6151), 1,
      anon_sym_SEMI,
    STATE(1406), 2,
      sym_do_group,
      sym_compound_statement,
  [97847] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6112), 1,
      anon_sym_do,
    ACTIONS(6153), 1,
      anon_sym_SEMI,
    STATE(1408), 2,
      sym_do_group,
      sym_compound_statement,
  [97864] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6032), 1,
      anon_sym_LF,
    ACTIONS(6034), 1,
      anon_sym_in,
    ACTIONS(6036), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97879] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6112), 1,
      anon_sym_do,
    ACTIONS(6155), 1,
      anon_sym_SEMI,
    STATE(1395), 2,
      sym_do_group,
      sym_compound_statement,
  [97896] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4436), 1,
      sym__special_character,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6157), 1,
      anon_sym_RPAREN,
    STATE(1535), 1,
      aux_sym__literal_repeat1,
    STATE(2521), 1,
      aux_sym_case_item_repeat1,
  [97915] = 6,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4211), 1,
      sym__concat,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6159), 1,
      anon_sym_RPAREN,
    STATE(2356), 1,
      aux_sym_concatenation_repeat1,
    STATE(2459), 1,
      aux_sym_case_item_repeat1,
  [97934] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6092), 1,
      anon_sym_do,
    ACTIONS(6161), 1,
      anon_sym_SEMI,
    STATE(1708), 2,
      sym_do_group,
      sym_compound_statement,
  [97951] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6163), 1,
      anon_sym_LF,
    ACTIONS(6165), 1,
      anon_sym_in,
    ACTIONS(6167), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6046), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(6048), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [97979] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6112), 1,
      anon_sym_do,
    ACTIONS(6169), 1,
      anon_sym_SEMI,
    STATE(1419), 2,
      sym_do_group,
      sym_compound_statement,
  [97996] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6171), 1,
      anon_sym_LF,
    ACTIONS(949), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(6173), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [98011] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6092), 1,
      anon_sym_do,
    ACTIONS(6175), 1,
      anon_sym_SEMI,
    STATE(1740), 2,
      sym_do_group,
      sym_compound_statement,
  [98028] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6092), 1,
      anon_sym_do,
    ACTIONS(6177), 1,
      anon_sym_SEMI,
    STATE(1730), 2,
      sym_do_group,
      sym_compound_statement,
  [98045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6038), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(6040), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98058] = 5,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6092), 1,
      anon_sym_do,
    ACTIONS(6179), 1,
      anon_sym_SEMI,
    STATE(1739), 2,
      sym_do_group,
      sym_compound_statement,
  [98075] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4211), 1,
      sym__concat,
    STATE(2356), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1067), 3,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      sym__special_character,
  [98090] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      ts_builtin_sym_end,
    ACTIONS(6181), 1,
      anon_sym_LF,
    ACTIONS(6183), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98105] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6185), 1,
      sym__concat,
    STATE(1589), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1057), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [98119] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1067), 1,
      anon_sym_RBRACE,
    ACTIONS(1069), 1,
      sym__special_character,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [98135] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6092), 1,
      anon_sym_do,
    STATE(1741), 2,
      sym_do_group,
      sym_compound_statement,
  [98149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6189), 1,
      anon_sym_LF,
    ACTIONS(6191), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6193), 1,
      anon_sym_LF,
    ACTIONS(6195), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98173] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4211), 1,
      sym__concat,
    STATE(2356), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6197), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [98187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6199), 1,
      anon_sym_LF,
    ACTIONS(6201), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98199] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4436), 1,
      sym__special_character,
    STATE(1535), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6203), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [98213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6205), 1,
      anon_sym_LF,
    ACTIONS(6207), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98225] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6209), 1,
      anon_sym_RBRACK,
    ACTIONS(6211), 1,
      sym__special_character,
    ACTIONS(6213), 1,
      sym__concat,
    STATE(2369), 1,
      aux_sym__literal_repeat1,
  [98241] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(949), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(6098), 1,
      anon_sym_LF,
    ACTIONS(6100), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [98255] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6092), 1,
      anon_sym_do,
    STATE(1735), 2,
      sym_do_group,
      sym_compound_statement,
  [98269] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6092), 1,
      anon_sym_do,
    STATE(1677), 2,
      sym_do_group,
      sym_compound_statement,
  [98283] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6215), 1,
      sym__special_character,
    STATE(2369), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1218), 2,
      sym__concat,
      anon_sym_RBRACK,
  [98297] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6112), 1,
      anon_sym_do,
    STATE(1410), 2,
      sym_do_group,
      sym_compound_statement,
  [98311] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6092), 1,
      anon_sym_do,
    STATE(1678), 2,
      sym_do_group,
      sym_compound_statement,
  [98325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6218), 1,
      anon_sym_LF,
    ACTIONS(6220), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6222), 1,
      anon_sym_LF,
    ACTIONS(6224), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98349] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(551), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(6126), 1,
      anon_sym_LF,
    ACTIONS(6128), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [98363] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6092), 1,
      anon_sym_do,
    STATE(1685), 2,
      sym_do_group,
      sym_compound_statement,
  [98377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6226), 1,
      anon_sym_LF,
    ACTIONS(6228), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98389] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6112), 1,
      anon_sym_do,
    STATE(1400), 2,
      sym_do_group,
      sym_compound_statement,
  [98403] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6092), 1,
      anon_sym_do,
    STATE(1642), 2,
      sym_do_group,
      sym_compound_statement,
  [98417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6230), 1,
      anon_sym_LF,
    ACTIONS(6232), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6234), 1,
      anon_sym_LF,
    ACTIONS(6236), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98441] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1069), 1,
      sym__special_character,
    STATE(2462), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1067), 2,
      sym__concat,
      anon_sym_RBRACK,
  [98455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6238), 1,
      anon_sym_LF,
    ACTIONS(6240), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98467] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6112), 1,
      anon_sym_do,
    STATE(1512), 2,
      sym_do_group,
      sym_compound_statement,
  [98481] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6112), 1,
      anon_sym_do,
    STATE(1397), 2,
      sym_do_group,
      sym_compound_statement,
  [98495] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6092), 1,
      anon_sym_do,
    STATE(1674), 2,
      sym_do_group,
      sym_compound_statement,
  [98509] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6112), 1,
      anon_sym_do,
    STATE(1449), 2,
      sym_do_group,
      sym_compound_statement,
  [98523] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6112), 1,
      anon_sym_do,
    STATE(1391), 2,
      sym_do_group,
      sym_compound_statement,
  [98537] = 5,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6211), 1,
      sym__special_character,
    ACTIONS(6242), 1,
      anon_sym_RBRACK,
    ACTIONS(6244), 1,
      sym__concat,
    STATE(2369), 1,
      aux_sym__literal_repeat1,
  [98553] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6112), 1,
      anon_sym_do,
    STATE(1399), 2,
      sym_do_group,
      sym_compound_statement,
  [98567] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_LBRACE,
    ACTIONS(6112), 1,
      anon_sym_do,
    STATE(1392), 2,
      sym_do_group,
      sym_compound_statement,
  [98581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6246), 1,
      anon_sym_LF,
    ACTIONS(6248), 3,
      anon_sym_SEMI,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP,
  [98593] = 4,
    ACTIONS(23), 1,
      anon_sym_LBRACE,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6092), 1,
      anon_sym_do,
    STATE(1667), 2,
      sym_do_group,
      sym_compound_statement,
  [98607] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6159), 1,
      anon_sym_RPAREN,
    STATE(2459), 1,
      aux_sym_case_item_repeat1,
  [98620] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2241), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [98633] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6250), 1,
      anon_sym_RBRACE,
    ACTIONS(6252), 1,
      sym__special_character,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [98646] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6254), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [98659] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3634), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [98672] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2675), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [98685] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6256), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [98698] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6258), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [98711] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2225), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [98724] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1959), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [98737] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3411), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [98750] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6260), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [98763] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1793), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [98776] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1035), 1,
      anon_sym_RBRACE,
    ACTIONS(6262), 1,
      sym__concat,
    STATE(2406), 1,
      aux_sym_concatenation_repeat1,
  [98789] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6265), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [98802] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6267), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [98815] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3664), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [98828] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [98841] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6269), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [98854] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6271), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [98867] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2961), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [98880] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6096), 1,
      anon_sym_RPAREN,
    STATE(2520), 1,
      aux_sym_case_item_repeat1,
  [98893] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2413), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [98906] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6273), 1,
      sym__concat,
    ACTIONS(4476), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [98917] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [98930] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2565), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [98943] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6275), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [98956] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6277), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [98969] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6279), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [98982] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [98995] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6281), 1,
      anon_sym_PIPE,
    ACTIONS(6284), 1,
      anon_sym_RPAREN,
    STATE(2423), 1,
      aux_sym_case_item_repeat1,
  [99008] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6286), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [99021] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1977), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [99034] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6288), 1,
      anon_sym_RBRACK,
    ACTIONS(6290), 1,
      sym__concat,
    STATE(2462), 1,
      aux_sym_concatenation_repeat1,
  [99047] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6292), 1,
      anon_sym_LBRACK,
    ACTIONS(6294), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [99058] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6296), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [99071] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3377), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [99084] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6298), 1,
      sym__concat,
    ACTIONS(4440), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [99095] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6300), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [99108] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6302), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [99121] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3255), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [99134] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3732), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [99147] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2591), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [99160] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6292), 1,
      anon_sym_LBRACK,
    ACTIONS(6304), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [99171] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3361), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [99184] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6292), 1,
      anon_sym_LBRACK,
    ACTIONS(6306), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [99195] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1057), 1,
      anon_sym_RBRACE,
    ACTIONS(6308), 1,
      sym__concat,
    STATE(2406), 1,
      aux_sym_concatenation_repeat1,
  [99208] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6310), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [99221] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6312), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [99234] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6314), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [99247] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2783), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [99260] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6316), 1,
      sym__concat,
    ACTIONS(4482), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [99271] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6318), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [99284] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6320), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [99297] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6292), 1,
      anon_sym_LBRACK,
    ACTIONS(6322), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [99308] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [99321] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3179), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [99334] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [99347] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3551), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [99360] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6292), 1,
      anon_sym_LBRACK,
    ACTIONS(6324), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [99371] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6326), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [99384] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6328), 1,
      sym__concat,
    ACTIONS(4446), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [99395] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3594), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [99408] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3103), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [99421] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6330), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [99434] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3203), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [99447] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6332), 1,
      anon_sym_RPAREN,
    STATE(2423), 1,
      aux_sym_case_item_repeat1,
  [99460] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6334), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [99473] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6336), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [99486] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1057), 1,
      anon_sym_RBRACK,
    ACTIONS(6338), 1,
      sym__concat,
    STATE(1632), 1,
      aux_sym_concatenation_repeat1,
  [99499] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6340), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [99512] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6342), 1,
      anon_sym_RPAREN,
    STATE(2423), 1,
      aux_sym_case_item_repeat1,
  [99525] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6344), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [99538] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6346), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [99551] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1573), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [99564] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3760), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [99577] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3335), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [99590] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6348), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [99603] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6350), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [99616] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1218), 1,
      anon_sym_RBRACE,
    ACTIONS(6352), 1,
      sym__special_character,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [99629] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6355), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [99642] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6357), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [99655] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3463), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [99668] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2517), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [99681] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2849), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [99694] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3155), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [99707] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6359), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [99720] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3533), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [99733] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6361), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [99746] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6363), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [99759] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [99772] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3053), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [99785] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6365), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [99798] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6367), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [99811] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3021), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [99824] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6369), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [99837] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2299), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [99850] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [99863] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2995), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [99876] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1069), 1,
      sym__special_character,
    ACTIONS(1067), 2,
      sym__concat,
      anon_sym_RBRACK,
  [99887] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6371), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [99900] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6373), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [99913] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2875), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [99926] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6375), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [99939] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6377), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [99952] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3125), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [99965] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6379), 1,
      anon_sym_RBRACK,
    ACTIONS(6381), 1,
      sym__concat,
    STATE(2462), 1,
      aux_sym_concatenation_repeat1,
  [99978] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6383), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [99991] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6385), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [100004] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3305), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [100017] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3475), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [100030] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6387), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [100043] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6389), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [100056] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6292), 1,
      anon_sym_LBRACK,
    ACTIONS(6391), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [100067] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6393), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [100080] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6395), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [100093] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6397), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [100106] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1729), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [100119] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3708), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [100132] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6292), 1,
      anon_sym_LBRACK,
    ACTIONS(6399), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [100143] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6401), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [100156] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2267), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [100169] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6403), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [100182] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6252), 1,
      sym__special_character,
    ACTIONS(6405), 1,
      anon_sym_RBRACE,
    STATE(2472), 1,
      aux_sym__literal_repeat1,
  [100195] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [100208] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3269), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [100221] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3652), 1,
      anon_sym_RBRACE,
    ACTIONS(6187), 1,
      sym__concat,
    STATE(2439), 1,
      aux_sym_concatenation_repeat1,
  [100234] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6407), 1,
      anon_sym_RPAREN,
    STATE(2423), 1,
      aux_sym_case_item_repeat1,
  [100247] = 4,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6094), 1,
      anon_sym_PIPE,
    ACTIONS(6409), 1,
      anon_sym_RPAREN,
    STATE(2423), 1,
      aux_sym_case_item_repeat1,
  [100260] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1189), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100268] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1185), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100276] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6411), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(6413), 1,
      aux_sym__simple_variable_name_token1,
  [100286] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1166), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100294] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6415), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(6417), 1,
      aux_sym__simple_variable_name_token1,
  [100304] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6421), 1,
      anon_sym_EQ,
  [100314] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6423), 1,
      anon_sym_EQ,
  [100324] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6425), 1,
      anon_sym_EQ,
  [100334] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6427), 1,
      anon_sym_EQ,
  [100344] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6429), 1,
      anon_sym_EQ,
  [100354] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_EQ,
  [100364] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6433), 1,
      anon_sym_EQ,
  [100374] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6435), 1,
      anon_sym_esac,
    ACTIONS(6437), 1,
      anon_sym_SEMI_SEMI,
  [100384] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6439), 1,
      anon_sym_EQ,
  [100394] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym_do,
    STATE(1455), 1,
      sym_do_group,
  [100404] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6441), 1,
      anon_sym_EQ,
  [100414] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_EQ,
  [100424] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4446), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [100432] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6445), 1,
      anon_sym_EQ,
  [100442] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6399), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [100450] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6447), 1,
      anon_sym_EQ,
  [100460] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6449), 1,
      anon_sym_EQ,
  [100470] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6451), 1,
      anon_sym_esac,
    ACTIONS(6453), 1,
      anon_sym_SEMI_SEMI,
  [100480] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6455), 1,
      anon_sym_EQ,
  [100490] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1247), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100498] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6457), 1,
      anon_sym_EQ,
  [100508] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6459), 1,
      anon_sym_EQ,
  [100518] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4440), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [100526] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6461), 1,
      anon_sym_EQ,
  [100536] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6092), 1,
      anon_sym_do,
    STATE(1669), 1,
      sym_do_group,
  [100546] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6463), 1,
      anon_sym_EQ,
  [100556] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6465), 1,
      anon_sym_EQ,
  [100566] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6379), 1,
      anon_sym_RBRACK,
    ACTIONS(6467), 1,
      sym__concat,
  [100576] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6469), 1,
      anon_sym_EQ,
  [100586] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6092), 1,
      anon_sym_do,
    STATE(1649), 1,
      sym_do_group,
  [100596] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6391), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [100604] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4629), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [100612] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6471), 1,
      anon_sym_EQ,
  [100622] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4633), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [100630] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6473), 1,
      anon_sym_EQ,
  [100640] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6475), 1,
      anon_sym_EQ,
  [100650] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6477), 1,
      anon_sym_EQ,
  [100660] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1146), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100668] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6479), 1,
      anon_sym_EQ,
  [100678] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1208), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100686] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6481), 1,
      anon_sym_EQ,
  [100696] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1150), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100704] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6483), 1,
      anon_sym_EQ,
  [100714] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1035), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100722] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym_do,
    STATE(1440), 1,
      sym_do_group,
  [100732] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6485), 1,
      anon_sym_EQ,
  [100742] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6487), 1,
      anon_sym_EQ,
  [100752] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1154), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100760] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(243), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(6489), 1,
      anon_sym_esac,
  [100770] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6491), 1,
      anon_sym_EQ,
  [100780] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1158), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100788] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6493), 1,
      anon_sym_EQ,
  [100798] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1162), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100806] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1170), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100814] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6495), 1,
      anon_sym_EQ,
  [100824] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6497), 2,
      anon_sym_do,
      anon_sym_then,
  [100832] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6499), 1,
      anon_sym_EQ,
  [100842] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1067), 1,
      anon_sym_RBRACE,
    ACTIONS(1069), 1,
      sym__special_character,
  [100852] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_EQ,
  [100862] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1231), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100870] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1235), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100878] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1239), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100886] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6503), 1,
      anon_sym_EQ,
  [100896] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6505), 1,
      anon_sym_EQ,
  [100906] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6507), 1,
      anon_sym_EQ,
  [100916] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6509), 1,
      anon_sym_EQ,
  [100926] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1243), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100934] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6511), 1,
      anon_sym_EQ,
  [100944] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6513), 1,
      anon_sym_EQ,
  [100954] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(203), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(6515), 1,
      anon_sym_esac,
  [100964] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1255), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100972] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1259), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100980] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1183), 2,
      sym__concat,
      anon_sym_RBRACE,
  [100988] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6324), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [100996] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6304), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [101004] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6517), 1,
      anon_sym_EQ,
  [101014] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6519), 1,
      anon_sym_EQ,
  [101024] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6521), 1,
      anon_sym_EQ,
  [101034] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_EQ,
  [101044] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6525), 1,
      anon_sym_EQ,
  [101054] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1263), 2,
      sym__concat,
      anon_sym_RBRACE,
  [101062] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1251), 2,
      sym__concat,
      anon_sym_RBRACE,
  [101070] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6197), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [101078] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1179), 2,
      sym__concat,
      anon_sym_RBRACE,
  [101086] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6288), 1,
      anon_sym_RBRACK,
    ACTIONS(6527), 1,
      sym__concat,
  [101096] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6322), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [101104] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1227), 2,
      sym__concat,
      anon_sym_RBRACE,
  [101112] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6529), 1,
      anon_sym_EQ,
  [101122] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym_do,
    STATE(1498), 1,
      sym_do_group,
  [101132] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1200), 2,
      sym__concat,
      anon_sym_RBRACE,
  [101140] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6531), 1,
      anon_sym_EQ,
  [101150] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1200), 2,
      sym__concat,
      anon_sym_RBRACE,
  [101158] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6294), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [101166] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6533), 1,
      anon_sym_EQ,
  [101176] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6535), 1,
      anon_sym_EQ,
  [101186] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6092), 1,
      anon_sym_do,
    STATE(1697), 1,
      sym_do_group,
  [101196] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6306), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [101204] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6537), 1,
      anon_sym_EQ,
  [101214] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6539), 1,
      anon_sym_EQ,
  [101224] = 3,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6419), 1,
      anon_sym_LBRACK,
    ACTIONS(6541), 1,
      anon_sym_EQ,
  [101234] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6086), 1,
      anon_sym_fi,
  [101241] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6543), 1,
      anon_sym_then,
  [101248] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3551), 1,
      anon_sym_RBRACE,
  [101255] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6545), 1,
      anon_sym_BQUOTE,
  [101262] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6547), 1,
      anon_sym_esac,
  [101269] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6549), 1,
      anon_sym_RPAREN,
  [101276] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6551), 1,
      anon_sym_BQUOTE,
  [101283] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6553), 1,
      anon_sym_RPAREN,
  [101290] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4182), 1,
      anon_sym_RPAREN,
  [101297] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6555), 1,
      anon_sym_BQUOTE,
  [101304] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_RBRACE,
  [101311] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4178), 1,
      anon_sym_RPAREN,
  [101318] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2783), 1,
      anon_sym_RBRACE,
  [101325] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6557), 1,
      anon_sym_esac,
  [101332] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3361), 1,
      anon_sym_RBRACE,
  [101339] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3021), 1,
      anon_sym_RBRACE,
  [101346] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6084), 1,
      anon_sym_fi,
  [101353] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6559), 1,
      anon_sym_esac,
  [101360] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6561), 1,
      anon_sym_esac,
  [101367] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3732), 1,
      anon_sym_RBRACE,
  [101374] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3377), 1,
      anon_sym_RBRACE,
  [101381] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1977), 1,
      anon_sym_RBRACE,
  [101388] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3255), 1,
      anon_sym_RBRACE,
  [101395] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4890), 1,
      anon_sym_RBRACK,
  [101402] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6563), 1,
      anon_sym_RBRACK,
  [101409] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6565), 1,
      anon_sym_RPAREN,
  [101416] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6567), 1,
      anon_sym_BQUOTE,
  [101423] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2565), 1,
      anon_sym_RBRACE,
  [101430] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4202), 1,
      anon_sym_RPAREN,
  [101437] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6569), 1,
      anon_sym_BQUOTE,
  [101444] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4369), 1,
      anon_sym_RPAREN,
  [101451] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6571), 1,
      anon_sym_RPAREN,
  [101458] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6573), 1,
      anon_sym_BQUOTE,
  [101465] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6575), 1,
      anon_sym_esac,
  [101472] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6577), 1,
      sym_heredoc_start,
  [101479] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6579), 1,
      anon_sym_RPAREN,
  [101486] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3708), 1,
      anon_sym_RBRACE,
  [101493] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6581), 1,
      anon_sym_RPAREN,
  [101500] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4371), 1,
      anon_sym_RPAREN,
  [101507] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6583), 1,
      anon_sym_fi,
  [101514] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6585), 1,
      anon_sym_RPAREN,
  [101521] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6587), 1,
      anon_sym_BQUOTE,
  [101528] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6589), 1,
      anon_sym_esac,
  [101535] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4184), 1,
      anon_sym_RPAREN,
  [101542] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4217), 1,
      anon_sym_RPAREN,
  [101549] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6591), 1,
      anon_sym_RBRACK,
  [101556] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3501), 1,
      anon_sym_RBRACE,
  [101563] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4215), 1,
      anon_sym_RPAREN,
  [101570] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2961), 1,
      anon_sym_RBRACE,
  [101577] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2241), 1,
      anon_sym_RBRACE,
  [101584] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3103), 1,
      anon_sym_RBRACE,
  [101591] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_RBRACE,
  [101598] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4902), 1,
      anon_sym_RBRACK,
  [101605] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4256), 1,
      anon_sym_RPAREN,
  [101612] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3760), 1,
      anon_sym_RBRACE,
  [101619] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6593), 1,
      anon_sym_RPAREN,
  [101626] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4240), 1,
      anon_sym_RPAREN,
  [101633] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6595), 1,
      anon_sym_BQUOTE,
  [101640] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6597), 1,
      anon_sym_esac,
  [101647] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6599), 1,
      anon_sym_in,
  [101654] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3335), 1,
      anon_sym_RBRACE,
  [101661] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3664), 1,
      anon_sym_RBRACE,
  [101668] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1793), 1,
      anon_sym_RBRACE,
  [101675] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2517), 1,
      anon_sym_RBRACE,
  [101682] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6601), 1,
      anon_sym_RPAREN,
  [101689] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6603), 1,
      anon_sym_esac,
  [101696] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6605), 1,
      anon_sym_BQUOTE,
  [101703] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6607), 1,
      anon_sym_esac,
  [101710] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4335), 1,
      anon_sym_RPAREN,
  [101717] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6609), 1,
      anon_sym_in,
  [101724] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4330), 1,
      anon_sym_RPAREN,
  [101731] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4186), 1,
      anon_sym_RPAREN,
  [101738] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6611), 1,
      anon_sym_RPAREN,
  [101745] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6613), 1,
      anon_sym_BQUOTE,
  [101752] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6615), 1,
      anon_sym_BQUOTE,
  [101759] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_RBRACE,
  [101766] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3411), 1,
      anon_sym_RBRACE,
  [101773] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6617), 1,
      anon_sym_BQUOTE,
  [101780] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6619), 1,
      anon_sym_RPAREN,
  [101787] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6621), 1,
      anon_sym_RPAREN,
  [101794] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_RBRACE,
  [101801] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6082), 1,
      anon_sym_fi,
  [101808] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6623), 1,
      anon_sym_RPAREN,
  [101815] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6625), 1,
      anon_sym_then,
  [101822] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2225), 1,
      anon_sym_RBRACE,
  [101829] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym_RBRACE,
  [101836] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2995), 1,
      anon_sym_RBRACE,
  [101843] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2413), 1,
      anon_sym_RBRACE,
  [101850] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2675), 1,
      anon_sym_RBRACE,
  [101857] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3634), 1,
      anon_sym_RBRACE,
  [101864] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3203), 1,
      anon_sym_RBRACE,
  [101871] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6627), 1,
      anon_sym_then,
  [101878] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6629), 1,
      anon_sym_BQUOTE,
  [101885] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4324), 1,
      anon_sym_RPAREN,
  [101892] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3305), 1,
      anon_sym_RBRACE,
  [101899] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6631), 1,
      anon_sym_BQUOTE,
  [101906] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6633), 1,
      anon_sym_RPAREN,
  [101913] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6635), 1,
      anon_sym_RPAREN,
  [101920] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_RBRACE,
  [101927] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3475), 1,
      anon_sym_RBRACE,
  [101934] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6637), 1,
      anon_sym_BQUOTE,
  [101941] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6639), 1,
      sym_word,
  [101948] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6641), 1,
      anon_sym_RPAREN,
  [101955] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6643), 1,
      anon_sym_BQUOTE,
  [101962] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6645), 1,
      anon_sym_RPAREN,
  [101969] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6647), 1,
      anon_sym_BQUOTE,
  [101976] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6649), 1,
      sym_heredoc_start,
  [101983] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4258), 1,
      anon_sym_RPAREN,
  [101990] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6651), 1,
      anon_sym_RPAREN,
  [101997] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6653), 1,
      anon_sym_BQUOTE,
  [102004] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4328), 1,
      anon_sym_RPAREN,
  [102011] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4209), 1,
      anon_sym_RPAREN,
  [102018] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6655), 1,
      anon_sym_BQUOTE,
  [102025] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4242), 1,
      anon_sym_RPAREN,
  [102032] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6657), 1,
      anon_sym_RPAREN,
  [102039] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4300), 1,
      anon_sym_RPAREN,
  [102046] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6076), 1,
      anon_sym_fi,
  [102053] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3179), 1,
      anon_sym_RBRACE,
  [102060] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2591), 1,
      anon_sym_RBRACE,
  [102067] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6659), 1,
      anon_sym_RPAREN,
  [102074] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6661), 1,
      anon_sym_RPAREN,
  [102081] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6663), 1,
      anon_sym_esac,
  [102088] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6665), 1,
      anon_sym_RPAREN,
  [102095] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6667), 1,
      anon_sym_SEMI_SEMI,
  [102102] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3594), 1,
      anon_sym_RBRACE,
  [102109] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6669), 1,
      ts_builtin_sym_end,
  [102116] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6671), 1,
      ts_builtin_sym_end,
  [102123] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3269), 1,
      anon_sym_RBRACE,
  [102130] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4298), 1,
      anon_sym_RPAREN,
  [102137] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2267), 1,
      anon_sym_RBRACE,
  [102144] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1573), 1,
      anon_sym_RBRACE,
  [102151] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6673), 1,
      anon_sym_BQUOTE,
  [102158] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6675), 1,
      anon_sym_esac,
  [102165] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3652), 1,
      anon_sym_RBRACE,
  [102172] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1729), 1,
      anon_sym_RBRACE,
  [102179] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6677), 1,
      anon_sym_RPAREN,
  [102186] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4337), 1,
      anon_sym_RPAREN,
  [102193] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6679), 1,
      anon_sym_BQUOTE,
  [102200] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4379), 1,
      anon_sym_RPAREN,
  [102207] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6681), 1,
      anon_sym_RPAREN,
  [102214] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6683), 1,
      anon_sym_BQUOTE,
  [102221] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3155), 1,
      anon_sym_RBRACE,
  [102228] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6685), 1,
      anon_sym_RPAREN,
  [102235] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3463), 1,
      anon_sym_RBRACE,
  [102242] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2849), 1,
      anon_sym_RBRACE,
  [102249] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6687), 1,
      sym_word,
  [102256] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6689), 1,
      anon_sym_esac,
  [102263] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3533), 1,
      anon_sym_RBRACE,
  [102270] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6691), 1,
      anon_sym_fi,
  [102277] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6693), 1,
      anon_sym_BQUOTE,
  [102284] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3053), 1,
      anon_sym_RBRACE,
  [102291] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2299), 1,
      anon_sym_RBRACE,
  [102298] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_RBRACE,
  [102305] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6695), 1,
      anon_sym_RPAREN,
  [102312] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(2875), 1,
      anon_sym_RBRACE,
  [102319] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(249), 1,
      anon_sym_SEMI_SEMI,
  [102326] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6697), 1,
      anon_sym_RPAREN,
  [102333] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6699), 1,
      anon_sym_in,
  [102340] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6701), 1,
      anon_sym_in,
  [102347] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6703), 1,
      anon_sym_BQUOTE,
  [102354] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4198), 1,
      anon_sym_RPAREN,
  [102361] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6705), 1,
      anon_sym_BQUOTE,
  [102368] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4339), 1,
      anon_sym_RPAREN,
  [102375] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(251), 1,
      anon_sym_SEMI_SEMI,
  [102382] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6707), 1,
      anon_sym_RPAREN,
  [102389] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(3125), 1,
      anon_sym_RBRACE,
  [102396] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6709), 1,
      anon_sym_BQUOTE,
  [102403] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(6711), 1,
      anon_sym_SEMI_SEMI,
  [102410] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4399), 1,
      anon_sym_RPAREN,
  [102417] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(4244), 1,
      anon_sym_RPAREN,
  [102424] = 2,
    ACTIONS(55), 1,
      sym_comment,
    ACTIONS(1959), 1,
      anon_sym_RBRACE,
};

static uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(127)] = 0,
  [SMALL_STATE(128)] = 60,
  [SMALL_STATE(129)] = 141,
  [SMALL_STATE(130)] = 222,
  [SMALL_STATE(131)] = 303,
  [SMALL_STATE(132)] = 384,
  [SMALL_STATE(133)] = 465,
  [SMALL_STATE(134)] = 546,
  [SMALL_STATE(135)] = 627,
  [SMALL_STATE(136)] = 708,
  [SMALL_STATE(137)] = 789,
  [SMALL_STATE(138)] = 851,
  [SMALL_STATE(139)] = 929,
  [SMALL_STATE(140)] = 991,
  [SMALL_STATE(141)] = 1053,
  [SMALL_STATE(142)] = 1131,
  [SMALL_STATE(143)] = 1193,
  [SMALL_STATE(144)] = 1255,
  [SMALL_STATE(145)] = 1332,
  [SMALL_STATE(146)] = 1393,
  [SMALL_STATE(147)] = 1452,
  [SMALL_STATE(148)] = 1529,
  [SMALL_STATE(149)] = 1586,
  [SMALL_STATE(150)] = 1663,
  [SMALL_STATE(151)] = 1724,
  [SMALL_STATE(152)] = 1801,
  [SMALL_STATE(153)] = 1860,
  [SMALL_STATE(154)] = 1937,
  [SMALL_STATE(155)] = 2014,
  [SMALL_STATE(156)] = 2073,
  [SMALL_STATE(157)] = 2150,
  [SMALL_STATE(158)] = 2227,
  [SMALL_STATE(159)] = 2304,
  [SMALL_STATE(160)] = 2365,
  [SMALL_STATE(161)] = 2426,
  [SMALL_STATE(162)] = 2485,
  [SMALL_STATE(163)] = 2536,
  [SMALL_STATE(164)] = 2597,
  [SMALL_STATE(165)] = 2656,
  [SMALL_STATE(166)] = 2707,
  [SMALL_STATE(167)] = 2784,
  [SMALL_STATE(168)] = 2861,
  [SMALL_STATE(169)] = 2938,
  [SMALL_STATE(170)] = 3015,
  [SMALL_STATE(171)] = 3092,
  [SMALL_STATE(172)] = 3151,
  [SMALL_STATE(173)] = 3212,
  [SMALL_STATE(174)] = 3289,
  [SMALL_STATE(175)] = 3363,
  [SMALL_STATE(176)] = 3421,
  [SMALL_STATE(177)] = 3495,
  [SMALL_STATE(178)] = 3555,
  [SMALL_STATE(179)] = 3629,
  [SMALL_STATE(180)] = 3703,
  [SMALL_STATE(181)] = 3777,
  [SMALL_STATE(182)] = 3851,
  [SMALL_STATE(183)] = 3925,
  [SMALL_STATE(184)] = 3999,
  [SMALL_STATE(185)] = 4055,
  [SMALL_STATE(186)] = 4129,
  [SMALL_STATE(187)] = 4203,
  [SMALL_STATE(188)] = 4277,
  [SMALL_STATE(189)] = 4337,
  [SMALL_STATE(190)] = 4395,
  [SMALL_STATE(191)] = 4469,
  [SMALL_STATE(192)] = 4543,
  [SMALL_STATE(193)] = 4603,
  [SMALL_STATE(194)] = 4674,
  [SMALL_STATE(195)] = 4727,
  [SMALL_STATE(196)] = 4818,
  [SMALL_STATE(197)] = 4869,
  [SMALL_STATE(198)] = 4922,
  [SMALL_STATE(199)] = 5013,
  [SMALL_STATE(200)] = 5064,
  [SMALL_STATE(201)] = 5155,
  [SMALL_STATE(202)] = 5206,
  [SMALL_STATE(203)] = 5297,
  [SMALL_STATE(204)] = 5368,
  [SMALL_STATE(205)] = 5419,
  [SMALL_STATE(206)] = 5472,
  [SMALL_STATE(207)] = 5525,
  [SMALL_STATE(208)] = 5575,
  [SMALL_STATE(209)] = 5625,
  [SMALL_STATE(210)] = 5675,
  [SMALL_STATE(211)] = 5725,
  [SMALL_STATE(212)] = 5773,
  [SMALL_STATE(213)] = 5821,
  [SMALL_STATE(214)] = 5870,
  [SMALL_STATE(215)] = 5917,
  [SMALL_STATE(216)] = 5966,
  [SMALL_STATE(217)] = 6015,
  [SMALL_STATE(218)] = 6062,
  [SMALL_STATE(219)] = 6111,
  [SMALL_STATE(220)] = 6164,
  [SMALL_STATE(221)] = 6225,
  [SMALL_STATE(222)] = 6276,
  [SMALL_STATE(223)] = 6337,
  [SMALL_STATE(224)] = 6388,
  [SMALL_STATE(225)] = 6439,
  [SMALL_STATE(226)] = 6492,
  [SMALL_STATE(227)] = 6543,
  [SMALL_STATE(228)] = 6604,
  [SMALL_STATE(229)] = 6665,
  [SMALL_STATE(230)] = 6716,
  [SMALL_STATE(231)] = 6767,
  [SMALL_STATE(232)] = 6828,
  [SMALL_STATE(233)] = 6881,
  [SMALL_STATE(234)] = 6942,
  [SMALL_STATE(235)] = 6990,
  [SMALL_STATE(236)] = 7038,
  [SMALL_STATE(237)] = 7096,
  [SMALL_STATE(238)] = 7154,
  [SMALL_STATE(239)] = 7202,
  [SMALL_STATE(240)] = 7250,
  [SMALL_STATE(241)] = 7298,
  [SMALL_STATE(242)] = 7346,
  [SMALL_STATE(243)] = 7394,
  [SMALL_STATE(244)] = 7442,
  [SMALL_STATE(245)] = 7490,
  [SMALL_STATE(246)] = 7538,
  [SMALL_STATE(247)] = 7586,
  [SMALL_STATE(248)] = 7634,
  [SMALL_STATE(249)] = 7682,
  [SMALL_STATE(250)] = 7730,
  [SMALL_STATE(251)] = 7790,
  [SMALL_STATE(252)] = 7838,
  [SMALL_STATE(253)] = 7886,
  [SMALL_STATE(254)] = 7934,
  [SMALL_STATE(255)] = 7982,
  [SMALL_STATE(256)] = 8040,
  [SMALL_STATE(257)] = 8088,
  [SMALL_STATE(258)] = 8136,
  [SMALL_STATE(259)] = 8184,
  [SMALL_STATE(260)] = 8236,
  [SMALL_STATE(261)] = 8284,
  [SMALL_STATE(262)] = 8332,
  [SMALL_STATE(263)] = 8380,
  [SMALL_STATE(264)] = 8428,
  [SMALL_STATE(265)] = 8476,
  [SMALL_STATE(266)] = 8536,
  [SMALL_STATE(267)] = 8596,
  [SMALL_STATE(268)] = 8646,
  [SMALL_STATE(269)] = 8706,
  [SMALL_STATE(270)] = 8754,
  [SMALL_STATE(271)] = 8812,
  [SMALL_STATE(272)] = 8860,
  [SMALL_STATE(273)] = 8908,
  [SMALL_STATE(274)] = 8956,
  [SMALL_STATE(275)] = 9004,
  [SMALL_STATE(276)] = 9052,
  [SMALL_STATE(277)] = 9100,
  [SMALL_STATE(278)] = 9153,
  [SMALL_STATE(279)] = 9200,
  [SMALL_STATE(280)] = 9247,
  [SMALL_STATE(281)] = 9294,
  [SMALL_STATE(282)] = 9341,
  [SMALL_STATE(283)] = 9384,
  [SMALL_STATE(284)] = 9427,
  [SMALL_STATE(285)] = 9470,
  [SMALL_STATE(286)] = 9513,
  [SMALL_STATE(287)] = 9556,
  [SMALL_STATE(288)] = 9599,
  [SMALL_STATE(289)] = 9642,
  [SMALL_STATE(290)] = 9685,
  [SMALL_STATE(291)] = 9732,
  [SMALL_STATE(292)] = 9779,
  [SMALL_STATE(293)] = 9822,
  [SMALL_STATE(294)] = 9865,
  [SMALL_STATE(295)] = 9908,
  [SMALL_STATE(296)] = 9951,
  [SMALL_STATE(297)] = 9998,
  [SMALL_STATE(298)] = 10045,
  [SMALL_STATE(299)] = 10088,
  [SMALL_STATE(300)] = 10135,
  [SMALL_STATE(301)] = 10178,
  [SMALL_STATE(302)] = 10225,
  [SMALL_STATE(303)] = 10272,
  [SMALL_STATE(304)] = 10319,
  [SMALL_STATE(305)] = 10362,
  [SMALL_STATE(306)] = 10405,
  [SMALL_STATE(307)] = 10448,
  [SMALL_STATE(308)] = 10491,
  [SMALL_STATE(309)] = 10534,
  [SMALL_STATE(310)] = 10577,
  [SMALL_STATE(311)] = 10620,
  [SMALL_STATE(312)] = 10663,
  [SMALL_STATE(313)] = 10706,
  [SMALL_STATE(314)] = 10749,
  [SMALL_STATE(315)] = 10792,
  [SMALL_STATE(316)] = 10835,
  [SMALL_STATE(317)] = 10878,
  [SMALL_STATE(318)] = 10921,
  [SMALL_STATE(319)] = 10964,
  [SMALL_STATE(320)] = 11011,
  [SMALL_STATE(321)] = 11054,
  [SMALL_STATE(322)] = 11097,
  [SMALL_STATE(323)] = 11140,
  [SMALL_STATE(324)] = 11183,
  [SMALL_STATE(325)] = 11226,
  [SMALL_STATE(326)] = 11269,
  [SMALL_STATE(327)] = 11316,
  [SMALL_STATE(328)] = 11359,
  [SMALL_STATE(329)] = 11402,
  [SMALL_STATE(330)] = 11449,
  [SMALL_STATE(331)] = 11492,
  [SMALL_STATE(332)] = 11535,
  [SMALL_STATE(333)] = 11578,
  [SMALL_STATE(334)] = 11621,
  [SMALL_STATE(335)] = 11664,
  [SMALL_STATE(336)] = 11707,
  [SMALL_STATE(337)] = 11750,
  [SMALL_STATE(338)] = 11793,
  [SMALL_STATE(339)] = 11836,
  [SMALL_STATE(340)] = 11879,
  [SMALL_STATE(341)] = 11922,
  [SMALL_STATE(342)] = 11965,
  [SMALL_STATE(343)] = 12008,
  [SMALL_STATE(344)] = 12051,
  [SMALL_STATE(345)] = 12094,
  [SMALL_STATE(346)] = 12137,
  [SMALL_STATE(347)] = 12180,
  [SMALL_STATE(348)] = 12223,
  [SMALL_STATE(349)] = 12266,
  [SMALL_STATE(350)] = 12309,
  [SMALL_STATE(351)] = 12352,
  [SMALL_STATE(352)] = 12395,
  [SMALL_STATE(353)] = 12442,
  [SMALL_STATE(354)] = 12485,
  [SMALL_STATE(355)] = 12532,
  [SMALL_STATE(356)] = 12575,
  [SMALL_STATE(357)] = 12622,
  [SMALL_STATE(358)] = 12669,
  [SMALL_STATE(359)] = 12716,
  [SMALL_STATE(360)] = 12763,
  [SMALL_STATE(361)] = 12810,
  [SMALL_STATE(362)] = 12857,
  [SMALL_STATE(363)] = 12904,
  [SMALL_STATE(364)] = 12947,
  [SMALL_STATE(365)] = 12994,
  [SMALL_STATE(366)] = 13037,
  [SMALL_STATE(367)] = 13080,
  [SMALL_STATE(368)] = 13123,
  [SMALL_STATE(369)] = 13166,
  [SMALL_STATE(370)] = 13209,
  [SMALL_STATE(371)] = 13252,
  [SMALL_STATE(372)] = 13295,
  [SMALL_STATE(373)] = 13338,
  [SMALL_STATE(374)] = 13381,
  [SMALL_STATE(375)] = 13424,
  [SMALL_STATE(376)] = 13467,
  [SMALL_STATE(377)] = 13510,
  [SMALL_STATE(378)] = 13553,
  [SMALL_STATE(379)] = 13596,
  [SMALL_STATE(380)] = 13639,
  [SMALL_STATE(381)] = 13682,
  [SMALL_STATE(382)] = 13725,
  [SMALL_STATE(383)] = 13768,
  [SMALL_STATE(384)] = 13811,
  [SMALL_STATE(385)] = 13854,
  [SMALL_STATE(386)] = 13897,
  [SMALL_STATE(387)] = 13940,
  [SMALL_STATE(388)] = 13983,
  [SMALL_STATE(389)] = 14026,
  [SMALL_STATE(390)] = 14069,
  [SMALL_STATE(391)] = 14112,
  [SMALL_STATE(392)] = 14155,
  [SMALL_STATE(393)] = 14198,
  [SMALL_STATE(394)] = 14241,
  [SMALL_STATE(395)] = 14284,
  [SMALL_STATE(396)] = 14327,
  [SMALL_STATE(397)] = 14370,
  [SMALL_STATE(398)] = 14413,
  [SMALL_STATE(399)] = 14456,
  [SMALL_STATE(400)] = 14503,
  [SMALL_STATE(401)] = 14546,
  [SMALL_STATE(402)] = 14589,
  [SMALL_STATE(403)] = 14632,
  [SMALL_STATE(404)] = 14675,
  [SMALL_STATE(405)] = 14718,
  [SMALL_STATE(406)] = 14761,
  [SMALL_STATE(407)] = 14804,
  [SMALL_STATE(408)] = 14847,
  [SMALL_STATE(409)] = 14890,
  [SMALL_STATE(410)] = 14933,
  [SMALL_STATE(411)] = 14980,
  [SMALL_STATE(412)] = 15027,
  [SMALL_STATE(413)] = 15074,
  [SMALL_STATE(414)] = 15121,
  [SMALL_STATE(415)] = 15164,
  [SMALL_STATE(416)] = 15211,
  [SMALL_STATE(417)] = 15258,
  [SMALL_STATE(418)] = 15305,
  [SMALL_STATE(419)] = 15348,
  [SMALL_STATE(420)] = 15391,
  [SMALL_STATE(421)] = 15434,
  [SMALL_STATE(422)] = 15477,
  [SMALL_STATE(423)] = 15520,
  [SMALL_STATE(424)] = 15563,
  [SMALL_STATE(425)] = 15610,
  [SMALL_STATE(426)] = 15657,
  [SMALL_STATE(427)] = 15700,
  [SMALL_STATE(428)] = 15747,
  [SMALL_STATE(429)] = 15794,
  [SMALL_STATE(430)] = 15841,
  [SMALL_STATE(431)] = 15884,
  [SMALL_STATE(432)] = 15927,
  [SMALL_STATE(433)] = 15970,
  [SMALL_STATE(434)] = 16013,
  [SMALL_STATE(435)] = 16056,
  [SMALL_STATE(436)] = 16099,
  [SMALL_STATE(437)] = 16142,
  [SMALL_STATE(438)] = 16185,
  [SMALL_STATE(439)] = 16228,
  [SMALL_STATE(440)] = 16271,
  [SMALL_STATE(441)] = 16314,
  [SMALL_STATE(442)] = 16357,
  [SMALL_STATE(443)] = 16400,
  [SMALL_STATE(444)] = 16443,
  [SMALL_STATE(445)] = 16486,
  [SMALL_STATE(446)] = 16533,
  [SMALL_STATE(447)] = 16576,
  [SMALL_STATE(448)] = 16623,
  [SMALL_STATE(449)] = 16670,
  [SMALL_STATE(450)] = 16717,
  [SMALL_STATE(451)] = 16760,
  [SMALL_STATE(452)] = 16803,
  [SMALL_STATE(453)] = 16846,
  [SMALL_STATE(454)] = 16889,
  [SMALL_STATE(455)] = 16932,
  [SMALL_STATE(456)] = 16979,
  [SMALL_STATE(457)] = 17022,
  [SMALL_STATE(458)] = 17065,
  [SMALL_STATE(459)] = 17108,
  [SMALL_STATE(460)] = 17151,
  [SMALL_STATE(461)] = 17194,
  [SMALL_STATE(462)] = 17237,
  [SMALL_STATE(463)] = 17280,
  [SMALL_STATE(464)] = 17323,
  [SMALL_STATE(465)] = 17366,
  [SMALL_STATE(466)] = 17409,
  [SMALL_STATE(467)] = 17452,
  [SMALL_STATE(468)] = 17495,
  [SMALL_STATE(469)] = 17538,
  [SMALL_STATE(470)] = 17581,
  [SMALL_STATE(471)] = 17624,
  [SMALL_STATE(472)] = 17671,
  [SMALL_STATE(473)] = 17718,
  [SMALL_STATE(474)] = 17760,
  [SMALL_STATE(475)] = 17802,
  [SMALL_STATE(476)] = 17844,
  [SMALL_STATE(477)] = 17886,
  [SMALL_STATE(478)] = 17928,
  [SMALL_STATE(479)] = 17970,
  [SMALL_STATE(480)] = 18012,
  [SMALL_STATE(481)] = 18054,
  [SMALL_STATE(482)] = 18096,
  [SMALL_STATE(483)] = 18138,
  [SMALL_STATE(484)] = 18180,
  [SMALL_STATE(485)] = 18222,
  [SMALL_STATE(486)] = 18264,
  [SMALL_STATE(487)] = 18306,
  [SMALL_STATE(488)] = 18352,
  [SMALL_STATE(489)] = 18394,
  [SMALL_STATE(490)] = 18436,
  [SMALL_STATE(491)] = 18478,
  [SMALL_STATE(492)] = 18520,
  [SMALL_STATE(493)] = 18562,
  [SMALL_STATE(494)] = 18604,
  [SMALL_STATE(495)] = 18646,
  [SMALL_STATE(496)] = 18688,
  [SMALL_STATE(497)] = 18730,
  [SMALL_STATE(498)] = 18772,
  [SMALL_STATE(499)] = 18814,
  [SMALL_STATE(500)] = 18856,
  [SMALL_STATE(501)] = 18898,
  [SMALL_STATE(502)] = 18940,
  [SMALL_STATE(503)] = 18982,
  [SMALL_STATE(504)] = 19024,
  [SMALL_STATE(505)] = 19066,
  [SMALL_STATE(506)] = 19108,
  [SMALL_STATE(507)] = 19150,
  [SMALL_STATE(508)] = 19192,
  [SMALL_STATE(509)] = 19234,
  [SMALL_STATE(510)] = 19276,
  [SMALL_STATE(511)] = 19318,
  [SMALL_STATE(512)] = 19360,
  [SMALL_STATE(513)] = 19402,
  [SMALL_STATE(514)] = 19444,
  [SMALL_STATE(515)] = 19486,
  [SMALL_STATE(516)] = 19528,
  [SMALL_STATE(517)] = 19570,
  [SMALL_STATE(518)] = 19612,
  [SMALL_STATE(519)] = 19658,
  [SMALL_STATE(520)] = 19700,
  [SMALL_STATE(521)] = 19742,
  [SMALL_STATE(522)] = 19784,
  [SMALL_STATE(523)] = 19826,
  [SMALL_STATE(524)] = 19868,
  [SMALL_STATE(525)] = 19910,
  [SMALL_STATE(526)] = 19952,
  [SMALL_STATE(527)] = 19994,
  [SMALL_STATE(528)] = 20036,
  [SMALL_STATE(529)] = 20078,
  [SMALL_STATE(530)] = 20120,
  [SMALL_STATE(531)] = 20162,
  [SMALL_STATE(532)] = 20204,
  [SMALL_STATE(533)] = 20246,
  [SMALL_STATE(534)] = 20288,
  [SMALL_STATE(535)] = 20330,
  [SMALL_STATE(536)] = 20372,
  [SMALL_STATE(537)] = 20424,
  [SMALL_STATE(538)] = 20466,
  [SMALL_STATE(539)] = 20508,
  [SMALL_STATE(540)] = 20550,
  [SMALL_STATE(541)] = 20592,
  [SMALL_STATE(542)] = 20634,
  [SMALL_STATE(543)] = 20680,
  [SMALL_STATE(544)] = 20726,
  [SMALL_STATE(545)] = 20768,
  [SMALL_STATE(546)] = 20810,
  [SMALL_STATE(547)] = 20852,
  [SMALL_STATE(548)] = 20894,
  [SMALL_STATE(549)] = 20936,
  [SMALL_STATE(550)] = 20978,
  [SMALL_STATE(551)] = 21020,
  [SMALL_STATE(552)] = 21062,
  [SMALL_STATE(553)] = 21104,
  [SMALL_STATE(554)] = 21146,
  [SMALL_STATE(555)] = 21188,
  [SMALL_STATE(556)] = 21234,
  [SMALL_STATE(557)] = 21276,
  [SMALL_STATE(558)] = 21318,
  [SMALL_STATE(559)] = 21360,
  [SMALL_STATE(560)] = 21402,
  [SMALL_STATE(561)] = 21444,
  [SMALL_STATE(562)] = 21486,
  [SMALL_STATE(563)] = 21538,
  [SMALL_STATE(564)] = 21580,
  [SMALL_STATE(565)] = 21622,
  [SMALL_STATE(566)] = 21668,
  [SMALL_STATE(567)] = 21710,
  [SMALL_STATE(568)] = 21752,
  [SMALL_STATE(569)] = 21794,
  [SMALL_STATE(570)] = 21836,
  [SMALL_STATE(571)] = 21878,
  [SMALL_STATE(572)] = 21920,
  [SMALL_STATE(573)] = 21962,
  [SMALL_STATE(574)] = 22008,
  [SMALL_STATE(575)] = 22050,
  [SMALL_STATE(576)] = 22092,
  [SMALL_STATE(577)] = 22134,
  [SMALL_STATE(578)] = 22176,
  [SMALL_STATE(579)] = 22218,
  [SMALL_STATE(580)] = 22260,
  [SMALL_STATE(581)] = 22302,
  [SMALL_STATE(582)] = 22376,
  [SMALL_STATE(583)] = 22418,
  [SMALL_STATE(584)] = 22460,
  [SMALL_STATE(585)] = 22502,
  [SMALL_STATE(586)] = 22544,
  [SMALL_STATE(587)] = 22586,
  [SMALL_STATE(588)] = 22628,
  [SMALL_STATE(589)] = 22670,
  [SMALL_STATE(590)] = 22712,
  [SMALL_STATE(591)] = 22758,
  [SMALL_STATE(592)] = 22804,
  [SMALL_STATE(593)] = 22878,
  [SMALL_STATE(594)] = 22920,
  [SMALL_STATE(595)] = 22962,
  [SMALL_STATE(596)] = 23004,
  [SMALL_STATE(597)] = 23078,
  [SMALL_STATE(598)] = 23120,
  [SMALL_STATE(599)] = 23162,
  [SMALL_STATE(600)] = 23204,
  [SMALL_STATE(601)] = 23246,
  [SMALL_STATE(602)] = 23288,
  [SMALL_STATE(603)] = 23330,
  [SMALL_STATE(604)] = 23372,
  [SMALL_STATE(605)] = 23414,
  [SMALL_STATE(606)] = 23456,
  [SMALL_STATE(607)] = 23530,
  [SMALL_STATE(608)] = 23572,
  [SMALL_STATE(609)] = 23614,
  [SMALL_STATE(610)] = 23656,
  [SMALL_STATE(611)] = 23698,
  [SMALL_STATE(612)] = 23740,
  [SMALL_STATE(613)] = 23782,
  [SMALL_STATE(614)] = 23824,
  [SMALL_STATE(615)] = 23866,
  [SMALL_STATE(616)] = 23908,
  [SMALL_STATE(617)] = 23950,
  [SMALL_STATE(618)] = 23992,
  [SMALL_STATE(619)] = 24034,
  [SMALL_STATE(620)] = 24076,
  [SMALL_STATE(621)] = 24118,
  [SMALL_STATE(622)] = 24160,
  [SMALL_STATE(623)] = 24206,
  [SMALL_STATE(624)] = 24248,
  [SMALL_STATE(625)] = 24290,
  [SMALL_STATE(626)] = 24336,
  [SMALL_STATE(627)] = 24378,
  [SMALL_STATE(628)] = 24420,
  [SMALL_STATE(629)] = 24462,
  [SMALL_STATE(630)] = 24504,
  [SMALL_STATE(631)] = 24546,
  [SMALL_STATE(632)] = 24588,
  [SMALL_STATE(633)] = 24630,
  [SMALL_STATE(634)] = 24672,
  [SMALL_STATE(635)] = 24714,
  [SMALL_STATE(636)] = 24756,
  [SMALL_STATE(637)] = 24798,
  [SMALL_STATE(638)] = 24840,
  [SMALL_STATE(639)] = 24882,
  [SMALL_STATE(640)] = 24924,
  [SMALL_STATE(641)] = 24966,
  [SMALL_STATE(642)] = 25008,
  [SMALL_STATE(643)] = 25050,
  [SMALL_STATE(644)] = 25092,
  [SMALL_STATE(645)] = 25134,
  [SMALL_STATE(646)] = 25176,
  [SMALL_STATE(647)] = 25218,
  [SMALL_STATE(648)] = 25260,
  [SMALL_STATE(649)] = 25302,
  [SMALL_STATE(650)] = 25344,
  [SMALL_STATE(651)] = 25386,
  [SMALL_STATE(652)] = 25428,
  [SMALL_STATE(653)] = 25470,
  [SMALL_STATE(654)] = 25516,
  [SMALL_STATE(655)] = 25558,
  [SMALL_STATE(656)] = 25600,
  [SMALL_STATE(657)] = 25642,
  [SMALL_STATE(658)] = 25684,
  [SMALL_STATE(659)] = 25726,
  [SMALL_STATE(660)] = 25768,
  [SMALL_STATE(661)] = 25810,
  [SMALL_STATE(662)] = 25852,
  [SMALL_STATE(663)] = 25894,
  [SMALL_STATE(664)] = 25936,
  [SMALL_STATE(665)] = 25978,
  [SMALL_STATE(666)] = 26019,
  [SMALL_STATE(667)] = 26060,
  [SMALL_STATE(668)] = 26101,
  [SMALL_STATE(669)] = 26142,
  [SMALL_STATE(670)] = 26183,
  [SMALL_STATE(671)] = 26224,
  [SMALL_STATE(672)] = 26265,
  [SMALL_STATE(673)] = 26306,
  [SMALL_STATE(674)] = 26347,
  [SMALL_STATE(675)] = 26388,
  [SMALL_STATE(676)] = 26429,
  [SMALL_STATE(677)] = 26470,
  [SMALL_STATE(678)] = 26511,
  [SMALL_STATE(679)] = 26552,
  [SMALL_STATE(680)] = 26593,
  [SMALL_STATE(681)] = 26642,
  [SMALL_STATE(682)] = 26706,
  [SMALL_STATE(683)] = 26760,
  [SMALL_STATE(684)] = 26824,
  [SMALL_STATE(685)] = 26888,
  [SMALL_STATE(686)] = 26952,
  [SMALL_STATE(687)] = 27016,
  [SMALL_STATE(688)] = 27080,
  [SMALL_STATE(689)] = 27132,
  [SMALL_STATE(690)] = 27184,
  [SMALL_STATE(691)] = 27236,
  [SMALL_STATE(692)] = 27301,
  [SMALL_STATE(693)] = 27366,
  [SMALL_STATE(694)] = 27431,
  [SMALL_STATE(695)] = 27496,
  [SMALL_STATE(696)] = 27561,
  [SMALL_STATE(697)] = 27626,
  [SMALL_STATE(698)] = 27691,
  [SMALL_STATE(699)] = 27756,
  [SMALL_STATE(700)] = 27821,
  [SMALL_STATE(701)] = 27886,
  [SMALL_STATE(702)] = 27951,
  [SMALL_STATE(703)] = 28016,
  [SMALL_STATE(704)] = 28081,
  [SMALL_STATE(705)] = 28146,
  [SMALL_STATE(706)] = 28211,
  [SMALL_STATE(707)] = 28276,
  [SMALL_STATE(708)] = 28341,
  [SMALL_STATE(709)] = 28406,
  [SMALL_STATE(710)] = 28471,
  [SMALL_STATE(711)] = 28536,
  [SMALL_STATE(712)] = 28601,
  [SMALL_STATE(713)] = 28666,
  [SMALL_STATE(714)] = 28731,
  [SMALL_STATE(715)] = 28796,
  [SMALL_STATE(716)] = 28861,
  [SMALL_STATE(717)] = 28926,
  [SMALL_STATE(718)] = 28991,
  [SMALL_STATE(719)] = 29056,
  [SMALL_STATE(720)] = 29121,
  [SMALL_STATE(721)] = 29186,
  [SMALL_STATE(722)] = 29251,
  [SMALL_STATE(723)] = 29316,
  [SMALL_STATE(724)] = 29381,
  [SMALL_STATE(725)] = 29446,
  [SMALL_STATE(726)] = 29511,
  [SMALL_STATE(727)] = 29576,
  [SMALL_STATE(728)] = 29641,
  [SMALL_STATE(729)] = 29706,
  [SMALL_STATE(730)] = 29771,
  [SMALL_STATE(731)] = 29836,
  [SMALL_STATE(732)] = 29901,
  [SMALL_STATE(733)] = 29966,
  [SMALL_STATE(734)] = 30031,
  [SMALL_STATE(735)] = 30096,
  [SMALL_STATE(736)] = 30161,
  [SMALL_STATE(737)] = 30226,
  [SMALL_STATE(738)] = 30291,
  [SMALL_STATE(739)] = 30356,
  [SMALL_STATE(740)] = 30421,
  [SMALL_STATE(741)] = 30486,
  [SMALL_STATE(742)] = 30551,
  [SMALL_STATE(743)] = 30616,
  [SMALL_STATE(744)] = 30681,
  [SMALL_STATE(745)] = 30746,
  [SMALL_STATE(746)] = 30811,
  [SMALL_STATE(747)] = 30876,
  [SMALL_STATE(748)] = 30941,
  [SMALL_STATE(749)] = 31006,
  [SMALL_STATE(750)] = 31071,
  [SMALL_STATE(751)] = 31136,
  [SMALL_STATE(752)] = 31201,
  [SMALL_STATE(753)] = 31266,
  [SMALL_STATE(754)] = 31331,
  [SMALL_STATE(755)] = 31396,
  [SMALL_STATE(756)] = 31461,
  [SMALL_STATE(757)] = 31526,
  [SMALL_STATE(758)] = 31591,
  [SMALL_STATE(759)] = 31656,
  [SMALL_STATE(760)] = 31721,
  [SMALL_STATE(761)] = 31786,
  [SMALL_STATE(762)] = 31851,
  [SMALL_STATE(763)] = 31916,
  [SMALL_STATE(764)] = 31981,
  [SMALL_STATE(765)] = 32046,
  [SMALL_STATE(766)] = 32111,
  [SMALL_STATE(767)] = 32176,
  [SMALL_STATE(768)] = 32241,
  [SMALL_STATE(769)] = 32306,
  [SMALL_STATE(770)] = 32371,
  [SMALL_STATE(771)] = 32436,
  [SMALL_STATE(772)] = 32501,
  [SMALL_STATE(773)] = 32566,
  [SMALL_STATE(774)] = 32631,
  [SMALL_STATE(775)] = 32696,
  [SMALL_STATE(776)] = 32761,
  [SMALL_STATE(777)] = 32826,
  [SMALL_STATE(778)] = 32891,
  [SMALL_STATE(779)] = 32956,
  [SMALL_STATE(780)] = 33021,
  [SMALL_STATE(781)] = 33086,
  [SMALL_STATE(782)] = 33151,
  [SMALL_STATE(783)] = 33216,
  [SMALL_STATE(784)] = 33281,
  [SMALL_STATE(785)] = 33346,
  [SMALL_STATE(786)] = 33411,
  [SMALL_STATE(787)] = 33476,
  [SMALL_STATE(788)] = 33541,
  [SMALL_STATE(789)] = 33606,
  [SMALL_STATE(790)] = 33671,
  [SMALL_STATE(791)] = 33736,
  [SMALL_STATE(792)] = 33801,
  [SMALL_STATE(793)] = 33866,
  [SMALL_STATE(794)] = 33931,
  [SMALL_STATE(795)] = 33996,
  [SMALL_STATE(796)] = 34061,
  [SMALL_STATE(797)] = 34126,
  [SMALL_STATE(798)] = 34191,
  [SMALL_STATE(799)] = 34256,
  [SMALL_STATE(800)] = 34321,
  [SMALL_STATE(801)] = 34386,
  [SMALL_STATE(802)] = 34451,
  [SMALL_STATE(803)] = 34516,
  [SMALL_STATE(804)] = 34581,
  [SMALL_STATE(805)] = 34646,
  [SMALL_STATE(806)] = 34711,
  [SMALL_STATE(807)] = 34776,
  [SMALL_STATE(808)] = 34841,
  [SMALL_STATE(809)] = 34906,
  [SMALL_STATE(810)] = 34971,
  [SMALL_STATE(811)] = 35036,
  [SMALL_STATE(812)] = 35101,
  [SMALL_STATE(813)] = 35166,
  [SMALL_STATE(814)] = 35231,
  [SMALL_STATE(815)] = 35296,
  [SMALL_STATE(816)] = 35361,
  [SMALL_STATE(817)] = 35426,
  [SMALL_STATE(818)] = 35491,
  [SMALL_STATE(819)] = 35556,
  [SMALL_STATE(820)] = 35621,
  [SMALL_STATE(821)] = 35686,
  [SMALL_STATE(822)] = 35751,
  [SMALL_STATE(823)] = 35816,
  [SMALL_STATE(824)] = 35881,
  [SMALL_STATE(825)] = 35946,
  [SMALL_STATE(826)] = 36011,
  [SMALL_STATE(827)] = 36076,
  [SMALL_STATE(828)] = 36141,
  [SMALL_STATE(829)] = 36206,
  [SMALL_STATE(830)] = 36271,
  [SMALL_STATE(831)] = 36336,
  [SMALL_STATE(832)] = 36401,
  [SMALL_STATE(833)] = 36466,
  [SMALL_STATE(834)] = 36531,
  [SMALL_STATE(835)] = 36596,
  [SMALL_STATE(836)] = 36661,
  [SMALL_STATE(837)] = 36726,
  [SMALL_STATE(838)] = 36791,
  [SMALL_STATE(839)] = 36856,
  [SMALL_STATE(840)] = 36921,
  [SMALL_STATE(841)] = 36986,
  [SMALL_STATE(842)] = 37051,
  [SMALL_STATE(843)] = 37116,
  [SMALL_STATE(844)] = 37181,
  [SMALL_STATE(845)] = 37246,
  [SMALL_STATE(846)] = 37311,
  [SMALL_STATE(847)] = 37376,
  [SMALL_STATE(848)] = 37441,
  [SMALL_STATE(849)] = 37506,
  [SMALL_STATE(850)] = 37571,
  [SMALL_STATE(851)] = 37636,
  [SMALL_STATE(852)] = 37701,
  [SMALL_STATE(853)] = 37766,
  [SMALL_STATE(854)] = 37831,
  [SMALL_STATE(855)] = 37896,
  [SMALL_STATE(856)] = 37961,
  [SMALL_STATE(857)] = 38026,
  [SMALL_STATE(858)] = 38091,
  [SMALL_STATE(859)] = 38156,
  [SMALL_STATE(860)] = 38221,
  [SMALL_STATE(861)] = 38286,
  [SMALL_STATE(862)] = 38351,
  [SMALL_STATE(863)] = 38416,
  [SMALL_STATE(864)] = 38481,
  [SMALL_STATE(865)] = 38546,
  [SMALL_STATE(866)] = 38611,
  [SMALL_STATE(867)] = 38676,
  [SMALL_STATE(868)] = 38741,
  [SMALL_STATE(869)] = 38806,
  [SMALL_STATE(870)] = 38871,
  [SMALL_STATE(871)] = 38936,
  [SMALL_STATE(872)] = 39001,
  [SMALL_STATE(873)] = 39066,
  [SMALL_STATE(874)] = 39131,
  [SMALL_STATE(875)] = 39196,
  [SMALL_STATE(876)] = 39261,
  [SMALL_STATE(877)] = 39326,
  [SMALL_STATE(878)] = 39391,
  [SMALL_STATE(879)] = 39456,
  [SMALL_STATE(880)] = 39521,
  [SMALL_STATE(881)] = 39586,
  [SMALL_STATE(882)] = 39651,
  [SMALL_STATE(883)] = 39716,
  [SMALL_STATE(884)] = 39781,
  [SMALL_STATE(885)] = 39846,
  [SMALL_STATE(886)] = 39911,
  [SMALL_STATE(887)] = 39976,
  [SMALL_STATE(888)] = 40041,
  [SMALL_STATE(889)] = 40106,
  [SMALL_STATE(890)] = 40171,
  [SMALL_STATE(891)] = 40236,
  [SMALL_STATE(892)] = 40301,
  [SMALL_STATE(893)] = 40366,
  [SMALL_STATE(894)] = 40431,
  [SMALL_STATE(895)] = 40496,
  [SMALL_STATE(896)] = 40561,
  [SMALL_STATE(897)] = 40626,
  [SMALL_STATE(898)] = 40691,
  [SMALL_STATE(899)] = 40756,
  [SMALL_STATE(900)] = 40821,
  [SMALL_STATE(901)] = 40886,
  [SMALL_STATE(902)] = 40951,
  [SMALL_STATE(903)] = 41016,
  [SMALL_STATE(904)] = 41081,
  [SMALL_STATE(905)] = 41146,
  [SMALL_STATE(906)] = 41211,
  [SMALL_STATE(907)] = 41276,
  [SMALL_STATE(908)] = 41341,
  [SMALL_STATE(909)] = 41406,
  [SMALL_STATE(910)] = 41471,
  [SMALL_STATE(911)] = 41536,
  [SMALL_STATE(912)] = 41601,
  [SMALL_STATE(913)] = 41663,
  [SMALL_STATE(914)] = 41725,
  [SMALL_STATE(915)] = 41787,
  [SMALL_STATE(916)] = 41849,
  [SMALL_STATE(917)] = 41911,
  [SMALL_STATE(918)] = 41973,
  [SMALL_STATE(919)] = 42035,
  [SMALL_STATE(920)] = 42097,
  [SMALL_STATE(921)] = 42159,
  [SMALL_STATE(922)] = 42221,
  [SMALL_STATE(923)] = 42283,
  [SMALL_STATE(924)] = 42345,
  [SMALL_STATE(925)] = 42407,
  [SMALL_STATE(926)] = 42469,
  [SMALL_STATE(927)] = 42531,
  [SMALL_STATE(928)] = 42593,
  [SMALL_STATE(929)] = 42655,
  [SMALL_STATE(930)] = 42717,
  [SMALL_STATE(931)] = 42779,
  [SMALL_STATE(932)] = 42841,
  [SMALL_STATE(933)] = 42903,
  [SMALL_STATE(934)] = 42965,
  [SMALL_STATE(935)] = 43027,
  [SMALL_STATE(936)] = 43089,
  [SMALL_STATE(937)] = 43151,
  [SMALL_STATE(938)] = 43213,
  [SMALL_STATE(939)] = 43275,
  [SMALL_STATE(940)] = 43337,
  [SMALL_STATE(941)] = 43399,
  [SMALL_STATE(942)] = 43461,
  [SMALL_STATE(943)] = 43523,
  [SMALL_STATE(944)] = 43585,
  [SMALL_STATE(945)] = 43647,
  [SMALL_STATE(946)] = 43709,
  [SMALL_STATE(947)] = 43771,
  [SMALL_STATE(948)] = 43833,
  [SMALL_STATE(949)] = 43895,
  [SMALL_STATE(950)] = 43957,
  [SMALL_STATE(951)] = 44019,
  [SMALL_STATE(952)] = 44081,
  [SMALL_STATE(953)] = 44143,
  [SMALL_STATE(954)] = 44205,
  [SMALL_STATE(955)] = 44267,
  [SMALL_STATE(956)] = 44329,
  [SMALL_STATE(957)] = 44391,
  [SMALL_STATE(958)] = 44453,
  [SMALL_STATE(959)] = 44515,
  [SMALL_STATE(960)] = 44577,
  [SMALL_STATE(961)] = 44639,
  [SMALL_STATE(962)] = 44701,
  [SMALL_STATE(963)] = 44763,
  [SMALL_STATE(964)] = 44825,
  [SMALL_STATE(965)] = 44887,
  [SMALL_STATE(966)] = 44949,
  [SMALL_STATE(967)] = 45011,
  [SMALL_STATE(968)] = 45073,
  [SMALL_STATE(969)] = 45135,
  [SMALL_STATE(970)] = 45197,
  [SMALL_STATE(971)] = 45259,
  [SMALL_STATE(972)] = 45321,
  [SMALL_STATE(973)] = 45383,
  [SMALL_STATE(974)] = 45445,
  [SMALL_STATE(975)] = 45507,
  [SMALL_STATE(976)] = 45569,
  [SMALL_STATE(977)] = 45631,
  [SMALL_STATE(978)] = 45693,
  [SMALL_STATE(979)] = 45755,
  [SMALL_STATE(980)] = 45817,
  [SMALL_STATE(981)] = 45879,
  [SMALL_STATE(982)] = 45941,
  [SMALL_STATE(983)] = 46003,
  [SMALL_STATE(984)] = 46065,
  [SMALL_STATE(985)] = 46127,
  [SMALL_STATE(986)] = 46189,
  [SMALL_STATE(987)] = 46251,
  [SMALL_STATE(988)] = 46313,
  [SMALL_STATE(989)] = 46375,
  [SMALL_STATE(990)] = 46437,
  [SMALL_STATE(991)] = 46499,
  [SMALL_STATE(992)] = 46561,
  [SMALL_STATE(993)] = 46623,
  [SMALL_STATE(994)] = 46685,
  [SMALL_STATE(995)] = 46747,
  [SMALL_STATE(996)] = 46809,
  [SMALL_STATE(997)] = 46871,
  [SMALL_STATE(998)] = 46933,
  [SMALL_STATE(999)] = 46995,
  [SMALL_STATE(1000)] = 47057,
  [SMALL_STATE(1001)] = 47119,
  [SMALL_STATE(1002)] = 47181,
  [SMALL_STATE(1003)] = 47243,
  [SMALL_STATE(1004)] = 47305,
  [SMALL_STATE(1005)] = 47367,
  [SMALL_STATE(1006)] = 47429,
  [SMALL_STATE(1007)] = 47491,
  [SMALL_STATE(1008)] = 47553,
  [SMALL_STATE(1009)] = 47615,
  [SMALL_STATE(1010)] = 47677,
  [SMALL_STATE(1011)] = 47739,
  [SMALL_STATE(1012)] = 47801,
  [SMALL_STATE(1013)] = 47863,
  [SMALL_STATE(1014)] = 47925,
  [SMALL_STATE(1015)] = 47987,
  [SMALL_STATE(1016)] = 48049,
  [SMALL_STATE(1017)] = 48111,
  [SMALL_STATE(1018)] = 48173,
  [SMALL_STATE(1019)] = 48235,
  [SMALL_STATE(1020)] = 48297,
  [SMALL_STATE(1021)] = 48359,
  [SMALL_STATE(1022)] = 48421,
  [SMALL_STATE(1023)] = 48483,
  [SMALL_STATE(1024)] = 48545,
  [SMALL_STATE(1025)] = 48607,
  [SMALL_STATE(1026)] = 48669,
  [SMALL_STATE(1027)] = 48731,
  [SMALL_STATE(1028)] = 48793,
  [SMALL_STATE(1029)] = 48855,
  [SMALL_STATE(1030)] = 48917,
  [SMALL_STATE(1031)] = 48979,
  [SMALL_STATE(1032)] = 49041,
  [SMALL_STATE(1033)] = 49103,
  [SMALL_STATE(1034)] = 49165,
  [SMALL_STATE(1035)] = 49227,
  [SMALL_STATE(1036)] = 49289,
  [SMALL_STATE(1037)] = 49351,
  [SMALL_STATE(1038)] = 49413,
  [SMALL_STATE(1039)] = 49475,
  [SMALL_STATE(1040)] = 49537,
  [SMALL_STATE(1041)] = 49599,
  [SMALL_STATE(1042)] = 49661,
  [SMALL_STATE(1043)] = 49723,
  [SMALL_STATE(1044)] = 49785,
  [SMALL_STATE(1045)] = 49847,
  [SMALL_STATE(1046)] = 49909,
  [SMALL_STATE(1047)] = 49971,
  [SMALL_STATE(1048)] = 50033,
  [SMALL_STATE(1049)] = 50095,
  [SMALL_STATE(1050)] = 50157,
  [SMALL_STATE(1051)] = 50219,
  [SMALL_STATE(1052)] = 50281,
  [SMALL_STATE(1053)] = 50343,
  [SMALL_STATE(1054)] = 50405,
  [SMALL_STATE(1055)] = 50467,
  [SMALL_STATE(1056)] = 50529,
  [SMALL_STATE(1057)] = 50591,
  [SMALL_STATE(1058)] = 50653,
  [SMALL_STATE(1059)] = 50715,
  [SMALL_STATE(1060)] = 50777,
  [SMALL_STATE(1061)] = 50839,
  [SMALL_STATE(1062)] = 50901,
  [SMALL_STATE(1063)] = 50963,
  [SMALL_STATE(1064)] = 51025,
  [SMALL_STATE(1065)] = 51087,
  [SMALL_STATE(1066)] = 51149,
  [SMALL_STATE(1067)] = 51211,
  [SMALL_STATE(1068)] = 51273,
  [SMALL_STATE(1069)] = 51335,
  [SMALL_STATE(1070)] = 51397,
  [SMALL_STATE(1071)] = 51459,
  [SMALL_STATE(1072)] = 51521,
  [SMALL_STATE(1073)] = 51583,
  [SMALL_STATE(1074)] = 51645,
  [SMALL_STATE(1075)] = 51707,
  [SMALL_STATE(1076)] = 51769,
  [SMALL_STATE(1077)] = 51831,
  [SMALL_STATE(1078)] = 51893,
  [SMALL_STATE(1079)] = 51955,
  [SMALL_STATE(1080)] = 52017,
  [SMALL_STATE(1081)] = 52079,
  [SMALL_STATE(1082)] = 52141,
  [SMALL_STATE(1083)] = 52203,
  [SMALL_STATE(1084)] = 52265,
  [SMALL_STATE(1085)] = 52327,
  [SMALL_STATE(1086)] = 52389,
  [SMALL_STATE(1087)] = 52451,
  [SMALL_STATE(1088)] = 52513,
  [SMALL_STATE(1089)] = 52575,
  [SMALL_STATE(1090)] = 52637,
  [SMALL_STATE(1091)] = 52699,
  [SMALL_STATE(1092)] = 52761,
  [SMALL_STATE(1093)] = 52823,
  [SMALL_STATE(1094)] = 52885,
  [SMALL_STATE(1095)] = 52947,
  [SMALL_STATE(1096)] = 53009,
  [SMALL_STATE(1097)] = 53071,
  [SMALL_STATE(1098)] = 53133,
  [SMALL_STATE(1099)] = 53195,
  [SMALL_STATE(1100)] = 53257,
  [SMALL_STATE(1101)] = 53319,
  [SMALL_STATE(1102)] = 53381,
  [SMALL_STATE(1103)] = 53443,
  [SMALL_STATE(1104)] = 53505,
  [SMALL_STATE(1105)] = 53567,
  [SMALL_STATE(1106)] = 53629,
  [SMALL_STATE(1107)] = 53691,
  [SMALL_STATE(1108)] = 53753,
  [SMALL_STATE(1109)] = 53815,
  [SMALL_STATE(1110)] = 53877,
  [SMALL_STATE(1111)] = 53939,
  [SMALL_STATE(1112)] = 54001,
  [SMALL_STATE(1113)] = 54063,
  [SMALL_STATE(1114)] = 54125,
  [SMALL_STATE(1115)] = 54187,
  [SMALL_STATE(1116)] = 54249,
  [SMALL_STATE(1117)] = 54311,
  [SMALL_STATE(1118)] = 54373,
  [SMALL_STATE(1119)] = 54435,
  [SMALL_STATE(1120)] = 54497,
  [SMALL_STATE(1121)] = 54559,
  [SMALL_STATE(1122)] = 54621,
  [SMALL_STATE(1123)] = 54683,
  [SMALL_STATE(1124)] = 54745,
  [SMALL_STATE(1125)] = 54807,
  [SMALL_STATE(1126)] = 54869,
  [SMALL_STATE(1127)] = 54931,
  [SMALL_STATE(1128)] = 54993,
  [SMALL_STATE(1129)] = 55055,
  [SMALL_STATE(1130)] = 55117,
  [SMALL_STATE(1131)] = 55179,
  [SMALL_STATE(1132)] = 55241,
  [SMALL_STATE(1133)] = 55303,
  [SMALL_STATE(1134)] = 55365,
  [SMALL_STATE(1135)] = 55427,
  [SMALL_STATE(1136)] = 55489,
  [SMALL_STATE(1137)] = 55551,
  [SMALL_STATE(1138)] = 55613,
  [SMALL_STATE(1139)] = 55675,
  [SMALL_STATE(1140)] = 55737,
  [SMALL_STATE(1141)] = 55799,
  [SMALL_STATE(1142)] = 55861,
  [SMALL_STATE(1143)] = 55923,
  [SMALL_STATE(1144)] = 55985,
  [SMALL_STATE(1145)] = 56047,
  [SMALL_STATE(1146)] = 56109,
  [SMALL_STATE(1147)] = 56171,
  [SMALL_STATE(1148)] = 56233,
  [SMALL_STATE(1149)] = 56295,
  [SMALL_STATE(1150)] = 56357,
  [SMALL_STATE(1151)] = 56419,
  [SMALL_STATE(1152)] = 56481,
  [SMALL_STATE(1153)] = 56543,
  [SMALL_STATE(1154)] = 56605,
  [SMALL_STATE(1155)] = 56667,
  [SMALL_STATE(1156)] = 56729,
  [SMALL_STATE(1157)] = 56791,
  [SMALL_STATE(1158)] = 56853,
  [SMALL_STATE(1159)] = 56915,
  [SMALL_STATE(1160)] = 56977,
  [SMALL_STATE(1161)] = 57039,
  [SMALL_STATE(1162)] = 57101,
  [SMALL_STATE(1163)] = 57163,
  [SMALL_STATE(1164)] = 57225,
  [SMALL_STATE(1165)] = 57287,
  [SMALL_STATE(1166)] = 57349,
  [SMALL_STATE(1167)] = 57411,
  [SMALL_STATE(1168)] = 57473,
  [SMALL_STATE(1169)] = 57535,
  [SMALL_STATE(1170)] = 57597,
  [SMALL_STATE(1171)] = 57659,
  [SMALL_STATE(1172)] = 57721,
  [SMALL_STATE(1173)] = 57783,
  [SMALL_STATE(1174)] = 57845,
  [SMALL_STATE(1175)] = 57907,
  [SMALL_STATE(1176)] = 57969,
  [SMALL_STATE(1177)] = 58031,
  [SMALL_STATE(1178)] = 58093,
  [SMALL_STATE(1179)] = 58155,
  [SMALL_STATE(1180)] = 58217,
  [SMALL_STATE(1181)] = 58279,
  [SMALL_STATE(1182)] = 58341,
  [SMALL_STATE(1183)] = 58403,
  [SMALL_STATE(1184)] = 58465,
  [SMALL_STATE(1185)] = 58527,
  [SMALL_STATE(1186)] = 58589,
  [SMALL_STATE(1187)] = 58651,
  [SMALL_STATE(1188)] = 58713,
  [SMALL_STATE(1189)] = 58775,
  [SMALL_STATE(1190)] = 58837,
  [SMALL_STATE(1191)] = 58899,
  [SMALL_STATE(1192)] = 58961,
  [SMALL_STATE(1193)] = 59023,
  [SMALL_STATE(1194)] = 59085,
  [SMALL_STATE(1195)] = 59147,
  [SMALL_STATE(1196)] = 59209,
  [SMALL_STATE(1197)] = 59271,
  [SMALL_STATE(1198)] = 59333,
  [SMALL_STATE(1199)] = 59395,
  [SMALL_STATE(1200)] = 59457,
  [SMALL_STATE(1201)] = 59519,
  [SMALL_STATE(1202)] = 59581,
  [SMALL_STATE(1203)] = 59643,
  [SMALL_STATE(1204)] = 59705,
  [SMALL_STATE(1205)] = 59767,
  [SMALL_STATE(1206)] = 59829,
  [SMALL_STATE(1207)] = 59891,
  [SMALL_STATE(1208)] = 59953,
  [SMALL_STATE(1209)] = 60015,
  [SMALL_STATE(1210)] = 60077,
  [SMALL_STATE(1211)] = 60139,
  [SMALL_STATE(1212)] = 60201,
  [SMALL_STATE(1213)] = 60263,
  [SMALL_STATE(1214)] = 60325,
  [SMALL_STATE(1215)] = 60387,
  [SMALL_STATE(1216)] = 60449,
  [SMALL_STATE(1217)] = 60511,
  [SMALL_STATE(1218)] = 60573,
  [SMALL_STATE(1219)] = 60635,
  [SMALL_STATE(1220)] = 60697,
  [SMALL_STATE(1221)] = 60759,
  [SMALL_STATE(1222)] = 60821,
  [SMALL_STATE(1223)] = 60883,
  [SMALL_STATE(1224)] = 60945,
  [SMALL_STATE(1225)] = 61007,
  [SMALL_STATE(1226)] = 61069,
  [SMALL_STATE(1227)] = 61131,
  [SMALL_STATE(1228)] = 61193,
  [SMALL_STATE(1229)] = 61255,
  [SMALL_STATE(1230)] = 61317,
  [SMALL_STATE(1231)] = 61379,
  [SMALL_STATE(1232)] = 61441,
  [SMALL_STATE(1233)] = 61503,
  [SMALL_STATE(1234)] = 61565,
  [SMALL_STATE(1235)] = 61627,
  [SMALL_STATE(1236)] = 61689,
  [SMALL_STATE(1237)] = 61751,
  [SMALL_STATE(1238)] = 61813,
  [SMALL_STATE(1239)] = 61875,
  [SMALL_STATE(1240)] = 61937,
  [SMALL_STATE(1241)] = 61999,
  [SMALL_STATE(1242)] = 62061,
  [SMALL_STATE(1243)] = 62123,
  [SMALL_STATE(1244)] = 62185,
  [SMALL_STATE(1245)] = 62247,
  [SMALL_STATE(1246)] = 62309,
  [SMALL_STATE(1247)] = 62371,
  [SMALL_STATE(1248)] = 62433,
  [SMALL_STATE(1249)] = 62495,
  [SMALL_STATE(1250)] = 62557,
  [SMALL_STATE(1251)] = 62619,
  [SMALL_STATE(1252)] = 62681,
  [SMALL_STATE(1253)] = 62743,
  [SMALL_STATE(1254)] = 62805,
  [SMALL_STATE(1255)] = 62867,
  [SMALL_STATE(1256)] = 62929,
  [SMALL_STATE(1257)] = 62991,
  [SMALL_STATE(1258)] = 63053,
  [SMALL_STATE(1259)] = 63115,
  [SMALL_STATE(1260)] = 63177,
  [SMALL_STATE(1261)] = 63239,
  [SMALL_STATE(1262)] = 63301,
  [SMALL_STATE(1263)] = 63363,
  [SMALL_STATE(1264)] = 63425,
  [SMALL_STATE(1265)] = 63487,
  [SMALL_STATE(1266)] = 63549,
  [SMALL_STATE(1267)] = 63611,
  [SMALL_STATE(1268)] = 63673,
  [SMALL_STATE(1269)] = 63735,
  [SMALL_STATE(1270)] = 63797,
  [SMALL_STATE(1271)] = 63859,
  [SMALL_STATE(1272)] = 63921,
  [SMALL_STATE(1273)] = 63983,
  [SMALL_STATE(1274)] = 64045,
  [SMALL_STATE(1275)] = 64107,
  [SMALL_STATE(1276)] = 64169,
  [SMALL_STATE(1277)] = 64231,
  [SMALL_STATE(1278)] = 64293,
  [SMALL_STATE(1279)] = 64355,
  [SMALL_STATE(1280)] = 64417,
  [SMALL_STATE(1281)] = 64479,
  [SMALL_STATE(1282)] = 64541,
  [SMALL_STATE(1283)] = 64603,
  [SMALL_STATE(1284)] = 64665,
  [SMALL_STATE(1285)] = 64727,
  [SMALL_STATE(1286)] = 64789,
  [SMALL_STATE(1287)] = 64851,
  [SMALL_STATE(1288)] = 64913,
  [SMALL_STATE(1289)] = 64975,
  [SMALL_STATE(1290)] = 65037,
  [SMALL_STATE(1291)] = 65099,
  [SMALL_STATE(1292)] = 65161,
  [SMALL_STATE(1293)] = 65223,
  [SMALL_STATE(1294)] = 65285,
  [SMALL_STATE(1295)] = 65347,
  [SMALL_STATE(1296)] = 65409,
  [SMALL_STATE(1297)] = 65471,
  [SMALL_STATE(1298)] = 65533,
  [SMALL_STATE(1299)] = 65595,
  [SMALL_STATE(1300)] = 65657,
  [SMALL_STATE(1301)] = 65719,
  [SMALL_STATE(1302)] = 65781,
  [SMALL_STATE(1303)] = 65843,
  [SMALL_STATE(1304)] = 65905,
  [SMALL_STATE(1305)] = 65967,
  [SMALL_STATE(1306)] = 66029,
  [SMALL_STATE(1307)] = 66091,
  [SMALL_STATE(1308)] = 66138,
  [SMALL_STATE(1309)] = 66174,
  [SMALL_STATE(1310)] = 66218,
  [SMALL_STATE(1311)] = 66262,
  [SMALL_STATE(1312)] = 66311,
  [SMALL_STATE(1313)] = 66346,
  [SMALL_STATE(1314)] = 66383,
  [SMALL_STATE(1315)] = 66432,
  [SMALL_STATE(1316)] = 66469,
  [SMALL_STATE(1317)] = 66506,
  [SMALL_STATE(1318)] = 66549,
  [SMALL_STATE(1319)] = 66598,
  [SMALL_STATE(1320)] = 66635,
  [SMALL_STATE(1321)] = 66672,
  [SMALL_STATE(1322)] = 66709,
  [SMALL_STATE(1323)] = 66752,
  [SMALL_STATE(1324)] = 66789,
  [SMALL_STATE(1325)] = 66826,
  [SMALL_STATE(1326)] = 66861,
  [SMALL_STATE(1327)] = 66910,
  [SMALL_STATE(1328)] = 66959,
  [SMALL_STATE(1329)] = 67004,
  [SMALL_STATE(1330)] = 67053,
  [SMALL_STATE(1331)] = 67090,
  [SMALL_STATE(1332)] = 67133,
  [SMALL_STATE(1333)] = 67182,
  [SMALL_STATE(1334)] = 67225,
  [SMALL_STATE(1335)] = 67260,
  [SMALL_STATE(1336)] = 67303,
  [SMALL_STATE(1337)] = 67340,
  [SMALL_STATE(1338)] = 67389,
  [SMALL_STATE(1339)] = 67421,
  [SMALL_STATE(1340)] = 67453,
  [SMALL_STATE(1341)] = 67487,
  [SMALL_STATE(1342)] = 67521,
  [SMALL_STATE(1343)] = 67567,
  [SMALL_STATE(1344)] = 67613,
  [SMALL_STATE(1345)] = 67649,
  [SMALL_STATE(1346)] = 67685,
  [SMALL_STATE(1347)] = 67721,
  [SMALL_STATE(1348)] = 67755,
  [SMALL_STATE(1349)] = 67791,
  [SMALL_STATE(1350)] = 67845,
  [SMALL_STATE(1351)] = 67881,
  [SMALL_STATE(1352)] = 67917,
  [SMALL_STATE(1353)] = 67953,
  [SMALL_STATE(1354)] = 68001,
  [SMALL_STATE(1355)] = 68037,
  [SMALL_STATE(1356)] = 68083,
  [SMALL_STATE(1357)] = 68117,
  [SMALL_STATE(1358)] = 68165,
  [SMALL_STATE(1359)] = 68219,
  [SMALL_STATE(1360)] = 68255,
  [SMALL_STATE(1361)] = 68287,
  [SMALL_STATE(1362)] = 68319,
  [SMALL_STATE(1363)] = 68351,
  [SMALL_STATE(1364)] = 68383,
  [SMALL_STATE(1365)] = 68415,
  [SMALL_STATE(1366)] = 68447,
  [SMALL_STATE(1367)] = 68479,
  [SMALL_STATE(1368)] = 68511,
  [SMALL_STATE(1369)] = 68543,
  [SMALL_STATE(1370)] = 68575,
  [SMALL_STATE(1371)] = 68607,
  [SMALL_STATE(1372)] = 68643,
  [SMALL_STATE(1373)] = 68675,
  [SMALL_STATE(1374)] = 68707,
  [SMALL_STATE(1375)] = 68761,
  [SMALL_STATE(1376)] = 68793,
  [SMALL_STATE(1377)] = 68825,
  [SMALL_STATE(1378)] = 68857,
  [SMALL_STATE(1379)] = 68889,
  [SMALL_STATE(1380)] = 68921,
  [SMALL_STATE(1381)] = 68953,
  [SMALL_STATE(1382)] = 68985,
  [SMALL_STATE(1383)] = 69017,
  [SMALL_STATE(1384)] = 69049,
  [SMALL_STATE(1385)] = 69085,
  [SMALL_STATE(1386)] = 69117,
  [SMALL_STATE(1387)] = 69149,
  [SMALL_STATE(1388)] = 69195,
  [SMALL_STATE(1389)] = 69229,
  [SMALL_STATE(1390)] = 69258,
  [SMALL_STATE(1391)] = 69289,
  [SMALL_STATE(1392)] = 69320,
  [SMALL_STATE(1393)] = 69351,
  [SMALL_STATE(1394)] = 69382,
  [SMALL_STATE(1395)] = 69413,
  [SMALL_STATE(1396)] = 69444,
  [SMALL_STATE(1397)] = 69475,
  [SMALL_STATE(1398)] = 69506,
  [SMALL_STATE(1399)] = 69537,
  [SMALL_STATE(1400)] = 69568,
  [SMALL_STATE(1401)] = 69599,
  [SMALL_STATE(1402)] = 69634,
  [SMALL_STATE(1403)] = 69669,
  [SMALL_STATE(1404)] = 69700,
  [SMALL_STATE(1405)] = 69731,
  [SMALL_STATE(1406)] = 69762,
  [SMALL_STATE(1407)] = 69793,
  [SMALL_STATE(1408)] = 69824,
  [SMALL_STATE(1409)] = 69855,
  [SMALL_STATE(1410)] = 69890,
  [SMALL_STATE(1411)] = 69921,
  [SMALL_STATE(1412)] = 69952,
  [SMALL_STATE(1413)] = 69983,
  [SMALL_STATE(1414)] = 70014,
  [SMALL_STATE(1415)] = 70045,
  [SMALL_STATE(1416)] = 70076,
  [SMALL_STATE(1417)] = 70107,
  [SMALL_STATE(1418)] = 70138,
  [SMALL_STATE(1419)] = 70169,
  [SMALL_STATE(1420)] = 70200,
  [SMALL_STATE(1421)] = 70257,
  [SMALL_STATE(1422)] = 70292,
  [SMALL_STATE(1423)] = 70323,
  [SMALL_STATE(1424)] = 70354,
  [SMALL_STATE(1425)] = 70389,
  [SMALL_STATE(1426)] = 70420,
  [SMALL_STATE(1427)] = 70451,
  [SMALL_STATE(1428)] = 70482,
  [SMALL_STATE(1429)] = 70513,
  [SMALL_STATE(1430)] = 70544,
  [SMALL_STATE(1431)] = 70575,
  [SMALL_STATE(1432)] = 70610,
  [SMALL_STATE(1433)] = 70667,
  [SMALL_STATE(1434)] = 70702,
  [SMALL_STATE(1435)] = 70733,
  [SMALL_STATE(1436)] = 70764,
  [SMALL_STATE(1437)] = 70795,
  [SMALL_STATE(1438)] = 70826,
  [SMALL_STATE(1439)] = 70857,
  [SMALL_STATE(1440)] = 70888,
  [SMALL_STATE(1441)] = 70919,
  [SMALL_STATE(1442)] = 70950,
  [SMALL_STATE(1443)] = 70981,
  [SMALL_STATE(1444)] = 71012,
  [SMALL_STATE(1445)] = 71043,
  [SMALL_STATE(1446)] = 71074,
  [SMALL_STATE(1447)] = 71105,
  [SMALL_STATE(1448)] = 71136,
  [SMALL_STATE(1449)] = 71171,
  [SMALL_STATE(1450)] = 71202,
  [SMALL_STATE(1451)] = 71237,
  [SMALL_STATE(1452)] = 71268,
  [SMALL_STATE(1453)] = 71303,
  [SMALL_STATE(1454)] = 71334,
  [SMALL_STATE(1455)] = 71365,
  [SMALL_STATE(1456)] = 71396,
  [SMALL_STATE(1457)] = 71427,
  [SMALL_STATE(1458)] = 71458,
  [SMALL_STATE(1459)] = 71493,
  [SMALL_STATE(1460)] = 71524,
  [SMALL_STATE(1461)] = 71555,
  [SMALL_STATE(1462)] = 71586,
  [SMALL_STATE(1463)] = 71617,
  [SMALL_STATE(1464)] = 71652,
  [SMALL_STATE(1465)] = 71683,
  [SMALL_STATE(1466)] = 71714,
  [SMALL_STATE(1467)] = 71745,
  [SMALL_STATE(1468)] = 71776,
  [SMALL_STATE(1469)] = 71833,
  [SMALL_STATE(1470)] = 71890,
  [SMALL_STATE(1471)] = 71925,
  [SMALL_STATE(1472)] = 71960,
  [SMALL_STATE(1473)] = 71991,
  [SMALL_STATE(1474)] = 72022,
  [SMALL_STATE(1475)] = 72053,
  [SMALL_STATE(1476)] = 72084,
  [SMALL_STATE(1477)] = 72115,
  [SMALL_STATE(1478)] = 72146,
  [SMALL_STATE(1479)] = 72177,
  [SMALL_STATE(1480)] = 72208,
  [SMALL_STATE(1481)] = 72239,
  [SMALL_STATE(1482)] = 72274,
  [SMALL_STATE(1483)] = 72305,
  [SMALL_STATE(1484)] = 72336,
  [SMALL_STATE(1485)] = 72367,
  [SMALL_STATE(1486)] = 72398,
  [SMALL_STATE(1487)] = 72429,
  [SMALL_STATE(1488)] = 72460,
  [SMALL_STATE(1489)] = 72491,
  [SMALL_STATE(1490)] = 72522,
  [SMALL_STATE(1491)] = 72553,
  [SMALL_STATE(1492)] = 72584,
  [SMALL_STATE(1493)] = 72619,
  [SMALL_STATE(1494)] = 72650,
  [SMALL_STATE(1495)] = 72681,
  [SMALL_STATE(1496)] = 72716,
  [SMALL_STATE(1497)] = 72747,
  [SMALL_STATE(1498)] = 72778,
  [SMALL_STATE(1499)] = 72809,
  [SMALL_STATE(1500)] = 72840,
  [SMALL_STATE(1501)] = 72871,
  [SMALL_STATE(1502)] = 72902,
  [SMALL_STATE(1503)] = 72959,
  [SMALL_STATE(1504)] = 72990,
  [SMALL_STATE(1505)] = 73047,
  [SMALL_STATE(1506)] = 73078,
  [SMALL_STATE(1507)] = 73109,
  [SMALL_STATE(1508)] = 73166,
  [SMALL_STATE(1509)] = 73223,
  [SMALL_STATE(1510)] = 73258,
  [SMALL_STATE(1511)] = 73293,
  [SMALL_STATE(1512)] = 73328,
  [SMALL_STATE(1513)] = 73359,
  [SMALL_STATE(1514)] = 73394,
  [SMALL_STATE(1515)] = 73424,
  [SMALL_STATE(1516)] = 73454,
  [SMALL_STATE(1517)] = 73484,
  [SMALL_STATE(1518)] = 73516,
  [SMALL_STATE(1519)] = 73546,
  [SMALL_STATE(1520)] = 73580,
  [SMALL_STATE(1521)] = 73610,
  [SMALL_STATE(1522)] = 73642,
  [SMALL_STATE(1523)] = 73674,
  [SMALL_STATE(1524)] = 73706,
  [SMALL_STATE(1525)] = 73742,
  [SMALL_STATE(1526)] = 73776,
  [SMALL_STATE(1527)] = 73806,
  [SMALL_STATE(1528)] = 73836,
  [SMALL_STATE(1529)] = 73866,
  [SMALL_STATE(1530)] = 73896,
  [SMALL_STATE(1531)] = 73926,
  [SMALL_STATE(1532)] = 73958,
  [SMALL_STATE(1533)] = 73994,
  [SMALL_STATE(1534)] = 74024,
  [SMALL_STATE(1535)] = 74056,
  [SMALL_STATE(1536)] = 74090,
  [SMALL_STATE(1537)] = 74118,
  [SMALL_STATE(1538)] = 74148,
  [SMALL_STATE(1539)] = 74180,
  [SMALL_STATE(1540)] = 74214,
  [SMALL_STATE(1541)] = 74242,
  [SMALL_STATE(1542)] = 74294,
  [SMALL_STATE(1543)] = 74346,
  [SMALL_STATE(1544)] = 74398,
  [SMALL_STATE(1545)] = 74450,
  [SMALL_STATE(1546)] = 74480,
  [SMALL_STATE(1547)] = 74510,
  [SMALL_STATE(1548)] = 74540,
  [SMALL_STATE(1549)] = 74570,
  [SMALL_STATE(1550)] = 74600,
  [SMALL_STATE(1551)] = 74632,
  [SMALL_STATE(1552)] = 74662,
  [SMALL_STATE(1553)] = 74692,
  [SMALL_STATE(1554)] = 74722,
  [SMALL_STATE(1555)] = 74774,
  [SMALL_STATE(1556)] = 74802,
  [SMALL_STATE(1557)] = 74834,
  [SMALL_STATE(1558)] = 74886,
  [SMALL_STATE(1559)] = 74916,
  [SMALL_STATE(1560)] = 74946,
  [SMALL_STATE(1561)] = 74976,
  [SMALL_STATE(1562)] = 75010,
  [SMALL_STATE(1563)] = 75040,
  [SMALL_STATE(1564)] = 75072,
  [SMALL_STATE(1565)] = 75102,
  [SMALL_STATE(1566)] = 75132,
  [SMALL_STATE(1567)] = 75162,
  [SMALL_STATE(1568)] = 75192,
  [SMALL_STATE(1569)] = 75222,
  [SMALL_STATE(1570)] = 75252,
  [SMALL_STATE(1571)] = 75282,
  [SMALL_STATE(1572)] = 75312,
  [SMALL_STATE(1573)] = 75344,
  [SMALL_STATE(1574)] = 75376,
  [SMALL_STATE(1575)] = 75418,
  [SMALL_STATE(1576)] = 75450,
  [SMALL_STATE(1577)] = 75482,
  [SMALL_STATE(1578)] = 75534,
  [SMALL_STATE(1579)] = 75586,
  [SMALL_STATE(1580)] = 75618,
  [SMALL_STATE(1581)] = 75650,
  [SMALL_STATE(1582)] = 75686,
  [SMALL_STATE(1583)] = 75738,
  [SMALL_STATE(1584)] = 75790,
  [SMALL_STATE(1585)] = 75822,
  [SMALL_STATE(1586)] = 75858,
  [SMALL_STATE(1587)] = 75890,
  [SMALL_STATE(1588)] = 75922,
  [SMALL_STATE(1589)] = 75952,
  [SMALL_STATE(1590)] = 75986,
  [SMALL_STATE(1591)] = 76016,
  [SMALL_STATE(1592)] = 76048,
  [SMALL_STATE(1593)] = 76078,
  [SMALL_STATE(1594)] = 76108,
  [SMALL_STATE(1595)] = 76138,
  [SMALL_STATE(1596)] = 76168,
  [SMALL_STATE(1597)] = 76198,
  [SMALL_STATE(1598)] = 76250,
  [SMALL_STATE(1599)] = 76282,
  [SMALL_STATE(1600)] = 76312,
  [SMALL_STATE(1601)] = 76342,
  [SMALL_STATE(1602)] = 76374,
  [SMALL_STATE(1603)] = 76402,
  [SMALL_STATE(1604)] = 76432,
  [SMALL_STATE(1605)] = 76462,
  [SMALL_STATE(1606)] = 76492,
  [SMALL_STATE(1607)] = 76522,
  [SMALL_STATE(1608)] = 76574,
  [SMALL_STATE(1609)] = 76604,
  [SMALL_STATE(1610)] = 76638,
  [SMALL_STATE(1611)] = 76674,
  [SMALL_STATE(1612)] = 76704,
  [SMALL_STATE(1613)] = 76738,
  [SMALL_STATE(1614)] = 76768,
  [SMALL_STATE(1615)] = 76798,
  [SMALL_STATE(1616)] = 76850,
  [SMALL_STATE(1617)] = 76882,
  [SMALL_STATE(1618)] = 76914,
  [SMALL_STATE(1619)] = 76944,
  [SMALL_STATE(1620)] = 76974,
  [SMALL_STATE(1621)] = 77002,
  [SMALL_STATE(1622)] = 77032,
  [SMALL_STATE(1623)] = 77068,
  [SMALL_STATE(1624)] = 77104,
  [SMALL_STATE(1625)] = 77136,
  [SMALL_STATE(1626)] = 77188,
  [SMALL_STATE(1627)] = 77218,
  [SMALL_STATE(1628)] = 77250,
  [SMALL_STATE(1629)] = 77302,
  [SMALL_STATE(1630)] = 77332,
  [SMALL_STATE(1631)] = 77361,
  [SMALL_STATE(1632)] = 77394,
  [SMALL_STATE(1633)] = 77427,
  [SMALL_STATE(1634)] = 77460,
  [SMALL_STATE(1635)] = 77493,
  [SMALL_STATE(1636)] = 77526,
  [SMALL_STATE(1637)] = 77555,
  [SMALL_STATE(1638)] = 77584,
  [SMALL_STATE(1639)] = 77613,
  [SMALL_STATE(1640)] = 77642,
  [SMALL_STATE(1641)] = 77675,
  [SMALL_STATE(1642)] = 77704,
  [SMALL_STATE(1643)] = 77733,
  [SMALL_STATE(1644)] = 77766,
  [SMALL_STATE(1645)] = 77799,
  [SMALL_STATE(1646)] = 77828,
  [SMALL_STATE(1647)] = 77859,
  [SMALL_STATE(1648)] = 77890,
  [SMALL_STATE(1649)] = 77919,
  [SMALL_STATE(1650)] = 77948,
  [SMALL_STATE(1651)] = 77977,
  [SMALL_STATE(1652)] = 78010,
  [SMALL_STATE(1653)] = 78039,
  [SMALL_STATE(1654)] = 78088,
  [SMALL_STATE(1655)] = 78117,
  [SMALL_STATE(1656)] = 78146,
  [SMALL_STATE(1657)] = 78177,
  [SMALL_STATE(1658)] = 78208,
  [SMALL_STATE(1659)] = 78257,
  [SMALL_STATE(1660)] = 78290,
  [SMALL_STATE(1661)] = 78319,
  [SMALL_STATE(1662)] = 78368,
  [SMALL_STATE(1663)] = 78397,
  [SMALL_STATE(1664)] = 78426,
  [SMALL_STATE(1665)] = 78455,
  [SMALL_STATE(1666)] = 78484,
  [SMALL_STATE(1667)] = 78517,
  [SMALL_STATE(1668)] = 78546,
  [SMALL_STATE(1669)] = 78575,
  [SMALL_STATE(1670)] = 78604,
  [SMALL_STATE(1671)] = 78633,
  [SMALL_STATE(1672)] = 78662,
  [SMALL_STATE(1673)] = 78691,
  [SMALL_STATE(1674)] = 78720,
  [SMALL_STATE(1675)] = 78749,
  [SMALL_STATE(1676)] = 78778,
  [SMALL_STATE(1677)] = 78827,
  [SMALL_STATE(1678)] = 78856,
  [SMALL_STATE(1679)] = 78885,
  [SMALL_STATE(1680)] = 78914,
  [SMALL_STATE(1681)] = 78943,
  [SMALL_STATE(1682)] = 78972,
  [SMALL_STATE(1683)] = 79021,
  [SMALL_STATE(1684)] = 79050,
  [SMALL_STATE(1685)] = 79079,
  [SMALL_STATE(1686)] = 79108,
  [SMALL_STATE(1687)] = 79137,
  [SMALL_STATE(1688)] = 79166,
  [SMALL_STATE(1689)] = 79195,
  [SMALL_STATE(1690)] = 79224,
  [SMALL_STATE(1691)] = 79253,
  [SMALL_STATE(1692)] = 79302,
  [SMALL_STATE(1693)] = 79331,
  [SMALL_STATE(1694)] = 79360,
  [SMALL_STATE(1695)] = 79389,
  [SMALL_STATE(1696)] = 79438,
  [SMALL_STATE(1697)] = 79467,
  [SMALL_STATE(1698)] = 79496,
  [SMALL_STATE(1699)] = 79525,
  [SMALL_STATE(1700)] = 79554,
  [SMALL_STATE(1701)] = 79583,
  [SMALL_STATE(1702)] = 79612,
  [SMALL_STATE(1703)] = 79641,
  [SMALL_STATE(1704)] = 79670,
  [SMALL_STATE(1705)] = 79699,
  [SMALL_STATE(1706)] = 79728,
  [SMALL_STATE(1707)] = 79757,
  [SMALL_STATE(1708)] = 79806,
  [SMALL_STATE(1709)] = 79835,
  [SMALL_STATE(1710)] = 79864,
  [SMALL_STATE(1711)] = 79897,
  [SMALL_STATE(1712)] = 79926,
  [SMALL_STATE(1713)] = 79955,
  [SMALL_STATE(1714)] = 80004,
  [SMALL_STATE(1715)] = 80033,
  [SMALL_STATE(1716)] = 80062,
  [SMALL_STATE(1717)] = 80091,
  [SMALL_STATE(1718)] = 80120,
  [SMALL_STATE(1719)] = 80149,
  [SMALL_STATE(1720)] = 80178,
  [SMALL_STATE(1721)] = 80207,
  [SMALL_STATE(1722)] = 80240,
  [SMALL_STATE(1723)] = 80269,
  [SMALL_STATE(1724)] = 80298,
  [SMALL_STATE(1725)] = 80327,
  [SMALL_STATE(1726)] = 80376,
  [SMALL_STATE(1727)] = 80425,
  [SMALL_STATE(1728)] = 80454,
  [SMALL_STATE(1729)] = 80483,
  [SMALL_STATE(1730)] = 80512,
  [SMALL_STATE(1731)] = 80541,
  [SMALL_STATE(1732)] = 80590,
  [SMALL_STATE(1733)] = 80639,
  [SMALL_STATE(1734)] = 80688,
  [SMALL_STATE(1735)] = 80737,
  [SMALL_STATE(1736)] = 80766,
  [SMALL_STATE(1737)] = 80815,
  [SMALL_STATE(1738)] = 80844,
  [SMALL_STATE(1739)] = 80873,
  [SMALL_STATE(1740)] = 80902,
  [SMALL_STATE(1741)] = 80931,
  [SMALL_STATE(1742)] = 80960,
  [SMALL_STATE(1743)] = 80993,
  [SMALL_STATE(1744)] = 81022,
  [SMALL_STATE(1745)] = 81070,
  [SMALL_STATE(1746)] = 81098,
  [SMALL_STATE(1747)] = 81146,
  [SMALL_STATE(1748)] = 81174,
  [SMALL_STATE(1749)] = 81202,
  [SMALL_STATE(1750)] = 81250,
  [SMALL_STATE(1751)] = 81278,
  [SMALL_STATE(1752)] = 81306,
  [SMALL_STATE(1753)] = 81334,
  [SMALL_STATE(1754)] = 81382,
  [SMALL_STATE(1755)] = 81410,
  [SMALL_STATE(1756)] = 81438,
  [SMALL_STATE(1757)] = 81466,
  [SMALL_STATE(1758)] = 81494,
  [SMALL_STATE(1759)] = 81542,
  [SMALL_STATE(1760)] = 81590,
  [SMALL_STATE(1761)] = 81638,
  [SMALL_STATE(1762)] = 81666,
  [SMALL_STATE(1763)] = 81694,
  [SMALL_STATE(1764)] = 81742,
  [SMALL_STATE(1765)] = 81790,
  [SMALL_STATE(1766)] = 81838,
  [SMALL_STATE(1767)] = 81866,
  [SMALL_STATE(1768)] = 81894,
  [SMALL_STATE(1769)] = 81942,
  [SMALL_STATE(1770)] = 81970,
  [SMALL_STATE(1771)] = 82018,
  [SMALL_STATE(1772)] = 82066,
  [SMALL_STATE(1773)] = 82094,
  [SMALL_STATE(1774)] = 82122,
  [SMALL_STATE(1775)] = 82150,
  [SMALL_STATE(1776)] = 82198,
  [SMALL_STATE(1777)] = 82246,
  [SMALL_STATE(1778)] = 82274,
  [SMALL_STATE(1779)] = 82322,
  [SMALL_STATE(1780)] = 82350,
  [SMALL_STATE(1781)] = 82378,
  [SMALL_STATE(1782)] = 82426,
  [SMALL_STATE(1783)] = 82454,
  [SMALL_STATE(1784)] = 82502,
  [SMALL_STATE(1785)] = 82550,
  [SMALL_STATE(1786)] = 82598,
  [SMALL_STATE(1787)] = 82626,
  [SMALL_STATE(1788)] = 82654,
  [SMALL_STATE(1789)] = 82682,
  [SMALL_STATE(1790)] = 82710,
  [SMALL_STATE(1791)] = 82738,
  [SMALL_STATE(1792)] = 82766,
  [SMALL_STATE(1793)] = 82794,
  [SMALL_STATE(1794)] = 82822,
  [SMALL_STATE(1795)] = 82850,
  [SMALL_STATE(1796)] = 82878,
  [SMALL_STATE(1797)] = 82926,
  [SMALL_STATE(1798)] = 82974,
  [SMALL_STATE(1799)] = 83022,
  [SMALL_STATE(1800)] = 83054,
  [SMALL_STATE(1801)] = 83100,
  [SMALL_STATE(1802)] = 83128,
  [SMALL_STATE(1803)] = 83176,
  [SMALL_STATE(1804)] = 83224,
  [SMALL_STATE(1805)] = 83272,
  [SMALL_STATE(1806)] = 83320,
  [SMALL_STATE(1807)] = 83368,
  [SMALL_STATE(1808)] = 83396,
  [SMALL_STATE(1809)] = 83444,
  [SMALL_STATE(1810)] = 83472,
  [SMALL_STATE(1811)] = 83500,
  [SMALL_STATE(1812)] = 83548,
  [SMALL_STATE(1813)] = 83596,
  [SMALL_STATE(1814)] = 83624,
  [SMALL_STATE(1815)] = 83652,
  [SMALL_STATE(1816)] = 83684,
  [SMALL_STATE(1817)] = 83732,
  [SMALL_STATE(1818)] = 83760,
  [SMALL_STATE(1819)] = 83788,
  [SMALL_STATE(1820)] = 83816,
  [SMALL_STATE(1821)] = 83864,
  [SMALL_STATE(1822)] = 83912,
  [SMALL_STATE(1823)] = 83940,
  [SMALL_STATE(1824)] = 83968,
  [SMALL_STATE(1825)] = 83996,
  [SMALL_STATE(1826)] = 84044,
  [SMALL_STATE(1827)] = 84090,
  [SMALL_STATE(1828)] = 84138,
  [SMALL_STATE(1829)] = 84166,
  [SMALL_STATE(1830)] = 84194,
  [SMALL_STATE(1831)] = 84222,
  [SMALL_STATE(1832)] = 84270,
  [SMALL_STATE(1833)] = 84298,
  [SMALL_STATE(1834)] = 84334,
  [SMALL_STATE(1835)] = 84362,
  [SMALL_STATE(1836)] = 84410,
  [SMALL_STATE(1837)] = 84458,
  [SMALL_STATE(1838)] = 84506,
  [SMALL_STATE(1839)] = 84554,
  [SMALL_STATE(1840)] = 84582,
  [SMALL_STATE(1841)] = 84630,
  [SMALL_STATE(1842)] = 84658,
  [SMALL_STATE(1843)] = 84686,
  [SMALL_STATE(1844)] = 84714,
  [SMALL_STATE(1845)] = 84742,
  [SMALL_STATE(1846)] = 84770,
  [SMALL_STATE(1847)] = 84818,
  [SMALL_STATE(1848)] = 84866,
  [SMALL_STATE(1849)] = 84914,
  [SMALL_STATE(1850)] = 84962,
  [SMALL_STATE(1851)] = 85010,
  [SMALL_STATE(1852)] = 85058,
  [SMALL_STATE(1853)] = 85106,
  [SMALL_STATE(1854)] = 85154,
  [SMALL_STATE(1855)] = 85202,
  [SMALL_STATE(1856)] = 85250,
  [SMALL_STATE(1857)] = 85278,
  [SMALL_STATE(1858)] = 85326,
  [SMALL_STATE(1859)] = 85374,
  [SMALL_STATE(1860)] = 85422,
  [SMALL_STATE(1861)] = 85467,
  [SMALL_STATE(1862)] = 85494,
  [SMALL_STATE(1863)] = 85539,
  [SMALL_STATE(1864)] = 85584,
  [SMALL_STATE(1865)] = 85629,
  [SMALL_STATE(1866)] = 85674,
  [SMALL_STATE(1867)] = 85719,
  [SMALL_STATE(1868)] = 85754,
  [SMALL_STATE(1869)] = 85799,
  [SMALL_STATE(1870)] = 85834,
  [SMALL_STATE(1871)] = 85869,
  [SMALL_STATE(1872)] = 85904,
  [SMALL_STATE(1873)] = 85939,
  [SMALL_STATE(1874)] = 85974,
  [SMALL_STATE(1875)] = 86009,
  [SMALL_STATE(1876)] = 86044,
  [SMALL_STATE(1877)] = 86079,
  [SMALL_STATE(1878)] = 86106,
  [SMALL_STATE(1879)] = 86151,
  [SMALL_STATE(1880)] = 86178,
  [SMALL_STATE(1881)] = 86213,
  [SMALL_STATE(1882)] = 86240,
  [SMALL_STATE(1883)] = 86267,
  [SMALL_STATE(1884)] = 86294,
  [SMALL_STATE(1885)] = 86329,
  [SMALL_STATE(1886)] = 86364,
  [SMALL_STATE(1887)] = 86399,
  [SMALL_STATE(1888)] = 86444,
  [SMALL_STATE(1889)] = 86479,
  [SMALL_STATE(1890)] = 86514,
  [SMALL_STATE(1891)] = 86559,
  [SMALL_STATE(1892)] = 86586,
  [SMALL_STATE(1893)] = 86621,
  [SMALL_STATE(1894)] = 86666,
  [SMALL_STATE(1895)] = 86693,
  [SMALL_STATE(1896)] = 86728,
  [SMALL_STATE(1897)] = 86763,
  [SMALL_STATE(1898)] = 86790,
  [SMALL_STATE(1899)] = 86825,
  [SMALL_STATE(1900)] = 86860,
  [SMALL_STATE(1901)] = 86895,
  [SMALL_STATE(1902)] = 86940,
  [SMALL_STATE(1903)] = 86985,
  [SMALL_STATE(1904)] = 87020,
  [SMALL_STATE(1905)] = 87047,
  [SMALL_STATE(1906)] = 87082,
  [SMALL_STATE(1907)] = 87117,
  [SMALL_STATE(1908)] = 87152,
  [SMALL_STATE(1909)] = 87197,
  [SMALL_STATE(1910)] = 87232,
  [SMALL_STATE(1911)] = 87277,
  [SMALL_STATE(1912)] = 87322,
  [SMALL_STATE(1913)] = 87349,
  [SMALL_STATE(1914)] = 87391,
  [SMALL_STATE(1915)] = 87427,
  [SMALL_STATE(1916)] = 87469,
  [SMALL_STATE(1917)] = 87506,
  [SMALL_STATE(1918)] = 87543,
  [SMALL_STATE(1919)] = 87580,
  [SMALL_STATE(1920)] = 87617,
  [SMALL_STATE(1921)] = 87654,
  [SMALL_STATE(1922)] = 87691,
  [SMALL_STATE(1923)] = 87728,
  [SMALL_STATE(1924)] = 87757,
  [SMALL_STATE(1925)] = 87794,
  [SMALL_STATE(1926)] = 87831,
  [SMALL_STATE(1927)] = 87868,
  [SMALL_STATE(1928)] = 87905,
  [SMALL_STATE(1929)] = 87942,
  [SMALL_STATE(1930)] = 87979,
  [SMALL_STATE(1931)] = 88016,
  [SMALL_STATE(1932)] = 88053,
  [SMALL_STATE(1933)] = 88090,
  [SMALL_STATE(1934)] = 88127,
  [SMALL_STATE(1935)] = 88164,
  [SMALL_STATE(1936)] = 88201,
  [SMALL_STATE(1937)] = 88238,
  [SMALL_STATE(1938)] = 88275,
  [SMALL_STATE(1939)] = 88312,
  [SMALL_STATE(1940)] = 88349,
  [SMALL_STATE(1941)] = 88386,
  [SMALL_STATE(1942)] = 88423,
  [SMALL_STATE(1943)] = 88460,
  [SMALL_STATE(1944)] = 88497,
  [SMALL_STATE(1945)] = 88534,
  [SMALL_STATE(1946)] = 88571,
  [SMALL_STATE(1947)] = 88608,
  [SMALL_STATE(1948)] = 88645,
  [SMALL_STATE(1949)] = 88682,
  [SMALL_STATE(1950)] = 88719,
  [SMALL_STATE(1951)] = 88756,
  [SMALL_STATE(1952)] = 88793,
  [SMALL_STATE(1953)] = 88830,
  [SMALL_STATE(1954)] = 88867,
  [SMALL_STATE(1955)] = 88904,
  [SMALL_STATE(1956)] = 88941,
  [SMALL_STATE(1957)] = 88970,
  [SMALL_STATE(1958)] = 89007,
  [SMALL_STATE(1959)] = 89044,
  [SMALL_STATE(1960)] = 89081,
  [SMALL_STATE(1961)] = 89118,
  [SMALL_STATE(1962)] = 89155,
  [SMALL_STATE(1963)] = 89192,
  [SMALL_STATE(1964)] = 89221,
  [SMALL_STATE(1965)] = 89258,
  [SMALL_STATE(1966)] = 89287,
  [SMALL_STATE(1967)] = 89324,
  [SMALL_STATE(1968)] = 89361,
  [SMALL_STATE(1969)] = 89398,
  [SMALL_STATE(1970)] = 89435,
  [SMALL_STATE(1971)] = 89472,
  [SMALL_STATE(1972)] = 89496,
  [SMALL_STATE(1973)] = 89520,
  [SMALL_STATE(1974)] = 89544,
  [SMALL_STATE(1975)] = 89568,
  [SMALL_STATE(1976)] = 89592,
  [SMALL_STATE(1977)] = 89620,
  [SMALL_STATE(1978)] = 89644,
  [SMALL_STATE(1979)] = 89668,
  [SMALL_STATE(1980)] = 89692,
  [SMALL_STATE(1981)] = 89716,
  [SMALL_STATE(1982)] = 89740,
  [SMALL_STATE(1983)] = 89764,
  [SMALL_STATE(1984)] = 89788,
  [SMALL_STATE(1985)] = 89812,
  [SMALL_STATE(1986)] = 89836,
  [SMALL_STATE(1987)] = 89864,
  [SMALL_STATE(1988)] = 89888,
  [SMALL_STATE(1989)] = 89912,
  [SMALL_STATE(1990)] = 89936,
  [SMALL_STATE(1991)] = 89960,
  [SMALL_STATE(1992)] = 89984,
  [SMALL_STATE(1993)] = 90008,
  [SMALL_STATE(1994)] = 90032,
  [SMALL_STATE(1995)] = 90056,
  [SMALL_STATE(1996)] = 90080,
  [SMALL_STATE(1997)] = 90104,
  [SMALL_STATE(1998)] = 90128,
  [SMALL_STATE(1999)] = 90161,
  [SMALL_STATE(2000)] = 90194,
  [SMALL_STATE(2001)] = 90217,
  [SMALL_STATE(2002)] = 90243,
  [SMALL_STATE(2003)] = 90269,
  [SMALL_STATE(2004)] = 90295,
  [SMALL_STATE(2005)] = 90327,
  [SMALL_STATE(2006)] = 90353,
  [SMALL_STATE(2007)] = 90374,
  [SMALL_STATE(2008)] = 90403,
  [SMALL_STATE(2009)] = 90424,
  [SMALL_STATE(2010)] = 90453,
  [SMALL_STATE(2011)] = 90478,
  [SMALL_STATE(2012)] = 90507,
  [SMALL_STATE(2013)] = 90528,
  [SMALL_STATE(2014)] = 90557,
  [SMALL_STATE(2015)] = 90578,
  [SMALL_STATE(2016)] = 90599,
  [SMALL_STATE(2017)] = 90628,
  [SMALL_STATE(2018)] = 90657,
  [SMALL_STATE(2019)] = 90678,
  [SMALL_STATE(2020)] = 90707,
  [SMALL_STATE(2021)] = 90736,
  [SMALL_STATE(2022)] = 90757,
  [SMALL_STATE(2023)] = 90786,
  [SMALL_STATE(2024)] = 90815,
  [SMALL_STATE(2025)] = 90836,
  [SMALL_STATE(2026)] = 90857,
  [SMALL_STATE(2027)] = 90886,
  [SMALL_STATE(2028)] = 90907,
  [SMALL_STATE(2029)] = 90928,
  [SMALL_STATE(2030)] = 90949,
  [SMALL_STATE(2031)] = 90978,
  [SMALL_STATE(2032)] = 90999,
  [SMALL_STATE(2033)] = 91028,
  [SMALL_STATE(2034)] = 91049,
  [SMALL_STATE(2035)] = 91070,
  [SMALL_STATE(2036)] = 91091,
  [SMALL_STATE(2037)] = 91112,
  [SMALL_STATE(2038)] = 91133,
  [SMALL_STATE(2039)] = 91162,
  [SMALL_STATE(2040)] = 91191,
  [SMALL_STATE(2041)] = 91212,
  [SMALL_STATE(2042)] = 91237,
  [SMALL_STATE(2043)] = 91258,
  [SMALL_STATE(2044)] = 91287,
  [SMALL_STATE(2045)] = 91316,
  [SMALL_STATE(2046)] = 91345,
  [SMALL_STATE(2047)] = 91374,
  [SMALL_STATE(2048)] = 91403,
  [SMALL_STATE(2049)] = 91432,
  [SMALL_STATE(2050)] = 91453,
  [SMALL_STATE(2051)] = 91474,
  [SMALL_STATE(2052)] = 91495,
  [SMALL_STATE(2053)] = 91516,
  [SMALL_STATE(2054)] = 91537,
  [SMALL_STATE(2055)] = 91566,
  [SMALL_STATE(2056)] = 91595,
  [SMALL_STATE(2057)] = 91624,
  [SMALL_STATE(2058)] = 91646,
  [SMALL_STATE(2059)] = 91674,
  [SMALL_STATE(2060)] = 91698,
  [SMALL_STATE(2061)] = 91722,
  [SMALL_STATE(2062)] = 91746,
  [SMALL_STATE(2063)] = 91768,
  [SMALL_STATE(2064)] = 91792,
  [SMALL_STATE(2065)] = 91816,
  [SMALL_STATE(2066)] = 91838,
  [SMALL_STATE(2067)] = 91862,
  [SMALL_STATE(2068)] = 91890,
  [SMALL_STATE(2069)] = 91918,
  [SMALL_STATE(2070)] = 91942,
  [SMALL_STATE(2071)] = 91966,
  [SMALL_STATE(2072)] = 91994,
  [SMALL_STATE(2073)] = 92018,
  [SMALL_STATE(2074)] = 92042,
  [SMALL_STATE(2075)] = 92062,
  [SMALL_STATE(2076)] = 92090,
  [SMALL_STATE(2077)] = 92112,
  [SMALL_STATE(2078)] = 92140,
  [SMALL_STATE(2079)] = 92168,
  [SMALL_STATE(2080)] = 92192,
  [SMALL_STATE(2081)] = 92220,
  [SMALL_STATE(2082)] = 92248,
  [SMALL_STATE(2083)] = 92272,
  [SMALL_STATE(2084)] = 92300,
  [SMALL_STATE(2085)] = 92322,
  [SMALL_STATE(2086)] = 92350,
  [SMALL_STATE(2087)] = 92374,
  [SMALL_STATE(2088)] = 92398,
  [SMALL_STATE(2089)] = 92426,
  [SMALL_STATE(2090)] = 92454,
  [SMALL_STATE(2091)] = 92478,
  [SMALL_STATE(2092)] = 92502,
  [SMALL_STATE(2093)] = 92526,
  [SMALL_STATE(2094)] = 92550,
  [SMALL_STATE(2095)] = 92574,
  [SMALL_STATE(2096)] = 92598,
  [SMALL_STATE(2097)] = 92622,
  [SMALL_STATE(2098)] = 92644,
  [SMALL_STATE(2099)] = 92668,
  [SMALL_STATE(2100)] = 92692,
  [SMALL_STATE(2101)] = 92716,
  [SMALL_STATE(2102)] = 92740,
  [SMALL_STATE(2103)] = 92764,
  [SMALL_STATE(2104)] = 92788,
  [SMALL_STATE(2105)] = 92816,
  [SMALL_STATE(2106)] = 92844,
  [SMALL_STATE(2107)] = 92872,
  [SMALL_STATE(2108)] = 92896,
  [SMALL_STATE(2109)] = 92920,
  [SMALL_STATE(2110)] = 92944,
  [SMALL_STATE(2111)] = 92972,
  [SMALL_STATE(2112)] = 92996,
  [SMALL_STATE(2113)] = 93024,
  [SMALL_STATE(2114)] = 93048,
  [SMALL_STATE(2115)] = 93072,
  [SMALL_STATE(2116)] = 93100,
  [SMALL_STATE(2117)] = 93124,
  [SMALL_STATE(2118)] = 93148,
  [SMALL_STATE(2119)] = 93172,
  [SMALL_STATE(2120)] = 93196,
  [SMALL_STATE(2121)] = 93224,
  [SMALL_STATE(2122)] = 93248,
  [SMALL_STATE(2123)] = 93272,
  [SMALL_STATE(2124)] = 93300,
  [SMALL_STATE(2125)] = 93324,
  [SMALL_STATE(2126)] = 93352,
  [SMALL_STATE(2127)] = 93380,
  [SMALL_STATE(2128)] = 93404,
  [SMALL_STATE(2129)] = 93432,
  [SMALL_STATE(2130)] = 93456,
  [SMALL_STATE(2131)] = 93480,
  [SMALL_STATE(2132)] = 93504,
  [SMALL_STATE(2133)] = 93528,
  [SMALL_STATE(2134)] = 93556,
  [SMALL_STATE(2135)] = 93580,
  [SMALL_STATE(2136)] = 93608,
  [SMALL_STATE(2137)] = 93632,
  [SMALL_STATE(2138)] = 93656,
  [SMALL_STATE(2139)] = 93675,
  [SMALL_STATE(2140)] = 93694,
  [SMALL_STATE(2141)] = 93713,
  [SMALL_STATE(2142)] = 93734,
  [SMALL_STATE(2143)] = 93753,
  [SMALL_STATE(2144)] = 93772,
  [SMALL_STATE(2145)] = 93791,
  [SMALL_STATE(2146)] = 93811,
  [SMALL_STATE(2147)] = 93841,
  [SMALL_STATE(2148)] = 93871,
  [SMALL_STATE(2149)] = 93901,
  [SMALL_STATE(2150)] = 93925,
  [SMALL_STATE(2151)] = 93955,
  [SMALL_STATE(2152)] = 93979,
  [SMALL_STATE(2153)] = 94009,
  [SMALL_STATE(2154)] = 94039,
  [SMALL_STATE(2155)] = 94069,
  [SMALL_STATE(2156)] = 94093,
  [SMALL_STATE(2157)] = 94121,
  [SMALL_STATE(2158)] = 94151,
  [SMALL_STATE(2159)] = 94181,
  [SMALL_STATE(2160)] = 94211,
  [SMALL_STATE(2161)] = 94235,
  [SMALL_STATE(2162)] = 94265,
  [SMALL_STATE(2163)] = 94295,
  [SMALL_STATE(2164)] = 94325,
  [SMALL_STATE(2165)] = 94349,
  [SMALL_STATE(2166)] = 94379,
  [SMALL_STATE(2167)] = 94409,
  [SMALL_STATE(2168)] = 94439,
  [SMALL_STATE(2169)] = 94469,
  [SMALL_STATE(2170)] = 94497,
  [SMALL_STATE(2171)] = 94521,
  [SMALL_STATE(2172)] = 94545,
  [SMALL_STATE(2173)] = 94575,
  [SMALL_STATE(2174)] = 94605,
  [SMALL_STATE(2175)] = 94629,
  [SMALL_STATE(2176)] = 94659,
  [SMALL_STATE(2177)] = 94683,
  [SMALL_STATE(2178)] = 94707,
  [SMALL_STATE(2179)] = 94731,
  [SMALL_STATE(2180)] = 94761,
  [SMALL_STATE(2181)] = 94785,
  [SMALL_STATE(2182)] = 94815,
  [SMALL_STATE(2183)] = 94845,
  [SMALL_STATE(2184)] = 94869,
  [SMALL_STATE(2185)] = 94893,
  [SMALL_STATE(2186)] = 94917,
  [SMALL_STATE(2187)] = 94947,
  [SMALL_STATE(2188)] = 94977,
  [SMALL_STATE(2189)] = 95007,
  [SMALL_STATE(2190)] = 95037,
  [SMALL_STATE(2191)] = 95061,
  [SMALL_STATE(2192)] = 95091,
  [SMALL_STATE(2193)] = 95121,
  [SMALL_STATE(2194)] = 95149,
  [SMALL_STATE(2195)] = 95179,
  [SMALL_STATE(2196)] = 95203,
  [SMALL_STATE(2197)] = 95227,
  [SMALL_STATE(2198)] = 95251,
  [SMALL_STATE(2199)] = 95281,
  [SMALL_STATE(2200)] = 95311,
  [SMALL_STATE(2201)] = 95341,
  [SMALL_STATE(2202)] = 95365,
  [SMALL_STATE(2203)] = 95395,
  [SMALL_STATE(2204)] = 95425,
  [SMALL_STATE(2205)] = 95455,
  [SMALL_STATE(2206)] = 95479,
  [SMALL_STATE(2207)] = 95509,
  [SMALL_STATE(2208)] = 95533,
  [SMALL_STATE(2209)] = 95563,
  [SMALL_STATE(2210)] = 95587,
  [SMALL_STATE(2211)] = 95617,
  [SMALL_STATE(2212)] = 95647,
  [SMALL_STATE(2213)] = 95671,
  [SMALL_STATE(2214)] = 95701,
  [SMALL_STATE(2215)] = 95731,
  [SMALL_STATE(2216)] = 95761,
  [SMALL_STATE(2217)] = 95785,
  [SMALL_STATE(2218)] = 95815,
  [SMALL_STATE(2219)] = 95845,
  [SMALL_STATE(2220)] = 95873,
  [SMALL_STATE(2221)] = 95897,
  [SMALL_STATE(2222)] = 95927,
  [SMALL_STATE(2223)] = 95957,
  [SMALL_STATE(2224)] = 95987,
  [SMALL_STATE(2225)] = 96017,
  [SMALL_STATE(2226)] = 96045,
  [SMALL_STATE(2227)] = 96065,
  [SMALL_STATE(2228)] = 96089,
  [SMALL_STATE(2229)] = 96113,
  [SMALL_STATE(2230)] = 96129,
  [SMALL_STATE(2231)] = 96153,
  [SMALL_STATE(2232)] = 96169,
  [SMALL_STATE(2233)] = 96193,
  [SMALL_STATE(2234)] = 96209,
  [SMALL_STATE(2235)] = 96233,
  [SMALL_STATE(2236)] = 96257,
  [SMALL_STATE(2237)] = 96273,
  [SMALL_STATE(2238)] = 96294,
  [SMALL_STATE(2239)] = 96309,
  [SMALL_STATE(2240)] = 96330,
  [SMALL_STATE(2241)] = 96345,
  [SMALL_STATE(2242)] = 96360,
  [SMALL_STATE(2243)] = 96375,
  [SMALL_STATE(2244)] = 96390,
  [SMALL_STATE(2245)] = 96405,
  [SMALL_STATE(2246)] = 96420,
  [SMALL_STATE(2247)] = 96435,
  [SMALL_STATE(2248)] = 96450,
  [SMALL_STATE(2249)] = 96465,
  [SMALL_STATE(2250)] = 96480,
  [SMALL_STATE(2251)] = 96495,
  [SMALL_STATE(2252)] = 96510,
  [SMALL_STATE(2253)] = 96525,
  [SMALL_STATE(2254)] = 96540,
  [SMALL_STATE(2255)] = 96555,
  [SMALL_STATE(2256)] = 96570,
  [SMALL_STATE(2257)] = 96585,
  [SMALL_STATE(2258)] = 96600,
  [SMALL_STATE(2259)] = 96615,
  [SMALL_STATE(2260)] = 96630,
  [SMALL_STATE(2261)] = 96645,
  [SMALL_STATE(2262)] = 96666,
  [SMALL_STATE(2263)] = 96685,
  [SMALL_STATE(2264)] = 96706,
  [SMALL_STATE(2265)] = 96725,
  [SMALL_STATE(2266)] = 96744,
  [SMALL_STATE(2267)] = 96759,
  [SMALL_STATE(2268)] = 96774,
  [SMALL_STATE(2269)] = 96788,
  [SMALL_STATE(2270)] = 96808,
  [SMALL_STATE(2271)] = 96822,
  [SMALL_STATE(2272)] = 96836,
  [SMALL_STATE(2273)] = 96850,
  [SMALL_STATE(2274)] = 96864,
  [SMALL_STATE(2275)] = 96878,
  [SMALL_STATE(2276)] = 96892,
  [SMALL_STATE(2277)] = 96906,
  [SMALL_STATE(2278)] = 96920,
  [SMALL_STATE(2279)] = 96934,
  [SMALL_STATE(2280)] = 96948,
  [SMALL_STATE(2281)] = 96962,
  [SMALL_STATE(2282)] = 96976,
  [SMALL_STATE(2283)] = 96990,
  [SMALL_STATE(2284)] = 97004,
  [SMALL_STATE(2285)] = 97018,
  [SMALL_STATE(2286)] = 97032,
  [SMALL_STATE(2287)] = 97046,
  [SMALL_STATE(2288)] = 97060,
  [SMALL_STATE(2289)] = 97074,
  [SMALL_STATE(2290)] = 97088,
  [SMALL_STATE(2291)] = 97108,
  [SMALL_STATE(2292)] = 97122,
  [SMALL_STATE(2293)] = 97142,
  [SMALL_STATE(2294)] = 97156,
  [SMALL_STATE(2295)] = 97170,
  [SMALL_STATE(2296)] = 97184,
  [SMALL_STATE(2297)] = 97198,
  [SMALL_STATE(2298)] = 97212,
  [SMALL_STATE(2299)] = 97226,
  [SMALL_STATE(2300)] = 97240,
  [SMALL_STATE(2301)] = 97254,
  [SMALL_STATE(2302)] = 97268,
  [SMALL_STATE(2303)] = 97280,
  [SMALL_STATE(2304)] = 97294,
  [SMALL_STATE(2305)] = 97308,
  [SMALL_STATE(2306)] = 97322,
  [SMALL_STATE(2307)] = 97336,
  [SMALL_STATE(2308)] = 97350,
  [SMALL_STATE(2309)] = 97370,
  [SMALL_STATE(2310)] = 97384,
  [SMALL_STATE(2311)] = 97398,
  [SMALL_STATE(2312)] = 97412,
  [SMALL_STATE(2313)] = 97424,
  [SMALL_STATE(2314)] = 97438,
  [SMALL_STATE(2315)] = 97452,
  [SMALL_STATE(2316)] = 97466,
  [SMALL_STATE(2317)] = 97480,
  [SMALL_STATE(2318)] = 97494,
  [SMALL_STATE(2319)] = 97508,
  [SMALL_STATE(2320)] = 97525,
  [SMALL_STATE(2321)] = 97544,
  [SMALL_STATE(2322)] = 97559,
  [SMALL_STATE(2323)] = 97576,
  [SMALL_STATE(2324)] = 97593,
  [SMALL_STATE(2325)] = 97610,
  [SMALL_STATE(2326)] = 97629,
  [SMALL_STATE(2327)] = 97646,
  [SMALL_STATE(2328)] = 97663,
  [SMALL_STATE(2329)] = 97680,
  [SMALL_STATE(2330)] = 97695,
  [SMALL_STATE(2331)] = 97710,
  [SMALL_STATE(2332)] = 97725,
  [SMALL_STATE(2333)] = 97740,
  [SMALL_STATE(2334)] = 97753,
  [SMALL_STATE(2335)] = 97770,
  [SMALL_STATE(2336)] = 97785,
  [SMALL_STATE(2337)] = 97800,
  [SMALL_STATE(2338)] = 97815,
  [SMALL_STATE(2339)] = 97830,
  [SMALL_STATE(2340)] = 97847,
  [SMALL_STATE(2341)] = 97864,
  [SMALL_STATE(2342)] = 97879,
  [SMALL_STATE(2343)] = 97896,
  [SMALL_STATE(2344)] = 97915,
  [SMALL_STATE(2345)] = 97934,
  [SMALL_STATE(2346)] = 97951,
  [SMALL_STATE(2347)] = 97966,
  [SMALL_STATE(2348)] = 97979,
  [SMALL_STATE(2349)] = 97996,
  [SMALL_STATE(2350)] = 98011,
  [SMALL_STATE(2351)] = 98028,
  [SMALL_STATE(2352)] = 98045,
  [SMALL_STATE(2353)] = 98058,
  [SMALL_STATE(2354)] = 98075,
  [SMALL_STATE(2355)] = 98090,
  [SMALL_STATE(2356)] = 98105,
  [SMALL_STATE(2357)] = 98119,
  [SMALL_STATE(2358)] = 98135,
  [SMALL_STATE(2359)] = 98149,
  [SMALL_STATE(2360)] = 98161,
  [SMALL_STATE(2361)] = 98173,
  [SMALL_STATE(2362)] = 98187,
  [SMALL_STATE(2363)] = 98199,
  [SMALL_STATE(2364)] = 98213,
  [SMALL_STATE(2365)] = 98225,
  [SMALL_STATE(2366)] = 98241,
  [SMALL_STATE(2367)] = 98255,
  [SMALL_STATE(2368)] = 98269,
  [SMALL_STATE(2369)] = 98283,
  [SMALL_STATE(2370)] = 98297,
  [SMALL_STATE(2371)] = 98311,
  [SMALL_STATE(2372)] = 98325,
  [SMALL_STATE(2373)] = 98337,
  [SMALL_STATE(2374)] = 98349,
  [SMALL_STATE(2375)] = 98363,
  [SMALL_STATE(2376)] = 98377,
  [SMALL_STATE(2377)] = 98389,
  [SMALL_STATE(2378)] = 98403,
  [SMALL_STATE(2379)] = 98417,
  [SMALL_STATE(2380)] = 98429,
  [SMALL_STATE(2381)] = 98441,
  [SMALL_STATE(2382)] = 98455,
  [SMALL_STATE(2383)] = 98467,
  [SMALL_STATE(2384)] = 98481,
  [SMALL_STATE(2385)] = 98495,
  [SMALL_STATE(2386)] = 98509,
  [SMALL_STATE(2387)] = 98523,
  [SMALL_STATE(2388)] = 98537,
  [SMALL_STATE(2389)] = 98553,
  [SMALL_STATE(2390)] = 98567,
  [SMALL_STATE(2391)] = 98581,
  [SMALL_STATE(2392)] = 98593,
  [SMALL_STATE(2393)] = 98607,
  [SMALL_STATE(2394)] = 98620,
  [SMALL_STATE(2395)] = 98633,
  [SMALL_STATE(2396)] = 98646,
  [SMALL_STATE(2397)] = 98659,
  [SMALL_STATE(2398)] = 98672,
  [SMALL_STATE(2399)] = 98685,
  [SMALL_STATE(2400)] = 98698,
  [SMALL_STATE(2401)] = 98711,
  [SMALL_STATE(2402)] = 98724,
  [SMALL_STATE(2403)] = 98737,
  [SMALL_STATE(2404)] = 98750,
  [SMALL_STATE(2405)] = 98763,
  [SMALL_STATE(2406)] = 98776,
  [SMALL_STATE(2407)] = 98789,
  [SMALL_STATE(2408)] = 98802,
  [SMALL_STATE(2409)] = 98815,
  [SMALL_STATE(2410)] = 98828,
  [SMALL_STATE(2411)] = 98841,
  [SMALL_STATE(2412)] = 98854,
  [SMALL_STATE(2413)] = 98867,
  [SMALL_STATE(2414)] = 98880,
  [SMALL_STATE(2415)] = 98893,
  [SMALL_STATE(2416)] = 98906,
  [SMALL_STATE(2417)] = 98917,
  [SMALL_STATE(2418)] = 98930,
  [SMALL_STATE(2419)] = 98943,
  [SMALL_STATE(2420)] = 98956,
  [SMALL_STATE(2421)] = 98969,
  [SMALL_STATE(2422)] = 98982,
  [SMALL_STATE(2423)] = 98995,
  [SMALL_STATE(2424)] = 99008,
  [SMALL_STATE(2425)] = 99021,
  [SMALL_STATE(2426)] = 99034,
  [SMALL_STATE(2427)] = 99047,
  [SMALL_STATE(2428)] = 99058,
  [SMALL_STATE(2429)] = 99071,
  [SMALL_STATE(2430)] = 99084,
  [SMALL_STATE(2431)] = 99095,
  [SMALL_STATE(2432)] = 99108,
  [SMALL_STATE(2433)] = 99121,
  [SMALL_STATE(2434)] = 99134,
  [SMALL_STATE(2435)] = 99147,
  [SMALL_STATE(2436)] = 99160,
  [SMALL_STATE(2437)] = 99171,
  [SMALL_STATE(2438)] = 99184,
  [SMALL_STATE(2439)] = 99195,
  [SMALL_STATE(2440)] = 99208,
  [SMALL_STATE(2441)] = 99221,
  [SMALL_STATE(2442)] = 99234,
  [SMALL_STATE(2443)] = 99247,
  [SMALL_STATE(2444)] = 99260,
  [SMALL_STATE(2445)] = 99271,
  [SMALL_STATE(2446)] = 99284,
  [SMALL_STATE(2447)] = 99297,
  [SMALL_STATE(2448)] = 99308,
  [SMALL_STATE(2449)] = 99321,
  [SMALL_STATE(2450)] = 99334,
  [SMALL_STATE(2451)] = 99347,
  [SMALL_STATE(2452)] = 99360,
  [SMALL_STATE(2453)] = 99371,
  [SMALL_STATE(2454)] = 99384,
  [SMALL_STATE(2455)] = 99395,
  [SMALL_STATE(2456)] = 99408,
  [SMALL_STATE(2457)] = 99421,
  [SMALL_STATE(2458)] = 99434,
  [SMALL_STATE(2459)] = 99447,
  [SMALL_STATE(2460)] = 99460,
  [SMALL_STATE(2461)] = 99473,
  [SMALL_STATE(2462)] = 99486,
  [SMALL_STATE(2463)] = 99499,
  [SMALL_STATE(2464)] = 99512,
  [SMALL_STATE(2465)] = 99525,
  [SMALL_STATE(2466)] = 99538,
  [SMALL_STATE(2467)] = 99551,
  [SMALL_STATE(2468)] = 99564,
  [SMALL_STATE(2469)] = 99577,
  [SMALL_STATE(2470)] = 99590,
  [SMALL_STATE(2471)] = 99603,
  [SMALL_STATE(2472)] = 99616,
  [SMALL_STATE(2473)] = 99629,
  [SMALL_STATE(2474)] = 99642,
  [SMALL_STATE(2475)] = 99655,
  [SMALL_STATE(2476)] = 99668,
  [SMALL_STATE(2477)] = 99681,
  [SMALL_STATE(2478)] = 99694,
  [SMALL_STATE(2479)] = 99707,
  [SMALL_STATE(2480)] = 99720,
  [SMALL_STATE(2481)] = 99733,
  [SMALL_STATE(2482)] = 99746,
  [SMALL_STATE(2483)] = 99759,
  [SMALL_STATE(2484)] = 99772,
  [SMALL_STATE(2485)] = 99785,
  [SMALL_STATE(2486)] = 99798,
  [SMALL_STATE(2487)] = 99811,
  [SMALL_STATE(2488)] = 99824,
  [SMALL_STATE(2489)] = 99837,
  [SMALL_STATE(2490)] = 99850,
  [SMALL_STATE(2491)] = 99863,
  [SMALL_STATE(2492)] = 99876,
  [SMALL_STATE(2493)] = 99887,
  [SMALL_STATE(2494)] = 99900,
  [SMALL_STATE(2495)] = 99913,
  [SMALL_STATE(2496)] = 99926,
  [SMALL_STATE(2497)] = 99939,
  [SMALL_STATE(2498)] = 99952,
  [SMALL_STATE(2499)] = 99965,
  [SMALL_STATE(2500)] = 99978,
  [SMALL_STATE(2501)] = 99991,
  [SMALL_STATE(2502)] = 100004,
  [SMALL_STATE(2503)] = 100017,
  [SMALL_STATE(2504)] = 100030,
  [SMALL_STATE(2505)] = 100043,
  [SMALL_STATE(2506)] = 100056,
  [SMALL_STATE(2507)] = 100067,
  [SMALL_STATE(2508)] = 100080,
  [SMALL_STATE(2509)] = 100093,
  [SMALL_STATE(2510)] = 100106,
  [SMALL_STATE(2511)] = 100119,
  [SMALL_STATE(2512)] = 100132,
  [SMALL_STATE(2513)] = 100143,
  [SMALL_STATE(2514)] = 100156,
  [SMALL_STATE(2515)] = 100169,
  [SMALL_STATE(2516)] = 100182,
  [SMALL_STATE(2517)] = 100195,
  [SMALL_STATE(2518)] = 100208,
  [SMALL_STATE(2519)] = 100221,
  [SMALL_STATE(2520)] = 100234,
  [SMALL_STATE(2521)] = 100247,
  [SMALL_STATE(2522)] = 100260,
  [SMALL_STATE(2523)] = 100268,
  [SMALL_STATE(2524)] = 100276,
  [SMALL_STATE(2525)] = 100286,
  [SMALL_STATE(2526)] = 100294,
  [SMALL_STATE(2527)] = 100304,
  [SMALL_STATE(2528)] = 100314,
  [SMALL_STATE(2529)] = 100324,
  [SMALL_STATE(2530)] = 100334,
  [SMALL_STATE(2531)] = 100344,
  [SMALL_STATE(2532)] = 100354,
  [SMALL_STATE(2533)] = 100364,
  [SMALL_STATE(2534)] = 100374,
  [SMALL_STATE(2535)] = 100384,
  [SMALL_STATE(2536)] = 100394,
  [SMALL_STATE(2537)] = 100404,
  [SMALL_STATE(2538)] = 100414,
  [SMALL_STATE(2539)] = 100424,
  [SMALL_STATE(2540)] = 100432,
  [SMALL_STATE(2541)] = 100442,
  [SMALL_STATE(2542)] = 100450,
  [SMALL_STATE(2543)] = 100460,
  [SMALL_STATE(2544)] = 100470,
  [SMALL_STATE(2545)] = 100480,
  [SMALL_STATE(2546)] = 100490,
  [SMALL_STATE(2547)] = 100498,
  [SMALL_STATE(2548)] = 100508,
  [SMALL_STATE(2549)] = 100518,
  [SMALL_STATE(2550)] = 100526,
  [SMALL_STATE(2551)] = 100536,
  [SMALL_STATE(2552)] = 100546,
  [SMALL_STATE(2553)] = 100556,
  [SMALL_STATE(2554)] = 100566,
  [SMALL_STATE(2555)] = 100576,
  [SMALL_STATE(2556)] = 100586,
  [SMALL_STATE(2557)] = 100596,
  [SMALL_STATE(2558)] = 100604,
  [SMALL_STATE(2559)] = 100612,
  [SMALL_STATE(2560)] = 100622,
  [SMALL_STATE(2561)] = 100630,
  [SMALL_STATE(2562)] = 100640,
  [SMALL_STATE(2563)] = 100650,
  [SMALL_STATE(2564)] = 100660,
  [SMALL_STATE(2565)] = 100668,
  [SMALL_STATE(2566)] = 100678,
  [SMALL_STATE(2567)] = 100686,
  [SMALL_STATE(2568)] = 100696,
  [SMALL_STATE(2569)] = 100704,
  [SMALL_STATE(2570)] = 100714,
  [SMALL_STATE(2571)] = 100722,
  [SMALL_STATE(2572)] = 100732,
  [SMALL_STATE(2573)] = 100742,
  [SMALL_STATE(2574)] = 100752,
  [SMALL_STATE(2575)] = 100760,
  [SMALL_STATE(2576)] = 100770,
  [SMALL_STATE(2577)] = 100780,
  [SMALL_STATE(2578)] = 100788,
  [SMALL_STATE(2579)] = 100798,
  [SMALL_STATE(2580)] = 100806,
  [SMALL_STATE(2581)] = 100814,
  [SMALL_STATE(2582)] = 100824,
  [SMALL_STATE(2583)] = 100832,
  [SMALL_STATE(2584)] = 100842,
  [SMALL_STATE(2585)] = 100852,
  [SMALL_STATE(2586)] = 100862,
  [SMALL_STATE(2587)] = 100870,
  [SMALL_STATE(2588)] = 100878,
  [SMALL_STATE(2589)] = 100886,
  [SMALL_STATE(2590)] = 100896,
  [SMALL_STATE(2591)] = 100906,
  [SMALL_STATE(2592)] = 100916,
  [SMALL_STATE(2593)] = 100926,
  [SMALL_STATE(2594)] = 100934,
  [SMALL_STATE(2595)] = 100944,
  [SMALL_STATE(2596)] = 100954,
  [SMALL_STATE(2597)] = 100964,
  [SMALL_STATE(2598)] = 100972,
  [SMALL_STATE(2599)] = 100980,
  [SMALL_STATE(2600)] = 100988,
  [SMALL_STATE(2601)] = 100996,
  [SMALL_STATE(2602)] = 101004,
  [SMALL_STATE(2603)] = 101014,
  [SMALL_STATE(2604)] = 101024,
  [SMALL_STATE(2605)] = 101034,
  [SMALL_STATE(2606)] = 101044,
  [SMALL_STATE(2607)] = 101054,
  [SMALL_STATE(2608)] = 101062,
  [SMALL_STATE(2609)] = 101070,
  [SMALL_STATE(2610)] = 101078,
  [SMALL_STATE(2611)] = 101086,
  [SMALL_STATE(2612)] = 101096,
  [SMALL_STATE(2613)] = 101104,
  [SMALL_STATE(2614)] = 101112,
  [SMALL_STATE(2615)] = 101122,
  [SMALL_STATE(2616)] = 101132,
  [SMALL_STATE(2617)] = 101140,
  [SMALL_STATE(2618)] = 101150,
  [SMALL_STATE(2619)] = 101158,
  [SMALL_STATE(2620)] = 101166,
  [SMALL_STATE(2621)] = 101176,
  [SMALL_STATE(2622)] = 101186,
  [SMALL_STATE(2623)] = 101196,
  [SMALL_STATE(2624)] = 101204,
  [SMALL_STATE(2625)] = 101214,
  [SMALL_STATE(2626)] = 101224,
  [SMALL_STATE(2627)] = 101234,
  [SMALL_STATE(2628)] = 101241,
  [SMALL_STATE(2629)] = 101248,
  [SMALL_STATE(2630)] = 101255,
  [SMALL_STATE(2631)] = 101262,
  [SMALL_STATE(2632)] = 101269,
  [SMALL_STATE(2633)] = 101276,
  [SMALL_STATE(2634)] = 101283,
  [SMALL_STATE(2635)] = 101290,
  [SMALL_STATE(2636)] = 101297,
  [SMALL_STATE(2637)] = 101304,
  [SMALL_STATE(2638)] = 101311,
  [SMALL_STATE(2639)] = 101318,
  [SMALL_STATE(2640)] = 101325,
  [SMALL_STATE(2641)] = 101332,
  [SMALL_STATE(2642)] = 101339,
  [SMALL_STATE(2643)] = 101346,
  [SMALL_STATE(2644)] = 101353,
  [SMALL_STATE(2645)] = 101360,
  [SMALL_STATE(2646)] = 101367,
  [SMALL_STATE(2647)] = 101374,
  [SMALL_STATE(2648)] = 101381,
  [SMALL_STATE(2649)] = 101388,
  [SMALL_STATE(2650)] = 101395,
  [SMALL_STATE(2651)] = 101402,
  [SMALL_STATE(2652)] = 101409,
  [SMALL_STATE(2653)] = 101416,
  [SMALL_STATE(2654)] = 101423,
  [SMALL_STATE(2655)] = 101430,
  [SMALL_STATE(2656)] = 101437,
  [SMALL_STATE(2657)] = 101444,
  [SMALL_STATE(2658)] = 101451,
  [SMALL_STATE(2659)] = 101458,
  [SMALL_STATE(2660)] = 101465,
  [SMALL_STATE(2661)] = 101472,
  [SMALL_STATE(2662)] = 101479,
  [SMALL_STATE(2663)] = 101486,
  [SMALL_STATE(2664)] = 101493,
  [SMALL_STATE(2665)] = 101500,
  [SMALL_STATE(2666)] = 101507,
  [SMALL_STATE(2667)] = 101514,
  [SMALL_STATE(2668)] = 101521,
  [SMALL_STATE(2669)] = 101528,
  [SMALL_STATE(2670)] = 101535,
  [SMALL_STATE(2671)] = 101542,
  [SMALL_STATE(2672)] = 101549,
  [SMALL_STATE(2673)] = 101556,
  [SMALL_STATE(2674)] = 101563,
  [SMALL_STATE(2675)] = 101570,
  [SMALL_STATE(2676)] = 101577,
  [SMALL_STATE(2677)] = 101584,
  [SMALL_STATE(2678)] = 101591,
  [SMALL_STATE(2679)] = 101598,
  [SMALL_STATE(2680)] = 101605,
  [SMALL_STATE(2681)] = 101612,
  [SMALL_STATE(2682)] = 101619,
  [SMALL_STATE(2683)] = 101626,
  [SMALL_STATE(2684)] = 101633,
  [SMALL_STATE(2685)] = 101640,
  [SMALL_STATE(2686)] = 101647,
  [SMALL_STATE(2687)] = 101654,
  [SMALL_STATE(2688)] = 101661,
  [SMALL_STATE(2689)] = 101668,
  [SMALL_STATE(2690)] = 101675,
  [SMALL_STATE(2691)] = 101682,
  [SMALL_STATE(2692)] = 101689,
  [SMALL_STATE(2693)] = 101696,
  [SMALL_STATE(2694)] = 101703,
  [SMALL_STATE(2695)] = 101710,
  [SMALL_STATE(2696)] = 101717,
  [SMALL_STATE(2697)] = 101724,
  [SMALL_STATE(2698)] = 101731,
  [SMALL_STATE(2699)] = 101738,
  [SMALL_STATE(2700)] = 101745,
  [SMALL_STATE(2701)] = 101752,
  [SMALL_STATE(2702)] = 101759,
  [SMALL_STATE(2703)] = 101766,
  [SMALL_STATE(2704)] = 101773,
  [SMALL_STATE(2705)] = 101780,
  [SMALL_STATE(2706)] = 101787,
  [SMALL_STATE(2707)] = 101794,
  [SMALL_STATE(2708)] = 101801,
  [SMALL_STATE(2709)] = 101808,
  [SMALL_STATE(2710)] = 101815,
  [SMALL_STATE(2711)] = 101822,
  [SMALL_STATE(2712)] = 101829,
  [SMALL_STATE(2713)] = 101836,
  [SMALL_STATE(2714)] = 101843,
  [SMALL_STATE(2715)] = 101850,
  [SMALL_STATE(2716)] = 101857,
  [SMALL_STATE(2717)] = 101864,
  [SMALL_STATE(2718)] = 101871,
  [SMALL_STATE(2719)] = 101878,
  [SMALL_STATE(2720)] = 101885,
  [SMALL_STATE(2721)] = 101892,
  [SMALL_STATE(2722)] = 101899,
  [SMALL_STATE(2723)] = 101906,
  [SMALL_STATE(2724)] = 101913,
  [SMALL_STATE(2725)] = 101920,
  [SMALL_STATE(2726)] = 101927,
  [SMALL_STATE(2727)] = 101934,
  [SMALL_STATE(2728)] = 101941,
  [SMALL_STATE(2729)] = 101948,
  [SMALL_STATE(2730)] = 101955,
  [SMALL_STATE(2731)] = 101962,
  [SMALL_STATE(2732)] = 101969,
  [SMALL_STATE(2733)] = 101976,
  [SMALL_STATE(2734)] = 101983,
  [SMALL_STATE(2735)] = 101990,
  [SMALL_STATE(2736)] = 101997,
  [SMALL_STATE(2737)] = 102004,
  [SMALL_STATE(2738)] = 102011,
  [SMALL_STATE(2739)] = 102018,
  [SMALL_STATE(2740)] = 102025,
  [SMALL_STATE(2741)] = 102032,
  [SMALL_STATE(2742)] = 102039,
  [SMALL_STATE(2743)] = 102046,
  [SMALL_STATE(2744)] = 102053,
  [SMALL_STATE(2745)] = 102060,
  [SMALL_STATE(2746)] = 102067,
  [SMALL_STATE(2747)] = 102074,
  [SMALL_STATE(2748)] = 102081,
  [SMALL_STATE(2749)] = 102088,
  [SMALL_STATE(2750)] = 102095,
  [SMALL_STATE(2751)] = 102102,
  [SMALL_STATE(2752)] = 102109,
  [SMALL_STATE(2753)] = 102116,
  [SMALL_STATE(2754)] = 102123,
  [SMALL_STATE(2755)] = 102130,
  [SMALL_STATE(2756)] = 102137,
  [SMALL_STATE(2757)] = 102144,
  [SMALL_STATE(2758)] = 102151,
  [SMALL_STATE(2759)] = 102158,
  [SMALL_STATE(2760)] = 102165,
  [SMALL_STATE(2761)] = 102172,
  [SMALL_STATE(2762)] = 102179,
  [SMALL_STATE(2763)] = 102186,
  [SMALL_STATE(2764)] = 102193,
  [SMALL_STATE(2765)] = 102200,
  [SMALL_STATE(2766)] = 102207,
  [SMALL_STATE(2767)] = 102214,
  [SMALL_STATE(2768)] = 102221,
  [SMALL_STATE(2769)] = 102228,
  [SMALL_STATE(2770)] = 102235,
  [SMALL_STATE(2771)] = 102242,
  [SMALL_STATE(2772)] = 102249,
  [SMALL_STATE(2773)] = 102256,
  [SMALL_STATE(2774)] = 102263,
  [SMALL_STATE(2775)] = 102270,
  [SMALL_STATE(2776)] = 102277,
  [SMALL_STATE(2777)] = 102284,
  [SMALL_STATE(2778)] = 102291,
  [SMALL_STATE(2779)] = 102298,
  [SMALL_STATE(2780)] = 102305,
  [SMALL_STATE(2781)] = 102312,
  [SMALL_STATE(2782)] = 102319,
  [SMALL_STATE(2783)] = 102326,
  [SMALL_STATE(2784)] = 102333,
  [SMALL_STATE(2785)] = 102340,
  [SMALL_STATE(2786)] = 102347,
  [SMALL_STATE(2787)] = 102354,
  [SMALL_STATE(2788)] = 102361,
  [SMALL_STATE(2789)] = 102368,
  [SMALL_STATE(2790)] = 102375,
  [SMALL_STATE(2791)] = 102382,
  [SMALL_STATE(2792)] = 102389,
  [SMALL_STATE(2793)] = 102396,
  [SMALL_STATE(2794)] = 102403,
  [SMALL_STATE(2795)] = 102410,
  [SMALL_STATE(2796)] = 102417,
  [SMALL_STATE(2797)] = 102424,
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1893),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2772),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(31),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2048),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2526),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1429),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(64),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2728),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2019),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1437),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1718),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1737),
  [119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(224),
  [122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2526),
  [125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1015),
  [128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(110),
  [131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements2, 2),
  [133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(111),
  [136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1866),
  [139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2728),
  [142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(101),
  [145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(60),
  [148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(195),
  [151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1014),
  [154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1013),
  [157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(128),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(183),
  [163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1910),
  [166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(1910),
  [169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2019),
  [172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(262),
  [175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2191),
  [178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(260),
  [181] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2078),
  [184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(106),
  [187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(105),
  [190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(102),
  [193] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2229),
  [196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements2, 2), SHIFT_REPEAT(2506),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 43),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 4),
  [231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 2, .production_id = 37),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 3),
  [237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 2, .production_id = 36),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 45),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1729),
  [265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 1),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1719),
  [283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements2, 2),
  [285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(224),
  [288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2526),
  [291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1015),
  [294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(110),
  [297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(111),
  [300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1866),
  [303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2728),
  [306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(101),
  [309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(60),
  [312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(195),
  [315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1014),
  [318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1013),
  [321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(128),
  [324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(183),
  [327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1910),
  [330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1910),
  [333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2019),
  [336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(262),
  [339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2191),
  [342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(260),
  [345] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2078),
  [348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(106),
  [351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(105),
  [354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(102),
  [357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2229),
  [360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(2506),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_command, 1),
  [371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_command, 1),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2030),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2198),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2046),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2222),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(242),
  [414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2),
  [416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2),
  [418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2046),
  [421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(258),
  [424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2222),
  [427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2081),
  [430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(21),
  [433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(79),
  [436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(30),
  [439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(130),
  [442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2427),
  [445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_command, 2),
  [447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_command, 2),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2214),
  [461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2085),
  [463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(77),
  [467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(75),
  [469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(248),
  [476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2011),
  [479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(244),
  [482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2214),
  [485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2085),
  [488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(84),
  [491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(77),
  [494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(75),
  [497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(134),
  [500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2447),
  [503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(251),
  [506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2030),
  [509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(274),
  [512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2198),
  [515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2120),
  [518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(80),
  [521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(78),
  [524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(81),
  [527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(135),
  [530] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2438),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenation, 4),
  [537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation, 4),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2191),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2),
  [549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2),
  [551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 3),
  [553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 3),
  [555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 2),
  [557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 2),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2154),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2188),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 2, .production_id = 10),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 2, .production_id = 10),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2075),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(24),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(25),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(26),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2223),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 2, .production_id = 8),
  [605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 2, .production_id = 8),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1753),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(29),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 3, .production_id = 21),
  [619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 3, .production_id = 21),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 1, .production_id = 1),
  [629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 1, .production_id = 1),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20),
  [637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(261),
  [640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20),
  [642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(1806),
  [645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2048),
  [648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(243),
  [651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2188),
  [654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2075),
  [657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(24),
  [660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(25),
  [663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(26),
  [666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1850),
  [670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2200),
  [682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements2, 4),
  [700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements2, 4),
  [702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(254),
  [705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(1753),
  [708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2023),
  [711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(269),
  [714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2154),
  [717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2083),
  [720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(29),
  [723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(28),
  [726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(39),
  [729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(238),
  [732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(1850),
  [735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2019),
  [738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(262),
  [741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2191),
  [744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(2078),
  [747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(106),
  [750] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(105),
  [753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 20), SHIFT_REPEAT(102),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2167),
  [760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(427),
  [767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2),
  [769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2),
  [771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2044),
  [774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(471),
  [777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2163),
  [780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2071),
  [783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(37),
  [786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(35),
  [789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(23),
  [792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(174),
  [795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(425),
  [798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2026),
  [801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(356),
  [804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2211),
  [807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2115),
  [810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(72),
  [813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(71),
  [816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(76),
  [819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(176),
  [822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2163),
  [826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_command, 1),
  [832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_command, 1),
  [836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2045),
  [838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2077),
  [844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(74),
  [846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(69),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2071),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(37),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(35),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2211),
  [876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2115),
  [878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(71),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(76),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_command, 2),
  [888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_command, 2),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [902] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(326),
  [905] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2045),
  [908] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(296),
  [911] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2224),
  [914] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2077),
  [917] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(74),
  [920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(73),
  [923] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(69),
  [926] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(191),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 4),
  [939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 4),
  [941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 5),
  [943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 5),
  [945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 4),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 4),
  [951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 1),
  [953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3),
  [955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 1),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2733),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_name, 1),
  [975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_name, 1),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2662),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 1),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2661),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1890),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2705),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [1001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipeline, 3),
  [1003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipeline, 3),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [1007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [1009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 1),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [1013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1865),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [1027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_assignment, 3, .production_id = 13),
  [1029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_assignment, 3, .production_id = 13),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [1033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2),
  [1035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2),
  [1037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1928),
  [1040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [1042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [1044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [1046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2582),
  [1048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 7),
  [1050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 7),
  [1052] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1934),
  [1055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenation, 2),
  [1057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation, 2),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [1061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 1),
  [1063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 1),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [1067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 1),
  [1069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 1),
  [1071] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1948),
  [1074] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1951),
  [1077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1943),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [1082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [1084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [1086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [1088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [1090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [1092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [1094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [1096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [1098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 18),
  [1100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 18),
  [1102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [1104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [1106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [1108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [1110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [1112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [1114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [1116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [1118] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1961),
  [1121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2148),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [1131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 19),
  [1133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 19),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [1137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1964),
  [1140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [1142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [1144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_expansion, 2),
  [1146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_expansion, 2),
  [1148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [1150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [1152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [1154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [1156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_process_substitution, 3),
  [1158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_process_substitution, 3),
  [1160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 4),
  [1162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 4),
  [1164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_simple_expansion, 2, .production_id = 5),
  [1166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_expansion, 2, .production_id = 5),
  [1168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_simple_expansion, 2),
  [1170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_expansion, 2),
  [1172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [1174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1952),
  [1177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 3, .production_id = 5),
  [1179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 3, .production_id = 5),
  [1181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 3),
  [1183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 3),
  [1185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 5),
  [1187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 5),
  [1189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 5, .production_id = 32),
  [1191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 5, .production_id = 32),
  [1193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [1195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1927),
  [1198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_substitution, 3),
  [1200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_substitution, 3),
  [1202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_assignment, 3, .production_id = 14),
  [1204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_assignment, 3, .production_id = 14),
  [1206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [1208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 5, .production_id = 27),
  [1210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 5, .production_id = 27),
  [1212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_name, 1, .production_id = 2),
  [1214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_name, 1, .production_id = 2),
  [1216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [1218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2),
  [1220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2),
  [1222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(607),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [1227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 5, .production_id = 5),
  [1229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 5, .production_id = 5),
  [1231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 7),
  [1233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 7),
  [1235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 7, .production_id = 27),
  [1237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 7, .production_id = 27),
  [1239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 6, .production_id = 5),
  [1241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 6, .production_id = 5),
  [1243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 6, .production_id = 27),
  [1245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 6, .production_id = 27),
  [1247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 6, .production_id = 38),
  [1249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 6, .production_id = 38),
  [1251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 6),
  [1253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 6),
  [1255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 4, .production_id = 5),
  [1257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 4, .production_id = 5),
  [1259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 4, .production_id = 27),
  [1261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 4, .production_id = 27),
  [1263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 4),
  [1265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 4),
  [1267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 1, .production_id = 2),
  [1269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 1, .production_id = 2),
  [1271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [1273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 1),
  [1275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 1),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [1279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(633),
  [1282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [1284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [1286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [1288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1950),
  [1291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 9),
  [1293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 9),
  [1295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(561),
  [1298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [1300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [1302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [1304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(616),
  [1307] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1947),
  [1310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(610),
  [1313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [1315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [1317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(550),
  [1320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1970),
  [1323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(671),
  [1326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(675),
  [1329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [1331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(679),
  [1334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(665),
  [1337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2),
  [1339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2),
  [1341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1533),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [1345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [1347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [1349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(676),
  [1352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [1354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [1356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3),
  [1358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3),
  [1360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 1, .production_id = 2),
  [1362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 1, .production_id = 2),
  [1364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [1366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [1368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [1370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [1372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [1374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [1376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(678),
  [1379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [1381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [1383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1411),
  [1385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1445),
  [1387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [1389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [1391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(998),
  [1393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [1397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2068),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [1403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [1405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [1407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [1409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [1411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [1413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [1415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [1417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [1419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [1421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(821),
  [1423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [1425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(853),
  [1427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [1429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [1431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [1435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [1437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [1439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1711),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [1447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1709),
  [1449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1766),
  [1453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [1455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [1457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [1459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1761),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [1463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1421),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [1467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [1469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [1471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [1487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [1491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [1493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2039),
  [1495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1710),
  [1497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [1499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [1501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [1503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [1505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [1507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [1509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [1511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [1513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [1515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [1517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [1519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [1521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [1525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [1527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [1529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [1531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [1533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [1535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [1539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [1541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [1543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [1545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [1547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [1549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [1551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [1553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [1555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [1557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [1559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [1561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [1565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [1567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [1569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [1571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [1575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(966),
  [1577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [1583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [1587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [1589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [1591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [1593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [1595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [1597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [1599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [1601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [1603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [1605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [1607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(976),
  [1609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [1611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [1613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [1615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [1617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [1619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [1621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [1623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [1625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [1627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [1629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [1631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [1633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [1635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [1637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [1639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [1641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [1643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [1645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [1649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [1651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [1657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [1659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [1661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [1663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [1665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [1667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [1669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [1671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [1673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [1675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [1677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [1679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [1681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [1683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [1685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [1687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [1689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [1691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [1695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [1697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [1699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [1703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [1705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [1707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [1711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [1715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [1717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [1719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [1723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [1725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [1727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [1729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [1731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [1733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [1735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [1739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [1743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [1745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [1747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [1749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [1751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [1755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [1761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [1769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1666),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [1773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [1775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2032),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [1783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [1795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [1803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1025),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [1811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [1819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [1827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [1833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [1835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [1843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1048),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [1849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [1851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1031),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [1857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [1859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [1867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [1875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [1885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [1893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(946),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [1919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1107),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1053),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [1937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1054),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [1945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [1953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [1959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [1961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [1967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [1969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [1971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [1973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [1975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [1977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [1979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [1983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [1987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [1993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [1995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1051),
  [1997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [2001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [2005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [2009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [2011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [2013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [2017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [2021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [2029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [2037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [2041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [2047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [2049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [2055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [2057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [2059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [2061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [2063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [2065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [2067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [2071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [2073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [2075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [2077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [2079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [2081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [2085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [2087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [2093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [2097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [2101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [2109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [2111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [2113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [2121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [2125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [2127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [2129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [2131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [2133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [2137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [2151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [2153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [2155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [2161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [2163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [2167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [2175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [2179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [2187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [2191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [2195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [2197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [2203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [2205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [2207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [2211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [2213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [2215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [2219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [2227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [2235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [2243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1065),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [2251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [2261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [2263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [2265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [2269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [2277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [2285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [2287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [2293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [2295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [2301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [2309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [2317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [2327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [2337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1280),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [2345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [2373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [2381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [2389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [2397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [2401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [2407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [2415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1061),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [2423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [2431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [2439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [2447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [2451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [2453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [2459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [2467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1255),
  [2469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [2471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [2473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [2475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [2477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [2483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [2491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1257),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [2499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [2503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [2505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [2507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [2509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [2511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [2513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [2519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [2521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [2525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [2527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [2529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [2535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1074),
  [2537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [2539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [2543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [2547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [2551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [2559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [2565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [2567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [2571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [2575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [2579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [2583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [2585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [2589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [2591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [2593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [2601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [2609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1018),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [2613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [2617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [2621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [2625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [2633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1097),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [2641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [2647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [2651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [2653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [2657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [2659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [2661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [2669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [2673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [2677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [2679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [2681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [2685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [2691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [2693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [2701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [2709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [2717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [2725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [2733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [2741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1075),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [2747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [2751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [2753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [2755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [2759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [2763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [2769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [2777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [2781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [2783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [2785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [2787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [2789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [2791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [2793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [2795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [2797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [2799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [2801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [2803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [2805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [2807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [2809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [2815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [2817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [2821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [2823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [2827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [2833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [2835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [2843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [2851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [2861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [2863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [2869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [2877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [2885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [2889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [2893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [2895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [2901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [2907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [2911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [2913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [2915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [2917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [2919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [2921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [2923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [2925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [2927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [2931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [2935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [2937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [2939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [2947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [2955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [2961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [2963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [2967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [2971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1742),
  [2973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [2975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [2977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2054),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [2985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [2989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [2991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [2997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [3007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [3013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [3015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [3019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [3021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [3023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [3025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [3031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [3037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [3039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [3047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [3049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [3055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [3057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [3063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [3065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [3071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [3075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [3077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [3079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [3083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [3085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [3089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [3095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [3097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [3101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [3105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [3107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [3111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [3115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [3119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [3127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [3129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [3131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [3133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [3139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [3145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [3157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [3163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [3169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [3175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [3181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [3193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [3199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [3205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [3211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [3223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [3233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [3239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [3259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1001),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [3265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [3271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1016),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [3279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [3283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [3289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [3295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [3307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [3313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [3319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [3325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [3337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [3343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [3349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [3355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [3363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [3381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [3387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [3389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [3395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1088),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [3401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [3413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [3419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [3425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [3429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [3431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [3437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [3439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [3441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [3445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [3451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [3453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [3459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [3465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [3471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [3477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [3483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [3485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [3493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [3499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [3503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [3505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [3509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [3515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [3523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [3535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [3541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [3545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [3547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [3551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [3553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(1651),
  [3556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2),
  [3558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(1196),
  [3561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2039),
  [3564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(1710),
  [3567] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2168),
  [3570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(1651),
  [3573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(1196),
  [3576] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(2112),
  [3579] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(63),
  [3582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(62),
  [3585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 2), SHIFT_REPEAT(70),
  [3588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [3590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [3592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [3594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [3596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [3598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [3600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [3602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [3604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [3606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [3608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [3610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [3614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [3616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [3620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [3624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [3626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [3628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [3630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [3632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [3634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [3636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [3638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [3640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [3642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [3644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [3646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [3648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [3650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [3652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [3654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [3658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [3660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [3664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [3666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [3668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [3670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [3672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [3674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [3676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [3678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [3680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [3682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [3684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [3686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [3688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [3690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [3692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [3694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [3696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [3698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [3700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [3702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [3704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [3706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [3708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [3710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [3716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1302),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [3722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [3726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [3734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [3738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [3740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [3742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [3746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [3748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [3750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [3758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [3760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [3762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [3764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [3766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1788),
  [3768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [3770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [3772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [3774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirected_statement, 2, .production_id = 6),
  [3776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redirected_statement, 2, .production_id = 6),
  [3778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [3780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [3782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2),
  [3784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2),
  [3786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(1868),
  [3789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2733),
  [3792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(1908),
  [3795] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2233),
  [3798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1864),
  [3800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [3802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1946),
  [3805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [3807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [3809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [3811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [3813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1363),
  [3816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 2, .production_id = 4),
  [3818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 2, .production_id = 4),
  [3820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [3824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(1887),
  [3827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2661),
  [3830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(1890),
  [3833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2236),
  [3836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_herestring_redirect, 2, .production_id = 17),
  [3838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_herestring_redirect, 2, .production_id = 17),
  [3840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [3842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2),
  [3844] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(1910),
  [3847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(1910),
  [3850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 2),
  [3852] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(2229),
  [3855] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2), SHIFT_REPEAT(2452),
  [3858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [3860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [3862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(1864),
  [3865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(1865),
  [3868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(2231),
  [3871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 3, .production_id = 12),
  [3873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 3, .production_id = 12),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [3877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1949),
  [3880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 2, .production_id = 3),
  [3882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 2, .production_id = 3),
  [3884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [3886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 3, .production_id = 11),
  [3888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 3, .production_id = 11),
  [3890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1389),
  [3893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1965),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [3897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [3899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [3901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1923),
  [3903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2105),
  [3905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(52),
  [3907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(51),
  [3909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(53),
  [3911] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1962),
  [3914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [3916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [3918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [3920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2556),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [3924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_herestring_redirect, 2),
  [3926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_herestring_redirect, 2),
  [3928] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1965),
  [3931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2),
  [3933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2),
  [3935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2022),
  [3938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1923),
  [3941] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2172),
  [3944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2105),
  [3947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(52),
  [3950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(51),
  [3953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(53),
  [3956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [3958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, .production_id = 2),
  [3960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [3962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3),
  [3964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3),
  [3966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 53),
  [3968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 53),
  [3970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 52),
  [3972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 52),
  [3974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 8, .production_id = 30),
  [3976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 8, .production_id = 30),
  [3978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 8, .production_id = 29),
  [3980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 8, .production_id = 29),
  [3982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 51),
  [3984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 51),
  [3986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 50),
  [3988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 50),
  [3990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 49),
  [3992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 49),
  [3994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 48),
  [3996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 48),
  [3998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 47),
  [4000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 47),
  [4002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 46),
  [4004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 8, .production_id = 46),
  [4006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 7, .production_id = 30),
  [4008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 7, .production_id = 30),
  [4010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 7, .production_id = 29),
  [4012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 7, .production_id = 29),
  [4014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, .production_id = 26),
  [4016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, .production_id = 26),
  [4018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 42),
  [4020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 42),
  [4022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 41),
  [4024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 41),
  [4026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 40),
  [4028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 40),
  [4030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 39),
  [4032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 7, .production_id = 39),
  [4034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 6, .production_id = 30),
  [4036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 6, .production_id = 30),
  [4038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 6, .production_id = 29),
  [4040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 6, .production_id = 29),
  [4042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 26),
  [4044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 26),
  [4046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, .production_id = 28),
  [4048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, .production_id = 28),
  [4050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 6, .production_id = 33),
  [4052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 6, .production_id = 33),
  [4054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2320),
  [4056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [4060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [4062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [4064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [4066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, .production_id = 31),
  [4068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, .production_id = 31),
  [4070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 5, .production_id = 30),
  [4072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 5, .production_id = 30),
  [4074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 5, .production_id = 29),
  [4076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 5, .production_id = 29),
  [4078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 26),
  [4080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 26),
  [4082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_group, 3),
  [4084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_group, 3),
  [4086] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1605),
  [4089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1654),
  [4091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [4093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 26),
  [4095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 26),
  [4097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_group, 2),
  [4099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_group, 2),
  [4101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 4, .production_id = 24),
  [4103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 4, .production_id = 24),
  [4105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_redirect, 2),
  [4107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_redirect, 2),
  [4109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 54),
  [4111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 54),
  [4113] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1936),
  [4116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [4118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subshell, 3),
  [4120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subshell, 3),
  [4122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, .production_id = 16),
  [4124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, .production_id = 16),
  [4126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 15),
  [4128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 15),
  [4130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_test_command, 3),
  [4132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_test_command, 3),
  [4134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1571),
  [4136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [4138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1698),
  [4140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1571),
  [4143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 55),
  [4145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 9, .production_id = 55),
  [4147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2),
  [4149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2),
  [4151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_negated_command, 2),
  [4153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_negated_command, 2),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [4159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 34),
  [4161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 34),
  [4163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [4165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [4167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [4169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1427),
  [4171] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1932),
  [4174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 10, .production_id = 56),
  [4176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 10, .production_id = 56),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [4188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [4190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [4192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(810),
  [4194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(995),
  [4196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1620),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [4200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [4202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [4204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1662),
  [4207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [4211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [4213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 25),
  [4215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [4217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [4219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [4221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [4223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [4225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [4227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [4229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [4231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [4233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [4235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [4237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1688),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [4246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2051),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [4252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [4254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [4256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [4258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [4260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [4262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [4264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2055),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [4270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [4284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [4302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [4308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2020),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [4326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [4332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1933),
  [4335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [4337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [4339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [4341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ternary_expression, 5, .production_id = 35),
  [4343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2),
  [4345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, .production_id = 2),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [4351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [4353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2056),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [4363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [4373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_postfix_expression, 2),
  [4375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [4377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [4379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [4381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [4383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [4389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [4391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [4395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [4397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [4399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [4401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [4419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1756),
  [4421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1919),
  [4424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1924),
  [4427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1756),
  [4430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [4432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [4434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1824),
  [4436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [4438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, .production_id = 23),
  [4440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, .production_id = 23),
  [4442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [4444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, .production_id = 22),
  [4446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, .production_id = 22),
  [4448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [4450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, .production_id = 35),
  [4452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 1),
  [4454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 1),
  [4456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [4460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [4462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [4466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [4468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [4470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [4474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, .production_id = 23),
  [4476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, .production_id = 23),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [4480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, .production_id = 22),
  [4482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, .production_id = 22),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [4486] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2344),
  [4489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2032),
  [4492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2354),
  [4495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2204),
  [4498] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2128),
  [4501] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(83),
  [4504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(82),
  [4507] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(86),
  [4510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1824),
  [4513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [4515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [4517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [4519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [4521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [4523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postfix_expression, 2),
  [4525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [4527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [4529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [4531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [4533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 25),
  [4535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [4537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [4539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [4541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [4543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2001),
  [4546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2038),
  [4549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2003),
  [4552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2202),
  [4555] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2106),
  [4558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(55),
  [4561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(54),
  [4564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(56),
  [4567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [4569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [4571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [4573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2047),
  [4575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2357),
  [4577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [4579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [4581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [4583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [4585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [4587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [4589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [4591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [4593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [4595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [4597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [4599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [4601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [4603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [4605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [4607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [4609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [4611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [4613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [4615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [4617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [4619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [4621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [4623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [4625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [4627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, .production_id = 23),
  [4629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, .production_id = 23),
  [4631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, .production_id = 22),
  [4633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, .production_id = 22),
  [4635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [4637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [4639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [4641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expansion_repeat1, 1, .production_id = 2),
  [4643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expansion_repeat1, 1, .production_id = 2),
  [4645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [4647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [4649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [4651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [4653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [4655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [4657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [4659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [4661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [4663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [4665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [4667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [4669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [4671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [4673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [4675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [4677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [4679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1912),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [4684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [4688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [4692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [4694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [4700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [4724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [4728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [4730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [4736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [4748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [4750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [4752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2013),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [4758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [4760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [4762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [4764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [4766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [4768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [4770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [4772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2016),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [4778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [4780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [4782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [4788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [4792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [4794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [4796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [4798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [4800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [4804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [4806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [4810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [4816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [4834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [4840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [4856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [4862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [4864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [4868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [4880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [4882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [4886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [4888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [4890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [4892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1752),
  [4894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2318),
  [4896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2157),
  [4898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2316),
  [4900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2311),
  [4902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [4904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [4906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [4908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [4910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [4912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [4914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [4916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [4918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [4920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [4922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [4924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [4926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [4928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [4930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [4932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [4934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [4936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [4938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [4940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [4942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [4944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [4946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [4948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [4950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [4952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [4954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [4956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [4958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [4960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [4962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [4964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [4966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [4968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [4970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [4972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [4974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [4976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [4978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [4980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [4982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [4984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [4986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [4988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [4990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [4992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [4994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [4996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [4998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [5000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [5002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [5004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [5006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [5008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [5010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [5012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [5014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [5016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [5018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [5020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1942),
  [5023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1914),
  [5025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [5027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1574),
  [5029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [5031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [5033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [5035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 1),
  [5037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 1),
  [5039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [5041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [5043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [5045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 1, .production_id = 2),
  [5047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 1, .production_id = 2),
  [5049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [5051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2000),
  [5054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [5056] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1929),
  [5059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [5061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [5063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2580),
  [5065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [5067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [5069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [5071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [5073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [5075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [5077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [5079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [5081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [5083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [5085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [5087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [5089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [5091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [5093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [5095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [5097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [5099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [5101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [5103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [5105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [5107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [5109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [5111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [5113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [5115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [5117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [5119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [5121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [5123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [5125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [5127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [5129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [5131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [5133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [5135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [5137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [5139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [5141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2074),
  [5144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [5146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [5148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [5150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [5152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [5154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [5156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [5158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [5160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [5162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [5164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [5166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [5168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [5170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [5172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [5174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [5176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [5178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [5180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [5182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 3, .production_id = 37),
  [5184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 37),
  [5186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 3, .production_id = 37),
  [5188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [5190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [5192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [5194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [5196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [5198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2257),
  [5200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [5202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2258),
  [5204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2256),
  [5206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [5208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2283),
  [5210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 45),
  [5212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 5, .production_id = 45),
  [5214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 45),
  [5216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2293),
  [5218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1747),
  [5220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 43),
  [5222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 5, .production_id = 43),
  [5224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 43),
  [5226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1755),
  [5228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [5230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [5232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [5234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [5236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [5238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [5240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [5242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [5244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [5246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [5248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1750),
  [5250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2579),
  [5252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [5254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [5256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [5258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [5260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [5262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2574),
  [5264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1779),
  [5266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [5268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [5270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [5272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [5274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [5276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 37),
  [5278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 4, .production_id = 37),
  [5280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 37),
  [5282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [5284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [5286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [5288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [5290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [5292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [5294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [5296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [5298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [5300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [5302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1987),
  [5304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [5306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [5308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [5310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [5312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [5314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [5316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [5318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [5320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [5322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [5324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1526),
  [5326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [5328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [5330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [5332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [5334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [5336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 3, .production_id = 36),
  [5338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 36),
  [5340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 3, .production_id = 36),
  [5342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [5344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [5346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [5348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [5350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [5352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1423),
  [5354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [5356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [5358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [5360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [5362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [5364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [5366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [5368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [5370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [5372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [5374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [5376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [5378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [5380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [5382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [5384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [5386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [5388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [5390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 36),
  [5392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 4, .production_id = 36),
  [5394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 36),
  [5396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [5398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [5400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [5402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [5404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [5406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [5408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [5410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [5412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [5414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [5416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [5418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [5420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [5422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [5424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [5426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [5428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [5430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [5432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [5434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [5436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [5438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [5440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [5442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [5444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [5446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [5448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [5450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [5452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [5454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [5456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [5458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [5460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [5462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [5464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [5466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [5468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [5470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [5472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [5474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [5476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [5478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [5480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1712),
  [5482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [5484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1716),
  [5486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [5488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [5490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [5492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [5494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [5496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [5498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1514),
  [5500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [5502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [5504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [5506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [5508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [5510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [5512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1988),
  [5514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [5516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [5518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [5520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [5522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [5524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [5526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [5528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [5530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [5532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [5534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [5536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [5538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [5540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [5542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [5544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [5546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [5548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2049),
  [5550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [5552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1497),
  [5554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [5556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [5558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [5560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [5562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [5564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [5566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [5568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [5570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [5572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [5574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [5576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [5578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [5580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [5582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2287),
  [5584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [5586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2111),
  [5588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [5590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [5592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [5594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [5596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2134),
  [5598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [5600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [5602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [5604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [5606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [5608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [5610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2086),
  [5612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [5614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [5616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [5618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [5620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [5622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [5624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2059),
  [5626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2060),
  [5628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [5630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [5632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [5634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [5636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [5638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2145),
  [5640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [5642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [5644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [5646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [5648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [5650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [5652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2304),
  [5654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [5656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [5658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [5660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [5662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [5664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [5666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [5668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [5670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2100),
  [5672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [5674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [5676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [5678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [5680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [5682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [5684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2127),
  [5686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2137),
  [5688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [5690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2066),
  [5692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1773),
  [5694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [5696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [5698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [5700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [5702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [5704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [5706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [5708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [5710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [5712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [5714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2124),
  [5716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [5718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [5720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [5722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(761),
  [5724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [5726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [5728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [5730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1757),
  [5732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [5734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [5736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [5738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [5740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [5742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [5744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [5746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [5748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [5750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [5752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [5754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [5756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2073),
  [5758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [5760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [5762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [5764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [5766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2129),
  [5768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [5770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [5772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [5774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [5776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [5778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [5780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [5782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [5784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [5786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [5788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [5790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [5792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [5794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [5796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2070),
  [5798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [5800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2568),
  [5802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [5804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [5806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2096),
  [5808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [5810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [5812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [5814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [5816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2092),
  [5818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [5820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2082),
  [5822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [5824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [5826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [5828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [5830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [5832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [5834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [5836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [5838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [5840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [5842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [5844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [5846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [5848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [5850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [5852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [5854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2107),
  [5856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [5858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [5860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [5862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [5864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [5866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [5868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [5870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [5872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2122),
  [5874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2031),
  [5876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2113),
  [5878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [5880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1720),
  [5882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [5884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [5886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [5888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [5890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2116),
  [5892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [5894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [5896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [5898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [5900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2091),
  [5902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [5904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [5906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [5908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [5910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [5912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [5914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [5916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [5918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [5920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [5922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [5924] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(2141),
  [5927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2),
  [5929] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(2267),
  [5932] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(2080),
  [5935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(98),
  [5938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(97),
  [5941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2095),
  [5943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [5945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [5947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1549),
  [5949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [5951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [5953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [5955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [5957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [5959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2114),
  [5961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(2145),
  [5964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(2088),
  [5967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(38),
  [5970] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(33),
  [5973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(2219),
  [5976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2),
  [5978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [5980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [5982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [5984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [5986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2093),
  [5988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [5990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [5992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2098),
  [5994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [5996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2108),
  [5998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [6000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [6002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [6004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17),
  [6006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [6008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [6010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18),
  [6012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [6014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [6016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [6018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [6020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [6022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [6024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [6026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2382),
  [6028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2696),
  [6030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2295),
  [6032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [6034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2359),
  [6036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2686),
  [6038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 2),
  [6040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_body, 2),
  [6042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 1),
  [6044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_body, 1),
  [6046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 3),
  [6048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_body, 3),
  [6050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [6052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [6054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2373),
  [6056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2785),
  [6058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [6060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [6062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2376),
  [6064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2784),
  [6066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2295),
  [6069] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1944),
  [6072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1),
  [6074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [6076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [6078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [6080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [6082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [6084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [6086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [6088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 3),
  [6090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [6092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [6094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [6096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [6098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [6100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [6102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [6104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [6106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [6108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [6110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [6112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [6114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [6116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [6118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [6120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [6122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [6124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [6126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [6128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [6130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [6132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1800),
  [6134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2571),
  [6136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [6138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [6140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [6142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2),
  [6144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2), SHIFT_REPEAT(108),
  [6147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [6149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [6151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [6153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [6155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [6157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [6159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [6161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [6163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [6165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1826),
  [6167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2622),
  [6169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [6171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [6173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [6175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [6177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [6179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [6181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [6183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [6185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [6187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [6189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [6191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1469),
  [6193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [6195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [6197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 29),
  [6199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [6201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [6203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 30),
  [6205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [6207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [6209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [6211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2492),
  [6213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2651),
  [6215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2492),
  [6218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [6220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [6222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [6224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [6226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [6228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [6230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [6232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [6234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [6236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [6238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [6240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1468),
  [6242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [6244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [6246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [6248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [6250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [6252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2584),
  [6254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [6256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [6258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [6260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [6262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(1966),
  [6265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [6267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [6269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [6271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [6273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [6275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [6277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [6279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [6281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 44), SHIFT_REPEAT(1902),
  [6284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 44),
  [6286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [6288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [6290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [6292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [6294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [6296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [6298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [6300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [6302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [6304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [6306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [6308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [6310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [6312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [6314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [6316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [6318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [6320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [6322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [6324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [6326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [6328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [6330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [6332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [6334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [6336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [6338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [6340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [6342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [6344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [6346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [6348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [6350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [6352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2584),
  [6355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [6357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [6359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [6361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [6363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [6365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [6367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [6369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [6371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [6373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [6375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [6377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [6379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [6381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [6383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [6385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [6387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [6389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [6391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [6393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [6395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [6397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [6399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [6401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [6403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [6405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [6407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [6409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [6411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [6413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [6415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [6417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [6419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [6421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [6423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [6425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [6427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [6429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [6431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [6433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [6435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 4, .production_id = 45),
  [6437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [6439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [6441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [6443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [6445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [6447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [6449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [6451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 4, .production_id = 43),
  [6453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [6455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [6457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [6459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [6461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [6463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [6465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [6467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [6469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [6471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [6473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [6475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [6477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [6479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [6481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [6483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [6485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [6487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [6489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 3, .production_id = 37),
  [6491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [6493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [6495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [6497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__terminated_statement, 2),
  [6499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [6501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [6503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [6505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [6507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [6509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [6511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [6513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [6515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 3, .production_id = 36),
  [6517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [6519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [6521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [6523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [6525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [6527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [6529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [6531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [6533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [6535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [6537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [6539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [6541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [6543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [6545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [6547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [6549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [6551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [6553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [6555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [6557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [6559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [6561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [6563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [6565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [6567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [6569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [6571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [6573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [6575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [6577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [6579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [6581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [6583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [6585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [6587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [6589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [6591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [6593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [6595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [6597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [6599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [6601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [6603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [6605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [6607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [6609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [6611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [6613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [6615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [6617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [6619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [6621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [6623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [6625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [6627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [6629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [6631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [6633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [6635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [6637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [6639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [6641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [6643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [6645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [6647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [6649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [6651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [6653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [6655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [6657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [6659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [6661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [6663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [6665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [6667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [6669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [6671] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [6673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [6675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [6677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [6679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [6681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [6683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [6685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [6687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [6689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [6691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [6693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [6695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [6697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [6699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [6701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [6703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [6705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [6707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [6709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [6711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_bash_external_scanner_create(void);
void tree_sitter_bash_external_scanner_destroy(void *);
bool tree_sitter_bash_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_bash_external_scanner_serialize(void *, char *);
void tree_sitter_bash_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_bash(void) {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .small_parse_table = (const uint16_t *)ts_small_parse_table,
    .small_parse_table_map = (const uint32_t *)ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .public_symbol_map = ts_symbol_map,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .field_count = FIELD_COUNT,
    .field_names = ts_field_names,
    .field_map_slices = (const TSFieldMapSlice *)ts_field_map_slices,
    .field_map_entries = (const TSFieldMapEntry *)ts_field_map_entries,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_word,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .external_scanner = {
      (const bool *)ts_external_scanner_states,
      ts_external_scanner_symbol_map,
      tree_sitter_bash_external_scanner_create,
      tree_sitter_bash_external_scanner_destroy,
      tree_sitter_bash_external_scanner_scan,
      tree_sitter_bash_external_scanner_serialize,
      tree_sitter_bash_external_scanner_deserialize,
    },
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
